/* Edit protocol*/

// Global Decalration
/* Compress a local storage value function  */

var LZString = {
  
  
  // private property
  _keyStr : "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",
  _f : String.fromCharCode,
  
  compressToBase64 : function (input) {
    if (input == null) return "";
    var output = "";
    var chr1, chr2, chr3, enc1, enc2, enc3, enc4;
    var i = 0;
    
    input = LZString.compress(input);
    
    while (i < input.length*2) {
      
      if (i%2==0) {
        chr1 = input.charCodeAt(i/2) >> 8;
        chr2 = input.charCodeAt(i/2) & 255;
        if (i/2+1 < input.length) 
          chr3 = input.charCodeAt(i/2+1) >> 8;
        else 
          chr3 = NaN;
      } else {
        chr1 = input.charCodeAt((i-1)/2) & 255;
        if ((i+1)/2 < input.length) {
          chr2 = input.charCodeAt((i+1)/2) >> 8;
          chr3 = input.charCodeAt((i+1)/2) & 255;
        } else 
          chr2=chr3=NaN;
      }
      i+=3;
      
      enc1 = chr1 >> 2;
      enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
      enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
      enc4 = chr3 & 63;
      
      if (isNaN(chr2)) {
        enc3 = enc4 = 64;
      } else if (isNaN(chr3)) {
        enc4 = 64;
      }
      
      output = output +
        LZString._keyStr.charAt(enc1) + LZString._keyStr.charAt(enc2) +
          LZString._keyStr.charAt(enc3) + LZString._keyStr.charAt(enc4);
      
    }
    
    return output;
  },
  
  decompressFromBase64 : function (input) {
    if (input == null) return "";
    var output = "",
        ol = 0, 
        output_,
        chr1, chr2, chr3,
        enc1, enc2, enc3, enc4,
        i = 0, f=LZString._f;
    
    input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");
    
    while (i < input.length) {
      
      enc1 = LZString._keyStr.indexOf(input.charAt(i++));
      enc2 = LZString._keyStr.indexOf(input.charAt(i++));
      enc3 = LZString._keyStr.indexOf(input.charAt(i++));
      enc4 = LZString._keyStr.indexOf(input.charAt(i++));
      
      chr1 = (enc1 << 2) | (enc2 >> 4);
      chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
      chr3 = ((enc3 & 3) << 6) | enc4;
      
      if (ol%2==0) {
        output_ = chr1 << 8;
        
        if (enc3 != 64) {
          output += f(output_ | chr2);
        }
        if (enc4 != 64) {
          output_ = chr3 << 8;
        }
      } else {
        output = output + f(output_ | chr1);
        
        if (enc3 != 64) {
          output_ = chr2 << 8;
        }
        if (enc4 != 64) {
          output += f(output_ | chr3);
        }
      }
      ol+=3;
    }
    
    return LZString.decompress(output);
    
  },

  compressToUTF16 : function (input) {
    if (input == null) return "";
    var output = "",
        i,c,
        current,
        status = 0,
        f = LZString._f;
    
    input = LZString.compress(input);
    
    for (i=0 ; i<input.length ; i++) {
      c = input.charCodeAt(i);
      switch (status++) {
        case 0:
          output += f((c >> 1)+32);
          current = (c & 1) << 14;
          break;
        case 1:
          output += f((current + (c >> 2))+32);
          current = (c & 3) << 13;
          break;
        case 2:
          output += f((current + (c >> 3))+32);
          current = (c & 7) << 12;
          break;
        case 3:
          output += f((current + (c >> 4))+32);
          current = (c & 15) << 11;
          break;
        case 4:
          output += f((current + (c >> 5))+32);
          current = (c & 31) << 10;
          break;
        case 5:
          output += f((current + (c >> 6))+32);
          current = (c & 63) << 9;
          break;
        case 6:
          output += f((current + (c >> 7))+32);
          current = (c & 127) << 8;
          break;
        case 7:
          output += f((current + (c >> 8))+32);
          current = (c & 255) << 7;
          break;
        case 8:
          output += f((current + (c >> 9))+32);
          current = (c & 511) << 6;
          break;
        case 9:
          output += f((current + (c >> 10))+32);
          current = (c & 1023) << 5;
          break;
        case 10:
          output += f((current + (c >> 11))+32);
          current = (c & 2047) << 4;
          break;
        case 11:
          output += f((current + (c >> 12))+32);
          current = (c & 4095) << 3;
          break;
        case 12:
          output += f((current + (c >> 13))+32);
          current = (c & 8191) << 2;
          break;
        case 13:
          output += f((current + (c >> 14))+32);
          current = (c & 16383) << 1;
          break;
        case 14:
          output += f((current + (c >> 15))+32, (c & 32767)+32);
          status = 0;
          break;
      }
    }
    
    return output + f(current + 32);
  },
  

  decompressFromUTF16 : function (input) {
    if (input == null) return "";
    var output = "",
        current,c,
        status=0,
        i = 0,
        f = LZString._f;
    
    while (i < input.length) {
      c = input.charCodeAt(i) - 32;
      
      switch (status++) {
        case 0:
          current = c << 1;
          break;
        case 1:
          output += f(current | (c >> 14));
          current = (c&16383) << 2;
          break;
        case 2:
          output += f(current | (c >> 13));
          current = (c&8191) << 3;
          break;
        case 3:
          output += f(current | (c >> 12));
          current = (c&4095) << 4;
          break;
        case 4:
          output += f(current | (c >> 11));
          current = (c&2047) << 5;
          break;
        case 5:
          output += f(current | (c >> 10));
          current = (c&1023) << 6;
          break;
        case 6:
          output += f(current | (c >> 9));
          current = (c&511) << 7;
          break;
        case 7:
          output += f(current | (c >> 8));
          current = (c&255) << 8;
          break;
        case 8:
          output += f(current | (c >> 7));
          current = (c&127) << 9;
          break;
        case 9:
          output += f(current | (c >> 6));
          current = (c&63) << 10;
          break;
        case 10:
          output += f(current | (c >> 5));
          current = (c&31) << 11;
          break;
        case 11:
          output += f(current | (c >> 4));
          current = (c&15) << 12;
          break;
        case 12:
          output += f(current | (c >> 3));
          current = (c&7) << 13;
          break;
        case 13:
          output += f(current | (c >> 2));
          current = (c&3) << 14;
          break;
        case 14:
          output += f(current | (c >> 1));
          current = (c&1) << 15;
          break;
        case 15:
          output += f(current | c);
          status=0;
          break;
      }
      
      
      i++;
    }
    
    return LZString.decompress(output);
    //return output;
    
  },


  
  compress: function (uncompressed) {
    if (uncompressed == null) return "";
    var i, value,
        context_dictionary= {},
        context_dictionaryToCreate= {},
        context_c="",
        context_wc="",
        context_w="",
        context_enlargeIn= 2, // Compensate for the first entry which should not count
        context_dictSize= 3,
        context_numBits= 2,
        context_data_string="", 
        context_data_val=0, 
        context_data_position=0,
        ii,
        f=LZString._f;
    
    for (ii = 0; ii < uncompressed.length; ii += 1) {
      context_c = uncompressed.charAt(ii);
      if (!Object.prototype.hasOwnProperty.call(context_dictionary,context_c)) {
        context_dictionary[context_c] = context_dictSize++;
        context_dictionaryToCreate[context_c] = true;
      }
      
      context_wc = context_w + context_c;
      if (Object.prototype.hasOwnProperty.call(context_dictionary,context_wc)) {
        context_w = context_wc;
      } else {
        if (Object.prototype.hasOwnProperty.call(context_dictionaryToCreate,context_w)) {
          if (context_w.charCodeAt(0)<256) {
            for (i=0 ; i<context_numBits ; i++) {
              context_data_val = (context_data_val << 1);
              if (context_data_position == 15) {
                context_data_position = 0;
                context_data_string += f(context_data_val);
                context_data_val = 0;
              } else {
                context_data_position++;
              }
            }
            value = context_w.charCodeAt(0);
            for (i=0 ; i<8 ; i++) {
              context_data_val = (context_data_val << 1) | (value&1);
              if (context_data_position == 15) {
                context_data_position = 0;
                context_data_string += f(context_data_val);
                context_data_val = 0;
              } else {
                context_data_position++;
              }
              value = value >> 1;
            }
          } else {
            value = 1;
            for (i=0 ; i<context_numBits ; i++) {
              context_data_val = (context_data_val << 1) | value;
              if (context_data_position == 15) {
                context_data_position = 0;
                context_data_string += f(context_data_val);
                context_data_val = 0;
              } else {
                context_data_position++;
              }
              value = 0;
            }
            value = context_w.charCodeAt(0);
            for (i=0 ; i<16 ; i++) {
              context_data_val = (context_data_val << 1) | (value&1);
              if (context_data_position == 15) {
                context_data_position = 0;
                context_data_string += f(context_data_val);
                context_data_val = 0;
              } else {
                context_data_position++;
              }
              value = value >> 1;
            }
          }
          context_enlargeIn--;
          if (context_enlargeIn == 0) {
            context_enlargeIn = Math.pow(2, context_numBits);
            context_numBits++;
          }
          delete context_dictionaryToCreate[context_w];
        } else {
          value = context_dictionary[context_w];
          for (i=0 ; i<context_numBits ; i++) {
            context_data_val = (context_data_val << 1) | (value&1);
            if (context_data_position == 15) {
              context_data_position = 0;
              context_data_string += f(context_data_val);
              context_data_val = 0;
            } else {
              context_data_position++;
            }
            value = value >> 1;
          }
          
          
        }
        context_enlargeIn--;
        if (context_enlargeIn == 0) {
          context_enlargeIn = Math.pow(2, context_numBits);
          context_numBits++;
        }
        // Add wc to the dictionary.
        context_dictionary[context_wc] = context_dictSize++;
        context_w = String(context_c);
      }
    }
    
    // Output the code for w.
    if (context_w !== "") {
      if (Object.prototype.hasOwnProperty.call(context_dictionaryToCreate,context_w)) {
        if (context_w.charCodeAt(0)<256) {
          for (i=0 ; i<context_numBits ; i++) {
            context_data_val = (context_data_val << 1);
            if (context_data_position == 15) {
              context_data_position = 0;
              context_data_string += f(context_data_val);
              context_data_val = 0;
            } else {
              context_data_position++;
            }
          }
          value = context_w.charCodeAt(0);
          for (i=0 ; i<8 ; i++) {
            context_data_val = (context_data_val << 1) | (value&1);
            if (context_data_position == 15) {
              context_data_position = 0;
              context_data_string += f(context_data_val);
              context_data_val = 0;
            } else {
              context_data_position++;
            }
            value = value >> 1;
          }
        } else {
          value = 1;
          for (i=0 ; i<context_numBits ; i++) {
            context_data_val = (context_data_val << 1) | value;
            if (context_data_position == 15) {
              context_data_position = 0;
              context_data_string += f(context_data_val);
              context_data_val = 0;
            } else {
              context_data_position++;
            }
            value = 0;
          }
          value = context_w.charCodeAt(0);
          for (i=0 ; i<16 ; i++) {
            context_data_val = (context_data_val << 1) | (value&1);
            if (context_data_position == 15) {
              context_data_position = 0;
              context_data_string += f(context_data_val);
              context_data_val = 0;
            } else {
              context_data_position++;
            }
            value = value >> 1;
          }
        }
        context_enlargeIn--;
        if (context_enlargeIn == 0) {
          context_enlargeIn = Math.pow(2, context_numBits);
          context_numBits++;
        }
        delete context_dictionaryToCreate[context_w];
      } else {
        value = context_dictionary[context_w];
        for (i=0 ; i<context_numBits ; i++) {
          context_data_val = (context_data_val << 1) | (value&1);
          if (context_data_position == 15) {
            context_data_position = 0;
            context_data_string += f(context_data_val);
            context_data_val = 0;
          } else {
            context_data_position++;
          }
          value = value >> 1;
        }
        
        
      }
      context_enlargeIn--;
      if (context_enlargeIn == 0) {
        context_enlargeIn = Math.pow(2, context_numBits);
        context_numBits++;
      }
    }
    
    // Mark the end of the stream
    value = 2;
    for (i=0 ; i<context_numBits ; i++) {
      context_data_val = (context_data_val << 1) | (value&1);
      if (context_data_position == 15) {
        context_data_position = 0;
        context_data_string += f(context_data_val);
        context_data_val = 0;
      } else {
        context_data_position++;
      }
      value = value >> 1;
    }
    
    // Flush the last char
    while (true) {
      context_data_val = (context_data_val << 1);
      if (context_data_position == 15) {
        context_data_string += f(context_data_val);
        break;
      }
      else context_data_position++;
    }
    return context_data_string;
  },
  
  decompress: function (compressed) {
    if (compressed == null) return "";
    if (compressed == "") return null;
    var dictionary = [],
        next,
        enlargeIn = 4,
        dictSize = 4,
        numBits = 3,
        entry = "",
        result = "",
        i,
        w,
        bits, resb, maxpower, power,
        c,
        f = LZString._f,
        data = {string:compressed, val:compressed.charCodeAt(0), position:32768, index:1};
    
    for (i = 0; i < 3; i += 1) {
      dictionary[i] = i;
    }
    
    bits = 0;
    maxpower = Math.pow(2,2);
    power=1;
    while (power!=maxpower) {
      resb = data.val & data.position;
      data.position >>= 1;
      if (data.position == 0) {
        data.position = 32768;
        data.val = data.string.charCodeAt(data.index++);
      }
      bits |= (resb>0 ? 1 : 0) * power;
      power <<= 1;
    }
    
    switch (next = bits) {
      case 0: 
          bits = 0;
          maxpower = Math.pow(2,8);
          power=1;
          while (power!=maxpower) {
            resb = data.val & data.position;
            data.position >>= 1;
            if (data.position == 0) {
              data.position = 32768;
              data.val = data.string.charCodeAt(data.index++);
            }
            bits |= (resb>0 ? 1 : 0) * power;
            power <<= 1;
          }
        c = f(bits);
        break;
      case 1: 
          bits = 0;
          maxpower = Math.pow(2,16);
          power=1;
          while (power!=maxpower) {
            resb = data.val & data.position;
            data.position >>= 1;
            if (data.position == 0) {
              data.position = 32768;
              data.val = data.string.charCodeAt(data.index++);
            }
            bits |= (resb>0 ? 1 : 0) * power;
            power <<= 1;
          }
        c = f(bits);
        break;
      case 2: 
        return "";
    }
    dictionary[3] = c;
    w = result = c;
    while (true) {
      if (data.index > data.string.length) {
        return "";
      }
      
      bits = 0;
      maxpower = Math.pow(2,numBits);
      power=1;
      while (power!=maxpower) {
        resb = data.val & data.position;
        data.position >>= 1;
        if (data.position == 0) {
          data.position = 32768;
          data.val = data.string.charCodeAt(data.index++);
        }
        bits |= (resb>0 ? 1 : 0) * power;
        power <<= 1;
      }

      switch (c = bits) {
        case 0: 
          bits = 0;
          maxpower = Math.pow(2,8);
          power=1;
          while (power!=maxpower) {
            resb = data.val & data.position;
            data.position >>= 1;
            if (data.position == 0) {
              data.position = 32768;
              data.val = data.string.charCodeAt(data.index++);
            }
            bits |= (resb>0 ? 1 : 0) * power;
            power <<= 1;
          }

          dictionary[dictSize++] = f(bits);
          c = dictSize-1;
          enlargeIn--;
          break;
        case 1: 
          bits = 0;
          maxpower = Math.pow(2,16);
          power=1;
          while (power!=maxpower) {
            resb = data.val & data.position;
            data.position >>= 1;
            if (data.position == 0) {
              data.position = 32768;
              data.val = data.string.charCodeAt(data.index++);
            }
            bits |= (resb>0 ? 1 : 0) * power;
            power <<= 1;
          }
          dictionary[dictSize++] = f(bits);
          c = dictSize-1;
          enlargeIn--;
          break;
        case 2: 
          return result;
      }
      
      if (enlargeIn == 0) {
        enlargeIn = Math.pow(2, numBits);
        numBits++;
      }
      
      if (dictionary[c]) {
        entry = dictionary[c];
      } else {
        if (c === dictSize) {
          entry = w + w.charAt(0);
        } else {
          return null;
        }
      }
      result += entry;
      
      // Add w+entry[0] to the dictionary.
      dictionary[dictSize++] = w + entry.charAt(0);
      enlargeIn--;
      
      w = entry;
      
      if (enlargeIn == 0) {
        enlargeIn = Math.pow(2, numBits);
        numBits++;
      }
      
    }
  }
};

if( typeof module !== 'undefined' && module != null ) {
  module.exports = LZString
}
var temp_f = '';
var assay_det_list = [];
var assylstid = [];
var arryid=[];
var updt_order = 0;
var rstr_cookie = [];
var orders_list = '';
var plc_smpls = '';
var plc_assys = '';
var containers = [];
var success_container = '';
var assay_format = '';
var assay_format_txt = '';
var no_of_assays = '';
var user_role = '';
var no_of_samples = '';
var delete_assy_config = -1;
var shw_wel_pp_cndt = 0;
var D_start = 0;
var D_end = 0;
var plat_type_check=0;
var myWindow;
var new_assay_liblary_data=[];
var assay_indx_lists=[];
var pghrid;
var total_assay_counts = 0;
var quantity = '';
var plt_app = '';
var plt_type = '';
var plt_vol = '';
var plt_preamp = '';
var study_name = '';
var ctrl_lst_count = 0;
var ctrl_lst_count1 = 0;
var lngths = 0;
var selected_lft='';
var selected_rgt='';
var assy_cntnr = [];
var asgnd_asy = [];
var loc_id = [];
var loc_id_ids = [];
var slctd_replicates=0;
var producttype = '';
var spl_req = '';
var preaamp = [];
var removed_set_no = [];
var assay_det_list1 = [];
var prbe_prime=[];
var removed_assay_id=[];
var removed_prime_fwd_assay_id=[];
var removed_prime_rev_assay_id=[];
var error_flg_seq = 0;
var remv_chck_val = 0;
var update_count = 0;
var assy_name_chnge = 0;
var gene_symb_chnge = 0;
var desc_chnge = 0;
var add_asy_cnt = 0;
var update_on_chnge_count = 0;
var rttool = '';
var fass = [];
var ctrl_data = [];
var first_add = 0;
	var edit_check_valid = 0;
jQuery.fn.center = function(parent) {
	if (parent) {
        parent = this.parent();
    } else {
        parent = window;
    }
    this.css({
        "left": ((($(parent).width() - this.outerWidth()) / 2) + $(parent).scrollLeft() + "px")
	});
	//this.css("top", Math.max(0, (($(window).height() - $(this).outerHeight()) / 2) + $(window).scrollTop()) + "px");
	return this;
}

var add_assay_type = '';
var assay_lib_type = '';
var reverrno = 0;
var strt_slt = 0;
		var proberrno = 0;
		var proerrno = [];
var type_of_order = '';
var assay_library_data = '';
var plates_type = '';
var assay_type = 0;
var OptiMumPerWell = ''; var ArrWell = []; var DefaultsInputs = []; var ProtoColLower = '';  var UrlPayload  = ''; 
var UrlPlateformat = '';var UrlCellType =''; var ObjId =  '';var ProtocolSteps = [];	var ArrStepsId = [];	
var ArrStepsComp = [];	var ArrStepsDay = [];	var DisplaySteps = '';	var StepsCnt = 0;
var HeightArr = [];
var StepsDetails = '' , PlateForamt = '' , InitialInput = '';
var Jsonreport = '';
var devservr = "http://dev.ceino.com:8080/cellbiology/api/v1/";
var prodservr = "http://prod.ceino.com:8080/gibco/api/v1/";
 
	function getUrlParameter(sParam) {
		var sPageURL = window.location.search.substring(1);
		var sURLVariables = sPageURL.split('&');
		for (var i = 0; i < sURLVariables.length; i++) 
		{
			var sParameterName = sURLVariables[i].split('=');
			if (sParameterName[0] == sParam) 
			{
				return sParameterName[1];
			}
		}
	} 
	var ellipsestext = "...";
	var moretext = "more";
	var lesstext = "less";
	var mlval = "";

	

$(function() {
	SERVERURL = 'ec2-54-243-60-203.compute-1.amazonaws.com:8080';
	Fullurl   = window.location.href;  
	var gldata = null;
	var Hostname = location.hostname;
	if(Hostname == 'www.lifetechnologies.com' || Hostname == 'www.qa2.lifetechnologies.com' || Hostname == 'author1.qa2.lifetechnologies.com' || Hostname == 'author1.prod.lifetechnologies.com') {
	  var DNAPREP_PATH 			= 'http://'+Hostname+'/content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings';
	} else if(Hostname == '54.235.88.118' || Hostname == '54.83.199.126' || Hostname == 'dev.ceino.com') {
	   var DNAPREP_PATH 			= './content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings';
	} else {
	  var DNAPREP_PATH 	= 'content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings';
	}
	
	
	$('head').append('<script src="content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/lib/jquery-ui.min-1.8.20.js" type="text/javascript"></script>');
	
	
	
	
    
 	  	
	$('head').append('<link  rel="icon" type="images/png" href="'+DNAPREP_PATH+'/images/favicon.ico" />');
	$('head').append('<link type="text/css" href="'+DNAPREP_PATH+'/styles/pexstyle.css" rel="stylesheet" />');
	$('head').append('<link type="text/css" href="'+DNAPREP_PATH+'/styles/responsive.css" rel="stylesheet" />');
	$('head').append('<link type="text/css" href="http://styleguide.thermofisher.com/patternlibrary/assets/css/base.css" rel="stylesheet" />');
	$('head').append('<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">');
	$('head').append('<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">');
	
	/*content in index html*/
	
	
		var mainHtml = '';
		mainHtml = mainHtml + '<div class="cendiv">';
		
		mainHtml = mainHtml + '<div class="tcp0p" id="tcp0pid">';
			
			mainHtml = mainHtml + '<div class="tcp0psub txt_cnt">';
				mainHtml = mainHtml + '<h2 class="tcpph2">Configure Your Specialty Plates or Cards </h2>';
				mainHtml = mainHtml + '<div>When additional flexibility is needed to configure your choice of TaqMan® assays, select Specialty Plates or Cards. Use this tool to configure your Specialty Plates or Cards and we will provide you a quote to order.</div>';
				mainHtml = mainHtml + '<div>To configure and order arrays that are available as catalog products, use one of these links:<br/><a style="line-height:0px !important;" target="_blank" href="http://www.thermofisher.com/us/en/home/life-science/pcr/real-time-pcr/real-time-pcr-assays/taqman-gene-expression/96-well-taqman-gene-expression-assays/custom-taqman-arrayplates.html" class="textdecka">Custom TaqMan® 96-well or 96-well fast Plates with predesigned GEx assays</a><br/><a target="_blank" href="http://www.thermofisher.com/in/en/home/life-science/pcr/real-time-pcr/real-time-pcr-assays/taqman-gene-expression/384-well-microfluidic-taqman-gene-expression-assays/custom-taqman-gene-expression-array-cards.html" class="textdecka">Custom TaqMan® Array Cards with predesigned GEx assays</a><br/><a target="_blank" href="https://www.thermofisher.com/us/en/home/life-science/pcr/real-time-pcr/real-time-pcr-assays/mirna-ncrna-taqman-assays/taqman-microrna-profiling-using-384-well-array-cards/custom-taqman-microrna-array-cards.html" class="textdecka">Custom TaqMan® Array Cards with predesigned miRNA assays</a><br/><a target="_blank" href="http://www.thermofisher.com/us/en/home/life-science/pcr/real-time-pcr/real-time-openarray/open-array-panel.html" class="textdecka">Custom OpenArray® plate</a></div>';
				mainHtml = mainHtml + '<div>';
					mainHtml = mainHtml + '<img src="'+DNAPREP_PATH+'/images/loginimgTCP1.png" />';				
					mainHtml = mainHtml + '<img src="'+DNAPREP_PATH+'/images/loginimgTCP2.png" style="margin-left:10px;"/>';	
				mainHtml = mainHtml + '</div>';
			mainHtml = mainHtml + '</div>';
			mainHtml = mainHtml + '<div class="tcp0psub1">';
				mainHtml = mainHtml + '<span class="tcpcomphs tcp0span">Login</span>';
				mainHtml = mainHtml + '<div class="tcp6ptext tcp0intext">Username / E-mail</div>';
				mainHtml = mainHtml + '<input type="text" id="loginemail" name="loginemail" class="tcp6ptabtext textinputcom" value="">';
				mainHtml = mainHtml + '<div id="error_mail" class="error_msg"></div>';
				mainHtml = mainHtml + '<div class="tcp6ptext tcp0intext tcp0insub">Password</div>';
				mainHtml = mainHtml + '<input type="password" id="loginpassword" name="loginpassword" class="tcp6ptabtext textinputcom" value="">';
				mainHtml = mainHtml + '<div id="error_pwd" class="error_msg"></div>';
				mainHtml = mainHtml + '<input type="submit" value="Sign In" onclick="login_taqman()" class="buttoncurrsor tcp6psubmit tcp0insub" id="tcp0insubid">';		
				mainHtml = mainHtml + '<div class="fntsz15"><a href="https://www.thermofisher.com/order/catalog/en/US/adirect/lt?cmd=ForgotPasswordStep1" target="_blank">Having trouble signing in?</a></div>';				
				mainHtml = mainHtml + '<div class="fntsz15 mrgt20">Dont have an account? <a href="https://www.thermofisher.com/order/catalog/en/US/adirect/lt?cmd=FullRegistrationData&GroupKey=103&Command=updateExecute&anonymousHomePageMsg=OnlineOrderingPageDisplay" target="_blank">Register here</a></div>';				
			mainHtml = mainHtml + '</div>';
			mainHtml = mainHtml + '<div style="clear:both;"></div>';
		
			
			
		mainHtml = mainHtml + '</div>';
		
		mainHtml = mainHtml + '<div class="tcp0p hideclass" id="reg0pid">';
			
			mainHtml = mainHtml + '<div class="tcp0psub">';
				mainHtml = mainHtml + '<h2 class="tcpph2">Specialty Cards or Plates </h2>';
				mainHtml = mainHtml + '<div>The Custom Formatting Services offers the convenience of TaqMan&#174; Assays pre-plated according to your specifications. <br/>This can significantly reduce your hands-on effort in getting your samples analyzed and virtually eliminates pipetting error. Just tell us how you want to confiqure your plate and we will manufacture it.</div>';
				mainHtml = mainHtml + '<img src="'+DNAPREP_PATH+'/images/loginimgTCP.png" />';				
			mainHtml = mainHtml + '</div>';
			mainHtml = mainHtml + '<div class="tcp0psub1">';
				mainHtml = mainHtml + '<span class="tcpcomphs tcp0span">Register</span>';
				mainHtml = mainHtml + '<div class="tcp6ptext tcp0intext">Name</div>';
				mainHtml = mainHtml + '<input type="text" id="reg_name" name="reg_name" class="tcp6ptabtext textinputcom" value="">';
				mainHtml = mainHtml + '<div id="error_name" class="error_msg"></div>';
				
				mainHtml = mainHtml + '<div class="tcp6ptext tcp0intext tcp0insub">E-mail</div>';
				mainHtml = mainHtml + '<input type="text" id="reg_email" name="reg_email" class="tcp6ptabtext textinputcom" readonly value="">';
			
				mainHtml = mainHtml + '<div class="tcp6ptext tcp0intext tcp0insub">Phone Number</div>';
				mainHtml = mainHtml + '<input type="text" id="reg_ph" name="reg_ph" class="tcp6ptabtext textinputcom" maxlength="10" value="">';
				mainHtml = mainHtml + '<div id="error_ph" class="error_msg"></div>';
				
				mainHtml = mainHtml + '<div class="tcp6ptext tcp0intext tcp0insub">Institution Name</div>';
				mainHtml = mainHtml + '<input type="text" id="reg_institution" name="reg_institution textinputcom" class="tcp6ptabtext textinputcom" value="">';
				mainHtml = mainHtml + '<div id="error_ins" class="error_msg"></div>';
				
				mainHtml = mainHtml + '<input type="submit" value="Register" onclick="reg_taqman()" class="buttoncurrsor tcp6psubmit tcp0insub" id="tcp0insubid">';				
			mainHtml = mainHtml + '</div>';
			mainHtml = mainHtml + '<div style="clear:both;"></div>';
		
		
	$("#pex").html(mainHtml);
	


$("#tcp0insubid").click(function(){

   
});



/** static **/
$("#tcp5tabledid01").addClass("tcp5tabledivdis");
$("#tcp5tabledid03").addClass("tcp5tabledivdis");
$("#tcp5tabledid07").addClass("tcp5tabledivdis");
$("#tcp5tabledid010").addClass("tcp5tabledivdis");
$("#tcp5tabledid09").addClass("tcp5tabledivdis");
for(var i=1;i<7;i++){
		var id1="#tcp5tabledid";
		id1=id1+i;
		id1=id1+"1";
		var id2="#tcp5tabledid";
		id2=id2+i;
		id2=id2+"3";
		var id3="#tcp5tabledid";
		id3=id3+i;
		id3=id3+"7";
		var id4="#tcp5tabledid";
		id4=id4+i;
		id4=id4+"10";
		var id5="#tcp5tabledid";
		id5=id5+i;
		id5=id5+"9";
		$(id1).addClass("tcp5tabledivdisdd");
		$(id2).addClass("tcp5tabledivdisdd");
		$(id3).addClass("tcp5tabledivdisdd");
		$(id4).addClass("tcp5tabledivdisdd");
		$(id5).addClass("tcp5tabledivdisdd");
		
	}

	// search results function starts
	
	if ( $.browser.msie && window.XDomainRequest) { // IE8 & 9 only Cross domain JSON GET request for search results
			// Use Microsoft XDR
			var xdr = new XDomainRequest();
			xdr.open("get", prodservr+'search?sort=name');
			xdr.onload = function () {
				var JSON = $.parseJSON(xdr.responseText);
				searchname(JSON);
				if (JSON == null || typeof (JSON) == 'undefined'){
					JSON = $.parseJSON(data);
				}
				//processData(JSON);
			};
			xdr.send();
	}else{
		$.ajax({	// Do normal jQuery AJAX for everything else 
            type: 'get',
            url: prodservr+'search?sort=name',
			cache: false,
			dataType: 'json'
		}).done(function(data1) {
			searchname(data1);
		});
	}
	
	
	function searchname(data1){
		var list = '<ul>';
			for(var g=0; g<data1.results.length;g++){
				list = list + '<li onclick="lival('+"'"+data1.results[g].name+"'"+')">'+data1.results[g].name+'</li>'
			}
			$('.srchbx').html(list)
	}
	// search results function ends
	
	/*content in index html end*/
	loadHeaderAndFooter();
    $('.bckSearch').click(function(){
       $("#editProtocolMainParnt").hide();
		$("#protoColList").show();
    });
	$("#editOlay").hide();
	$(".loadinGif").hide();
	
});
$("#mrnidv").hide();

var totsassy = 0;
var slctsaay = 0;

function subhtml_structure(){
	$("#mrnidv").hide();
	var subhtml =  '';
	
	subhtml = subhtml + '	<div class="overlay1 hideclass" style="z-index:1006;" id="inner_overlay"><div class="spnr" ><img src="'+DNAPREP_PATH+'/images/spinner.gif" /><div>Please wait loading...</div></div></div>';
	
	subhtml = subhtml + '	<div class="overlay1 hideclass" id="overlayid"></div>';
	subhtml = subhtml + '	<div class="overlay1 hideclass" id="overlayid1"></div>';
	subhtml = subhtml + '	<div class="overlay12 hideclass" id="overlayid2"></div>';
	subhtml = subhtml + '<div class="cendiv" id="sub_hs1"></div>';
	subhtml = subhtml + '<div class="cendiv" id="sub_hs">';
		subhtml = subhtml + '<div class="tcp1p " id="tcp1pid">';
			subhtml = subhtml + '<h2 class="tcpph2">Configure Your Specialty Plates or Cards<span class="lg_out" onclick="logout()">Logout</span><span class="lg_out wrapp" onclick="helpbtn4()">?</span></h2>';
			subhtml = subhtml +'<div class="tooltip hideclass" id="helpic4"><a href="javascript://void(0);" style="cursor: pointer;left: -2px !important;bottom: -2px !important;" id="closepopup1id" onclick="closehelpup()" class="clsic"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a><h3 class="popover-title" style="font-weight:400">If you have any questions selecting assays, please contact technical support. If you have any questions about configuring your Specialty Plates or Cards, please email <a href="mailto:Specialty_Plates@thermofisher.com" target="_top"> Specialty_Plates@thermofisher.com </a> or <a href="mailto:Specialty_Cards@thermofisher.com" target="_top"> Specialty_Cards@thermofisher.com</a></h3></div>';
			subhtml = subhtml + '<div class="sub_heading_outer">';
				
			subhtml = subhtml + '</div>';
						
			subhtml = subhtml + '<div class="tcp1psub">';
				subhtml = subhtml + '<div class="tcpcomdivpsubd">';
					subhtml = subhtml + '<div class="tcpcompsubd tcp1psub1m" id="tcpid1" onclick="neworder()">';
						subhtml = subhtml + '<img src="'+DNAPREP_PATH+'/images/neworderTCP.png" class="tcp1psub1i"/>';
						subhtml = subhtml + '<span class="tcpcomsubms">New Quote Request</span>';
					subhtml = subhtml + '</div>';
					subhtml = subhtml + '<div class="tcpcomdivpsubdtext">Submit a custom configuration to receive a quote for your Specialty Plates or Cards</div>';
				subhtml = subhtml + '</div>';
				subhtml = subhtml + '<div class="tcpcomdivpsubd">';
					subhtml = subhtml + '<div class="tcpcompsubd tcp1psub1m" id="tcpid2" onclick="assayliblary()">';
						subhtml = subhtml + '<img src="'+DNAPREP_PATH+'/images/assayliblaryTCP.png" class="tcp1psub1i"/>';
						subhtml = subhtml + '<span class="tcpcomsubms">My Assay Library</span>';
					subhtml = subhtml + '</div>';
					subhtml = subhtml + '<div class="tcpcomdivpsubdtext">View or modify assays to use on Specialty Plates or Cards</div>';
				subhtml = subhtml + '</div>';
				subhtml = subhtml + '<div class="tcpcomdivpsubd">';
				if(user_role == 'admin'){
					subhtml = subhtml + '<div class=" tcpcompsubd tcp1psub1m" id="tcpid3" onclick="prev_req()">';
						subhtml = subhtml + '<img src="'+DNAPREP_PATH+'/images/myorderTCP.png" />';
						subhtml = subhtml + '<span class="tcpcomsubms">Quote Requests</span>';
					subhtml = subhtml + '</div>';
					subhtml = subhtml + '<div class="tcpcomdivpsubdtext">View saved or submitted quote requests for Specialty Plates or Cards</div>';
					}else{
						subhtml = subhtml + '<div class=" tcpcompsubd tcp1psub1m" id="tcpid3" onclick="prev_req()">';
							subhtml = subhtml + '<img src="'+DNAPREP_PATH+'/images/myorderTCP.png" />';
							subhtml = subhtml + '<span class="tcpcomsubms">My Requests</span>';
						subhtml = subhtml + '</div>';
						subhtml = subhtml + '<div class="tcpcomdivpsubdtext">View saved or submitted quote requests for Specialty Plates or Cards</div>';
							
					}
				subhtml = subhtml + '</div>';
				subhtml = subhtml + '<div style="clear:both;"></div>';
			subhtml = subhtml + '</div>';
		subhtml = subhtml + '</div>';
		
		
	subhtml = subhtml + '</div>';
	$("#pex_home").html(subhtml);	
	$("#poiku").hide();	
	$("#poiku1").hide();
	$("#mrnidv").hide();
	$("#ckbx1").hide();
	$('#tcp5pb5').hide();
	$('#tcp5pb565').hide();
	$('#exportbtn').addClass("hideclass");
	$("#inner_overlay1").addClass("hideclass");
	}
	
	
	
	var addnewarrass = [];
	function cnfrm_cls(){
		
		 var changed_odr = readCookie('changed_order');
		if(changed_odr == null){
			
			
			save_pop("2");
		}else{
			$("#cnfrm_pop").removeClass("hideclass");
			$("#overlayid").removeClass('hideclass');
		}
	}
	function clse_cnfrm(){
		$("#cnfrm_pop").addClass("hideclass");
		$("#overlayid").addClass('hideclass');
	}
	function sub_nxt_html(){
		var sub_st_html = '';

sub_st_html = sub_st_html + '<div class="tcpnap hideclass" id="tcpnapid">';
			sub_st_html = sub_st_html + '<h2 class="tcpph2"><span class="lg_out" onclick="logout()">Logout</span><span class="lg_out" onclick="can_ord()">Back</span><span class="lg_out wrapp" onclick="helpbtn1()">?</span></h2>';
			sub_st_html = sub_st_html +'<div class="tooltip hideclass" id="helpic1"><a href="javascript://void(0);" style="cursor: pointer;left: -2px !important;bottom: -2px !important;"  onclick="closehelpup()" class="clsic"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a><h3 class="popover-title" style="font-weight:400">If you have any questions selecting assays, please contact technical support. If you have any questions about configuring your Specialty Plates or Cards, please email <a href="mailto:Specialty_Plates@thermofisher.com" target="_top"> Specialty_Plates@thermofisher.com </a> or <a href="mailto:Specialty_Cards@thermofisher.com" target="_top"> Specialty_Cards@thermofisher.com</a></h3></div>';
			
			
			
			sub_st_html = sub_st_html + '<span class="tcpcomphs">My Assay Library</span>';
			
		
			
			
			sub_st_html = sub_st_html + '<div style="width:100%;margin: 0 auto;">';
				sub_st_html = sub_st_html + '<div class="tcp4ptable" id="tcpnaptableid">';
					sub_st_html = sub_st_html + '<div class="tcp4ptdsub tcpnaptdsub" style="margin-bottom:15px;">';
						sub_st_html = sub_st_html + '<button style="cursor:pointer;position:relative;"class="tcp4pb" id="tcpnapb1">';
							sub_st_html = sub_st_html + '<input type="file" id="upld_file2" accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" onchange="getfile(this)"/>';
							sub_st_html = sub_st_html + 'Import Assay List';
						sub_st_html = sub_st_html + '</button>';
						sub_st_html = sub_st_html + '<a class="buttoncurrsor tcp4pb hideclass" id="exportbtn" onclick="export_assay()">Export Assay List</a>';
						sub_st_html = sub_st_html + '<button type="button" onclick="closelgnup(1)" class="buttoncurrsor tcp4pb" id="tcpnapb2">Add New Assay</button>';
						sub_st_html = sub_st_html + '<button type="button" onclick="remdelass()" class="buttoncurrsor tcp4pb hideclass" id="tcpnapb3">Remove</button>';
					
						
						sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
					sub_st_html = sub_st_html + '</div>';
					sub_st_html = sub_st_html + '<div class="" style=""><div class="fl_in_out"><a href="'+DNAPREP_PATH+'/csv/template.csv" >Download Import Template</a></div></div>';
					
					  sub_st_html = sub_st_html + '<div class="overlay1_2 hideclass" style="z-index:1006;" id="inner_overlay_1"><div class="spnr" ><img src="'+DNAPREP_PATH+'/images/spinner.gif" /><div>Please wait loading...</div></div></div>';
					
					
					sub_st_html = sub_st_html + '<div class="assay_libs_outercl" id="assay_libs_outer"><div class="assay_libscl" id="assay_libs"></div></div>';
					sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
					
				sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '</div>';
		sub_st_html = sub_st_html + '</div>';

		
		
		sub_st_html = sub_st_html + '<div class="tcp2p hideclass" id="tcp2pid">';
			
			
			
			var get_edit = readCookie('edit_add');
		if(get_edit != null){
			sub_st_html = sub_st_html + '<h2 id="hdr_t" class="tcpph2">Configure Your Specialty Plates or Cards<span class="lg_out" onclick="logout()">Logout</span><span class="lg_out can_ord_r hideclass" onclick="can_pop()">Cancel</span><span class="lg_out hme_ret " onclick="can_ord()">Home</span><span class="lg_out" onclick="helpbtn2()">?</span></h2>';
		}else{
			sub_st_html = sub_st_html + '<h2 id="hdr_t" class="tcpph2">Configure Your Specialty Plates or Cards<span class="lg_out" onclick="logout()">Logout</span><span class="lg_out can_ord_r" onclick="can_pop()">Cancel</span><span class="lg_out hme_ret hideclass" onclick="can_ord()">Home</span><span class="lg_out" onclick="helpbtn2()">?</span></h2>';
		}
			
			
			
			
			sub_st_html = sub_st_html +'<div class="tooltip hideclass" id="helpic2"><a href="javascript://void(0);" style="cursor: pointer;left: -2px !important;bottom: -2px !important;" id="closepopup1id" onclick="closehelpup()" class="clsic"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a><h3 class="popover-title" style="font-weight:400">If you have any questions selecting assays, please contact technical support. If you have any questions about configuring your Specialty Plates or Cards, please email <a href="mailto:Specialty_Plates@thermofisher.com" target="_top"> Specialty_Plates@thermofisher.com </a> or <a href="mailto:Specialty_Cards@thermofisher.com" target="_top"> Specialty_Cards@thermofisher.com</a></h3></div>';
			
			
			
			sub_st_html = sub_st_html + '<span class="tcpcomphs">New Configuration</span>';
			sub_st_html = sub_st_html + '<div class="textdivnew">Design your Specialty plates or cards</div>';
			
			
			sub_st_html = sub_st_html + '<div class="tcp1psub">';
				
					sub_st_html = sub_st_html + '<div class="tcpcomdivpsubd tcpcompsubd tcp2psubm tcp2psubmis" id="tcp2id1" onclick="well_plates_96(1)">';
						sub_st_html = sub_st_html + '<img src="'+DNAPREP_PATH+'/images/96wpTCP.png" class="tcp2psub1i"/>';
						sub_st_html = sub_st_html + '<span class="tcpcomsubms tcp2subspans">TaqMan® Array Plate</span>';
						sub_st_html = sub_st_html + '<span class="tcpcomsubms tcp2subspans">(96-well, Fast or Standard)</span>';
					sub_st_html = sub_st_html + '</div>';
					sub_st_html = sub_st_html + '<div class="tcpcomdivpsubd tcpcompsubd tcp2psubm" id="tcp2id2" onclick="well_plates_384(1)">';
						sub_st_html = sub_st_html + '<img src="'+DNAPREP_PATH+'/images/384wpTCP.png" class="tcp1psub1i"/>';
						sub_st_html = sub_st_html + '<span class="tcpcomsubms tcp2subspans">TaqMan® Array Plate</span>';
						sub_st_html = sub_st_html + '<span class="tcpcomsubms tcp2subspans">(384-well)</span>';
					sub_st_html = sub_st_html + '</div>';
					sub_st_html = sub_st_html + '<div class="tcpcomdivpsubd tcpcompsubd tcp2psubm" id="tcp2id3" onclick="taqman_array(1)">';
						sub_st_html = sub_st_html + '<img src="'+DNAPREP_PATH+'/images/tacTCP.png" />';
						sub_st_html = sub_st_html + '<span class="tcpcomsubms">TaqMan® Array Card</span>';
					sub_st_html = sub_st_html + '</div>';
					
					sub_st_html = sub_st_html + '<div class="tcpcomdivpsubd tcpcompsubd tcp2psubm hideclass" id="tcp2id4" onclick="well_plates_384_pgx(1)">';
						sub_st_html = sub_st_html + '<img src="'+DNAPREP_PATH+'/images/384wpTCP.png" class="tcp1psub1i"/>';
						sub_st_html = sub_st_html + '<span class="tcpcomsubms tcp2subspans">TaqMan® Array Plate</span>';
						sub_st_html = sub_st_html + '<span class="tcpcomsubms tcp2subspans">(384-well PGx/CF)</span>';
					sub_st_html = sub_st_html + '</div>';
					
				sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
			sub_st_html = sub_st_html + '</div>';
			
			
			
		sub_st_html = sub_st_html + '</div>';
		
		
		/* prev order html starts*/
  sub_st_html = sub_st_html + '<div class="tcp2p hideclass" id="prev_ord">';
   sub_st_html = sub_st_html + '<h2 class="tcpph2"><span class="lg_out" onclick="logout()">Logout</span><span class="lg_out" onclick="back_pge()">Back</span></h2>';
    if(user_role == 'admin'){
   sub_st_html = sub_st_html + '<span class="tcpcomphs pdb25">Quote Requests</span>';
	}else{
		sub_st_html = sub_st_html + '<span class="tcpcomphs pdb25">My Quote Requests</span>';
	}
   sub_st_html = sub_st_html + '<div id="prv_req"></div>';
  sub_st_html = sub_st_html + '</div>';
  /* prev order html ends*/
  
  /* prev order details html starts*/
  sub_st_html = sub_st_html + '<div class="tcp2p hideclass" id="prev_ord_dtls">';
   sub_st_html = sub_st_html + '<h2 class="tcpph2"><span class="lg_out" onclick="logout()">Logout</span><span class="lg_out" onclick="back_pge1()">Back</span></h2>';
    if(user_role == 'admin'){
	    sub_st_html = sub_st_html + '<span class="tcpcomphs1 pdb25">Quote Details</span>';
   }else{
	   sub_st_html = sub_st_html + '<span class="tcpcomphs1 pdb25">My Quote Details</span>';
   }
  
   
   
   
   sub_st_html = sub_st_html + '<div id="prv_req_dtls"></div>';
  sub_st_html = sub_st_html + '</div>';
  /* prev order details html ends*/
		
		
		sub_st_html = sub_st_html + '<div class="tcp3p hideclass" id="tcp3pid">';
			
			sub_st_html = sub_st_html + '</div>';
			
			sub_st_html = sub_st_html + '<div class="tcp4ptable hideclass" id="tcp4ptableid">';
			
			sub_st_html = sub_st_html + '<div class="sub_heading_outer_tabs">';
				sub_st_html = sub_st_html + '<div class="pdb10 fntsz14">';
					sub_st_html = sub_st_html + "Select the assays you would like to include on your array";
				sub_st_html = sub_st_html + '</div>';
				
			sub_st_html = sub_st_html + '</div>';
			
			
				sub_st_html = sub_st_html + '<div class="tcp4ptdsub">';
					
					sub_st_html = sub_st_html + '<button type="button" onclick="closelgnup(0)" class="buttoncurrsor tcp4pb" id="tcp4pb3">Add New Assay</button>';
					sub_st_html = sub_st_html + '<button type="button" onclick="assayliblary1(); " class="buttoncurrsor tcp4pb" id="tcp4pb2">Select from My Assay Library</button>';
					
					sub_st_html = sub_st_html + '<button type="button" onclick="remngh()" class="buttoncurrsor tcp4pb" id="poiku">Remove</button>';
					
					sub_st_html = sub_st_html + '<button type="button" onclick="rsomall()" class="buttoncurrsor tcp4pb" id="poiku1">Remove</button>';
					
					sub_st_html = sub_st_html + '<button type="button" class="buttoncurrsor tcp4pb hideclass" id="tcp4pb4">Remove Assay</button>';
					sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
				sub_st_html = sub_st_html + '</div>';
				/*sub_st_html = sub_st_html + '<div class="mrgb20"><span><input type ="checkbox" name="pre_plte_Assy" id="pre_populate1" onchange="prepopul_id1()"/></span>Check here if you would like your assays to be pre-populated into your array</div>';*/
				sub_st_html = sub_st_html + '<div class="mrgb20"><span><input type ="checkbox" name="pre_plte_Assy" id="pre_populate" onchange="prepopul_id()"/></span>Check here if you would like your assays to be pre-populated into your array</div>';
				sub_st_html = sub_st_html + '<div id="counts_assays"></div>';
				
				sub_st_html = sub_st_html + '<div class="assay_libs_outercl" id="assay_libs_outer2">';
					sub_st_html = sub_st_html + '<div class="" id="assay_libs2">';
						sub_st_html = sub_st_html + '<div id="popdatagettable" >';
							/* sub_st_html = sub_st_html + '<div style="font-size:17px;">Add new assay or Select from liblary1</div>'; */
							
						sub_st_html = sub_st_html + '</div>';
					sub_st_html = sub_st_html + '</div>'
				sub_st_html = sub_st_html + '</div>'
				sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
				
				
				
				
				
				
				
				sub_st_html = sub_st_html +	'<div style="margin-top:30px;"><a style="margin: 0px 0px 20px;" href="javascript://void(0)" class="flt newlnkstle frmt btncels btncels3 lg_out" onclick="assay_slt_frmt(1)">Prev</a><a href="javascript://void(0)" class="frt newlnkstle frmt btncels lg_out" onclick="tcp4button(1)">Next </a>';
				
				var get_edit = readCookie('edit_add');
				sub_st_html = sub_st_html +	'<div class="rep_save"></div>';
	if(get_edit != null){
		
		sub_st_html = sub_st_html +	'<div id=""  class="drft_algn drft_algn_d">';
		sub_st_html = sub_st_html +	'<span class="sv_dft1" href="javascript://void(0)" class="newlnkstle frmt btncels btncels3 " onclick="cnfrm_cls()">Save & Close</span></div>';
	}else{
		sub_st_html = sub_st_html +	'<span class="sv_dft" href="javascript://void(0)" class="newlnkstle frmt btncels btncels3 " onclick="save_pop(0)">Save Draft</span>';
	}
				sub_st_html = sub_st_html + '</div>';
				
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '<div class="hideclass" id="tcp4newptableid">';

			sub_st_html = sub_st_html + '<div style="padding-bottom:20px;">';
			sub_st_html = sub_st_html + '<span class="tlts" style="display:inline;margin-right:40px;">Enter Study Name</span>';
				sub_st_html = sub_st_html + '<input type="text" style="display:inline" name="entquantity" id="study_name" class="tcp6ptabtext textinputcom wdth190px" value="" placeholder="Study Name" maxlength="24">';
				sub_st_html = sub_st_html + '</div>';
				sub_st_html = sub_st_html + '<div id="study_name_err" class="err_msg"></div>'
				sub_st_html = sub_st_html + '<div>';
				sub_st_html = sub_st_html + '<span class="tlts" style="display:inline;margin-right:40px;width: 150px !important;">Enter the Quantity</span>';
				sub_st_html = sub_st_html + '<input type="text" style="display:inline" name="entquantity" id="ent_quan" class="tcp6ptabtext textinputcom wdth190px" value="" placeholder="e.g.,minimum order qty">';
				sub_st_html = sub_st_html + '</div>';
				
				sub_st_html = sub_st_html + '<div id="ent_quan_err" class="err_msg"></div>';
				
				
				
				
				
			//	sub_st_html = sub_st_html + '<div id="ent_quan_err" class="err_msg"></div>';
			//	sub_st_html = sub_st_html + '</div>';
				
//}
sub_st_html = sub_st_html + '<div class="hideclass" id="quantity_type">';
				sub_st_html = sub_st_html + '<div class="tlts" style="float:left;padding: 5px 40px 15px 0px;">Select Application</div>';
				sub_st_html = sub_st_html + '<div style="float:left;">';
				sub_st_html = sub_st_html + '<div><input type="checkbox" name="application" onclick="selectOnlyThis(this)" class="app_chk_bx" value="Gene Expression" checked >Gene Expression</div>';
				sub_st_html = sub_st_html + '<div><input type="checkbox" name="application" onclick="selectOnlyThis(this)" class="app_chk_bx" value="SNP" >SNP</div>';
				sub_st_html = sub_st_html + '<div><input type="checkbox" name="application" onclick="selectOnlyThis(this)" class="app_chk_bx" value="Advanced miRNA">Advanced miRNA</div>';
				sub_st_html = sub_st_html + '<div><input type="checkbox" name="application" onclick="selectOnlyThis(this)" class="app_chk_bx" value="Copy Number">Copy Number</div>';
				sub_st_html = sub_st_html + '<div><input type="checkbox" name="application" onclick="selectOnlyThis(this)" class="app_chk_bx" value="miRNA" >miRNA</div>';
				sub_st_html = sub_st_html + '<div><input type="checkbox" name="application" onclick="selectOnlyThis(this)" class="app_chk_bx" value="Mutation Detection">Mutation Detection</div>';
				sub_st_html = sub_st_html + '<div><input type="checkbox" name="application" onclick="selectOnlyThis(this)" class="app_chk_bx" value="Other">Other</div>';
				sub_st_html = sub_st_html + '</div>';
				sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
				sub_st_html = sub_st_html + '<div id="tcp4newcheckno_err" class="err_msg"></div>';
				
				
				sub_st_html = sub_st_html + '<div id="mrnidv" style="padding-bottom:20px;display: none;">';
				sub_st_html = sub_st_html + '<div class="tlts" style="float:left;padding: 5px 27px 15px 0px;">Select Product Type</div>';
				
				sub_st_html = sub_st_html + '<div style=" float: left"><select name="Select_Product_Type" id="selctplat" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;text-transform: capitalize;" onchange="selectprodctThis()"><option value="TaqMan® Advanced miRNA Assays">TaqMan® Advanced miRNA Assays</option><option value="TaqMan® MicroRNA Assays">TaqMan® MicroRNA Assays</option></select></div>';
				
				sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
				sub_st_html = sub_st_html + '</div>';
				
				sub_st_html = sub_st_html + '<span class="tlts" style="display:inline;margin-right:40px;width: 150px !important;">Special Request</span>';
				sub_st_html = sub_st_html + '<input type="text" style="display:inline;margin-left:11px;" name="splreq" id="spl_req" class="tcp6ptabtext textinputcom wdth190px" value="" placeholder="special request">';
				
				
				sub_st_html = sub_st_html + '<div id="place_ord_plttype" style="padding-bottom:20px;">';
				
				sub_st_html = sub_st_html + '<div id="tcp4newpselect_err" class="err_msg"></div>';
				sub_st_html = sub_st_html + '</div>';
				
				
				sub_st_html = sub_st_html + '<div class="tlts" style="float:left;padding: 5px 35px 15px 0px;">Select reaction volume</div>';
				
				/* var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
	 console.log(get_rstr_cookie);
		
		if(get_rstr_cookie != ''){
			get_rstr_cookie = JSON.parse(get_rstr_cookie);
		} */
				sub_st_html = sub_st_html + '<div id="volume_assay" style="float:left;">';
				sub_st_html = sub_st_html + '<select name="select_plate_type" id="fillreactvol" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;" ><option value="2.5 uL">2.5 uL</option><option value="5 uL" >5 uL</option><option value="10 uL" >10 uL</option><option value="20 uL" selected>20 uL</option><option value="25 uL">25 uL</option></select>';
					
				
				sub_st_html = sub_st_html + '</div>';
				
				
				
				
				sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
				
				sub_st_html = sub_st_html + '<div id="premlpoi" style="padding-top:20px;">';
				sub_st_html = sub_st_html + '<div id="ckbx"><input type="checkbox" id="premp" name="chkmbx" onclick="selectchkbx(this)" class="app_chk_bx" value="Include PreAmp Pool">Include PreAmp Pool</div>';
				sub_st_html = sub_st_html + '<div id="ckbx1"><input type="checkbox" id="rtpool" name="chkmbx" onclick="selectchkbx(this)" class="app_chk_bx" value="Include RT Pool">Include RT Pool</div>';
				sub_st_html = sub_st_html + '</div>';
				
				
				sub_st_html = sub_st_html + '<div id="fillreactvol_err" class="err_msg"></div>';
				
				sub_st_html = sub_st_html + '</div>';
				
				
				sub_st_html = sub_st_html +	'<div class="" style="margin-top:30px;"><a style="margin: 0px 0px 20px;" href="javascript://void(0)" class="flt newlnkstle frmt btncels btncels3 lg_out" onclick="tcp4button(1)">Prev</a><a href="javascript://void(0)" class="frt newlnkstle frmt btncels lg_out" onclick="tcp5button()">Next </a>';
				
				sub_st_html = sub_st_html +	'<div class="rep_save"></div>';
				var get_edit = readCookie('edit_add');
	if(get_edit != null){
		
		sub_st_html = sub_st_html +	'<div id="" class="drft_algn drft_algn_d">';
		sub_st_html = sub_st_html +	'<span class="sv_dft1" href="javascript://void(0)" class="newlnkstle frmt btncels btncels3 " onclick="cnfrm_cls()">Save & Close</span></div>';
	}else{
		sub_st_html = sub_st_html +	'<span class="sv_dft" href="javascript://void(0)" class="newlnkstle frmt btncels btncels3 " onclick="save_pop(0)">Save Draft</span>';
	}
				
				
				sub_st_html = sub_st_html + '</div>';
				
				
				
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '<div class="tcp5ptable hideclass" id="tcp5ptableid">';
			
			sub_st_html = sub_st_html + '<div class="sub_heading_outer_tabs">';
				sub_st_html = sub_st_html + '<div class="pdb10 fntsz14">';
					sub_st_html = sub_st_html + 'Drag and drop assays from your assay list to the array map to arrange your layout';
				sub_st_html = sub_st_html + '</div>';
				
			sub_st_html = sub_st_html + '</div>';
			

				sub_st_html = sub_st_html + '<div class="tcp5ptdsub">';
					sub_st_html = sub_st_html + '<button type="button" onclick="copy_config_assay()" class="buttoncurrsor tcp5pb" id="tcp5pb1">Copy</button>';
					sub_st_html = sub_st_html + '<button type="button" onclick="paste_config_assay()" class="buttoncurrsor tcp5pb" id="tcp5pb2">Paste</button>';
					sub_st_html = sub_st_html + '<button type="button" onclick="delete_config_assay()" class="buttoncurrsor tcp5pb" id="tcp5pb3">Clear</button>';
					sub_st_html = sub_st_html + '<button type="button" onclick="zoomtable()" class="buttoncurrsor tcp5pb" id="tcp5pb6">Zoom</button>';
				//	sub_st_html = sub_st_html + '<button type="button" onclick="zoomtable1()" class="buttoncurrsor tcp5pb" id="tcp5pb656">Zoom</button>';
					sub_st_html = sub_st_html + '<button type="button" onclick="mintable()" class="buttoncurrsor tcp5pb" id="tcp5pb5">Minimize</button>';
				//	sub_st_html = sub_st_html + '<button type="button" onclick="mintable1()" class="buttoncurrsor tcp5pb" id="tcp5pb565">Minimize</button>';
					sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
				sub_st_html = sub_st_html + '</div>';
				sub_st_html = sub_st_html + '<div class="tcp5ptdsub1" id="sltd_assay">';
					
				sub_st_html = sub_st_html + '</div>';
				
				sub_st_html = sub_st_html + '<div style="width: 80%;overflow: auto;max-height:564px;">';
				
				sub_st_html = sub_st_html + '<div class="tcp5ptdsub2" id="assay_table">';
				
					
				sub_st_html = sub_st_html + '</div>';
				
				sub_st_html = sub_st_html + '</div>';
				
				sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
				
				sub_st_html = sub_st_html +	'<div style="margin-top:30px;"><a style="margin: 0px 0px 20px;" href="javascript://void(0)" class="flt newlnkstle frmt btncels btncels3 lg_out" onclick="topmk()">Prev</a><a href="javascript://void(0)" class="frt newlnkstle frmt btncels lg_out" id="frtnxt" onclick="tcp4newbutton(1)">Next </a>';
				sub_st_html = sub_st_html +	'<div class="rep_save"></div>';
				var get_edit = readCookie('edit_add');
	if(get_edit != null){
		
		sub_st_html = sub_st_html +	'<div id="" class="drft_algn drft_algn_d">';
		sub_st_html = sub_st_html +	'<span class="sv_dft1" href="javascript://void(0)" class="newlnkstle frmt btncels btncels3 " onclick="cnfrm_cls()">Save & Close</span></div>';
	}else{
		sub_st_html = sub_st_html +	'<span class="sv_dft" href="javascript://void(0)" class="newlnkstle frmt btncels btncels3 " onclick="save_pop(0)">Save Draft</span>';
	}
				
				sub_st_html = sub_st_html + '</div>';
				
			sub_st_html = sub_st_html + '</div>';
			
			sub_st_html = sub_st_html + '<div class="tcp6ptable hideclass" id="tcp6ptableid">';
			sub_st_html = sub_st_html + '<div class="sub_heading_outer_tabs">';
				sub_st_html = sub_st_html + '<div class="pdb10 fntsz14">';
					sub_st_html = sub_st_html + 'Provide your contact information, shipping address, and confirm your request.  After you submit request, a Thermo Fisher Scientific representative will follow up with you and provide you with a quote and ordering instructions.';
				sub_st_html = sub_st_html + '</div>';
				
			sub_st_html = sub_st_html + '</div>';
				sub_st_html = sub_st_html + '<span class="tcpcomphs">Contact and Shipping</span>';
				sub_st_html = sub_st_html + '<div class="tcp6ptabsub">';
					sub_st_html = sub_st_html + '<div class="tcp6ptabsub1">';
						sub_st_html = sub_st_html + '<div class="tcp6ptext flt">Company/Institution</div>';
						sub_st_html = sub_st_html + '<span class="dflt_addr"><input type="checkbox"  id="set_dfltt"/>Save contact information</span>';
						sub_st_html = sub_st_html + '<input type="text" name="companyname" id="cmpy_name" class="tcp6ptabtext textinputcom" value="">';
						sub_st_html = sub_st_html + '<div id="cmpy_name1" class="err_msg hideclass"></div>';
						sub_st_html = sub_st_html + '<div class="tcp6ptext">Contact Name</div>';
						sub_st_html = sub_st_html + '<input type="text" name="contactname" id="cntct_name"  class="tcp6ptabtext textinputcom" value="">';
						sub_st_html = sub_st_html + '<div id="cntct_name1" class="err_msg hideclass"></div>';
						sub_st_html = sub_st_html + '<div class="tcp6ptext ">Shipping Address</div>';
						
						sub_st_html = sub_st_html + '<textarea rows="3" cols="10" id="shpg_addr" class="tcp6ptabtextarea textinputcom" value=""></textarea>';
						sub_st_html = sub_st_html + '<div id="shpg_addr1" class="err_msg hideclass"></div>';
						sub_st_html = sub_st_html + '<div class="tcp6ptext">Email</div>';
						sub_st_html = sub_st_html + '<input type="text" name="contactname" id="email_plce" class="tcp6ptabtext textinputcom" value="">';
						sub_st_html = sub_st_html + '<div id="email_plce1" class="err_msg hideclass"></div>';
						sub_st_html = sub_st_html + '<div class="tcp6ptext">Phone</div>';
						sub_st_html = sub_st_html + '<input type="text" name="contactname" id="ph_plce" class="tcp6ptabtext textinputcom" value="">';
						sub_st_html = sub_st_html + '<div id="ph_plce1" class="err_msg hideclass"></div>';
					
						sub_st_html = sub_st_html + '<input type="submit" value="Request Quote" onclick="register_starts()" class="buttoncurrsor tcp6psubmit rt_qte" >';
						sub_st_html = sub_st_html +	'<div style="margin-top:90px;"><a style="margin: 0px 0px 0px;" href="javascript://void(0)" class="flt newlnkstle frmt btncels btncels3 lg_out" onclick="tcp4newbutton(1)">Prev</a>';
						sub_st_html = sub_st_html + '</div>';
					sub_st_html = sub_st_html + '</div>';
					sub_st_html = sub_st_html + '<div class="tcp6ptabsub2">';
						sub_st_html = sub_st_html + '<div class="tcp6ptabsub2d">';
							sub_st_html = sub_st_html + '<div class="tcp6ptabsub2dd">Request Summary</div>';
							sub_st_html = sub_st_html + '<div>';
								sub_st_html = sub_st_html + '<span class="tcp6ptabsub2dscom tcp6ptabsub2ds" style="width:300px;" id="plc_ttke"></span>';
								
								sub_st_html = sub_st_html + '<span class="tcp6ptabsub2dscom tcp6ptabsub2ds">Format</span>';
								sub_st_html = sub_st_html + '<span class="tcp6ptabsub2dscom tcp6ptabsub2ds1 tcp6ptabsub2ds1c" id="plc_frmt" ></span>';
							sub_st_html = sub_st_html + '</div>';
							sub_st_html = sub_st_html + '<div>';
								sub_st_html = sub_st_html + '<span class="tcp6ptabsub2dscom tcp6ptabsub2ds">Qty</span>';
							
								sub_st_html = sub_st_html + '<span class="tcp6ptabsub2dscom tcp6ptabsub2ds1" id="plc_qty"></span>';
							sub_st_html = sub_st_html + '</div>';
							sub_st_html = sub_st_html + '<div>';
								sub_st_html = sub_st_html + '<span class="tcp6ptabsub2dscom tcp6ptabsub2ds">Application</span>';
							
								sub_st_html = sub_st_html + '<span class="tcp6ptabsub2dscom tcp6ptabsub2ds1" id="plc_app"></span>';
							sub_st_html = sub_st_html + '</div>';
							sub_st_html = sub_st_html + '<div>';
								sub_st_html = sub_st_html + '<span class="tcp6ptabsub2dscom tcp6ptabsub2ds">Plate type</span>';
							
								sub_st_html = sub_st_html + '<span class="tcp6ptabsub2dscom tcp6ptabsub2ds1" id="plc_type"></span>';
							sub_st_html = sub_st_html + '</div>';
							
						sub_st_html = sub_st_html + '</div>';
					sub_st_html = sub_st_html + '</div>';
					sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
				sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '<div class="hideclass" id="tcpfinalpid">';
			
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '</div>';
			
		sub_st_html = sub_st_html + '</div>';
		
		/***POPUP NEW***/
		sub_st_html = sub_st_html + '<div class="showpopup popupcnfrm closepop hideclass topalign1" id="closepopid1">';
			sub_st_html = sub_st_html + 		'<div class="loginpop1 assy_lib_slt" id="logpop1">';
				sub_st_html = sub_st_html + 		'<div class="askjmbj">';
					sub_st_html = sub_st_html + '<div class="popup_hdr" id="" >Select Assay From My Assay Library <span class="popcancel" onclick="closepopup1()">Close</span></div>';
					
					
					sub_st_html = sub_st_html + '<div class="tcp4ptable" id="tcpnaptableid"><div style="position:relative;width:100%;padding-top:50px;"><div id="assay_libs_outer1"><div class="assay_libscl" id="assay_libs1"></div><div style="text-align:center" class="hideclass" id="gocheckid"><button type="button" id="getdatapopid" class="feateurgo button" >Go &gt;</button></div></div></div></div>';
				sub_st_html = sub_st_html + 		'</div>';
				sub_st_html = sub_st_html + '<div style="font-weight:bold"><span id="slctassyno">0</span> out of <span id="totasya"></span> assays have been selected</div>';
				
			sub_st_html = sub_st_html + '</div>';
			
			sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
		sub_st_html = sub_st_html + '</div>';
		/***END***/
		
		/*** confrm POPUP NEW***/
		
		
		sub_st_html = sub_st_html + '<div id="cnfrm_pop" class="hideclass">';
			sub_st_html = sub_st_html +'<div style="text-align:center;">';
				sub_st_html = sub_st_html +'<a href="javascript://void(0);" id="closepopup1id" onclick="clse_cnfrm()" class="clsic_rm"><img src="'+DNAPREP_PATH+'/images/close.png"></a>';
				sub_st_html = sub_st_html + '<div class="rm_pp" style="padding-bottom:20px;">Do you want to save the changes for this order ?</div>';
				
			sub_st_html = sub_st_html + '<div class="txt_algn_cntr"><span class="rm_pp_btn" onclick="save_pop(2)">Save</span><span class="rm_pp_btn" onclick="clse_cnfrm()">Close</span></div>';
		sub_st_html = sub_st_html + '</div>';
		sub_st_html = sub_st_html + '</div>';
		/***END***/
		
		
		/*** draft POPUP NEW***/
		
		
		sub_st_html = sub_st_html + '<div id="draft_popup" class="hideclass">';
			sub_st_html = sub_st_html +'<div style="text-align:center;">';
				sub_st_html = sub_st_html +'<a href="javascript://void(0);" id="closepopup1id" onclick="clse_qnty_pop1()" class="clsic_rm"><img src="'+DNAPREP_PATH+'/images/close.png"></a>';
				sub_st_html = sub_st_html + '<div class="rm_pp" style="padding-bottom:20px;">Enter Study Name</div>';
				sub_st_html = sub_st_html + '<div class="rm_pp"><input type="text" id="namedraft" value=""/></div>';
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '<div class="txt_algn_cntr"><span class="rm_pp_btn" onclick="save_drft(0)">Save</span></div>';
		sub_st_html = sub_st_html + '</div>';
		/***END***/
		
		/*** cancel POPUP NEW***/
		
		
		sub_st_html = sub_st_html + '<div id="can_popup" class="hideclass">';
			sub_st_html = sub_st_html +'<div style="text-align:center;">';
				sub_st_html = sub_st_html +'<a href="javascript://void(0);" id="closepopup1id" onclick="clse_qnty_pop2()" class="clsic_rm"><img src="'+DNAPREP_PATH+'/images/close.png"></a>';
				sub_st_html = sub_st_html + '<div class="rm_pp" style="padding-bottom:20px;">Are you sure you want to cancel this request?</div>';
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '<div class="txt_algn_cntr"><span class="rm_pp_btn" onclick="can_ord()">Yes</span><span class="rm_pp_btn" onclick="clse_qnty_pop2()">No</span></div>';
		sub_st_html = sub_st_html + '</div>';
		/***END***/
		
		
		/*** cancel POPUP NEW***/
		
		
		sub_st_html = sub_st_html + '<div id="dltordr_popup" class="hideclass">';
			sub_st_html = sub_st_html +'<div style="text-align:center;">';
				sub_st_html = sub_st_html +'<a href="javascript://void(0);" id="closepopup1id" onclick="clse_dltordr_pop2()" class="clsic_rm"><img src="'+DNAPREP_PATH+'/images/close.png"></a>';
				sub_st_html = sub_st_html + '<div class="rm_pp" style="padding-bottom:20px;">Are you sure you want to delete this Order?</div>';
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '<div class="txt_algn_cntr"><span id="dltordr" class="rm_pp_btn" onclick="">Yes</span><span class="rm_pp_btn" onclick="clse_dltordr_pop2()">No</span></div>';
		sub_st_html = sub_st_html + '</div>';
		/***END***/
		
		
		
		/*** well POPUP NEW***/
		
		
		sub_st_html = sub_st_html + '<div id="well_assy_popup" class="hideclass">';
			sub_st_html = sub_st_html +'<div>';
				sub_st_html = sub_st_html +'<a href="javascript://void(0);" id="closepopup1id" onclick="clse_qnty_pop()" class="clsic_rm"><img src="'+DNAPREP_PATH+'/images/close.png"></a>';
				sub_st_html = sub_st_html + '<div class="rm_pp">Some of the wells in your array do not have assays assigned.  Are you sure you want to proceed?</div>';
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '<div class="txt_algn_cntr"><span class="rm_pp_btn" onclick="go_quantity(1)">Yes</span><span class="rm_pp_btn" onclick="clse_qnty_pop()">No</span></div>';
		sub_st_html = sub_st_html + '</div>';
		/***END***/
		
		/*** TAMRA POPUP NEW***/
		
		
		sub_st_html = sub_st_html + '<div id="tamra_warning" class="hideclass">';
			sub_st_html = sub_st_html +'<div>';
				sub_st_html = sub_st_html +'<a href="javascript://void(0);" id="closepopup1id" onclick="close_warn1()" class="clsic_rm"><img src="'+DNAPREP_PATH+'/images/close.png"></a>';
				sub_st_html = sub_st_html + '<div class="rm_pp">TAMRA is not recommended for the StepOne instrument.</div>';
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '<div class="txt_algn_cntr"><span class="rm_pp_btn" onclick="close_warn()">Ok</span></div>';
		sub_st_html = sub_st_html + '</div>';
		/***END***/
		
		
		/***remove POPUP NEW***/
		sub_st_html = sub_st_html + '<div id="rmve_assay" class="hideclass">';
			sub_st_html = sub_st_html +'<div>';
				sub_st_html = sub_st_html +'<a href="javascript://void(0);" id="closepopup1id" onclick="clse_rm_pop()" class="clsic_rm"><img src="'+DNAPREP_PATH+'/images/close.png"></a>';
				sub_st_html = sub_st_html + '<div class="rm_pp">Would you like to delete this assay from My Assay Library?</div>';
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '<div class="txt_algn_cntr"><span class="rm_pp_btn" id="remove_ay">Yes</span><span class="rm_pp_btn" onclick="clse_rm_pop()">No</span></div>';
		sub_st_html = sub_st_html + '</div>';
		/***END***/
		
		/***remove POPUP NEW***/
		sub_st_html = sub_st_html + '<div id="rmve_select_assay" class="hideclass">';
			sub_st_html = sub_st_html +'<div>';
				sub_st_html = sub_st_html +'<a href="javascript://void(0);" id="closepopup1id" onclick="clse_rmasy_pop()" class="clsic_rm"><img src="'+DNAPREP_PATH+'/images/close.png"></a>';
				sub_st_html = sub_st_html + '<div class="rm_pp">Would you like to delete this assay from Select List ?</div>';
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '<div class="txt_algn_cntr"><span class="rm_pp_btn" id="remove_sltd_assay" >Yes</span><span class="rm_pp_btn" onclick="clse_rmasy_pop()">No</span></div>';
		sub_st_html = sub_st_html + '</div>';
		/***END***/
		
		/***remove POPUP NEW***/
		sub_st_html = sub_st_html + '<div id="rmve_select_assaydd" class="hideclass">';
			sub_st_html = sub_st_html +'<div>';
				sub_st_html = sub_st_html +'<a href="javascript://void(0);" id="closepopup1id" onclick="clse_rmasy_popup()" class="clsic_rm"><img src="'+DNAPREP_PATH+'/images/close.png"></a>';
				sub_st_html = sub_st_html + '<div class="rm_pp">Would you like to remove assay <span id="remvnassy"></span>from your array?</div>';
			sub_st_html = sub_st_html + '</div>';
			sub_st_html = sub_st_html + '<div class="txt_algn_cntr"><span class="rm_pp_btn" id="remove_sltd_assaypop" >Yes</span><span class="rm_pp_btn" onclick="clse_rmasy_popup()">No</span></div>';
		sub_st_html = sub_st_html + '</div>';
		/***END***/
		
		
		/*****new pop*****/
		sub_st_html = sub_st_html + '<div class="showpopup popupcnfrm closepop hideclass topalign " id="closepopid2">';
		sub_st_html = sub_st_html + '<div class="" id="logpop2">';
		
		sub_st_html = sub_st_html +'<a href="javascript://void(0);" id="closepopup1id" onclick="remdelasscl()" class="clsic_rm"><img src="'+DNAPREP_PATH+'/images/close.png"></a>';
		sub_st_html = sub_st_html +	'<div class="rm_pp">Selected assay has already been added to a plate/array configuration and cannot be deleted.</div>';
			
			sub_st_html = sub_st_html + '<div class="txt_algn_cntr"><span class="rm_pp_btn" onclick="remdelasscldel()" >Ok</span><span class="rm_pp_btn" onclick="remdelasscl()">Cancel</span></div>';
			
			
		sub_st_html = sub_st_html + '</div>';
		sub_st_html = sub_st_html + '</div>';
		/********end pop********/
		
		sub_st_html = sub_st_html + '<div class="showpopup popupcnfrm closepop hideclass topalign " id="closepopid">';
		sub_st_html = sub_st_html + '<div class="loginpop prevlog pst_fxd" id="logpop" style="width: auto">';
			/*sub_st_html = sub_st_html +	'<a href="javascript://void(0);" onclick="closepopup()" class="clsic"><span class="cls_pp">Close</span></a>';*/
			sub_st_html = sub_st_html + '<div class="tcp4pdiv">';
				sub_st_html = sub_st_html + '<div class="sub_heading_outer_popup">';
					sub_st_html = sub_st_html + '<div class="pdb10 fntsz14">';
						sub_st_html = sub_st_html + 'Add New Assay';
					sub_st_html = sub_st_html + '</div>';
				sub_st_html = sub_st_html + '</div>';
				
				sub_st_html = sub_st_html + '<div class="tcp4pdivradio">';
					sub_st_html = sub_st_html + '<div class="tcp4pdivradio1"><input type="radio" name="createpreass" id="preassid" class="cusradio" onclick="prev_assay()" value="preassay" checked="checked"/><span class="cusradiosp" onclick="prev_assay()">Existing Assay</span></div>';
					sub_st_html = sub_st_html + '<div class="tcp4pdivradio1"><input type="radio" name="createcusass" id="cusassid" class="cusradio" onclick="cust_assay()" value="cusassay" /><span class="cusradiosp" onclick="cust_assay()">Assay with Custom Configuration</span></div>';
					sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
				sub_st_html = sub_st_html + '</div>';
				
				
				sub_st_html = sub_st_html + '<div style="clear:both"></div>';
  sub_st_html = sub_st_html + '<div id="tcp4pdivlogi" class="popup_inner">';
					sub_st_html = sub_st_html + '<div class="tcp4pdiv1 tcp4pdivcomid" id="tcp4pdiv1id">';
						sub_st_html = sub_st_html + '<div class="tcp6ptext" id="add_new_chnge">Assay ID</div>';
						sub_st_html = sub_st_html + '<input type="text" id="assay_name" name="AassayIDName" class="tcp6ptabtext tcp4pdivtabtext textinputcom" placeholder="e.g., MyTumorTypeA" value="">';
						sub_st_html = sub_st_html + '<div id="err_ayne" class="err_msg"></div>';
						sub_st_html = sub_st_html + '<div class="tcp6ptext " id="tcp6ptext_gene_symbl">Target Name</div>';
						sub_st_html = sub_st_html + '<input type="text" id="gene_symbl" name="AassayIDName" class="tcp6ptabtext tcp4pdivtabtext textinputcom " placeholder="e.g., BRCA1" value="">';
						sub_st_html = sub_st_html + '<div id="err_gesl" class="err_msg "></div>';
					sub_st_html = sub_st_html + '</div>';
					sub_st_html = sub_st_html + '<div class="tcp4pdiv2 tcp4pdivcomid" id="tcp4pdiv2id">';
						sub_st_html = sub_st_html + '<div class="tcp6ptext">Special notes about this assay</div>';
						sub_st_html = sub_st_html + '<textarea id="assay_nts" rows="3" cols="10" class="tcp6ptabtextarea tcp4pdivtabtextarea textinputcom"></textarea>';
						sub_st_html = sub_st_html + '<div id="err_aynt" class="err_msg"></div>';
					sub_st_html = sub_st_html + '</div>';
					sub_st_html = sub_st_html + '<div style="clear:both;"></div>';
					sub_st_html = sub_st_html + '<div class="tcp4pdivtext hideclass" id="tcp4pdivtextid">';
						sub_st_html = sub_st_html + '<div id="ppset1">Probe/Primer Set 1</div>';
						sub_st_html = sub_st_html + '<a href="javascript://void(0);" style="margin-left: 20px !important;" onclick="propriset()" class="areptdiv areptdivact" id="areptdivid">Add Probe/Primer Set</a>';
						sub_st_html = sub_st_html + '<div class="probesset" id="proprisetsubid1">';
						sub_st_html = sub_st_html + '<div id="tcp4pdivhid">';
							sub_st_html = sub_st_html + '<div class="tcp4pdivsub getproble" id="tcp4pdivsubid1">';
								sub_st_html = sub_st_html + '<div class="tcp4pdivsub1" id="tcp4pdivsub1id1">Probe</div>';
								sub_st_html = sub_st_html + '<div class="tcp4pdivsub2">';
									sub_st_html = sub_st_html + '<input type="text" id="tcp4pdivsub2idf1" name="probe1text" class="tcp4pdivsub2com tcp4pdivsub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="" onblur="check_seq_prob(1,0)">';
									sub_st_html = sub_st_html + '<span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
									sub_st_html = sub_st_html + '<input type="text" id="tcp4pdivsub2ids1"  name="probe1text1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdivsub2text2 textinputcom" placeholder="250">';
									sub_st_html = sub_st_html + '<span  id="tcp4pdivsub2ids_s1" class="commonnm">nM</span>';
									sub_st_html = sub_st_html + '<select name="FAMVALUE" id="tcp4pdivsub2idt1" class="tcp4pdivsub2com tcp4pdivsub2text2"><option value="6FAM">6FAM</option><option value="VIC">VIC</option><option value="TET">TET</option><option value="NED">NED</option><option value="ABY">ABY</option><option value="JUN">JUN</option><option value="other">other</option></select>';
									sub_st_html = sub_st_html + '<select  name="MGBVALUE" id="tcp4pdivsub2ido1" class="tcp4pdivsub2com tcp4pdivsub2text2"><option value="MGB-NFQ">MGB-NFQ</option><option value="TAMRA">TAMRA</option><option value="QSY">QSY</option></select>';
									sub_st_html = sub_st_html + '<div id="prb_err1" class="err_msg"></div>';
								sub_st_html = sub_st_html + '</div>';
								sub_st_html = sub_st_html + '<div style="display:block;clear:both;"></div>';
							sub_st_html = sub_st_html + '</div>';
							sub_st_html = sub_st_html + '<div id="tcp4pdivsubrep" class="tcp4pdivsubrepcl"></div>';
							sub_st_html = sub_st_html + '<a href="javascript://void(0);" onclick="repeat_div(1)" class="areptdiv areptdivact" id="areptdivid" style="margin-bottom: 20px;">Add Probe</a>';
						sub_st_html = sub_st_html + '</div>';
						sub_st_html = sub_st_html + '<div class="tcp4pdiv1sub">';
							sub_st_html = sub_st_html + '<div class="tcp4pdiv1sub2" id="tcp4pdiv1sub2id1">';
								sub_st_html = sub_st_html + '<div class="primetextcl" id="primetext1">Primer</div>';
								sub_st_html = sub_st_html + '<div id="revrepdivrn1" class="getpremier revrepdivr1cl">';
									sub_st_html = sub_st_html + '<div class="tcp4pdiv1sub1">';
										sub_st_html = sub_st_html + '<select name="primerval" id="primetrn1" class="tcp4pdivsub2com tcp4pdivsub2text2 primeselect" onchange="primerselectn(1)"><option value="ReversePrimer">Reverse</option><option value="ForwardPrimer">Forward</option></select>';
									sub_st_html = sub_st_html + '</div>';
									sub_st_html = sub_st_html + '<div class="tcp4pdiv1sub2in">';
										sub_st_html = sub_st_html + '<div class="hideclass" id="rprn1">';
											sub_st_html = sub_st_html + '<input type="text" id="inrevpriseqn1" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g.,ACGTBDHKMNRSVWY" value="" onblur="check_seq_probn(1,1)">';
											sub_st_html = sub_st_html + '<span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
											sub_st_html = sub_st_html + '<input type="text" id="inrevpriconn1" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="">';
											sub_st_html = sub_st_html + '<span id="inrevpriseq_c_rn1" class="commonnm">nM</span>';
											sub_st_html = sub_st_html + '<div id="rev_errn1" class="err_msg"></div>';
										sub_st_html = sub_st_html + '</div>';
										sub_st_html = sub_st_html + '<div  id="rpfn1">';
											sub_st_html = sub_st_html + '<input type="text" id="inrevpriseqfn1" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g.,ACGTBDHKMNRSVWY" value="" onblur="check_seq_probn(1,2)">';
											sub_st_html = sub_st_html + '<span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
											sub_st_html = sub_st_html + '<input type="text" id="inrevpriconfn1" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="">';
											sub_st_html = sub_st_html + '<span  id="inrevpriseq_c_fn1" class="commonnm" >nM</span>';
											sub_st_html = sub_st_html + '<div id="fwd_errn1" class="err_msg"></div>';
										sub_st_html = sub_st_html + '</div>';
									sub_st_html = sub_st_html + '</div>';
									sub_st_html = sub_st_html + '<div style="display:block;clear:both;"></div>';
								sub_st_html = sub_st_html + '</div>';
								
								sub_st_html = sub_st_html + '<div style="display:block;clear:both;"></div>';
							sub_st_html = sub_st_html + '</div>';
							sub_st_html = sub_st_html + '<div class="tcp4pdiv1sub2" id="tcp4pdiv1sub2idn1">';
								sub_st_html = sub_st_html + '<div class="primetextcl" id="primetextn1">Primer</div>';
								
								sub_st_html = sub_st_html + '<div id="revrepdivr1" class="getpremier revrepdivr1cl">';
									sub_st_html = sub_st_html + '<div class="tcp4pdiv1sub1">';
										sub_st_html = sub_st_html + '<select name="primerval" id="primetr1" class="tcp4pdivsub2com tcp4pdivsub2text2 primeselect" onchange="primerselect(1)"><option value="ReversePrimer">Reverse</option><option value="ForwardPrimer">Forward</option></select>';
									sub_st_html = sub_st_html + '</div>';
									sub_st_html = sub_st_html + '<div class="tcp4pdiv1sub2in">';
										sub_st_html = sub_st_html + '<div id="rpr1">';
											sub_st_html = sub_st_html + '<input type="text" id="inrevpriseq1" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g.,ACGTBDHKMNRSVWY" value="" onblur="check_seq_prob(1,1)">';
											sub_st_html = sub_st_html + '<span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
											sub_st_html = sub_st_html + '<input type="text" id="inrevpricon1" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="">';
											sub_st_html = sub_st_html + '<span id="inrevpriseq_c_r1" class="commonnm" >nM</span>';
											sub_st_html = sub_st_html + '<div id="rev_err1" class="err_msg"></div>';
										sub_st_html = sub_st_html + '</div>';
										sub_st_html = sub_st_html + '<div class="hideclass" id="rpf1">';
											sub_st_html = sub_st_html + '<input type="text" id="inrevpriseqf1" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g.,ACGTBDHKMNRSVWY" value="" onblur="check_seq_prob(1,2)">';
											sub_st_html = sub_st_html + '<span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
											sub_st_html = sub_st_html + '<input type="text" id="inrevpriconf1" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="">';
											sub_st_html = sub_st_html + '<span  id="inrevpriseq_c_f1" class="commonnm">nM</span>';
											sub_st_html = sub_st_html + '<div id="fwd_err1" class="err_msg"></div>';
										sub_st_html = sub_st_html + '</div>';
									sub_st_html = sub_st_html + '</div>';
									sub_st_html = sub_st_html + '<div style="display:block;clear:both;"></div>';
								sub_st_html = sub_st_html + '</div>';
								sub_st_html = sub_st_html + '<div style="display:block;clear:both;"></div>';
							sub_st_html = sub_st_html + '</div>';
							sub_st_html = sub_st_html + '<div id="revprirep"></div>';
							sub_st_html = sub_st_html + '<a href="javascript://void(0);" onclick="revrepeat_div(1)" style="width:80px" class="arevrepdivcl" id="arevrepdivid" style="margin-bottom: 20px;">Add Primer</a>';
							sub_st_html = sub_st_html + '<div style="display:block;clear:both;"></div>';
						sub_st_html = sub_st_html + '</div>';
						sub_st_html = sub_st_html + '</div>';
						sub_st_html = sub_st_html + '<div id="proprisetid"></div>';
						sub_st_html = sub_st_html + '<a href="javascript://void(0);" onclick="propriset()" class="areptdiv areptdivact mgt15" id="areptdivid">Add Probe/Primer Set</a>';
					sub_st_html = sub_st_html + '</div>';
				sub_st_html = sub_st_html + '</div>';
				sub_st_html = sub_st_html + '<input type="submit" value="Save Assay" style="float:left !important;margin-left:0px !important;background:red;color:#fff !important;" onclick="save_assay()" class="lg_out" id="newassuid">';
			
			sub_st_html = sub_st_html +	'<a href="javascript://void(0);" onclick="closepopup()" class="clsic1"><span class="cls_pp1">Cancel</span></a>';
			
			sub_st_html = sub_st_html + '</div>';
		sub_st_html = sub_st_html + '</div>';
		
	sub_st_html = sub_st_html + '</div>';
	sub_st_html = sub_st_html + '</div>';
	$("#sub_hs1").html(sub_st_html);
	//check_alrdy_save();
	$(".assy_lib_slt").popcenter();
	}
	var myWindow;
jQuery.fn.center = function(parent) {
	if (parent) {
        parent = this.parent();
    } else {
        parent = window;
    }
    this.css({
        "left": ((($(parent).width() - this.outerWidth()) / 2) + $(parent).scrollLeft() + "px")
	});
	return this;
}
jQuery.fn.popcenter = function(parent) {
	if (parent) {
        parent = this.parent();
    } else {
        parent = window;
    }
    this.css({
        "left": ((($(parent).width() - this.outerWidth()) / 2) - 200 + "px")
	});
	return this;
}
	function platetype_order(){
		
		
		var checkedValue = null; 
		var inputElements = document.getElementsByClassName('app_chk_bx');
		for(var i=0; inputElements[i]; ++i){
			  if(inputElements[i].checked){
				   checkedValue = inputElements[i].value;
				   break;
			  }
		}
		
		var vol_html = '';
		var sltd_plte_type = document.getElementById("tcp4newpselect").value;
		if(sltd_plte_type == '96-well-standard' && checkedValue == "SNP"){
		
			
			
			vol_html = vol_html + '<select name="select_plate_type" id="fillreactvol" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;" ><option value="2.5  &#956L">2.5  &#956L</option><option value="5  &#956L">5  &#956L</option><option value="10  &#956L" selected>10  &#956L</option><option value="20  &#956L" >20 uL</option><option value="25  &#956L">25  &#956L</option></select>';
			
		}else if(sltd_plte_type == '96-well-standard' && checkedValue != "SNP"){
		
			vol_html = vol_html + '<select name="select_plate_type" id="fillreactvol" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;" ><option value="2.5  &#956L">2.5  &#956L</option><option value="5  &#956L">5  &#956L</option><option value="10  &#956L" >10  &#956L</option><option value="20 uL" selected>20  &#956L</option><option value="25  &#956L">25  &#956 &#956L</option></select>';
			
			
		} else if(sltd_plte_type == '96-well-fast' && checkedValue == "SNP"){
		vol_html = vol_html + '<select name="select_plate_type" id="fillreactvol" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;" ><option value="2.5  &#956L">2.5  &#956L</option><option value="5  &#956L" selected>5  &#956L</option><option value="10  &#956L" >10  &#956L</option><option value="20 uL" >20  &#956L</option><option value="25  &#956L">25  &#956 &#956L</option></select>';
			
			
			
		} else if(sltd_plte_type == '96-well-fast' && checkedValue != "SNP"){
			vol_html = vol_html + '<select name="select_plate_type" id="fillreactvol" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;" ><option value="2.5  &#956L">2.5  &#956L</option><option value="5  &#956L" >5  &#956L</option><option value="10  &#956L" selected>10  &#956L</option><option value="20  &#956L" >20 uL</option><option value="25  &#956L">25  &#956L</option></select>';
		
		}else if(sltd_plte_type=="384-well" && checkedValue == "SNP"){
			vol_html = vol_html + '<select name="select_plate_type" id="fillreactvol" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;" ><option value="2.5  &#956L">2.5  &#956L</option><option value="5  &#956L" selected>5 uL</option><option value="10  &#956L" >10  &#956L</option><option value="20  &#956L" >20  &#956L</option><option value="25  &#956L">25  &#956L</option></select>';
		
		}else if(sltd_plte_type=="384-well" && checkedValue != "SNP"){
			vol_html = vol_html + '<select name="select_plate_type" id="fillreactvol" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;" ><option value="2.5  &#956L">2.5  &#956L</option><option value="5  &#956L" >5  &#956L</option><option value="10  &#956L" selected>10  &#956L</option><option value="20  &#956L" >20 &#956L</option><option value="25  &#956L">25  &#956L</option></select>';
			
		}else if(sltd_plte_type=="Card" ){
			
			vol_html = vol_html + ' <span id="fillreactvol" class="commonnm">1 &#956L</span>';
			
			
		}
		$("#volume_assay").html(vol_html);
	}
	function selectOnlyThis(id){
		
		
		if($(id).prop('value') == 'miRNA' ){
			$("#mrnidv").hide();
			$("#ckbx").show();
			$("#ckbx1").show();
		} else if($(id).prop('value') == 'Gene Expression'){
			$("#ckbx").show();
			$("#ckbx1").hide();
			$("#mrnidv").hide();
		}else{
			$("#mrnidv").hide();
			$("#ckbx").hide();
			$("#ckbx1").hide();
		}
		
		
		var myCheckbox = document.getElementsByName("application");
		Array.prototype.forEach.call(myCheckbox,function(el){
			el.checked = false;
		});
		id.checked = true;
		platetype_order();
	}
	
	function selectprodctThis(id){
	
	}
	function selectchkbx(id){
		
		console.log(document.getElementById("premp").checked);
		if(document.getElementById("premp").checked == false){
			var amp_index = preaamp.indexOf("Include PreAmp Pool");
						preaamp.splice(amp_index,1);
		}
		console.log(preaamp);
	}
	
	function save_assay(){
		reverrno = 0;
		proberrno = 0;
		var probe_array = [];
		var probe_sub_array = [];
		var rev_premier = [];
		var fwd_premier = [];
		var numItems = $('.getproble').length;
		var numItems1 = $('.getpremier').length;
		
		
		var sub_probe = $('.getproble_sub').length;
		var sub_primer = $('.get_sub_prmr').length;
		
		
		var prbs_sets_lngth = $('.probesset').length;
		var sets_pbs = [];
		var prbes1_array = [];
		for(var st=0;st<prbs_sets_lngth;st++){
			prbes1_array=[];
			var id_s = st+1;
			var sub_probe1 = $('#proprisetsubid'+id_s+' .getproble').length;
			for(var m=0;m<sub_probe1;m++){
				if(m==0){
					var idw = id_s;
					var item={};
					var conc = document.getElementById("tcp4pdivsub2ids"+idw).value;
					/*var unit = document.getElementById("tcp4pdivsub2ids_s"+idw).value;*/
					var unit = "nM";
					var seq = document.getElementById("tcp4pdivsub2idf"+idw).value;
					seq= seq.replace(/\s/g,'')
					item.sequence = seq;
					
					
					
					item.dye =  document.getElementById("tcp4pdivsub2idt"+idw).value;
					item.quencher =  document.getElementById("tcp4pdivsub2ido"+idw).value;
					item.concentration = conc.toString(); 
					item.order = idw;
					prbes1_array.push(item);
				}else{
					var ids_v = m+1;
					var item={};
					var conc = document.getElementById("tcp4pdivsub2ids_p"+id_s+ids_v).value;
					/*var unit = document.getElementById("tcp4pdivsub2ids_s_p"+id_s+ids_v).value;*/
					var unit = "nM";
					var seq = document.getElementById("tcp4pdivsub2idf_p"+id_s+ids_v).value;
					seq= seq.replace(/\s/g,'')
					item.sequence = seq;
					
					//item.sequence = document.getElementById("tcp4pdivsub2idf_p"+id_s+ids_v).value;
					
					item.dye =  document.getElementById("tcp4pdivsub2idt_p"+id_s+ids_v).value;
					item.quencher =  document.getElementById("tcp4pdivsub2ido_p"+id_s+ids_v).value;
					item.concentration = conc.toString(); 
					var order_itm = ids_v;
					item.order = order_itm;
					prbes1_array.push(item);
				}
			}
			var item1={};
			item1.set=st+1;
			item1.probes=prbes1_array;
			sets_pbs.push(item1);
		}
		
		var fwd_sub_primer1 = [];
		var rev_sub_primer1 = [];
		var sets_prms = [];
		var prms1_array = [];
		for(var pt=0;pt<prbs_sets_lngth;pt++){
			fwd_sub_primer1=[];
			rev_sub_primer1=[];
			prms1_array=[];
			var id_s = pt+1;
			var sub_prms1 = $('#proprisetsubid'+id_s+' .getpremier ').length;
			for(var m1=0;m1<sub_prms1-1;m1++){
				if(m1==0){
					var ids_w = id_s;
					
					
					
					var rev_seq = document.getElementById("inrevpriseq"+ids_w).value;
		var rev_conc = document.getElementById("inrevpricon"+ids_w).value;
		/*var unit_r = document.getElementById("inrevpriseq_c_r"+ids_w).value;*/
		
		var unit_r ="nM";
		if(rev_seq != '' && rev_conc != ''){
			var item1={};
			var seq = document.getElementById("inrevpriseq"+ids_w).value;
					seq= seq.replace(/\s/g,'')
					item1.sequence = seq;
				/* item1.sequence = document.getElementById("inrevpriseq"+ids_w).value; */
				item1.concentration = rev_conc.toString(); 
				item1.order = ids_w;
				
				rev_sub_primer1.push(item1);
				
		}
		var rev_seqn = document.getElementById("inrevpriseqn"+ids_w).value;
		var rev_concn = document.getElementById("inrevpriconn"+ids_w).value;
		/*var unit_rn = document.getElementById("inrevpriseq_c_rn"+ids_w).value;*/
		
		var unit_rn = "nM";
		if(rev_seqn != '' && rev_concn != ''){
			var item1={};
			var seq = document.getElementById("inrevpriseqn"+ids_w).value;
					seq= seq.replace(/\s/g,'')
					item1.sequence = seq;
					
				/* item1.sequence = document.getElementById("inrevpriseqn"+ids_w).value; */
				item1.concentration = rev_concn.toString(); 
				item1.order = ids_w;
				
				rev_sub_primer1.push(item1);
				
		}
		
	
		var fwd_seq = document.getElementById("inrevpriseqf"+ids_w).value;
		var fwd_conc = document.getElementById("inrevpriconf"+ids_w).value;
		/*var unit_f = document.getElementById("inrevpriseq_c_f"+ids_w).value;*/
		
		var unit_f = "nM";
		if(fwd_seq != '' && fwd_conc != ''){
			var item2={};
			var seq = document.getElementById("inrevpriseqf"+ids_w).value;
					seq= seq.replace(/\s/g,'')
					item2.sequence = seq;
				//item2.sequence = document.getElementById("inrevpriseqf"+ids_w).value;
				item2.concentration = fwd_conc.toString(); 
				item2.order = ids_w;
				fwd_sub_primer1.push(item2);
				
		}
		var fwd_seqn = document.getElementById("inrevpriseqfn"+ids_w).value;
		var fwd_concn = document.getElementById("inrevpriconfn"+ids_w).value;
		/*var unit_fn = document.getElementById("inrevpriseq_c_fn"+ids_w).value;*/
		var unit_fn ="nM";
		if(fwd_seqn != '' && fwd_concn != ''){
			var item2={};
			var seq = document.getElementById("inrevpriseqfn"+ids_w).value;
					seq= seq.replace(/\s/g,'')
					item2.sequence = seq;
			//	item2.sequence = document.getElementById("inrevpriseqfn"+ids_w).value;
				item2.concentration = fwd_concn.toString(); 
				item2.order = ids_w;
				fwd_sub_primer1.push(item2);
				
		}
		
					
				}else{
					var ids_v = m1+1;
					
					var primer_type =  document.getElementById("primetr_p"+id_s+ids_v).value;
	
	
	
		var rev_seq = document.getElementById("inrevpriseq_p"+id_s+ids_v).value;
		var rev_conc = document.getElementById("inrevpricon_p"+id_s+ids_v).value;
		/*var unit_r = document.getElementById("inrevpriseq_c_r_p"+id_s+ids_v).value;*/
		var unit_r = "nM";
		if(rev_seq != '' && rev_conc != ''){
			var item={};
				var seq = document.getElementById("inrevpriseq_p"+id_s+ids_v).value;
					seq= seq.replace(/\s/g,'')
					item.sequence = seq;
				//item.sequence = document.getElementById("inrevpriseq_p"+id_s+ids_v).value;
				item.concentration = rev_conc.toString(); 
				item.order = ids_v;
				
				rev_sub_primer1.push(item);
		}
	
		var fwd_seq = document.getElementById("inrevpriseqf_p"+id_s+ids_v).value;
		var fwd_conc = document.getElementById("inrevpriconf_p"+id_s+ids_v).value;
		/*var unit_f = document.getElementById("inrevpriseq_c_f_p"+id_s+ids_v).value;*/
		
		var unit_f = "nM";
		if(fwd_seq != '' && fwd_conc != ''){
			var item={};
			var seq = document.getElementById("inrevpriseqf_p"+id_s+ids_v).value;
					seq= seq.replace(/\s/g,'')
					item.sequence = seq;
				//item.sequence = document.getElementById("inrevpriseqf_p"+id_s+ids_v).value;
				item.concentration = fwd_conc.toString(); 
				item.order = ids_v;
				fwd_sub_primer1.push(item);
		}
					
					
					
					
					//prms1_array.push(item);
				}
			}
			var item1={};
			item1.set=pt+1;
			item1.rev=rev_sub_primer1;
			item1.fwd=fwd_sub_primer1;
			sets_prms.push(item1);
		}
	
		
		var get_userlist = readCookie('user');
		get_userlist = JSON.parse(get_userlist);
		
		$("#err_ayne").text("");
		$("#err_gesl").text("");
		$("#err_aynt").text("");

		var assay_name = document.getElementById("assay_name").value;
		var gene_symbl = document.getElementById("gene_symbl").value;
		var assay_nts = document.getElementById("assay_nts").value;
		
		
		
		
		var rev_sub_primer = [];
		var fwd_sub_primer = [];
		
		
		
		var set_prbe = [];
		for(var t=0;t<prbs_sets_lngth;t++){
			
		
		var item3 = {};
		item3.probes=sets_pbs[t].probes;
		item3.fwdPrimers=sets_prms[t].fwd;
		item3.revPrimers=sets_prms[t].rev;
		set_prbe.push(item3);
		}
		
		
		for(var ep=0;ep<prbs_sets_lngth;ep++){
			var id_s = ep+1;
			var sub_probe1 = $('#proprisetsubid'+id_s+' .getproble').length;
			var sub_prms1 = $('#proprisetsubid'+id_s+' .getpremier ').length;
			for(var em=0;em<sub_probe1;em++){
				if(em==0){
					var idw = id_s;
					var pr1 = document.getElementById("tcp4pdivsub2idf"+idw).value;
					var pr2 =  document.getElementById("tcp4pdivsub2ids"+idw).value;
					var pr1id = "#tcp4pdivsub2idf" + idw;
					var pr2id = "#tcp4pdivsub2ids" + idw;
					check_seq_prob(idw,0);
					if( pr1 != ''){
						$(pr1id).removeClass("err_box");
					}else{
						$(pr1id).addClass("err_box");
						proberrno++;
					}
					if(pr2 != ''){
						$(pr2id).removeClass("err_box");
					}else{
						$(pr2id).addClass("err_box");
						proberrno++;
					}
					
				}else{
					var ids_v = em+1;
					var pr1 = document.getElementById("tcp4pdivsub2idf_p"+id_s+ids_v).value;
					var pr2 = document.getElementById("tcp4pdivsub2ids_p"+id_s+ids_v).value;
					var pr1id = "#tcp4pdivsub2idf_p" +id_s+ids_v;
					var pr2id = "#tcp4pdivsub2ids_p" +id_s+ids_v;
					var idss = id_s.toString()+ids_v.toString();
					check_seq_prob1(idss,0);
					if( pr1 != ''){
						$(pr1id).removeClass("err_box");
					}else{
						$(pr1id).addClass("err_box");
						proberrno++;
					}
					if(pr2 != ''){
						$(pr2id).removeClass("err_box");
					}else{
						$(pr2id).addClass("err_box");
						proberrno++;
					}
				}
			}
			for(var pem=0;pem<sub_prms1-1;pem++){
				if(pem==0){
					var idw = id_s;
					
					//check_seq_prob(idw,0);
					
					
					var rev_seq = document.getElementById("inrevpriseq"+idw).value;
					var rev_conc = document.getElementById("inrevpricon"+idw).value;
					var fwd_seq = document.getElementById("inrevpriseqf"+idw).value;
					var fwd_conc = document.getElementById("inrevpriconf"+idw).value;
					
					var rev_seqn = document.getElementById("inrevpriseqn"+idw).value;
					var rev_concn = document.getElementById("inrevpriconn"+idw).value;
					var fwd_seqn = document.getElementById("inrevpriseqfn"+idw).value;
					var fwd_concn = document.getElementById("inrevpriconfn"+idw).value;
					
					var revid_s = "#inrevpriseq" + idw;
					var revid_c = "#inrevpricon" + idw;
					var fwdid_s = "#inrevpriseqf" + idw;
					var fwdid_c = "#inrevpriconf" + idw;
					
					var revid_sn = "#inrevpriseqn" + idw;
					var revid_cn = "#inrevpriconn" + idw;
					var fwdid_sn = "#inrevpriseqfn" + idw;
					var fwdid_cn = "#inrevpriconfn" + idw;
					
					if(rev_seq == '' && rev_conc == '' && fwd_seq == '' && fwd_conc == ''){
						$(revid_s).addClass("err_box");
						$(revid_c).addClass("err_box");
						$(fwdid_s).addClass("err_box");
						$(fwdid_c).addClass("err_box");
						reverrno ++;
					}else{
						$(revid_s).addClass("err_box");
						$(revid_c).addClass("err_box");
						$(fwdid_s).addClass("err_box");
						$(fwdid_c).addClass("err_box");
					}
					var primer_type =  document.getElementById("primetr"+idw).value;
					if(primer_type == "ReversePrimer"){
						if(fwd_seq == '' && fwd_conc == ''){
							check_seq_prob(idw,1);
						}
						if(rev_seq != '' && rev_conc != ''){
							$("#inrevpriseq"+idw).removeClass("err_box");
							$("#inrevpricon"+idw).removeClass("err_box");
						}else if(rev_seq == '' && rev_conc == ''){
			
						}else{
							if(rev_seq == ''){
								reverrno ++;
								$("#inrevpriseq"+idw).addClass("err_box");
								$("#inrevpricon"+idw).removeClass("err_box");
							}else{
								reverrno ++;
								$("#inrevpricon"+idw).addClass("err_box");
								$("#inrevpriseq"+idw).removeClass("err_box");
							}
						}
					}else{
						if(rev_seq == '' && rev_conc == ''){
							check_seq_prob(idw,2);
						}
						if(fwd_seq == '' && fwd_conc == ''){
							
						}else if(fwd_seq != '' && fwd_conc != ''){
							$("#inrevpriseqf"+idw).removeClass("err_box");
							$("#inrevpriconf"+idw).removeClass("err_box");
						}else{
							if(fwd_seq == ''){
								reverrno ++;
								$("#inrevpriseqf"+idw).addClass("err_box");
								$("#inrevpriconf"+idw).removeClass("err_box");
							}else{
								reverrno ++;
								$("#inrevpriconf"+idw).addClass("err_box");
								$("#inrevpriseqf"+idw).removeClass("err_box");
							}
						}
					}
					
					var primer_typen =  document.getElementById("primetrn"+idw).value;
					if(primer_typen == "ReversePrimer"){
						if(fwd_seqn == '' && fwd_concn == ''){
							check_seq_probn(idw,1);
						}
						if(rev_seqn != '' && rev_concn != ''){
							$("#inrevpriseqn"+idw).removeClass("err_box");
							$("#inrevpriconn"+idw).removeClass("err_box");
						}else if(rev_seqn == '' && rev_concn == ''){
			
						}else{
							if(rev_seqn == ''){
								reverrno ++;
								$("#inrevpriseqn"+idw).addClass("err_box");
								$("#inrevpriconn"+idw).removeClass("err_box");
							}else{
								reverrno ++;
								$("#inrevpriconn"+idw).addClass("err_box");
								$("#inrevpriseqn"+idw).removeClass("err_box");
							}
						}
					}else{
						if(rev_seqn == '' && rev_concn == ''){
							check_seq_probn(idw,2);
						}
						if(fwd_seqn == '' && fwd_concn == ''){
							
						}else if(fwd_seqn != '' && fwd_concn != ''){
							$("#inrevpriseqfn"+idw).removeClass("err_box");
							$("#inrevpriconfn"+idw).removeClass("err_box");
						}else{
							if(fwd_seqn == ''){
								reverrno ++;
								$("#inrevpriseqfn"+idw).addClass("err_box");
								$("#inrevpriconfn"+idw).removeClass("err_box");
							}else{
								reverrno ++;
								$("#inrevpriconfn"+idw).addClass("err_box");
								$("#inrevpriseqfn"+idw).removeClass("err_box");
							}
						}
					}
					
				}else{
					var ids_v = pem+1;
					
					
					var rev_seq = document.getElementById("inrevpriseq_p"+id_s+ids_v).value;
					var rev_conc = document.getElementById("inrevpricon_p"+id_s+ids_v).value;
					var fwd_seq = document.getElementById("inrevpriseqf_p"+id_s+ids_v).value;
					var fwd_conc = document.getElementById("inrevpriconf_p"+id_s+ids_v).value;
					
					var revid_s = "#inrevpriseq_p" + id_s+ids_v;
					var revid_c = "#inrevpricon_p" + id_s+ids_v;
					var fwdid_s = "#inrevpriseqf_p" + id_s+ids_v;
					var fwdid_c = "#inrevpriconf_p" + id_s+ids_v;
					
					if(rev_seq == '' && rev_conc == '' && fwd_seq == '' && fwd_conc == ''){
						$(revid_s).addClass("err_box");
						$(revid_c).addClass("err_box");
						$(fwdid_s).addClass("err_box");
						$(fwdid_c).addClass("err_box");
						reverrno ++;
					}else{
						$(revid_s).addClass("err_box");
						$(revid_c).addClass("err_box");
						$(fwdid_s).addClass("err_box");
						$(fwdid_c).addClass("err_box");
					}
					var primer_type =  document.getElementById("primetr_p"+id_s+ids_v).value;
					if(primer_type == "ReversePrimer"){
						if(fwd_seq == '' && fwd_conc == ''){
							var idss = id_s.toString()+ids_v.toString();
							//check_seq_prob1(idss,0);
							check_seq_prob1(idss,1);
						}
						if(rev_seq != '' && rev_conc != ''){
							$("#inrevpriseq_p"+id_s+ids_v).removeClass("err_box");
							$("#inrevpricon_p"+id_s+ids_v).removeClass("err_box");
						}else if(rev_seq == '' && rev_conc == ''){
			
						}else{
							if(rev_seq == ''){
								reverrno ++;
								$("#inrevpriseq_p"+id_s+ids_v).addClass("err_box");
								$("#inrevpricon_p"+id_s+ids_v).removeClass("err_box");
							}else{
								reverrno ++;
								$("#inrevpricon_p"+id_s+ids_v).addClass("err_box");
								$("#inrevpriseq_p"+id_s+ids_v).removeClass("err_box");
							}
						}
					}else{
						if(rev_seq == '' && rev_conc == ''){
							var idss = id_s.toString()+ids_v.toString();
							//check_seq_prob1(idss,0);
							check_seq_prob1(idss,2);
						}
						if(fwd_seq == '' && fwd_conc == ''){
							
						}else if(fwd_seq != '' && fwd_conc != ''){
							$("#inrevpriseqf_p"+id_s+ids_v).removeClass("err_box");
							$("#inrevpriconf_p"+id_s+ids_v).removeClass("err_box");
						}else{
							if(fwd_seq == ''){
								reverrno ++;
								$("#inrevpriseqf_p"+id_s+ids_v).addClass("err_box");
								$("#inrevpriconf_p"+id_s+ids_v).removeClass("err_box");
							}else{
								reverrno ++;
								$("#inrevpriconf_p"+id_s+ids_v).addClass("err_box");
								$("#inrevpriseqf_p"+id_s+ids_v).removeClass("err_box");
							}
						}
					}
				}
			}
		}
		
		
		
		
		
		
		
		if((assay_name != '' ) &&(gene_symbl != '')){
			var val_err_count = 0;
				if(assay_name.length<4 || assay_name.length>16){
						$("#err_ayne").text("Please enter Assay names must be between 4-16 characters");
						val_err_count++;
					}else{
						 if (!/^[0-9a-zA-Z_-]*$/g.test(assay_name)) {
							$("#err_ayne").text("Assay names contain no spaces or special characters other than _ or -");
								val_err_count++;
						}
					}
					
					if(gene_symbl.length>25){
						$("#err_gesl").text("Please enter Gene symbol must be between 1-25 characters");
						val_err_count++;
					}else{
						 if (!/^[0-9a-zA-Z_-]*$/g.test(gene_symbl)) {
							$("#err_gesl").text("Gene symbol contain no spaces or special characters other than _ or -");
								val_err_count++;
						}
					}
				
			if(val_err_count == 0){
			
			if(assay_type == 1){
				if((reverrno<=0)&&(proberrno<=0)){
				var getdata = '{"userId":"'+get_userlist[0].id+'","assayName": "'+assay_name+'","geneSymbol": "'+gene_symbl+'","probePrimerSets": '+JSON.stringify(set_prbe)+'}';
			console.log(getdata);
				
				$.ajax({
					type: "post",
					headers : { 'Content-Type' : 'application/json' },
					url: 'http://dev.ceino.com:8080/customplating/v1/assay/add',
					data : getdata,
					success: function(data) {
					
						$("#err_ayne").text("");
						 $("body").append("<div class='successalert success '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Assay added successfuly</div>");
						   $(".success").center(true);
						   setTimeout(function() {
							$(".successalert").remove();
						   }, 2000);
						document.getElementById("assay_name").value = '';
						document.getElementById("gene_symbl").value = '';
						document.getElementById("assay_nts").value = '';
						for(var i=1;i<=numItems;i++){
							document.getElementById("tcp4pdivsub2ids_s"+i).value = 'nM';
							document.getElementById("tcp4pdivsub2idf"+i).value = '';
							document.getElementById("tcp4pdivsub2ids"+i).value = '';
							document.getElementById("tcp4pdivsub2idt"+i).value = '6FAM';
							document.getElementById("tcp4pdivsub2ido"+i).value = 'MGB-NFQ';
							//document.getElementById().innerHTML = "";
							document.getElementById("inrevpriseq"+i).value = '';
							document.getElementById("inrevpriseqn"+i).value = '';
			document.getElementById("inrevpricon"+i).value = '';
			document.getElementById("inrevpriconn"+i).value = '';
			document.getElementById("inrevpriseqf"+i).value = '';
			document.getElementById("inrevpriseqfn"+i).value = '';
			document.getElementById("inrevpriconf"+i).value = '';
			document.getElementById("inrevpriconfn"+i).value = '';
			
			document.getElementById("inrevpriseq_c_r"+i).value = 'nM';
			document.getElementById("inrevpriseq_c_rn"+i).value = 'nM';
			document.getElementById("inrevpriseq_c_f"+i).value = 'nM';
			document.getElementById("inrevpriseq_c_fn"+i).value = 'nM';
			
			document.getElementById("primetr"+i).value = 'ReversePrimer';
			document.getElementById("primetrn"+i).value = 'ReversePrimer';
			
			var reverr = "rev_err"+i;
			var reverrn = "rev_errn"+i;
			var fwderr = "fwd_err"+i;
			var fwderrn = "fwd_errn"+i;
			$(reverr).html("");
			$(reverrn).html("");
			$(fwderr).html("");
			$(fwderrn).html("");
			 $("#rpf"+i).addClass("hideclass");
			 $("#rpfn"+i).addClass("hideclass");
			$("#rpr"+i).removeClass("hideclass");
			$("#rprn"+i).removeClass("hideclass");
							var prerr="#prb_err"+i;
							var prerrn="#prb_errn"+i;
							$(prerr).html("");
							$(prerrn).html("");
							if(i != 1){
								closeppsetf(i);
								numItems--;
							}
						}
						
						
						 rev_ord = 0;
		 fwd_ord = 0;
						if(addcount == 1){
							assayliblary();
						   add_assay_type = 1;
						}
						closepopup();
						if(addcount == 0){
							addnewarrass = [];
						 var  setsnew = '{"userId":"'+get_userlist[0].id+'","assayName": "'+assay_name+'","geneSymbol": "'+gene_symbl+'","probePrimerSets": '+JSON.stringify(set_prbe)+',"createdAt":"'+new Date()+'"}';
						setsnew = JSON.parse(setsnew);
						addnewarrass.push(setsnew);
						getdataaddpop(data);
						}
						
					},
					error: function(data) {
					
						var error_msg = JSON.parse(data.responseText);
						$("#err_ayne").text(error_msg.message);
						/* if(error_msg.message== "Assay name already exist."){
							$("#err_ayne").text("Assay name already exists. Please select a new name.");
						} */
						
					}
				});
			}
			}else{
				
				var getdata = '{"userId":"'+get_userlist[0].id+'","assayName": "'+assay_name+'","geneSymbol": "'+gene_symbl+'","description": "'+assay_nts+'","isPredesigned": true}';
			
			
				$.ajax({
					type: "post",
					headers : { 'Content-Type' : 'application/json' },
					url: 'http://dev.ceino.com:8080/customplating/v1/assay/add',
					data : getdata,
					success: function(data) {
						$("#err_ayne").text("");
						 $("body").append("<div class='successalert success '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Assay added successfuly</div>");
						   $(".success").center(true);
						   setTimeout(function() {
							$(".successalert").remove();
						   }, 2000);
						
						document.getElementById("assay_name").value = '';
						document.getElementById("gene_symbl").value = '';
						document.getElementById("assay_nts").value = '';
						if(addcount == 1){
							assayliblary();
						  add_assay_type = 1;
						}
						closepopup();
						if(addcount == 0){
							var sets = [];
							addnewarrass = [];
						var  setsnew = '{"userId":"'+get_userlist[0].id+'","assayName": "'+assay_name+'","geneSymbol": "'+gene_symbl+'","description": "'+assay_nts+'","isPredesigned": true,"createdAt":"'+new Date()+'","probePrimerSets": '+JSON.stringify(sets)+'}';
						setsnew = JSON.parse(setsnew);
						addnewarrass.push(setsnew);
						getdataaddpop(data);
						}
						
					},
					error: function(data) {
						console.log(data)
						var error_msg = JSON.parse(data.responseText);
						$("#err_ayne").text(error_msg.message);
						/* if(error_msg.message== "Assay name already exist."){
							$("#err_ayne").text("Assay name already exists. Please select a new name.");
						} */
						
					}
				});
			}
			}
			
			
		}
			else{
					
					if(assay_name == ''){
						$("#err_ayne").text("Please enter Assay ID/Name");
					}else{
						if(assay_name.length<4 || assay_name.length>16){
						$("#err_ayne").text("Please enter Assay names must be between 4-16 characters");
						
					}else{
						 if (!/^[0-9a-zA-Z_-]*$/g.test(assay_name)) {
							$("#err_ayne").text("Assay names contain no spaces or special characters other than _ or -");
								
						}
					}
					}
					
					if(gene_symbl == ''){
						$("#err_gesl").text("Please enter Gene symbol");
					}else{
						if(gene_symbl.length>25){
						$("#err_gesl").text("Please enter Gene symbol must be between 1-25 characters");
						
					}else{
						 if (!/^[0-9a-zA-Z_-]*$/g.test(gene_symbl)) {
							$("#err_gesl").text("Gene symbol contain no spaces or special characters other than _ or -");
							
						}
					}
					}
					
					
					
					
					
				}
		
		
	}
	function getdataaddpop(data){

	if(new_assay_liblary_data.length < no_of_assays){
		
		assay_indx_lists.push(data.id);
		new_assay_liblary_data.push(data);
	}
	if(new_assay_liblary_data.length == no_of_assays){
			$("#tcp4pb3").addClass('nt_allw').attr('disabled','disabled');
		}
	
	var assay_lib_new='';
	assay_lib_new = assay_lib_new + '<table id="sort" class="table select_assy">';
				assay_lib_new = assay_lib_new + '<tr>';
					assay_lib_new = assay_lib_new + '<th class="tcp4ptbtdth0  headcol1" style="padding-left:0 !important;"></th>';
					assay_lib_new = assay_lib_new + '<th class="  tcp4ptbtdth1"><div style="cursor:pointer;text-align:left;padding-left: 10px;"><input id="rmvol" type="checkbox" name="rmolname" class="tcp4tbtdth1ic" onclick="checkallremve()"/><span class="slt_all_lbl">Select All</span></div></th>';
					assay_lib_new = assay_lib_new + '<th class="secondcol1 tcp4ptbtdth1" style="">Assay Id / Name</th>';
					assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Target Name</th>';
					assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Special Notes</th>';
					assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Date created</th>';
					
				assay_lib_new = assay_lib_new + '<tr>';
				assay_lib_new = assay_lib_new + '<tbody class="srt_table">';
		var srl =0;
			for(var i=0; i<=new_assay_liblary_data.length-1;i++){
				if(new_assay_liblary_data[i].assay_type == 0){
					srl++;
				if(new_assay_liblary_data[i].createdAt != null){
					var myDate = new Date(new_assay_liblary_data[i].createdAt);
				}else{
					var myDate = new Date();
					myDate.setDate(myDate.getDate() - 1);
					
				}
				

					assay_lib_new = assay_lib_new + '<tr>';
					assay_lib_new = assay_lib_new + '<td class="tcp4ptbtdth0 index" id="ind'+i+'" style="padding-left:0 !important;">';
						var serialno = srl;
						assay_lib_new = assay_lib_new + serialno;
						
					assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class="  tcp4ptbtdth1" style="text-align:start;">';
						assay_lib_new = assay_lib_new + '<div style="padding-left: 10px;width:30px;cursor:pointer;text-align:left;"><input type="checkbox" name="rmvassy" class="tcp4tbtdth1ic nuyhjkl" onclick="checkrmvassy('+i+',this)"/></div>';
					assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class="secondcol1 tcp4ptbtdth1" style="padding-left:0 !important;">';
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n asy_name">'+new_assay_liblary_data[i].assayName+'</span>';
					assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class=" secondcol1 tcp4ptbtdth1">';
					if(new_assay_liblary_data[i].geneSymbol != null){
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].geneSymbol+'</span>';
					}else{
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n"></span>';
					}
						
					assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class="secondcol1 tcp4ptbtdth1">';
					if(new_assay_liblary_data[i].description != null){
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].description+'</span>';
					}else{
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n"></span>';
					}
				assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class="secondcol1 tcp4ptbtdth1">';
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+(myDate.getMonth() + 1)+ "/" + myDate.getDate() + "/" + myDate.getFullYear()+'</td>';
				assay_lib_new = assay_lib_new + '</tr>';
				
				
				
			}
			}
			assay_lib_new = assay_lib_new + '</tbody>';
			assay_lib_new = assay_lib_new + '</table>';
			$("#popdatagettable").html(assay_lib_new);
			sort_assy_table();
			strt_slt = 0;
	counts_assay1();
	restore_cookie();
}
	function register_html(){
		var reghtml="";
		reghtml = reghtml + '<div class="cendiv">';
			reghtml = reghtml + '<div class="tcp5p hideclass" id="tcp5pid">';
				reghtml = reghtml + '<h2 class="tcpph2r">Complete Registration for Specialty Cards and Plates</h2>';
				reghtml = reghtml + '<span class="tcpcomphs tcp5span tcpcomphsr">We need a few more details from you before you can start creating Speciality plating orders online</span>';
				reghtml = reghtml + '<div class="tcp6ptext tcp5intext">Name</div>';
				reghtml = reghtml + '<input type="text" id="reg_name" name="name" class="tcp6ptabtext tcp5in textinputcom" value="">';
				reghtml = reghtml + '<div id="error_name" class="error_msg"></div>';
				reghtml = reghtml + '<div class="tcp6ptext tcp5intext">E-mail</div>';
				reghtml = reghtml + '<input type="text" id="reg_email" name="email" class="tcp6ptabtext tcp5in textinputcom" readonly value="">';
				reghtml = reghtml + '<div class="tcp6ptext tcp5intext">Institution Name</div>';
				reghtml = reghtml + '<input type="text" id="reg_institution" name="instname" class="tcp6ptabtext tcp5in textinputcom" value="">';
				reghtml = reghtml + '<div id="error_ins" class="error_msg"></div>';
				reghtml = reghtml + '<div class="tcp6ptext tcp5intext">Phone Number</div>';
				reghtml = reghtml + '<input type="text" onkeypress="return isNumber(event)" id="reg_ph" name="phonenumber" class="tcp6ptabtext textinputcom" value="">';
				reghtml = reghtml + '<div id="error_ph" class="error_msg"></div>'
				reghtml = reghtml + '<input type="submit" value="Register" onclick="reg_taqman()" class="buttoncurrsor tcp6psubmit tcp5insub" >';
			reghtml = reghtml + '</div>';
		reghtml = reghtml + '</div>';
		$("#pex_register").html(reghtml);	
		//$("#pex").html(reghtml);	
		
	}
	function loaded_reg(){
		var myInput = document.getElementById('reg_ph');
 myInput.oncopy = function(e) {
   e.preventDefault();
 }
 myInput.onpaste = function(e) {
   e.preventDefault();
 }
	}
		function set_dflt(){
			if(document.getElementById("set_dfltt").checked == true){
				var get_userlist = readCookie('user');
			get_userlist = JSON.parse(get_userlist);
			
			
			var address = document.getElementById("shpg_addr").value;
			var shp_mail = document.getElementById("email_plce").value;
			var shp_name = document.getElementById("cntct_name").value;
			var shp_phn = document.getElementById("ph_plce").value;
			var shp_inst = document.getElementById("cmpy_name").value;
			
			

			if(address!=''){
				
				var config = '{"Content-Type": "application/json"}';
		var url = 'http://dev.ceino.com:8080/customplating/v1/user/edit/'+get_userlist[0].id;
		
		var getdata = '{"shipping_name":"'+shp_name+'","shipping_institution":"'+shp_inst+'","shipping_address":"'+address+'","shipping_phone":"'+shp_phn+'","shipping_email":"'+shp_mail+'",}';
		$.ajax({
			type: "post",
			headers : { 'Content-Type' : 'application/json' },
			url: url,
			data : getdata,
			success: function(data) {
				var get_userlist = readCookie('user');
			get_userlist = JSON.parse(get_userlist);
				user_lists = [];
	var item = {};
						item.email = get_userlist[0].email;
						
						item.id = get_userlist[0].id;
						item.role = get_userlist[0].role;
						item.address = address;
						
						item.shipping_name = shp_name;
						item.shipping_institution = shp_inst;
						item.shipping_address = address;
						item.shipping_phone = shp_phn;
						item.shipping_email = shp_mail;
						
						user_lists.push(item);
						document.cookie = 'user ='+JSON.stringify(user_lists);
						
						var get_userlist = readCookie('user');
						
	get_userlist = JSON.parse(get_userlist);
	
			},
			error: function(data) {
			
				
			}
		});
			
			}
			
			
		}
		}
		function logout(){
			var phostname = window.location.href;

			phostname = phostname.substring(0,phostname.lastIndexOf("/"));
			
			
			var list = readCookie('user');
			document.cookie = 'user = ' +list+'; expires=Thu, 01 Jan 1970 00:00:01 GMT;';	
			 var reorder = readCookie('reorder');
			document.cookie = 'reorder = 1; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
			localStorage.removeItem('new_order');
			
			window.location = phostname;
		}
		function tcpid1arrb(){
			$("#backfrmt").removeClass("hideclass");
			$("#tcp4ptableid").addClass("hideclass");
			$("#tcp5ptableid").addClass("hideclass");
			$("#tcp6ptableid").addClass("hideclass");
			$("#tcp3ptableid").removeClass("hideclass");
			$("#tcpid2arrb").removeClass("tcpdivarrbact");
			$("#tcpid3arrb").removeClass("tcpdivarrbact");
			$("#tcpid4arrb").removeClass("tcpdivarrbact");
			$("#tcpid1arrb").removeClass("tcpdivarrbdis");
			$("#tcpid1arrb").removeClass("tcpdivarrbfin");
			$("#tcpid2arrb").removeClass("tcpdivarrbfin");
			$("#tcpid3arrb").removeClass("tcpdivarrbfin");
			$("#tcpid4arrb").removeClass("tcpdivarrbfin");
			$("#tcpid2arrb").addClass("tcpdivarrbdis");
			$("#tcpid3arrb").addClass("tcpdivarrbdis");
			$("#tcpid4arrb").addClass("tcpdivarrbdis");
			$("#tcpid1arrb").addClass("tcpdivarrbact");
			
			$("#tcpid3newarrb").addClass("tcpdivarrbdis");
			$("#tcpid3newarrb").removeClass("tcpdivarrbact");
			$("#tcp4newptableid").addClass("hideclass");
			
			$("#tcpid3newarrb").removeClass("tcpdivarrbfin");
			
			$(".cendiv").removeClass("wdth134");
			$("#assay_table").removeClass("wdth1040");
			$("#assay_table").removeClass("wdth839");
			$("#tcp3pid").removeClass("wdth1024");
			$("#frtnxt").removeClass("mgrght30");
			$(".new234").removeClass("num_vw123");
			$(".new234").addClass("num_vw_nor");
			$(".tcp5tablespan_9623").removeClass("tcp5tablespan_384");
			$(".tcp5tablespan_9623").addClass("tcp5tablespan_384_nor");
			$('.topnum').css("width","31px");
			$('.alfalne').css("padding","6.5px 0px");
			$('.t_ic384').css("top","-2px");
			$("#tcp5ptableid").removeClass("newdvwdth");
			$(".topwdth").removeClass("wdth1056");
			$("#shorttble").removeClass("wdth1056");
			$("#shorttble").removeClass("wdth1066");
		$('.topnum2').css("padding","22.5px 0px");
		$('.topnum3').css("padding","22px 0px");
		$('.lafskio').css("padding","6.8px 0px");
		$('.rghtimg').css("padding","24.7px 0px");
		$('.rghtimg1').css("padding","2px 0px");
		$('.rghtimg2').css("padding","24px 0px");
		$('.rghtimgdv').css('margin-right','11px');
		$('.rghtimgdv24').css('margin-right','11px');
	}

	function tcpid2arrb(){
		$("#tcp3ptableid").addClass("hideclass");
		$("#tcp5ptableid").addClass("hideclass");
		$("#tcp6ptableid").addClass("hideclass");
		$("#tcp4ptableid").removeClass("hideclass");
		$("#tcpid4arrb").removeClass("tcpdivarrbact");
		$("#tcpid3arrb").removeClass("tcpdivarrbact");
		$("#tcpid1arrb").removeClass("tcpdivarrbact");
		$("#tcpid2arrb").removeClass("tcpdivarrbdis");
		$("#tcpid1arrb").addClass("tcpdivarrbfin");
		$("#tcpid2arrb").removeClass("tcpdivarrbfin");
		$("#tcpid3arrb").removeClass("tcpdivarrbfin");
		$("#tcpid4arrb").removeClass("tcpdivarrbfin");
		$("#tcpid1arrb").addClass("tcpdivarrbdis");
		$("#tcpid3arrb").addClass("tcpdivarrbdis");
		$("#tcpid4arrb").addClass("tcpdivarrbdis");
		$("#tcpid2arrb").addClass("tcpdivarrbact");
}


	function tcpid3arrb(){
		if(new_assay_liblary_data.length > 0){
		$("#tcp3ptableid").addClass("hideclass");
		$("#tcp4ptableid").addClass("hideclass");
		$("#tcp6ptableid").addClass("hideclass");
		$("#tcp5ptableid").removeClass("hideclass");
		$("#tcpid4arrb").removeClass("tcpdivarrbact");
		$("#tcpid2arrb").removeClass("tcpdivarrbact");
		$("#tcpid1arrb").removeClass("tcpdivarrbact");
		$("#tcpid3arrb").removeClass("tcpdivarrbdis");
		$("#tcpid1arrb").addClass("tcpdivarrbfin");
		$("#tcpid2arrb").addClass("tcpdivarrbfin");
		$("#tcpid3arrb").removeClass("tcpdivarrbfin");
		$("#tcpid4arrb").removeClass("tcpdivarrbfin");
		$("#tcpid1arrb").addClass("tcpdivarrbdis");
		$("#tcpid2arrb").addClass("tcpdivarrbdis");
		$("#tcpid4arrb").addClass("tcpdivarrbdis");
		$("#tcpid3arrb").addClass("tcpdivarrbact");
	}
}


	function tcpid4arrb(){
		$("#tcp3ptableid").addClass("hideclass");
		$("#tcp4ptableid").addClass("hideclass");
		$("#tcp5ptableid").addClass("hideclass");
		$("#tcp6ptableid").removeClass("hideclass");
		$("#tcpid3arrb").removeClass("tcpdivarrbact");
		$("#tcpid2arrb").removeClass("tcpdivarrbact");
		$("#tcpid1arrb").removeClass("tcpdivarrbact");
		$("#tcpid4arrb").removeClass("tcpdivarrbdis");
		$("#tcpid1arrb").addClass("tcpdivarrbfin");
		$("#tcpid2arrb").addClass("tcpdivarrbfin");
		$("#tcpid3arrb").addClass("tcpdivarrbfin");
		$("#tcpid4arrb").removeClass("tcpdivarrbfin");
		$("#tcpid1arrb").addClass("tcpdivarrbdis");
		$("#tcpid2arrb").addClass("tcpdivarrbdis");
		$("#tcpid3arrb").addClass("tcpdivarrbdis");
		$("#tcpid4arrb").addClass("tcpdivarrbact");
}

	function can_ord(){
		first_add = 0;
		ctrl_lst_count = 0;
		assay_format='';
		$("#can_popup").addClass('hideclass');
	$("#overlayid").addClass('hideclass');
	localStorage.removeItem('new_order');
	 var cnt_ord_list = readCookie('edit_add');
document.cookie = 'edit_add = '+cnt_ord_list+'; expires=Thu, 01 Jan 1970 00:00:01 GMT;';

 var reorder = readCookie('reorder');
document.cookie = 'reorder = 1; expires=Thu, 01 Jan 1970 00:00:01 GMT;';

var changed_order = readCookie('changed_order');
document.cookie = 'changed_order = 1; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
containers = [];
asgnd_asy = [];
assay_indx_lists = [];
new_assay_liblary_data =[];
	// location.reload();
	//$("#sub_hs").removeClass("hideclass");
	$("#tcp1pid").removeClass("hideclass");
	$("#tcp3pid").addClass("hideclass");
	$("#tcp4ptableid").addClass("hideclass");
	$("#tcp5ptableid").addClass("hideclass");
	$("#tcp4newptableid").addClass("hideclass");
	$("#tcp6ptableid").addClass("hideclass");
	$("#tcpfinalpid").addClass("hideclass");
	$("#tcpnapid").addClass("hideclass");
	$("#tcp2pid").addClass("hideclass");
	
	$("#tblepgx").removeClass("wdth88");
	$("#assay_table").removeClass("wdth835");
	}
	function neworder(){
		sub_nxt_html();
		$("#tcp1pid").addClass("hideclass");
		$("#tcp2pid").removeClass("hideclass");
		
	};
	function neworder1(){
		first_add = 0;
		ctrl_lst_count = 0;
		assay_format='';
		 var cnt_ord_list = readCookie('edit_add');
document.cookie = 'edit_add = '+cnt_ord_list+'; expires=Thu, 01 Jan 1970 00:00:01 GMT;';

 var reorder = readCookie('reorder');
document.cookie = 'reorder = 1; expires=Thu, 01 Jan 1970 00:00:01 GMT;';

var changed_order = readCookie('changed_order');
document.cookie = 'changed_order = 1; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
containers = [];
asgnd_asy = [];
assay_indx_lists = [];
new_assay_liblary_data =[];
		$("#tcp1pid").addClass("hideclass");
		$("#tcp3pid").addClass("hideclass");
		$("#tcp2pid").removeClass("hideclass");
		$(".cendiv").removeClass("wdth134");
		$("#assay_table").removeClass("wdth1040");
		$("#assay_table").removeClass("wdth839");
		$("#tcp3pid").removeClass("wdth1024");
		$("#frtnxt").removeClass("mgrght30");
		$(".new234").removeClass("num_vw123");
		$(".new234").addClass("num_vw_nor");
		$(".tcp5tablespan_9623").removeClass("tcp5tablespan_384");
		$(".tcp5tablespan_9623").addClass("tcp5tablespan_384_nor");
		$('.topnum').css("width","31px");
		$('.alfalne').css("padding","6.5px 0px");
		$('.t_ic384').css("top","-2px");
		$("#tcp5ptableid").removeClass("newdvwdth");
		$(".topwdth").removeClass("wdth1056");
		$("#shorttble").removeClass("wdth1056");
		$("#shorttble").removeClass("wdth1066");
		$("#tblepgx").removeClass("wdth88");
		$("#assay_table").removeClass("wdth835");
		$('.topnum2').css("padding","22.5px 0px");
		$('.topnum3').css("padding","22px 0px");
		$('.lafskio').css("padding","6.8px 0px");
		$('.rghtimg').css("padding","24.7px 0px");
		$('.rghtimg1').css("padding","2px 0px");
		$('.rghtimg2').css("padding","24px 0px");
		$('.rghtimgdv').css('margin-right','11px');
		$('.rghtimgdv24').css('margin-right','11px');
	};
	function back_pge(){
		subhtml_structure();
  $("#tcp1pid").removeClass("hideclass");
  $("#tcpnapid").addClass("hideclass");
  $("#prev_ord").addClass("hideclass");
 };
 function back_pge1(){
  $("#tcp1pid").addClass("hideclass");
  $("#tcpnapid").addClass("hideclass");
  $("#prev_ord").removeClass("hideclass");
  $("#prev_ord_dtls").addClass("hideclass");
 };
 function prev_req(){
	 sub_nxt_html();
  var get_userlist = readCookie('user');
  get_userlist = JSON.parse(get_userlist);

  $("#tcp1pid").addClass("hideclass");
  $("#tcpnapid").addClass("hideclass");
  $("#prev_ord").removeClass("hideclass");
  $("#inner_overlay").removeClass("hideclass");

   var config = '{"Content-Type": "application/json"}';
   if(user_role == "admin"){
	   var url = 'http://dev.ceino.com:8080/customplating/v1/order';
   }else{
	   var url = 'http://dev.ceino.com:8080/customplating/v1/order?userId='+get_userlist[0].id;
   }
   
   
   $.ajax({
    type: "get",
    headers : { 'Content-Type' : 'application/json' },
    url: url,
    
    success: function(data) {
    
	 orders_list = data;
     create_prev_req(data);
    },
    error: function(data) {
    
     
    }
   }); 
   
 }
 function create_prev_req(data){
 $("#inner_overlay").addClass("hideclass");
 var prev_reqsts = '';
 prev_reqsts = prev_reqsts + '<div id="re_ord_cnfrm"></div>';
 prev_reqsts = prev_reqsts + '<table class="table ordr_detls_table">';
  prev_reqsts = prev_reqsts + '<thead>';
  prev_reqsts = prev_reqsts + '<tr>';
   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth0"></th>';
  if(user_role == 'admin'){
	   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth5">Customer</th>';
	   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth5">Institution</th>';
   }
   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth1">Study Name</th>';
   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth2">Array Type</th>';
   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth4">Quantity</th>';
   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth5">Date Submitted</th>';
    prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth1">Request ID</th>';
   if(user_role != 'admin'){
	   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth1">Status</th>';
	   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth5"></th>';
		 
   }
   if(user_role == 'admin'){
	   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth1"></th>';
		 
   }
   if(user_role != 'admin'){
	   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth1"></th>';
		 
   }
   if(user_role != 'admin'){
	   prev_reqsts = prev_reqsts + '<th class="tcp4ptbtdth1"></th>';
		 
   }
   
  prev_reqsts = prev_reqsts + '</tr> ';
  prev_reqsts = prev_reqsts + '</thead> ';
  var myDate = '';
 prev_reqsts = prev_reqsts + '<tbody>';
  for(var i=0; i<data.length;i++){
	if((user_role == 'admin' && data[i].status != "draft") || (user_role != 'admin')){
   if(data[i].createdAt != null){
    myDate = new Date(data[i].createdAt);
   }else{
    myDate = new Date();
    myDate.setDate(myDate.getDate() - 1);
   }
   
	  prev_reqsts = prev_reqsts + '<tr>';
    prev_reqsts = prev_reqsts + '<td class="tcp4ptbtdth0">';
    /*  prev_reqsts = prev_reqsts + '<input id="prv_rq'+i+'" type="checkbox" name="prv_rq'+i+'" class="tcp4tbtdth1ic">'; */
    prev_reqsts = prev_reqsts + '</td>';
    
   
    if(user_role == 'admin'){
    prev_reqsts = prev_reqsts + '<td class="  tcp4ptbtdth1">';
	if(data[i].userDetails == null){
		prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp"></span>';
	}else{
		
		 prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp">'+data[i].userDetails.name+'</span>';
	}
    
    prev_reqsts = prev_reqsts + '</td>';

	prev_reqsts = prev_reqsts + '<td class="  tcp4ptbtdth1">';
	if(data[i].userDetails == null){
		prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp"></span>';
	}else{
		
		 prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp">'+data[i].userDetails.institutionName+'</span>';
	}
    
    prev_reqsts = prev_reqsts + '</td>';
	}
	
	prev_reqsts = prev_reqsts + '<td class="  tcp4ptbtdth2">';
	if(data[i].studyName != null){
		prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp">'+data[i].studyName+'</span>';
	}else{
		prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp"></span>';
	}
	
     
    prev_reqsts = prev_reqsts + '</td>';
    
     prev_reqsts = prev_reqsts + '<td class="  tcp4ptbtdth2">';
	if(data[i].plateType != null){
		var platetype = data[i].plateType.replace(/[-]/, " ");
		prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp">'+platetype+'</span>';
	}else{
		prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp"></span>';
	}
    prev_reqsts = prev_reqsts + '</td>';
    
    prev_reqsts = prev_reqsts + '<td class="  tcp4ptbtdth2">';
	if(data[i].quantity != null){
		prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp">'+data[i].quantity+'</span>';
	}else{
		prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp"></span>';
	}
     
    prev_reqsts = prev_reqsts + '</td>';
	
	
    prev_reqsts = prev_reqsts + '<td class="  tcp4ptbtdth1">';
     prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp">'+(myDate.getMonth() + 1)+ "/" + myDate.getDate() + "/" + myDate.getFullYear()+'</span>';
    prev_reqsts = prev_reqsts + '</td>';
	
	 prev_reqsts = prev_reqsts + '<td class="  tcp4ptbtdth2">';
	 if(data[i].status == "Saved" || data[i].status == "draft"){
		  prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp"><a href="javascript://void(0);" onclick="cont_ord_dtls('+i+')">'+data[i].orderNumber+'</a></span>';
	 }else{
		 prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp"><a href="javascript://void(0);" onclick="get_ord_dtls(\''+data[i].id+'\')">'+data[i].orderNumber+'</a></span>'; 
	 }
    

    prev_reqsts = prev_reqsts + '</td>';
	
	if(user_role != 'admin'){
		var status_order = '';
		if(data[i].status == "draft"){
			status_order = "Saved";
		}else if(data[i].status == "submitted"){
			status_order = "Order Placed";
		}else if(data[i].status == "Order Placed"){
			status_order = "Order Placed";
		}else if(data[i].status == "Ready to order"){
			status_order = "Ready to order";
		}else if(data[i].status == "Request submitted"){
			status_order = "Request submitted";
		}else if(data[i].status == "Request Cancelled"){
			status_order = "Request Cancelled";
		}
		prev_reqsts = prev_reqsts + '<td class="  tcp4ptbtdth2">';
	prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp">'+status_order+'</span>';
	prev_reqsts = prev_reqsts + '</td>';
     prev_reqsts = prev_reqsts + '<td class="  tcp4ptbtdth2">';
	 if((data[i].status == null)||(data[i].status == "submitted")||(data[i].status == "Order Placed") ){
		  prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp"><a href="javascript://void(0);" onclick="reorder_cookie('+i+')">Re-order</a></span>';
	 }
    
    prev_reqsts = prev_reqsts + '</td>';

	prev_reqsts = prev_reqsts + '<td class=" pst_rel tcp4ptbtdth2">';
	 if((data[i].status == "draft") ){
		  prev_reqsts = prev_reqsts + '<span class="tcp4tbtdth1sp"><a href="javascript://void(0);" onclick="share_order('+i+')">Move Order</a></span>';
		   prev_reqsts = prev_reqsts + '<div id="shrd'+i+'" class="shre_Sts hideclass">Move Order<a href="javascript://void(0);" style="cursor: pointer;left: 20px !important;bottom: 20px !important;" id="closepopup1id" onclick="close_share('+i+')" class="clsic"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a><div><input class="sh_inp" placeholder="Email ID" id="email_addr'+i+'" /></div><div class="err_msg" id="err_ordr'+i+'"></div><div><span class="sub_btn" onclick="submit_share('+i+')">Submit</span></div></div>';
	 }
    
    prev_reqsts = prev_reqsts + '</td>';
	
	}
    if(user_role == 'admin'){
		prev_reqsts = prev_reqsts + '<td class="tcp4ptbtdth1 ">';
		prev_reqsts = prev_reqsts + '<div class="polkik'+i+'"><select id="polkik'+i+'" class="lst_slct" name="stuts_vls'+i+'" onchange="chng_stuts('+i+')">';
			prev_reqsts = prev_reqsts + ' <option value="0">Select Status</option>';
			prev_reqsts = prev_reqsts + ' <option value="Request submitted">Request Submitted</option>';
			prev_reqsts = prev_reqsts + ' <option value="Ready to order">Ready to Order</option>';
			prev_reqsts = prev_reqsts + ' <option value="Order Placed">Ordered</option>';
			prev_reqsts = prev_reqsts + ' <option value="Request Cancelled">Request Cancelled</option>';
	    prev_reqsts = prev_reqsts + ' </select></div>';
		prev_reqsts = prev_reqsts + '</td>';
	}
    if(user_role != 'admin'){
		
		if(data[i].status == "draft"){
			prev_reqsts = prev_reqsts + '<td class="tcp4ptbtdth1 ">';
			prev_reqsts = prev_reqsts + '<div class="polkik'+i+'">';
				prev_reqsts = prev_reqsts + '<a href="javascript://void(0);" onclick="dltorder('+i+')"><img src="'+DNAPREP_PATH+'/images/dlt.png" style="width:20px;height:20px;"/></a>';
			prev_reqsts = prev_reqsts + '</div>';
			prev_reqsts = prev_reqsts + '</td>';
		}else{
			prev_reqsts = prev_reqsts + '<td class="tcp4ptbtdth1 ">';
			prev_reqsts = prev_reqsts + '<div class="polkik'+i+'">';
				prev_reqsts = prev_reqsts + '';
			prev_reqsts = prev_reqsts + '</div>';
			prev_reqsts = prev_reqsts + '</td>';
		}
		
		
		
    }
   prev_reqsts = prev_reqsts + '</tr>'; 

     
   }
   }
   prev_reqsts = prev_reqsts + '</tbody>';
  prev_reqsts = prev_reqsts + '</table>';
  $("#prv_req").html(prev_reqsts); 
  ststfunct(data);
}

 function ststfunct(data){
	for(var i=0; i<data.length;i++){
		
		if(data[i].status == 'Ready to order' ){
			$('#polkik'+i).val("Ready to order");
		}else if(data[i].status == 'Order Placed'){
			$('#polkik'+i).val("Order Placed");
		}else{
			$('#polkik'+i).val("0");
		}
	}
 }
 
 
 function get_ord_dtls(id){
  
  $("#tcp1pid").addClass("hideclass");
  $("#tcpnapid").addClass("hideclass");
  $("#prev_ord").addClass("hideclass");
  $("#prev_ord_dtls").removeClass("hideclass");
  $("#inner_overlay").removeClass("hideclass");
  var config = '{"Content-Type": "application/json"}';
   var url = 'http://dev.ceino.com:8080/customplating/v1/order/'+id;
   
   $.ajax({
    type: "get",
    headers : { 'Content-Type' : 'application/json' },
    url: url,
    
    success: function(data) {
     
	 $(".dwd_btn a").attr("href", "http://dev.ceino.com:8080/customplating/v1/order/export/"+id );
     create_order_dtls(data);
    },
    error: function(data) {
     
     
    }
   }); 
 }
 function create_order_dtls(ordr_dtls){
  var container_id = ordr_dtls.containerId;
  
  var config = '{"Content-Type": "application/json"}';
   var url = 'http://dev.ceino.com:8080/customplating/v1/container/'+container_id;
   
   $.ajax({
    type: "get",
    headers : { 'Content-Type' : 'application/json' },
    url: url,
    //data : getdata,
    success: function(data) {
     
     create_dtls_page(ordr_dtls,data);
    },
    error: function(data) {
     
     
    }
   });
 }
 function create_dtls_page(ordr_dtls,data){
	 console.log(ordr_dtls)
  $("#inner_overlay").addClass("hideclass");
  var created_at = ordr_dtls.createdAt;
  if(created_at != null){
   created_at = new Date(created_at);
  }else{
   created_at = new Date();
   created_at.setDate(created_at.getDate() - 1);
  }
  var ordr_dtls_pge = '';
  ordr_dtls_pge = ordr_dtls_pge + '<div class="ordr_lft_cnt ordr_lft">';
  
   ordr_dtls_pge = ordr_dtls_pge + '<div><span class="plc_lbl_ordr">Order ID </span><span class="mglr">:</span><span class="tcp6ptext">'+ordr_dtls.orderNumber+'</span></div>';
   
   ordr_dtls_pge = ordr_dtls_pge + '<div><span class="plc_lbl_ordr">Contact Name</span><span class="mglr">:</span><span class="tcp6ptext">'+ordr_dtls.contactName+'</span></div>';
   
   ordr_dtls_pge = ordr_dtls_pge + '<div><span class="plc_lbl_ordr">Company/Institution</span><span class="mglr">:</span><span class="tcp6ptext">'+ordr_dtls.companyName+'</span></div>';
   
   ordr_dtls_pge = ordr_dtls_pge + '<div><span class="plc_lbl_ordr">Shipping Address</span><span class="mglr">:</span><span class="tcp6ptext">'+ordr_dtls.shippingAddress+'</span></div>';
   
   ordr_dtls_pge = ordr_dtls_pge + '<div><span class="plc_lbl_ordr">Phone No</span><span class="mglr">:</span><span class="tcp6ptext">'+ordr_dtls.phone+'</span></div>';
   
   ordr_dtls_pge = ordr_dtls_pge + '<div><span class="plc_lbl_ordr">Email ID</span><span class="mglr">:</span><span class="tcp6ptext"><a href="mailto:'+ordr_dtls.email+'?Subject=Quote%20Details" target="_top">'+ordr_dtls.email+'</a></span></div>';
   
   if(user_role == 'admin'){
		ordr_dtls_pge = ordr_dtls_pge + '<span class="dwd_btn" style="margin-left:0px !important;"><a href="http://dev.ceino.com:8080/customplating/v1/order/export/'+ordr_dtls.id+'" ><img src="'+DNAPREP_PATH+'/images/dwnld.png" width="15"/> Download</a></span>';
   }
   
  ordr_dtls_pge = ordr_dtls_pge + '</div>';
  ordr_dtls_pge = ordr_dtls_pge + '<div class="ordr_rt ordr_lft">';
  
   ordr_dtls_pge = ordr_dtls_pge + '<div><span class="plc_lbl_ordr">Date created</span><span class="mglr">:</span><span class="tcp6ptext">'+(created_at.getMonth() + 1)+ "/" + created_at.getDate() + "/" + created_at.getFullYear()+'</span></div>';
   
   ordr_dtls_pge = ordr_dtls_pge + '<div><span class="plc_lbl_ordr">Format</span><span class="mglr">:</span><span class="tcp6ptext">'+ordr_dtls.format+'</span></div>';
   
   var pdt_type = '';
   if(ordr_dtls.plateType == "96-well-fast"){
	   pdt_type = "96-well Fast plates"
   }else if(ordr_dtls.plateType == "96-well-standard"){
	   pdt_type = "96-well Standard plates"
   }else if(ordr_dtls.plateType == "Card"){
	   pdt_type = "Array Cards"
   }else {
	   pdt_type = "384-well plates"
   }
   ordr_dtls_pge = ordr_dtls_pge + '<div><span class="plc_lbl_ordr">Quantity</span><span class="mglr">:</span><span class="tcp6ptext">'+ordr_dtls.quantity+'</span></div>';
  
  
  ordr_dtls_pge = ordr_dtls_pge + '<div><span class="plc_lbl_ordr">Product Type</span><span class="mglr">:</span><span class="tcp6ptext">'+pdt_type+'</span></div>';
   
  ordr_dtls_pge = ordr_dtls_pge + '</div>';
  ordr_dtls_pge = ordr_dtls_pge + '<div class="clr"></div>';
  ordr_dtls_pge = ordr_dtls_pge + '<div class="ordr_tble_tit">Assay List</div>';
   
   ordr_dtls_pge = ordr_dtls_pge + '<table class="ord_tbls">';
    ordr_dtls_pge = ordr_dtls_pge + '<tr>';
     ordr_dtls_pge = ordr_dtls_pge + '<th class="wdth50p">';
      ordr_dtls_pge = ordr_dtls_pge + 'S.No';
     ordr_dtls_pge = ordr_dtls_pge + '</th>';
     ordr_dtls_pge = ordr_dtls_pge + '<th>';
      ordr_dtls_pge = ordr_dtls_pge + 'Assay Name';
     ordr_dtls_pge = ordr_dtls_pge + '</th>';
    ordr_dtls_pge = ordr_dtls_pge + '</tr>';
    for(var s=0;s<data.containerItems.length;s++){
     var t = s+1;
     ordr_dtls_pge = ordr_dtls_pge + '<tr>';
      ordr_dtls_pge = ordr_dtls_pge + '<td>'+t+'</td>';
      ordr_dtls_pge = ordr_dtls_pge + '<td>'+data.containerItems[s].assayName+'</td>';
     ordr_dtls_pge = ordr_dtls_pge + '</tr>';
    }
    
    
   ordr_dtls_pge = ordr_dtls_pge + '</table>';
  $("#prv_req_dtls").html(ordr_dtls_pge);
 }
	function assayliblary(){
		assay_lib_type = 1;
		sub_nxt_html();
		var get_userlist = readCookie('user');
		get_userlist = JSON.parse(get_userlist);
		
		$("#tcp1pid").addClass("hideclass");
		$("#tcpnapid").removeClass("hideclass");
		$("#inner_overlay").removeClass("hideclass");
		
			var config = '{"Content-Type": "application/json"}';
			var url = 'http://dev.ceino.com:8080/customplating/v1/assay/?userId='+get_userlist[0].id;
			
			$.ajax({
				type: "get",
				headers : { 'Content-Type' : 'application/json' },
				url: url,
				
				success: function(data) {
					$(".successalert_update").remove();
					assay_library_data = data;
					slctd_list_val = 20;
					console.log(data);
					create_assay_lib(0,0);
					counts_assay();
				},
				error: function(data) {
					
					
				}
			});	
			
	};
	
var lenss = '';
 var index = '';
 var list_val = 20;
function move_assy_page(type){
	 assylstid = [];
 $("#tcpnapb3").addClass("hideclass");
 $("#exportbtn").addClass("hideclass");
 if(type == 0){
  
  lenss = parseInt(lenss) - parseInt(list_val);
  
  
  if(lenss >= 0){
   
   index = index -1;
   create_assay_lib(lenss,index);
  }else{
   lenss = lenss + list_val;
    
	$('.prev_btn').click(false);
  }
  
 }else{
  
  lenss = parseInt(lenss) + parseInt(list_val);
  
  
  if(lenss < assay_library_data.length-1){
   
   index = index +1;
   create_assay_lib(lenss,index);
  }else{
   lenss = lenss - list_val;
  }
  
 }
}
var slctd_list_val = 20;
function chng_list_val(idv){
	if(idv == 1){
		list_val =  document.getElementById("list_assay1").value;
	}else if(idv == 2){
		list_val =  document.getElementById("list_assay2").value;
	}
	
	
	slctd_list_val = list_val;
	var indexx = list_val / 20;
	
	create_assay_lib(0,0);
}

function SearchGrid(val){
 var txtsearch = $(val).val().toUpperCase();
	if (txtsearch != "" && txtsearch != "*") {
		$('.table tbody tr').each(function (index) {
			var match = false;
			$(this).find('td').each(function () {
				
				if ($(this).text().toUpperCase().indexOf(txtsearch) > -1) {
					match = true;
					return false;
				}
			});
			if (match) {
				$(this).show();
			}else {
				$(this).hide();
			}

			
		});  
	}else if (txtsearch == "*") {
		 $('.table tbody tr').each(function () {
		 $(this).show();
	   });
	} else {
	   $('.table tbody tr').each(function () {
		 $(this).show();
	   });
	   
	}
}


function create_assay_lib(len,ind){
  assylstid = [];
 $("#tcpnapb3").addClass("hideclass");
 $("#exportbtn").addClass("hideclass");
 console.log(list_val);
 var ending = 0;
 var starting = 0;
 lenss = len;
 index = ind;
 $("#inner_overlay").removeClass("hideclass");
 var assay_lib = '';
 assay_lib = assay_lib + '<input type="textbox" id="searchassay" class="tcp6ptabtext textinputcom wdth190px " value="" placeholder="Search by Assay ID or Target Name" onkeyup="SearchGrid(this)" />';
  assay_lib = assay_lib + '<div class="assaydet"></div>';
  
  

  
  
  
  
 assay_lib = assay_lib + '<div class="table_flow">';
 assay_lib = assay_lib + '<table class="table assy_list_lib" id="sorttable">';
 var temp = '';
 var s = len;
  ending = s+list_val-1;
  
  if(ending < assay_library_data.length-1){
   ending = ending;
  }else{
   ending = assay_library_data.length-1;
  }
  starting = s;
 
 
 D_start = starting;
 D_end = ending;
 
  assay_lib = assay_lib + '<thead>';

  if(assay_lib_type == 2){
   console.log(add_asy_cnt);
   console.log(add_asy_cnt);
   if(add_asy_cnt == 1 && new_assay_liblary_data.length == no_of_assays){
    assay_lib = assay_lib + '<th class="fixd_col1" ><input type="checkbox" onclick="select_all(this)" name="rmvassy" id="slt_all_asy" class="tcp4tbtdth1ic nuyhjkl" checked/><span class="slt_all_lbl">Select All</span></th>';
   }else if(new_assay_liblary_data.length == no_of_assays){
    assay_lib = assay_lib + '<th class="fixd_col1" ><input type="checkbox" onclick="select_all(this)" name="rmvassy" class="tcp4tbtdth1ic nuyhjkl" checked/><span class="slt_all_lbl">Select All</span></th>';
   }else{
    assay_lib = assay_lib + '<th class="fixd_col1" ><input type="checkbox" onclick="select_all(this)" name="rmvassy" class="tcp4tbtdth1ic nuyhjkl" /><span class="slt_all_lbl">Select All</span></th>';
   }
   
  }else{
  /*  / assay_lib = assay_lib + '<th class="fixd_col1" ></th>'; / */
   assay_lib = assay_lib + '<th class="fixd_col1 " ><input type="checkbox" id="export_all_slt" onclick="select_all_export(this,'+ending+','+starting+')" name="rmvassy" class="tcp4tbtdth1ic nuyhjkl" /><span class="slt_all_lbl">Select All</span></th>';
  }
    if(assay_lib_type == 2){
   assay_lib = assay_lib + '<th class="" style="line-height: 70px;" onclick="sortTable(0)">Assay ID / Name</th>';
   assay_lib = assay_lib + '<th class="secondary_Col" onclick="sortTable(1)">Target Name</th>';
   assay_lib = assay_lib + '<th class="secondary_Col">Special Notes</th>';
   assay_lib = assay_lib + '<th class="secondary_Col" onclick="sortTable(3)">Created Date</th>';
  assay_lib = assay_lib + '<th class="secondary_Col" onclick="sortTable(4)">Updated date</th>';
  assay_lib = assay_lib + '<th class="secondary_Col">Action</th>';
	}else{
		assay_lib = assay_lib + '<th class="cursor" style="line-height: 70px;" onclick="sortTable(0)">Assay ID / Name <span><img src="'+DNAPREP_PATH+'/images/updown_arraow.png"</span></th>';
   assay_lib = assay_lib + '<th class="secondary_Col cursor" onclick="sortTable(1)">Target Name <span><img src="'+DNAPREP_PATH+'/images/updown_arraow.png"</span></th>';
   assay_lib = assay_lib + '<th class="secondary_Col">Special Notes</th>';
   assay_lib = assay_lib + '<th class="secondary_Col cursor" onclick="sortTable(3)">Created Date <span><img src="'+DNAPREP_PATH+'/images/updown_arraow.png"</span></th>';
  assay_lib = assay_lib + '<th class="secondary_Col cursor" onclick="sortTable(4)">Updated date <span><img src="'+DNAPREP_PATH+'/images/updown_arraow.png"</span></th>';
  assay_lib = assay_lib + '<th class="secondary_Col">Action</th>';
	}
  
  
  
  
  
  
  assay_lib = assay_lib + '</thead> ';
  
  
  
 assay_lib = assay_lib + '<div class="overlay1 hideclass" id="ovly_assy"></div>';
    
  console.log(starting);
  console.log(ending);
  assay_lib = assay_lib + '<tbody>';
  for(var i=starting; i<=ending;i++){
   
  
   
   if(assay_library_data[i].createdAt != null){
    var myDate = new Date(assay_library_data[i].createdAt);
   }else{
    var myDate = new Date();
    myDate.setDate(myDate.getDate() - 1);
    
   }
   
      if(assay_library_data[i].updatedAt != null){
    var newDate = new Date(assay_library_data[i].updatedAt);
   
    
   
   }else{
    var newDate = new Date();
    newDate.setDate(newDate.getDate() - 1);
    
   }
   
  
   
   if(assay_lib_type == 2){
    assay_lib = assay_lib + '<tr>';
   }else{
	   assay_lib = assay_lib + '<tr class="ass_lib">';
   }
    
	
	
    if(assay_lib_type == 1){
     assay_lib = assay_lib + '<td class="fixd_col1 fixe_algn_lft" >';
      assay_lib = assay_lib + '<input id="tcp4pcheckid'+i+'" type="checkbox" name="myassay'+i+'" class="tcp4tbtdth1ic" onclick="checkford('+ending+',0,'+"'"+assay_library_data[i].id+"'"+',this,0)">';
     
     
     assay_lib = assay_lib + '</td>';
    
       
    
    
    }else{
					assay_lib = assay_lib + '<td class="fixd_col1" >';
						
						
						
							if(new_assay_liblary_data.length > 0){
								
								if(assay_indx_lists.indexOf(assay_library_data[i].id) != -1){
									assay_lib = assay_lib + '<input type="button" class="add_aar nt_allw" id="add_arr'+i+'" onclick="add_asy_arry(this,'+i+')" value="Add to Array" disabled="disabled"/>';
								}else{
									assay_lib = assay_lib + '<input type="button" class="add_aar" id="add_arr'+i+'" onclick="add_asy_arry(this,'+i+')" value="Add to Array" />';
								}
							
							
							
							
							}
							
							
							
							else{
								assay_lib = assay_lib + '<input type="button" class="add_aar" id="add_arr'+i+'" onclick="add_asy_arry(this,'+i+')" value="Add to Array" />';
							}
						
						   
						
					assay_lib = assay_lib + '</td>';
				}
				
				
				assay_lib = assay_lib + '<td class="">';
					if(pghrid == 0){
						assay_lib = assay_lib + '<span>'+assay_library_data[i].assayName+'</span>';
					}else{
						assay_lib = assay_lib + '<span style="cursor:pointer;color:blue;" href="javascript://void(0)" class="tbl_as_n" onclick="assaydetails('+i+')">'+assay_library_data[i].assayName+'</span>';
						
					         
					}
					
					
					
				assay_lib = assay_lib + '</td>';
				assay_lib = assay_lib + '<td class="secondary_Col">';
					if(assay_library_data[i].geneSymbol != null){
						assay_lib = assay_lib + '<span class="tbl_as_n">'+assay_library_data[i].geneSymbol+'</span>';
					}else{
						assay_lib = assay_lib + '<span class="tbl_as_n"></span>';
					}
				assay_lib = assay_lib + '</td>';
				
				
				assay_lib = assay_lib + '<td class="secondary_Col">';
					if(assay_library_data[i].description != null){
						assay_lib = assay_lib + '<span class="tbl_as_n">'+assay_library_data[i].description+'</span>';
					}else{
						assay_lib = assay_lib + '<span class="tbl_as_n"></span>';
					}
				assay_lib = assay_lib + '</td>';
				assay_lib = assay_lib + '<td class="secondary_Col">';
					assay_lib = assay_lib + '<span class="tbl_as_n">'+(myDate.getMonth() + 1)+ "/" + myDate.getDate() + "/" + myDate.getFullYear()+'</span>';
				assay_lib = assay_lib + '</td>';
				
				
				assay_lib = assay_lib + '<td class="secondary_Col">';
					assay_lib = assay_lib + '<span class="tbl_as_n">'+(newDate.getMonth() + 1)+ "/" + newDate.getDate() + "/" + newDate.getFullYear()+'</span>';
				assay_lib = assay_lib + '</td>';
				
				
				
				assay_lib = assay_lib + '<td class="secondary_Col">';
				assay_lib = assay_lib + '<span style="cursor:pointer;color:blue;" href="javascript://void(0)" class="tbl_as_n" id="newedit'+i+'" onclick="assaydetails1('+i+')">Edit</span>';
				assay_lib = assay_lib + '</td>';
				
				assay_lib = assay_lib + '</tr>';
			
					
			}
			assay_lib = assay_lib + '</tbody>';
		assay_lib = assay_lib + '</table>';
		assay_lib = assay_lib + '</div>';
		
		assay_lib = assay_lib + '<div class="pg_header "><span class="prev_btn dis_abled" onclick="move_assy_page('+0+')"> prev </span>';
  var dvd = (assay_library_data.length-1)/list_val;
  dvd = Math.floor(dvd);
  
  var rem = (assay_library_data.length-1)%list_val;
  

  if(rem > 0){
	  dvd = dvd + 1;
  }else{
	  dvd = dvd;
  }
  
  var dvd1 = (assay_library_data.length-1)/20;
  dvd1 = Math.floor(dvd1);
   
  var rem = (assay_library_data.length-1)%20;
  
 

  if(rem > 0){
	  dvd1 = dvd1 + 1;
  }else{
	  dvd1 = dvd1;
  }
  
  
  for(var d=0;d<dvd;d++){
   $('#active'+d).removeClass('act_pge');
   var len_re = (d*list_val);
   
   var ints = parseInt(d)+1; 
   assay_lib = assay_lib + '<span class="pgnum activec'+d+'" id="active'+d+'" onclick="create_assay_lib('+len_re+','+d+')">'+ints+'</span>';
  }
  assay_lib = assay_lib + '<span class="nxt_btn" onclick="move_assy_page('+1+')"> next </span>';
  assay_lib = assay_lib + '<select  class="lst_slct" name="lists_vls" onchange="chng_list_val()">';
  for(var ty=1;ty<=dvd1;ty++){
	  var ty_val = ty * 20;
	   assay_lib = assay_lib + ' <option value="'+ty_val+'">'+ty_val+'</option>';
  }
  
   assay_lib = assay_lib + ' </select></div>';
  $("#assay_libs").html(assay_lib);
  $("#assay_libs").find('.lst_slct').attr('id','list_assay1');
  $("#list_assay1").attr('onchange','chng_list_val(1)');
  $("#assay_libs1").html(assay_lib);
  $("#assay_libs1").find('.lst_slct').attr('id','list_assay2');
  for(var j=starting; j<ending;j++){
	var asscheckid = "#tcp4pcheckid"+j
	$("#assay_libs1").find(asscheckid).attr('id','tcp4pcheckidpop'+j+'');
	var asscheckid1 = "#tcp4pcheckidpop"+j
	$(asscheckid1).attr('onchange','checkgo('+ending+','+starting+')');
 }
 
 //alert(poptdindex);
	
 $("#getdatapopid").attr('onclick','getdatapop('+ending+','+starting+')');
 $("#cleardatapopid").attr('onclick','cleardatapop('+ending+','+starting+')');
 
 $("#closepopup1id").attr('onclick','closepopup1('+ending+','+starting+')');
 
  $("#list_assay2").attr('onchange','chng_list_val(2)');
  $("#inner_overlay").addClass("hideclass");
  
  
  if(ind == 0){
	  $('.prev_btn').addClass('dis_abled');
  }else{
	   $('.prev_btn').removeClass('dis_abled');
  }
  if(ind+1 == dvd){
	  $('.nxt_btn').addClass('dis_abled');
  }else{
	   $('.nxt_btn').removeClass('dis_abled');
  }
  
 $('#active'+ind).addClass('act_pge');
 $('.activec'+ind).addClass('act_pge');
 
		if(pghrid == 0){
			$(".wdth190px ").addClass("pst_Alg");
			$(".table_flow ").addClass("table_flow_d");
			$(".table_flow ").addClass("mgt70");
			$(".pg_header").addClass("pg_header_cl");
			$("#closepopid1").removeClass("hideclass");
		}else if(pghrid == 1){
			$(".pg_header").removeClass("pg_header_cl");
			$("#closepopid1").addClass("hideclass");
			$(".wdth190px ").removeClass("pst_Alg");
			$(".table ").removeClass("mgt70");
			$(".table_flow ").removeClass("table_flow_d");
		}
		$('[name=lists_vls]').val(slctd_list_val);
		
	if(assay_lib_type == 1){
	$("#assay_libs").addClass("assay_libscl1");
	}else if(assay_lib_type == 2){
	$("#assay_libs").removeClass("assay_libscl1");
	}
	
	
	$("#clearcheckid").addClass("hideclass");
	
	if(plates_type == 0){
				counts_assay_crd();
			}else{
				counts_assay();
			}
	
           if(add_assay_type == 1){
	          assaydetails(0);
	        }
	
	
	
	
	}

function sortTable(n){
		
		var table, rows, switching, i, x, y, shouldSwitch, dir, switchcount = 0;
  
  table = document.getElementById("sorttable");
  
  switching = true;
		
		dir = "asc"; 
		
		while (switching) {
    
    switching = false;
    rows = table.getElementsByTagName("tr");
		
		for (i = 1; i < (rows.length - 1); i++) {
			
			
			
			shouldSwitch = false;
      
      /*(var td = document.getElementById("sortid"); */
	  
	 
	   x = rows[i].getElementsByTagName("TD")[n+1];
	  
	   var m = x.getElementsByTagName("span"); 
	  
	 
      y = rows[i + 1].getElementsByTagName("TD")[n+1];
			var l = y.getElementsByTagName("span"); 
			
		var stringx = m[0].innerHTML.toLowerCase();
			stringx = stringx.replace(/[&\/\\#,+()$~%.'":*?<>{}]/g, '');
			
			var stringy = l[0].innerHTML.toLowerCase();
			stringy = stringy.replace(/[&\/\\#,+()$~%.'":*?<>{}]/g, '');
			
		
		
		
		
		if (dir == "asc") {
			
        if ( stringx > stringy ) {
          
          
		  shouldSwitch= true;
          break;
        }
      }else	if (dir == "desc") {
        if ( stringx < stringy ) {
          
          
		  
		  shouldSwitch= true;
          break;
        }
      }
    }
		
	if (shouldSwitch) {
      
      rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
      
	  
	  switching = true;
      
      switchcount ++; 
    } else {
      
      
      if (switchcount == 0 && dir == "asc") {
        dir = "desc";
        switching = true;
        
	  }
    }
  }
}	

	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	function checkgo_bx(){
	for(var s=0;s<assay_library_data.length;s++){
		$("#tcp4pcheckidpop"+s).attr('checked', false);
	}
	for(var m=0;m<assay_library_data.length;m++){
	for(var n=0;n<new_assay_liblary_data.length;n++){
		if(assay_library_data[m].assayName == new_assay_liblary_data[n].assayName){
			$("#tcp4pcheckidpop"+m).attr('checked', true);
		}
	}
	}
}
function chnge_slectd(){
	slctd_list_val = 20;
}
var alfa=["A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","X","Y","Z"];
var plate_columns = 0;
				var plate_rows = 0;
function create_assay(){
	var assy_tbl ='';
	
				 plate_columns = 0;
				 plate_rows = 0;
				if(plates_type == 96){
					plate_columns = 6
					plate_rows = 4
				}else{
					plate_columns = 12
					plate_rows = 9
				}
				
				lft_sde = plate_rows * 2;
				top_sde = plate_columns * 2;
	assy_tbl = assy_tbl + '<div style="margin:15px 0px 8px 30px">';
						for(var t=1;t<=top_sde;t++)
						{
							assy_tbl = assy_tbl + '<span class="top_side">'+t+'</span>';
						}
					assy_tbl = assy_tbl + '</div>';
					assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
					assy_tbl = assy_tbl + '<div style="float:left;width:30px;text-align:center;">';
					
					
					
						for(var l=0;l<lft_sde;l++)
						{
							assy_tbl = assy_tbl + '<div class="left_side">';
								assy_tbl = assy_tbl + alfa[l];
							assy_tbl = assy_tbl +'</div>';
						}
					assy_tbl = assy_tbl + '</div>';
					assy_tbl = assy_tbl + '<table style="float:left;"class="tcp5table">';
				
				for(var i=0;i<plate_rows;i++)
				{
					assy_tbl = assy_tbl + '<tr class="lft_cls">';
							
							for(var j=0;j<plate_columns;j++){
							assy_tbl = assy_tbl + '<td class="tcp5tablediv rt_cls" id="tcp5tabledid'+i+'a'+j+'" onclick="select_asy('+i+','+j+')">';
								assy_tbl = assy_tbl + '<div>';
									assy_tbl = assy_tbl + '<span class="tcp5tablespan" id="tcp5tablesid1'+i+j+'"></span>';
									assy_tbl = assy_tbl + '<span class="tcp5tablespan" id="tcp5tablesid2'+i+j+'"></span>';
									assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
								assy_tbl = assy_tbl + '</div>';
								assy_tbl = assy_tbl + '<div>';
									assy_tbl = assy_tbl + '<span class="tcp5tablespan" id="tcp5tablesid3'+i+j+'"></span>';
									assy_tbl = assy_tbl + '<span class="tcp5tablespan" id="tcp5tablesid4'+i+j+'"></span>';
									assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
								assy_tbl = assy_tbl + '</div>';
							assy_tbl = assy_tbl + '</td>';
							
							}
							
					assy_tbl = assy_tbl + '</tr>';
				}
							
				assy_tbl = assy_tbl + '</table>';
				assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
				/* assay_table */
				$("#assay_table").html(assy_tbl);
}
function mseout96(format,assay,replicates,lfti,tpj){
 $('.tcp5tablediv_96').each(function(){
    $(this).removeAttr('style');
  });
}

function set_ctrl_assy(format,assay,replicates,lfti,tpj,ids){
	var ctrl_assys = [];
	$.ajax({
		type: "get",
		headers : { 'Content-Type' : 'application/json' },
		url: 'http://dev.ceino.com:8080/customplating/v1/assay/type/control',
		//data : getdata,
		success: function(data1) {
			ctrl_assys = data1;
			var cntrl_ass = $('input[name=ctrl_assay]:checked').val();
			console.log(ctrl_assys);
			console.log(cntrl_ass);
			console.log("format-->"+format);
		console.log("assay-->"+assay);
		console.log("replicates-->"+replicates);
		console.log("lfti-->"+lfti);
		console.log("tpj-->"+tpj);
		console.log("assay_name-->"+new_assay_liblary_data[ids].assayName);
		console.log("asgnd_asy");
		console.log(asgnd_asy);
		console.log("new_assay_liblary_data");
		console.log(new_assay_liblary_data);
		console.log("assay_indx_lists");
		console.log(assay_indx_lists);
	if(cntrl_ass == "18S"){
		var select_asy_id = [];
		for(var j=0;j<ctrl_assys.length;j++){
			if(ctrl_assys[j].assayName == cntrl_ass){
				select_asy_id = ctrl_assys[j]; 
				select_asy_id.assay_type = 1;
			}
		}
		console.log(select_asy_id);
		var assay_index = assay_indx_lists.indexOf(new_assay_liblary_data[ids].id);
		assay_indx_lists.splice(assay_index,1,select_asy_id.id);
	
		console.log(assay_indx_lists);
		
		for(var i=0;i<asgnd_asy.length;i++){
			if(asgnd_asy[i].assay_name == new_assay_liblary_data[ids].assayName){
				asgnd_asy[i].assay_id = select_asy_id.id;
				asgnd_asy[i].assay_name = select_asy_id.assayName;
			}
		}
		
		var sltd_asy_ind = new_assay_liblary_data.length-1;
		new_assay_liblary_data.splice(ids,1,select_asy_id);
		
		console.log(new_assay_liblary_data);
		restore_cookie();
	}else if(cntrl_ass == "GAPDH"){
		var select_asy_id = [];
		for(var j=0;j<ctrl_assys.length;j++){
			if(ctrl_assys[j].assayName == cntrl_ass){
				select_asy_id = ctrl_assys[j]; 
				select_asy_id.assay_type = 1;
			}
		}
		console.log(select_asy_id);
		var assay_index = assay_indx_lists.indexOf(new_assay_liblary_data[ids].id);
		assay_indx_lists.splice(assay_index,1,select_asy_id.id);
	
		console.log(assay_indx_lists);
		
		for(var i=0;i<asgnd_asy.length;i++){
			if(asgnd_asy[i].assay_name == new_assay_liblary_data[ids].assayName){
				asgnd_asy[i].assay_id = select_asy_id.id;
				asgnd_asy[i].assay_name = select_asy_id.assayName;
			}
		}
		
		var sltd_asy_ind = new_assay_liblary_data.length-1;
		new_assay_liblary_data.splice(ids,1,select_asy_id);
		
		console.log(new_assay_liblary_data);
		restore_cookie();
	}else {
		
	}
		},
		error: function(data) {
			
		}
	});
	
}
function mseover96(format,assay,replicates,lfti,tpj){


 for(var k = 0 ; k < asgnd_asy.length; k++){
	 if( asgnd_asy[k].left == lfti && asgnd_asy[k].top == tpj ){
		 
		 
		 
		 
		 for(j=0;j<new_assay_liblary_data.length;j++){
			 if(asgnd_asy[k].assay_id == new_assay_liblary_data[j].id){
				 if(new_assay_liblary_data[j].assay_type == 0){
			 $('#assynametoltp'+lfti+tpj).html(asgnd_asy[k].assay_name);
		 }else{
			
			 
			 var ctrl_assay_html = "";
			 ctrl_assay_html = ctrl_assay_html + '<div> ';
			
			 ctrl_assay_html = ctrl_assay_html + '<div class="fntsz12">Select the Control Assay</div>';
				
				if(new_assay_liblary_data[j].assayName == "18S"){
					ctrl_assay_html = ctrl_assay_html + '<input type="radio" checked="checked" name="ctrl_assay" id="ctrl_asay1" class="cusradio ctrl_ass" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')" value="18S" /><span class="ctrl_as_sp" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')">18S</span>';
					
					ctrl_assay_html = ctrl_assay_html + '<input type="radio"  name="ctrl_assay" id="ctrl_asay2" class="cusradio ctrl_ass" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')" value="GAPDH" /><span class="ctrl_as_sp" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')">GAPDH</span>';
					
					/* ctrl_assay_html = ctrl_assay_html + '<input type="radio"  name="ctrl_assay" id="library" class="cusradio ctrl_ass" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')" value="lib" /><span class="ctrl_as_sp" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')">Select from My assay Library</span>'; */
				}else if(new_assay_liblary_data[j].assayName == "GAPDH"){
					ctrl_assay_html = ctrl_assay_html + '<input type="radio"  name="ctrl_assay" id="ctrl_asay1" class="cusradio ctrl_ass" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')" value="18S" /><span class="ctrl_as_sp" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')">18S</span>';
					
					ctrl_assay_html = ctrl_assay_html + '<input type="radio" checked="checked" name="ctrl_assay" id="ctrl_asay2" class="cusradio ctrl_ass" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')" value="GAPDH" /><span class="ctrl_as_sp" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')">GAPDH</span>';
					
					/* ctrl_assay_html = ctrl_assay_html + '<input type="radio"  name="ctrl_assay" id="library" class="cusradio ctrl_ass" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')" value="lib" /><span class="ctrl_as_sp" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')">Select from My assay Library</span>'; */
				}else{
					ctrl_assay_html = ctrl_assay_html + '<input type="radio"  name="ctrl_assay" id="ctrl_asay1" class="cusradio ctrl_ass" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')" value="18S" /><span class="ctrl_as_sp" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')">18S</span>';
					
					ctrl_assay_html = ctrl_assay_html + '<input type="radio"  name="ctrl_assay" id="ctrl_asay2" class="cusradio ctrl_ass" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')" value="GAPDH" /><span class="ctrl_as_sp" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')">GAPDH</span>';
					
					/* ctrl_assay_html = ctrl_assay_html + '<input type="radio" checked="checked" name="ctrl_assay" id="library" class="cusradio ctrl_ass" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')" value="lib" /><span class="ctrl_as_sp" onclick="set_ctrl_assy('+format+','+assay+','+replicates+','+lfti+','+tpj+','+j+')">Select from My assay Library</span>'; */
				}
				
				
				
				
				
			 ctrl_assay_html = ctrl_assay_html + '</div> ';
			 $('#assynametoltp'+lfti+tpj).html(ctrl_assay_html);
			 $('#assynametoltp'+lfti+tpj).addClass("pop_outer");
		 }
			 }
		 }
		 
		 
		 
		 
	 }
	 /* if( asgnd_asy[k].left == lfti && asgnd_asy[k].top == tpj ){
		 
		 $('#assynametoltp'+lfti+tpj).html(asgnd_asy[k].assay_name);
	 } */
 }
 

  $('.tcp5tablediv_96').each(function(){
    $(this).removeAttr('style');
  });
 
	var count=0;
	var s = top_sde/replicates;
	s = Math.floor(s);
	var rem = top_sde%replicates;
    if(rem >= 5){
	  s = s+1;
	}else{
	  s =s;
	}
	
	
	if((format == 48 && plates_type != 96) || assay_format_txt == '96B'){
		var sd = lft_sde/replicates;
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		for(var rc=lfti;rc<=lft_sde;rc++){
			if(sd==count){
				$('#tcp5tabledid'+rc.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
				count = 0;
			} 
			count = count+1;
		}
	}else if(assay_format_txt == '96a' && plates_type == 0){
		var sd = lft_sde/replicates;
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		for(var rc=lfti;rc<=lft_sde;rc++){
			if(sd==count){
				$('#tcp5tabledid'+rc.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
				count = 0;
			} 
			count = count+1;
		}
	}else if(assay_format == 1){
		
		
			for(var i=0;i<lft_sde;i++){
				for(var j=1;j<=top_sde;j++){
				$('#tcp5tabledid'+i.toString()+'a'+j.toString()).css('background','#e7f0f7');
			}
		}
	}else if(format == 24){
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		for(var rc=lfti;rc<=lft_sde;rc++){
			
				$('#tcp5tabledid'+rc.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
				count = 0;
			
			count = count+1;
		}
	}else if(format == 12){
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		for(var m=0;m<2;m++){
		for(var rc=lfti;rc<=lft_sde;rc++){
			//if(1==count){
				$('#tcp5tabledid'+rc.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
				count = 0;
			//} 
			count = count+1;
		}
		tpj++;
		}
	}else if(format == 16 && plates_type == 0){
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		for(var m=0;m<3;m++){
			count=lfti;
			for(var rc=lfti;rc<=lft_sde;rc++){
				if(rc == count){
					$('#tcp5tabledid'+rc.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
				}else{
					count = count +2 ;
				}
			}
			tpj++;
		}
	}else if(assay_format_txt == '96b' && plates_type == 0){
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		var s = 0;
		var sn = 0;
		count=lfti-1;
		var m_count=lfti;
		for(var rc=lfti;rc<=lft_sde;rc++){
			s++;
			sn++;
			if(s>2 ){
				if(rc == m_count+8 || rc == m_count+8+1){
					count = rc;
				}
			}else{
				count ++ ;
			}
			if(rc == count ){
				$('#tcp5tabledid'+rc.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
			}
		}
	}else if(format == 192 && plates_type == 0){
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		var s = 0;
		var sn = 0;
		count=lfti-1;
		var m_count=lfti;
		for(var rc=lfti;rc<=lft_sde;rc++){
			s++;
			sn++;
			if(s>2 ){
				if(rc == m_count+8 || rc == m_count+8+1){
					//count = rc;
				}
			}else{
				count ++ ;
			}
			if(rc == count ){
				$('#tcp5tabledid'+rc.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
			}
		}
	}else if(format == 384 && plates_type == 0){
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		
		
	}else if(format == 32 && plates_type == 0){
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		for(var m=0;m<3;m++){
			count=lfti;
			for(var rc=lfti;rc<=lft_sde;rc++){
				if(rc == count){
					count = count+4 ;
					$('#tcp5tabledid'+rc.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
				}
			}
			tpj++;
		}
	}else if(format == 64 && plates_type == 0){
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		for(var m=0;m<3;m++){
			count=lfti;
			for(var rc=lfti;rc<=lft_sde;rc++){
				if(rc == count){
					count = count+8 ;
					$('#tcp5tabledid'+rc.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
				}
			}
			tpj++;
		}
	}else if(format == 24 && plates_type == 0){
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		for(var rc=lfti;rc<=lft_sde;rc++){
			$('#tcp5tabledid'+rc.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		}
	}else{
		$('#tcp5tabledid'+lfti.toString()+'a'+tpj.toString()).css('background','#e7f0f7');
		for(var rc=tpj;rc<=top_sde;rc++){
			if(s==count){
				$('#tcp5tabledid'+lfti.toString()+'a'+rc.toString()).css('background','#e7f0f7');
				count = 0;
			} 
			count = count+1;
		}
	}
  
  
     
  }
  
  
	function shw_num(format,assay,replicates,lfti,tpj){
		var count = 0;
		var n = 0;
		
		var s = tpj/replicates;
		s = Math.floor(s);
	var rem = tpj%replicates;
    if(rem >= 5){
	  s = s+1;
	}else{
	  s =s;
	}
		
		
		if(format != 1){
			for(var j=1;j<=tpj;j++){
				var n = 0;
				var c = 0;
				for(var i=0;i<lfti;i++){
					count++;
					for(var rc=0;rc<s;rc++){
						if(j%s != 0 ){
							
							c++;
							
							$('#numshw'+i.toString()+j.toString()).text(count);
							var parensts = $('#numshw'+i.toString()+j.toString()).parent();
							var parent_id = parensts[0].offsetParent.id;
							if(plates_type == 96){
								$('#'+parent_id).addClass("bdr_l_1");
							$('#'+parent_id).addClass("bdr_t_1");
							//$('#'+parent_id).addClass("bdr_r_1");
							
								if(c==format){
								$('#'+parent_id).addClass("bdr_b_1");
							}
							}
							
							
							
							
						}else{
							n++;
							if(plates_type == 96){
							 if(format == 16){
								if(n == format){
								$('#'+parent_id).addClass("bdr_b_1");
							}
							}
							}
							
							
							$('#numshw'+i.toString()+j.toString()).text(lfti*(s-1)+(i+1));
							
							count=0;
							
							var parensts = $('#numshw'+i.toString()+j.toString()).parent();
							var parent_id = parensts[0].offsetParent.id;
							if(plates_type == 96){
							$('#'+parent_id).addClass("bdr_r_1");
							$('#'+parent_id).addClass("bdr_t_1");
							if(format == 8){
								$('#'+parent_id).addClass("bdr_l_1");
								if(n == format){
								$('#'+parent_id).addClass("bdr_b_1");
							}
							}else{
								$('#'+parent_id).addClass("bdr_l_1");
							}
						}
						}
					}
				}
			}
		}else{
			for(var j=1;j<=tpj;j++){
				for(var i=0;i<lfti;i++){
					count++;
					
					$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i+j).text("1");
					var parensts = $('#numshw'+i.toString()+j.toString()).parent();
							var parent_id = parensts[0].offsetParent.id;
							if(plates_type == 96){
								$('#'+parent_id).addClass("bdr_l_1");
								$('#'+parent_id).addClass("bdr_t_1");
								$('#'+parent_id).addClass("bdr_b_1");
								$('#'+parent_id).addClass("bdr_r_1");
							
							}
							
							
				}
			}
		}
		
		var counting = 1;
		var t = 0;
		if(document.getElementById("pre_populate").checked == true){
			asgnd_asy=[];
			var count = -1;
			var brk_data = 1;
			var color_paletes = ["00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000","cceffc","cce2f2","fff2cc","ffffcc","e9f6dc","ccefdc","f2cccc","ffcccc","ccd2df","e2d6ec","ffcceb","cccccc","99dff9","99c6e6","ffe699","ffff99","d3ecb9","99dfb9","e69999","ff9999","99a6bf","c6acd9","ff99d7","999999","66d0f6","66a9d9","ffd966","ffff66","bee396","66d096","d96666","ff6666","6679a0","a983c6","ff66c4","666666","33c0f3","338dcd","ffcd33","ffff33","a8d973","33c073","cd3333","ff3333","334d80","8d59b3","ff33b0","333333","00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000"];
			var j=-1;
			var bg_color='';
			for(var i=0;i<new_assay_liblary_data.length;i++){
				
				
				if(i < color_paletes.length){
					  bg_color = color_paletes[i];
				}else{
					j++;
					if(j < color_paletes.length){
						 bg_color = color_paletes[j];
					}else{
						j=0;
						 bg_color = color_paletes[j];
					}
					
				}
				  document.getElementById("tcp5divspan"+i).value = '#'+bg_color;
				  
				  $("#clr_slt_outer"+i+" .evo-colorind").css("background-color",'#'+bg_color);
				 
				  count ++ ;
				  
				  if(count == lfti){
					  count = 0;
					  brk_data++;
				  }
				  console.log(count);
				  console.log(brk_data);
				  console.log(lft_sde);
				  console.log(top_sde);
				  console.log(formating);
				add_container(count,brk_data,lft_sde,top_sde,formating,no_of_samples); 
				document.getElementById("tcp5divcheck"+i).checked = true;
				sltd_asy_asgn(i,1);
			}
			
		}else{
			asgnd_asy=[];
			for(var i=0;i<new_assay_liblary_data.length;i++){
				
				document.getElementById("tcp5divcheck"+i).checked = false;
			}
		}
		
	
	}
	function shw_num1(format,assay,replicates,lfti,tpj,plates_type,assay_format_txt){
		var divds = assay/lfti;
		
		var n = 0;
		var s = tpj/replicates;
		s = Math.floor(s);
		var rem = tpj%replicates;
		if(rem >= 5){
			s = s+1;
		}else{
			s =s;
		}
		var m=0;
		if(format != 1){
			for(var i=0;i<lfti;i++){
				var count = 0;
				for(var j=1;j<=tpj;j++){
					count ++ ;
					if(i==0){
						if(count <= s){
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(count+i);
							var parensts = $('#numshw'+i.toString()+j.toString()).parent();
							var parent_id = parensts[0].offsetParent.id;
							if(plates_type == 96){
							$('#'+parent_id).addClass("bdr_l_1");
							$('#'+parent_id).addClass("bdr_t_1");
							if(format == 96){
								
							$('#'+parent_id).addClass("bdr_l_1");
							
							if(j==tpj){
								
							$('#'+parent_id).addClass("bdr_r_1");
							}
							if(i==7){
								
							$('#'+parent_id).addClass("bdr_b_1");
							}
							if(i==0){
								
							$('#'+parent_id).addClass("bdr_t_1");
							}
							}else{
							if(count==s){
							$('#'+parent_id).addClass("bdr_r_1");
							}
							}
							}
							
						}else{
							count = 1;
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(count+i);
							var parensts = $('#numshw'+i.toString()+j.toString()).parent();
							var parent_id = parensts[0].offsetParent.id;
							if(plates_type == 96){
							$('#'+parent_id).addClass("bdr_l_1");
							$('#'+parent_id).addClass("bdr_t_1");
							if(format == 96){
								
							$('#'+parent_id).addClass("bdr_l_1");
							
							if(j==tpj){
								
							$('#'+parent_id).addClass("bdr_r_1");
							}
							if(i==7){
								
							$('#'+parent_id).addClass("bdr_b_1");
							}
							if(i==0){
								
							$('#'+parent_id).addClass("bdr_t_1");
							}
							}
						}
						}
					}else{
						if(count <= s){
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(count+divds*i);
							var parensts = $('#numshw'+i.toString()+j.toString()).parent();
							var parent_id = parensts[0].offsetParent.id
							if(plates_type == 96){
							$('#'+parent_id).addClass("bdr_l_1");
							$('#'+parent_id).addClass("bdr_t_1");
							if(i==lfti-1){
							$('#'+parent_id).addClass("bdr_b_1");
							}
							if(count==s){
							$('#'+parent_id).addClass("bdr_r_1");
							}
							if(format == 96){
								
							$('#'+parent_id).addClass("bdr_l_1");
							
							if(j==tpj){
								
							$('#'+parent_id).addClass("bdr_r_1");
							}
							if(i==7){
								
							$('#'+parent_id).addClass("bdr_b_1");
							}
							if(i==0){
								
							$('#'+parent_id).addClass("bdr_t_1");
							}
							}
							}
						}else{
							count = 1;
							
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(count+divds*i);
							var parensts = $('#numshw'+i.toString()+j.toString()).parent();
							var parent_id = parensts[0].offsetParent.id;
							if(plates_type == 96){
							if(format == 96){
								
							$('#'+parent_id).addClass("bdr_l_1");
							
							if(j==tpj){
								
							$('#'+parent_id).addClass("bdr_r_1");
							}
							if(i==7){
								
							$('#'+parent_id).addClass("bdr_b_1");
							}
							if(i==0){
								
							$('#'+parent_id).addClass("bdr_t_1");
							}
							}
							if(i==lfti-1){
							$('#'+parent_id).addClass("bdr_b_1");
							}
						}
						}
					}
				}
			}
		}
		
		var counting = 1;
		var t = 0;
		if(document.getElementById("pre_populate").checked == true){
			asgnd_asy=[];
			var count = -1;
			var brk_data = 1;
			
			
			
			var count1 = 0;
			var count2 = 0;
			var brk_data2 = 0;
			
			
			var assay_id = -1;
			
			
			var color_paletes = ["00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000","cceffc","cce2f2","fff2cc","ffffcc","e9f6dc","ccefdc","f2cccc","ffcccc","ccd2df","e2d6ec","ffcceb","cccccc","99dff9","99c6e6","ffe699","ffff99","d3ecb9","99dfb9","e69999","ff9999","99a6bf","c6acd9","ff99d7","999999","66d0f6","66a9d9","ffd966","ffff66","bee396","66d096","d96666","ff6666","6679a0","a983c6","ff66c4","666666","33c0f3","338dcd","ffcd33","ffff33","a8d973","33c073","cd3333","ff3333","334d80","8d59b3","ff33b0","333333","00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000"];
			var bg_color='';
			var j=-1;
			for(var i=0;i<new_assay_liblary_data.length;i++){
				
				if(i < color_paletes.length){
					  bg_color = color_paletes[i];
				}else{
					j++;
					if(j < color_paletes.length){
						 bg_color = color_paletes[j];
					}else{
						j=0;
						 bg_color = color_paletes[j];
					}
					
				}
				
				document.getElementById("tcp5divspan"+i).value = '#'+bg_color;
				$("#clr_slt_outer"+i+" .evo-colorind").css("background-color",'#'+bg_color);
				
				if((format == 64) || (format == 32 && plates_type==96)){
					console.log(format);
					 count1++;
				   brk_data2++;
				  if(count1 == 5){
					  count1 = 1;
					 
					  count2 ++;
					  brk_data2=1;
				  }
				  add_container(count2,brk_data2,lft_sde,top_sde,formating,no_of_samples); 
				document.getElementById("tcp5divcheck"+i).checked = true;
				sltd_asy_asgn(i,1);
				}else if((format == 32 && plates_type==384)){
					console.log(format);
					 count1++;
				   brk_data2++;
				  if(count1 == 3){
					  count1=1;
					  count2 ++;
					  brk_data2=1;
				  }
				  add_container(count2,brk_data2,lft_sde,top_sde,formating,no_of_samples); 
				document.getElementById("tcp5divcheck"+i).checked = true;
				sltd_asy_asgn(i,1);
				}else if((format == 96 && plates_type==96)){
					console.log(format);
					 count++;
				   brk_data2++;
				  if(count == 12){
					  count=0;
					  count2 ++;
					  brk_data2=1;
				  }
				  add_container(count2,brk_data2,lft_sde,top_sde,formating,no_of_samples); 
				document.getElementById("tcp5divcheck"+i).checked = true;
				sltd_asy_asgn(i,1);
				}else if((format == 192 && plates_type==384)){
					console.log(format);
					 count++;
				   brk_data2++;
				  if(count == 12){
					  count=0;
					  count2 ++;
					  brk_data2=1;
				  }
				  add_container(count2,brk_data2,lft_sde,top_sde,formating,no_of_samples); 
				document.getElementById("tcp5divcheck"+i).checked = true;
				sltd_asy_asgn(i,1);
				}else if((format == 384 && plates_type==384)){
					console.log(format);
					 count++;
				   brk_data2++;
				  if(count == 24){
					  count=0;
					  count2 ++;
					  brk_data2=1;
				  }
				  add_container(count2,brk_data2,lft_sde,top_sde,formating,no_of_samples); 
				document.getElementById("tcp5divcheck"+i).checked = true;
				sltd_asy_asgn(i,1);
				}else if( (format == 48 && plates_type==96) || (assay_format_txt == "96A" && plates_type==384)){
					 console.log(format);
					 count1++;
				   brk_data2++;
				  if(count1 == 7){
					  count1 = 1;
					  count2 ++;
					  brk_data2=1;
				  }
				  add_container(count2,brk_data2,lft_sde,top_sde,formating,no_of_samples); 
				document.getElementById("tcp5divcheck"+i).checked = true;
				sltd_asy_asgn(i,1);
				}else{
					console.log(format);
					count ++ ;
					if(count == lfti){
						count = 0;
						brk_data++;
					}
					add_container(count,brk_data,lft_sde,top_sde,formating,no_of_samples); 
				document.getElementById("tcp5divcheck"+i).checked = true;
				sltd_asy_asgn(i,1);
				}
				
			}
			
		}else{
			asgnd_asy=[];
			for(var i=0;i<new_assay_liblary_data.length;i++){
				
				document.getElementById("tcp5divcheck"+i).checked = false;
			}
		}
		
	
	}
	function shw_num_cards_12(format,assay,replicates,lfti,tpj,dvnd){
		console.log(format);
		var mn = 0;	
		var d1 = 0;	
		var d2 = 0;	
		if(dvnd == 2){
			var y = 0;
			for(var i=0;i<lfti;i++){
				y++;
				var t_c = 1;
				for(var j=1;j<=tpj;j++){
					
					if(j==11 || j == 12){
						if(j%dvnd == 0){
							//t_c ++;
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_l_0');
							
						}else{
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_r_0');
							
						}
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text("CTL");	
					}else{
							
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(t_c);	
						if(j%dvnd == 0){
							t_c ++;
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_l_0');
							
						}else{
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_r_0');
							
						}
					}
					if(y==2){
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_t_0');
						if(j==tpj){
							y=0;
						}
					}else{
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_b_0');
					}
				}
			}		
		}else if(dvnd == 4){
			var y = 0;
			for(var i=0;i<lfti;i++){
				var t_c = 0;
				y++;
				for(var j=1;j<=tpj;j++){
					
					if(j==11){
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text("CTL");	
					}else{
						t_c ++;
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(t_c);	
						
					}
					if(y==2){
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_t_0');
						if(j==tpj){
							y=0;
						}
					}else{
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_b_0');
					}
				}
			}		
		}else if(dvnd == 5){
			var m = 0;
			
			for(var i=0;i<lfti;i++){
				if(i%4==0){
					var t_c = 1;
				}
				for(var j=1;j<=tpj;j++){
					m++;
					if((j==11 || j == 12 || j == 10) && i%4==0){
						if(j%3 == 0){
							//t_c ++;
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_l_0');
						}else{
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_r_0');
						}
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text("CTL");	
					}else{
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(t_c);	
						if(j%3 == 0){
							t_c ++;
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_l_0');
							
						}else{
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_r_0');
						}
					}
					
					if(m==3){
						var ss_m = j-1;
						$('#tcp5tabledid'+i.toString()+'a'+ss_m.toString()).addClass('bdr_l_0');
						m=0;
					}
				}
			}		
		}else if(dvnd == 7){
			var m = 0;
			for(var i=0;i<lfti;i++){
				if(i%8==0){
					var t_c = 1;
				}
				for(var j=1;j<=tpj;j++){
					m++;
					if((j==11 || j == 12 || j == 10) && i%8==0){
						if(j%3 == 0){
							//t_c ++;
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_l_0');
						}else{
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_r_0');
						}
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text("CTL");	
					}else{
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(t_c);	
						if(j%3 == 0){
							t_c ++;
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_l_0');
							
						}else{
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_r_0');
						}
					}
					if(m==3){
						var ss_m = j-1;
						$('#tcp5tabledid'+i.toString()+'a'+ss_m.toString()).addClass('bdr_l_0');
						m=0;
					}
				}
			}		
		}else if(dvnd == 6){
			for(var i=0;i<lfti;i++){
				if(i%2==0){
					var t_c = 0;
				}
				for(var j=1;j<=tpj;j++){
					
					if((j==11) && i%2==0){
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text("CTL");	
					}else{
						t_c ++;
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(t_c);	
						
					}
				}
			}		
		}else if(dvnd == 11){
			var t_c = 0;
			for(var i=0;i<lfti;i++){
				
				for(var j=1;j<=tpj;j++){
					
					if((j==11 || j==12) && (i==0 || i==1)){
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text("CTL");	
					}else{
						t_c ++;
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(t_c);	
						
					}
				}
			}		
		}else if(dvnd == 8){
			for(var i=0;i<lfti;i++){
				if(i%4==0){
					var t_c = 0;
				}
				for(var j=1;j<=tpj;j++){
					
					if((j==11) && i%4==0){
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text("CTL");	
					}else{
						t_c ++;
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(t_c);	
						
					}
				}
			}		
		}else if(dvnd == 9){
			var m_c = 0 ;
			var w_m_c = 0 ;
			var t_c = 0;
			var s_count = -1;
			var y=0;
			for(var i=0;i<lfti;i++){
				y++;
				w_m_c++;
				m_c++;
				if(w_m_c == 9){
					m_c = 1 ;
					t_c = 0;
					s_count = -1;
				}else{
					if(m_c == 2){
						s_count ++;
						t_c=t_c-23-s_count;
						m_c =0;
						s_count =0;
					}
				}
				for(var j=1;j<=tpj;j++){
					if((j==11) && (i==0 || i==1 || i==9 || i==8)){
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text("CTL");	
					}else{
						t_c ++;
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(t_c);	
					}
					if(y==2){
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_t_0');
						if(j==tpj){
							y=0;
						}
					}else{
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_b_0');
					}
				}
			}		
		}else if(dvnd == 10){
			var y = 0 ;
			var m_c = 0 ;
			var w_m_c = 0 ;
			var t_c = 0;
			var s_count = -1;
			for(var i=0;i<lfti;i++){
				y++;
				w_m_c++;
				m_c++;
				if(w_m_c == 17){
					m_c = 1 ;
					t_c = 0;
					s_count = -1;
				}else{
					if(m_c == 2){
						s_count ++;
						t_c=t_c-23-s_count;
						m_c =0;
						s_count =0;
					}
				}
				for(var j=1;j<=tpj;j++){
					if((j==11) && (i==0 || i==1)){
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text("CTL");	
					}else{
						t_c ++;
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(t_c);	
					}
					if(y==2){
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_t_0');
						if(j==tpj){
							y=0;
						}
					}else{
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_b_0');
					}
				}
			}		
		}else{
			var m = 0;
			for(var i=0;i<lfti;i++){
				if(i%2==0){
					var t_c = 1;
				}else{
					
				}
				
				for(var j=1;j<=tpj;j++){
					m++;
					if((j==11 || j == 12 || j == 10) && i%2==0){
						if(j%dvnd == 0){
							//t_c ++;
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_l_0');
							
						}else{
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_r_0');
						}
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text("CTL");	
					}else{
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(t_c);	
						if(j%dvnd == 0){
							t_c ++;
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_l_0');
							
						}else{
							$('#tcp5tabledid'+i.toString()+'a'+j.toString()).addClass('bdr_r_0');
						}
					}
					if(m==3){
						var ss_m = j-1;
						$('#tcp5tabledid'+i.toString()+'a'+ss_m.toString()).addClass('bdr_l_0');
						m=0;
					}
				}
			}
		}		
		
		
		var counting = 1;
		var t = 0;
		if(document.getElementById("pre_populate").checked == true){
			asgnd_asy=[];
			var count = -1;
			var count_a = 0;
			var brk_data = 1;
			
			
			var count1 = -1;
			var count2 = -1;
			var count5 = 0;
			var count4 = -2;
			var count3 = 0;
			//var count2 = 0;
			var brk_data2 = 0;
			var assay_id_c = -1;
			ctrl_lst_count1=0;
			var mdata = 11;
		var mdata1 = 11;
			
			var color_paletes = ["00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000","cceffc","cce2f2","fff2cc","ffffcc","e9f6dc","ccefdc","f2cccc","ffcccc","ccd2df","e2d6ec","ffcceb","cccccc","99dff9","99c6e6","ffe699","ffff99","d3ecb9","99dfb9","e69999","ff9999","99a6bf","c6acd9","ff99d7","999999","66d0f6","66a9d9","ffd966","ffff66","bee396","66d096","d96666","ff6666","6679a0","a983c6","ff66c4","666666","33c0f3","338dcd","ffcd33","ffff33","a8d973","33c073","cd3333","ff3333","334d80","8d59b3","ff33b0","333333","00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000"];
			
			
			 var rem_ids = -1;
			var bg_color='';
			var j=-1;
			for(var i=0;i<new_assay_liblary_data.length;i++){
				count_a++;
				if(dvnd == 2){
					if(count_a == 13){
						count = 0;
						brk_data++;
					}
				}else if(dvnd == 4){
					if(count_a == 25){
						count = 0;
						brk_data++;
					}
				}else if(dvnd == 6){
					if(count_a == 49){
						count = 0;
						brk_data++;
					}
				}else if(dvnd == 11){
					if(count_a == 385){
						count = 0;
						brk_data++;
					}
				}else if(dvnd == 8){
					if(count_a == 97){
						count = 0;
						brk_data++;
					}
				}else if(dvnd == 5){
					if(count_a == 33){
						count = 0;
						brk_data++;
					}
				}else if(dvnd == 7){
					if(count_a == 65){
						count = 0;
						brk_data++;
					}
				}else if(dvnd == 9){
					if(count_a == 97){
						count = 0;
						brk_data++;
					}
				}else if(dvnd == 10){
					if(count_a == 193){
						count = 0;
						brk_data++;
					}
				}else{
					if(count_a == 17){
						count = 0;
						brk_data++;
					}
				}
				
				
				if(i < color_paletes.length){
					  bg_color = color_paletes[i];
				}else{
					j++;
					if(j < color_paletes.length){
						 bg_color = color_paletes[j];
					}else{
						j=0;
						 bg_color = color_paletes[j];
					}
					
				}
				document.getElementById("tcp5divspan"+i).value = '#'+bg_color;
				$("#clr_slt_outer"+i+" .evo-colorind").css("background-color",'#'+bg_color);
				
				
				  if(dvnd == 3){
					  var temp_bk_dta = 0;
					 if(new_assay_liblary_data.length <=3){
						if(new_assay_liblary_data[i].assay_type == 0){
							count ++ ;
							count1 ++ ;
							count2 ++ ;
							if(count1 == 8){
								count1 = -1;
								count = 1;
								brk_data = 1;
							}else{
								if(count == 1 ){
									count = 0;
									brk_data = brk_data+dvnd;
								}else if(count == 2 ){
									count = 1;
									brk_data = brk_data+dvnd;
								}
							}
							add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
							document.getElementById("tcp5divcheck"+i).checked = true;
							sltd_asy_asgn(i,1);
						}else{
							temp_bk_dta = brk_data;
							var id = new_assay_liblary_data.length-1; 
							count1 ++ ;		
							count = 0 ;
							brk_data = 10;
							add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
							document.getElementById("tcp5divcheck"+i).checked = true;
							sltd_asy_asgn(i,1);
							brk_data = temp_bk_dta;
						}
					}else{
						if(i==3){
							var id = new_assay_liblary_data.length-1;  
							count = 0 ;
							brk_data = 10;
							add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
							document.getElementById("tcp5divcheck"+i).checked = true;
							sltd_asy_asgn(i,1);
						}else{
							if(new_assay_liblary_data[i].assay_type == 1){
								rem_ids =i-1;
								count ++ ;
								count1 ++ ;
								count2 ++ ;
								if(count1 == 8){
									count1 = -1;
									count = 1;
									brk_data = 1;
								}else{
									if(count == 1 ){
										count = 0;
										brk_data = brk_data+dvnd;
									}else if(count == 2 ){
										count = 1;
										brk_data = brk_data+dvnd;
									}
								}
								add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
								document.getElementById("tcp5divcheck"+rem_ids).checked = true;
								sltd_asy_asgn(rem_ids,1); 
							}else{
								rem_ids =rem_ids+1;
								count ++ ;
								count1 ++ ;
								count2 ++ ;
								if(count1 == 8){
									count1 = -1;
									count = 1;
									brk_data = 1;
								}else{
									if(count == 1 ){
										count = 0;
										brk_data = brk_data+dvnd;
									}else if(count == 2 ){
										count = 1;
										brk_data = brk_data+dvnd;
									}
								}
								add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples);
								document.getElementById("tcp5divcheck"+i).checked = true;
								sltd_asy_asgn(i,1);
							}
						}
					}
					  
						  
					  
				  }else if(dvnd == 4){
					 var temp_bk_dta = 0;
					if(new_assay_liblary_data.length <=10){
						if(new_assay_liblary_data[i].assay_type == 0){
							count ++ ;
							if(count == 1){
								count = 0;
								brk_data++;
							}
							add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
							document.getElementById("tcp5divcheck"+i).checked = true;
							sltd_asy_asgn(i,1);
							}else{
								temp_bk_dta = brk_data;
								var id = new_assay_liblary_data.length-1; 
								count = 0 ;
								brk_data = 11;
								add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
								document.getElementById("tcp5divcheck"+i).checked = true;
								sltd_asy_asgn(i,1);
								brk_data = temp_bk_dta;
							}
					}else{
						if(i==10){
							var id = new_assay_liblary_data.length-1;  
							count = 0 ;
							brk_data = 11;
							add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
							document.getElementById("tcp5divcheck"+i).checked = true;
							sltd_asy_asgn(i,1);
						}else{
							if(new_assay_liblary_data[i].assay_type == 1){
								rem_ids =i-1;
								count ++ ;
								if(count == 1){
									count = 0;
									brk_data++;
								}
								add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
								document.getElementById("tcp5divcheck"+rem_ids).checked = true;
								sltd_asy_asgn(rem_ids,1); 
							}else{
								rem_ids =rem_ids+1;
								count ++ ;
								if(count == 1){
									count = 0;
									brk_data++;
								}
								add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples);
								document.getElementById("tcp5divcheck"+i).checked = true;
								sltd_asy_asgn(i,1);
							}
						}
					}					  
				  }else if(dvnd == 5){
					   var temp_bk_dta = 0;
					 if(new_assay_liblary_data.length <=3){
	if(new_assay_liblary_data[i].assay_type == 0){
		count2++;
		count1++;
		if(count1 == 8){
			count1 = 0;
			count ++;
			brk_data = 1;
		}else{
			if(count2 < 8){
				count ++;
			}
			if(count == 1 && count2 < 8){
				count = 0;
				brk_data =  brk_data+3;
			}else if(count != 0){
				brk_data =  brk_data+3; 
			}
		}
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		temp_bk_dta = brk_data;
			var id = new_assay_liblary_data.length-1; 
			count1 = count1 +2 ;
			count2 = count2 +2 ;
			count = 0 ;
			brk_data = 10;
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
			document.getElementById("tcp5divcheck"+i).checked = true;
			sltd_asy_asgn(i,1);
			brk_data = temp_bk_dta;
		}
}else{
	if(i==3){
		count1 = count1 +2 ;
		count2 = count2 +2 ;
		count = 0 ;
		brk_data = 10;
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		if(new_assay_liblary_data[i].assay_type == 1){
			rem_ids =i-1;
			count2++;
		count1++;
		if(count1 == 8){
			count1 = 0;
			count ++;
			brk_data = 1;
		}else{
			if(count2 < 8){
				count ++;
			}
			if(count == 1 && count2 < 8){
				count = 0;
				brk_data =  brk_data+3;
			}else if(count != 0){
				brk_data =  brk_data+3; 
			}
		}
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
			document.getElementById("tcp5divcheck"+rem_ids).checked = true;
			sltd_asy_asgn(rem_ids,1); 
		}else{
			rem_ids =rem_ids+1;
			count2++;
		count1++;
		if(count1 == 8){
			count1 = 0;
			count ++;
			brk_data = 1;
		}else{
			if(count2 < 8){
				count ++;
			}
			if(count == 1 && count2 < 8){
				count = 0;
				brk_data =  brk_data+3;
			}else if(count != 0){
				brk_data =  brk_data+3; 
			}
		}
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples);
			document.getElementById("tcp5divcheck"+i).checked = true;
			sltd_asy_asgn(i,1);
		}
	}
}					
					 
				  }else if(dvnd == 7){
					  var temp_bk_dta = 0;
					if(new_assay_liblary_data.length <=3){
	if(new_assay_liblary_data[i].assay_type == 0){
		count2++;
					  count1++;
					
					  if(count1 == 8){
						  count1 = 0;
						   count ++;
						  brk_data = 1;
					  }else{
						   
						   if(count2 < 8){
							   count ++;
						   }
						  if(count == 1 && count2 < 8){
							count = 0;
							 brk_data =  brk_data+3;
						  }else if(count != 0){
							// count3 = 0;
							 brk_data =  brk_data+3; 
						  }
					  }
					
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		temp_bk_dta = brk_data;
		var id = new_assay_liblary_data.length-1; 
		count1 = count1 +2 ;
						count2 = count2 +2 ;
						count = 0 ;
		brk_data = 10;
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
		brk_data = temp_bk_dta;
	}
}else{
	if(i==3){
		count1 = count1 +2 ;
						count2 = count2 +2 ;
						count = 0 ;
		brk_data = 10;
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		if(new_assay_liblary_data[i].assay_type == 1){
			rem_ids =i-1;
			count2++;
					  count1++;
					
					  if(count1 == 8){
						  count1 = 0;
						   count ++;
						  brk_data = 1;
					  }else{
						   
						   if(count2 < 8){
							   count ++;
						   }
						  if(count == 1 && count2 < 8){
							count = 0;
							 brk_data =  brk_data+3;
						  }else if(count != 0){
							// count3 = 0;
							 brk_data =  brk_data+3; 
						  }
					  }
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
			document.getElementById("tcp5divcheck"+rem_ids).checked = true;
			sltd_asy_asgn(rem_ids,1); 
		}else{
			rem_ids =rem_ids+1;
			count2++;
					  count1++;
					
					  if(count1 == 8){
						  count1 = 0;
						   count ++;
						  brk_data = 1;
					  }else{
						   
						   if(count2 < 8){
							   count ++;
						   }
						  if(count == 1 && count2 < 8){
							count = 0;
							 brk_data =  brk_data+3;
						  }else if(count != 0){
							// count3 = 0;
							 brk_data =  brk_data+3; 
						  }
					  }
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples);
			document.getElementById("tcp5divcheck"+i).checked = true;
			sltd_asy_asgn(i,1);
		}
	}
}					
				  }else if(dvnd == 6){
					   var temp_bk_dta = 0;
					 if(new_assay_liblary_data.length <=10){
	if(new_assay_liblary_data[i].assay_type == 0){
		count ++ ;
		count1 ++ ;
		count2 ++ ;
		if(count1 == 24){
			count1 = -1;
			count = 1;
			brk_data = 1;
		}else{
			if(count == 1 ){
				count = 0;
				brk_data = brk_data+1;
			}else if(count == 2 ){
				count = 1;
				brk_data = brk_data+1;
			}
		}
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		temp_bk_dta = brk_data;
		var id = new_assay_liblary_data.length-1; 
		count1 = count1 +2 ;
		count = 0 ;
		brk_data = 11;
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
		brk_data = temp_bk_dta;
	}
}else{
	if(i==10){
		count1 = count1 +2 ;
		count = 0 ;
		brk_data = 11;
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		if(new_assay_liblary_data[i].assay_type == 1){
			rem_ids =i-1;
			count ++ ;
		count1 ++ ;
		count2 ++ ;
		if(count1 == 24){
			count1 = -1;
			count = 1;
			brk_data = 1;
		}else{
			if(count == 1 ){
				count = 0;
				brk_data = brk_data+1;
			}else if(count == 2 ){
				count = 1;
				brk_data = brk_data+1;
			}
		}
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
			document.getElementById("tcp5divcheck"+rem_ids).checked = true;
			sltd_asy_asgn(rem_ids,1); 
		}else{
			rem_ids =rem_ids+1;
			count ++ ;
		count1 ++ ;
		count2 ++ ;
		if(count1 == 24){
			count1 = -1;
			count = 1;
			brk_data = 1;
		}else{
			if(count == 1 ){
				count = 0;
				brk_data = brk_data+1;
			}else if(count == 2 ){
				count = 1;
				brk_data = brk_data+1;
			}
		}
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples);
			document.getElementById("tcp5divcheck"+i).checked = true;
			sltd_asy_asgn(i,1);
		}
	}
}					
					 
				  }else if(dvnd == 11){
					   var temp_bk_dta = 0;
					if(new_assay_liblary_data.length <=10){
	if(new_assay_liblary_data[i].assay_type == 0){
		   count ++ ;
					  count1 ++ ;
					  count2 ++ ;
					  
					  if(count1 == 24){
						  count1 = -1;
						   count = 1;
						  brk_data = 1;
					  }else{
						  if(count == 1 ){
							  count = 0;
							  brk_data = brk_data+1;
						  }else if(count == 2 ){
							   count = 1;
							  brk_data = brk_data+1;
						  }
					  }
					  
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		var id = new_assay_liblary_data.length; 
		temp_bk_dta = brk_data;
		ctrl_lst_count1 ++;
			id = id-ctrl_lst_count1;
			if(ctrl_lst_count1<3){
				//console.log();
				count1 = count1 +1 ;
						count = 0 ;
						brk_data = mdata++;
						add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+id).checked = true;
		sltd_asy_asgn(id,1);
				
			}else{
				count1 = count1 +1 ;
						count = 1 ;
						brk_data = mdata1++;
						console.log(count1);
						console.log(ctrl_lst_count1);
						console.log(brk_data);
						console.log(count);
						console.log(id);
						add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
						document.getElementById("tcp5divcheck"+id).checked = true;
						sltd_asy_asgn(id,1);
			}
		
		
		brk_data = temp_bk_dta;
		
	}
}else{
	if(new_assay_liblary_data[i].assay_type == 0){
		
		   count ++ ;
					  count1 ++ ;
					  count2 ++ ;
					  
					  if(count1 == 24){
						  count1 = -1;
						   count = 1;
						  brk_data = 1;
					  }else{
						  if(i == 10 || i == 11 || i == 32 || i== 35){
							if(i==10){
								count1 = count1 +3 ;
								count = 0 ;
								brk_data = brk_data+(3);
							}else if( i==32){
						count1 = count1 +3 ;
						count = 1 ;
						brk_data = brk_data+(3);
						
					}else{
						if(count == 1 ){
							  count = 0;
							  brk_data = brk_data+1;
						  }else if(count == 2 ){
							   count = 1;
							  brk_data = brk_data+1;
						  }
					}
							}else{
								if(count == 1 ){
							  count = 0;
							  brk_data = brk_data+1;
						  }else if(count == 2 ){
							   count = 1;
							  brk_data = brk_data+1;
						  }
							}
						  
					  }
					  
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		var id = new_assay_liblary_data.length; 
		temp_bk_dta = brk_data;
		ctrl_lst_count1 ++;
			id = id-ctrl_lst_count1;
			if(ctrl_lst_count1<3){
				//console.log();
				count1 = count1 +1 ;
						count = 0 ;
						brk_data = mdata++;
						add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+id).checked = true;
		sltd_asy_asgn(id,1);
				
			}else{
				count1 = count1 +1 ;
						count = 1 ;
						brk_data = mdata1++;
						console.log(count1);
						console.log(ctrl_lst_count1);
						console.log(brk_data);
						console.log(count);
						console.log(id);
						add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
						document.getElementById("tcp5divcheck"+id).checked = true;
						sltd_asy_asgn(id,1);
			}
		
		
		brk_data = temp_bk_dta;
		
	}
}					
				  }else if(dvnd == 8){
					   var temp_bk_dta = 0;
					 if(new_assay_liblary_data.length <=10){
	if(new_assay_liblary_data[i].assay_type == 0){
		count ++ ;
					  count1 ++ ;
					  count2 ++ ;
					  
					
					  if(count1 == 24){
						  count1 = 0;
						  count5 = count5 +1;
						   count =count5;
						  brk_data = 1;
					  }else{
						  if(count == 1 && count2 < 24){
						  count = 0;
						 brk_data =  brk_data+1;
					  }else if(count2 > 24){
							count = count - 1 ;
						 brk_data =  brk_data+1;
						  }
					  }	
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		temp_bk_dta = brk_data;
		var id = new_assay_liblary_data.length-1; 
		count1 = count1 +2 ;
						count2 = count2 +2 ;
						count = 0 ;
		brk_data = 11;
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
		brk_data = temp_bk_dta;
	}
}else{
	if(i==10){
		count1 = count1 +2 ;
						count2 = count2 +2 ;
						count = 0 ;
		brk_data = 11;
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		if(new_assay_liblary_data[i].assay_type == 1){
			rem_ids =i-1;
			count ++ ;
					  count1 ++ ;
					  count2 ++ ;
					  
					
					  if(count1 == 24){
						  count1 = 0;
						  count5 = count5 +1;
						   count =count5;
						  brk_data = 1;
					  }else{
						  if(count == 1 && count2 < 24){
						  count = 0;
						 brk_data =  brk_data+1;
					  }else if(count2 > 24){
							count = count - 1 ;
						 brk_data =  brk_data+1;
						  }
					  }
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
			document.getElementById("tcp5divcheck"+rem_ids).checked = true;
			sltd_asy_asgn(rem_ids,1); 
		}else{
			rem_ids =rem_ids+1;
			count ++ ;
					  count1 ++ ;
					  count2 ++ ;
					  
					
					  if(count1 == 24){
						  count1 = 0;
						  count5 = count5 +1;
						   count =count5;
						  brk_data = 1;
					  }else{
						  if(count == 1 && count2 < 24){
						  count = 0;
						 brk_data =  brk_data+1;
					  }else if(count2 > 24){
							count = count - 1 ;
						 brk_data =  brk_data+1;
						  }
					  }
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples);
			document.getElementById("tcp5divcheck"+i).checked = true;
			sltd_asy_asgn(i,1);
		}
	}
}					
				  }else if(dvnd == 9){
					  var temp_bk_dta = 0;
					 if(new_assay_liblary_data.length <=10){
	if(new_assay_liblary_data[i].assay_type == 0){
		 if(i==0){
						count ++ ;  
					  }else{
						 count = count +2 ;
					  }
					  
					  
					  count1 ++ ;
					  count2 ++ ;
					  
					  if(count1 == 24){
						  count1 = 0;
						    count4 = count4 +2;
						   count =count4+2;
						  brk_data = 1;
					  }else{
						  if(count == 2 && count2 < 24){
						  count = 0;
						 brk_data =  brk_data+1;
					  }else if(count2 > 24){
							count = count - 2 ;
						 brk_data =  brk_data+1;
						  }
					  }
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		temp_bk_dta = brk_data;
		var id = new_assay_liblary_data.length-1; 
		count1 = count1 +2 ;
						count2 = count2 +2 ;
						count = 0 ;
		brk_data = 11;
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
		brk_data = temp_bk_dta;
	}
}else{
	if(i==10){
		count1 = count1 +2 ;
						count2 = count2 +2 ;
						count = 0 ;
		brk_data = 11;
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		if(new_assay_liblary_data[i].assay_type == 1){
			rem_ids =i-1;
			 if(i==0){
						count ++ ;  
					  }else{
						 count = count +2 ;
					  }
					  
					  
					  count1 ++ ;
					  count2 ++ ;
					  
					  if(count1 == 24){
						  count1 = 0;
						    count4 = count4 +2;
						   count =count4+2;
						  brk_data = 1;
					  }else{
						  if(count == 2 && count2 < 24){
						  count = 0;
						 brk_data =  brk_data+1;
					  }else if(count2 > 24){
							count = count - 2 ;
						 brk_data =  brk_data+1;
						  }
					  }
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
			document.getElementById("tcp5divcheck"+rem_ids).checked = true;
			sltd_asy_asgn(rem_ids,1); 
		}else{
			rem_ids =rem_ids+1;
			 if(i==0){
						count ++ ;  
					  }else{
						 count = count +2 ;
					  }
					  
					  
					  count1 ++ ;
					  count2 ++ ;
					  
					  if(count1 == 24){
						  count1 = 0;
						    count4 = count4 +2;
						   count =count4+2;
						  brk_data = 1;
					  }else{
						  if(count == 2 && count2 < 24){
						  count = 0;
						 brk_data =  brk_data+1;
					  }else if(count2 > 24){
							count = count - 2 ;
						 brk_data =  brk_data+1;
						  }
					  }
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples);
			document.getElementById("tcp5divcheck"+i).checked = true;
			sltd_asy_asgn(i,1);
		}
	}
}					
				  }else if(dvnd == 10){
					  var temp_bk_dta = 0;
					  if(new_assay_liblary_data.length <=10){
	if(new_assay_liblary_data[i].assay_type == 0){
		  if(i==0){
						count ++ ;  
					  }else{
						 count = count +2 ;
					  }
					  
					 
					  count1 ++ ;
					  count2 ++ ;
					  
					  if(count1 == 24){
						  count1 = 0;
						  count4 = count4 +2;
						   count =count4+2;
						  brk_data = 1;
					  }else{
						  if(count == 2 && count2 < 24){
						  count = 0;
						 brk_data =  brk_data+1;
					  }else if(count2 > 24){
							count = count - 2 ;
						 brk_data =  brk_data+1;
						  }
					  }
					  
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		temp_bk_dta = brk_data;
		var id = new_assay_liblary_data.length-1; 
		count1 = count1 +2 ;
						count2 = count2 +2 ;
						count = 0 ;
		brk_data = 11;
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
		brk_data = temp_bk_dta;
	}
}else{
	if(i==10){
		count1 = count1 +2 ;
						count2 = count2 +2 ;
						count = 0 ;
		brk_data = 11;
		add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
		document.getElementById("tcp5divcheck"+i).checked = true;
		sltd_asy_asgn(i,1);
	}else{
		if(new_assay_liblary_data[i].assay_type == 1){
			rem_ids =i-1;
			  if(i==0){
						count ++ ;  
					  }else{
						 count = count +2 ;
					  }
					  
					 
					  count1 ++ ;
					  count2 ++ ;
					  
					  if(count1 == 24){
						  count1 = 0;
						  count4 = count4 +2;
						   count =count4+2;
						  brk_data = 1;
					  }else{
						  if(count == 2 && count2 < 24){
						  count = 0;
						 brk_data =  brk_data+1;
					  }else if(count2 > 24){
							count = count - 2 ;
						 brk_data =  brk_data+1;
						  }
					  }
					  
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
			document.getElementById("tcp5divcheck"+rem_ids).checked = true;
			sltd_asy_asgn(rem_ids,1); 
		}else{
			rem_ids =rem_ids+1;
			  if(i==0){
						count ++ ;  
					  }else{
						 count = count +2 ;
					  }
					  
					 
					  count1 ++ ;
					  count2 ++ ;
					  
					  if(count1 == 24){
						  count1 = 0;
						  count4 = count4 +2;
						   count =count4+2;
						  brk_data = 1;
					  }else{
						  if(count == 2 && count2 < 24){
						  count = 0;
						 brk_data =  brk_data+1;
					  }else if(count2 > 24){
							count = count - 2 ;
						 brk_data =  brk_data+1;
						  }
					  }
					  
			add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples);
			document.getElementById("tcp5divcheck"+i).checked = true;
			sltd_asy_asgn(i,1);
		}
	}
}					 
				  }else{
					  var temp_bk_dta = 0;
						if(new_assay_liblary_data.length <=5){
							if(new_assay_liblary_data[i].assay_type == 0){
								count ++ ;
								assay_id_c++;
								if(count == 1){
									count = 0;
									brk_data = brk_data+dvnd;
								}
								add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
								document.getElementById("tcp5divcheck"+i).checked = true;
								sltd_asy_asgn(i,1);
							}else{
								temp_bk_dta = brk_data;
								var id = new_assay_liblary_data.length-1;  
								count = 0 ;
								brk_data = 11;
								add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
								document.getElementById("tcp5divcheck"+i).checked = true;
								sltd_asy_asgn(i,1);
								brk_data = temp_bk_dta;
							}
						}else{
							if(i==5){
								var id = new_assay_liblary_data.length-1;  
								count = 0 ;
								brk_data = 11;
								add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
								document.getElementById("tcp5divcheck"+i).checked = true;
								sltd_asy_asgn(i,1);
							}else{
								if(new_assay_liblary_data[i].assay_type == 1){
									rem_ids =i-1;
									count ++ ;
									assay_id_c++;
									if(count == 1){
										count = 0;
										brk_data = brk_data+dvnd;
									}
									add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
									document.getElementById("tcp5divcheck"+rem_ids).checked = true;
									sltd_asy_asgn(rem_ids,1); 
								}else{
									rem_ids =rem_ids+1;
									count ++ ;
									assay_id_c++;
									if(count == 1){
										count = 0;
										brk_data = brk_data+dvnd;
									}
									add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
									document.getElementById("tcp5divcheck"+i).checked = true;
									sltd_asy_asgn(i,1);
								}
							}
						}
					}
				}
			}else{
				var mdata = 11;
		var mdata1 = 11;
		var ctrl_lst_count11 = 0;
				console.log(document.getElementById("pre_populate").checked);
				var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
				get_rstr_cookie = JSON.parse(get_rstr_cookie);
				console.log(get_rstr_cookie);
				var get_edit = readCookie('edit_add');
		var  asgnd_lngth = '';
		if(get_edit != null && get_rstr_cookie[0].assgnd_assays.length <= 1 ){
			asgnd_lngth = 1;
		}else if(get_edit == null && get_rstr_cookie[0].assgnd_assays.length <= 1 ){
			asgnd_lngth = get_rstr_cookie[0].assgnd_assays.length;
		}else{
			asgnd_lngth = 0;
		}
		console.log(asgnd_lngth);
		console.log(get_rstr_cookie[0].assgnd_assays.length);
		if( asgnd_lngth == get_rstr_cookie[0].assgnd_assays.length){
			asgnd_asy=[];
			if(dvnd == 2){
				var id = '';
				for(var s=0;s<new_assay_liblary_data.length;s++){
					if(new_assay_liblary_data[s].assay_type == 1){
						id = s;  
					}
				}
				
				document.getElementById("tcp5divspan"+id).value = '#000000';
				$("#clr_slt_outer"+id+" .evo-colorind").css("background-color",'#000000');
				count = 0 ;
				brk_data = 11;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+id).checked = true;
				sltd_asy_asgn(id,1);
				console.log(asgnd_asy.length);
			}else if(dvnd == 3){
				var id = '';
				for(var s=0;s<new_assay_liblary_data.length;s++){
					if(new_assay_liblary_data[s].assay_type == 1){
						id = s;  
					}
				}
				document.getElementById("tcp5divspan"+id).value = '#000000';
				$("#clr_slt_outer"+id+" .evo-colorind").css("background-color",'#000000');
				count = 0 ;
				brk_data = 10;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+id).checked = true;
				sltd_asy_asgn(id,1);
				console.log(asgnd_asy.length);
			}else if(dvnd == 4){
				var id = '';
				for(var s=0;s<new_assay_liblary_data.length;s++){
					if(new_assay_liblary_data[s].assay_type == 1){
						id = s;  
					}
				} 
				document.getElementById("tcp5divspan"+id).value = '#000000';
				$("#clr_slt_outer"+id+" .evo-colorind").css("background-color",'#000000');
				count = 0 ;
				brk_data = 11;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+id).checked = true;
				sltd_asy_asgn(id,1);
				console.log(asgnd_asy.length);
			}else if(dvnd == 5){
				var id = '';
				for(var s=0;s<new_assay_liblary_data.length;s++){
					if(new_assay_liblary_data[s].assay_type == 1){
						id = s;  
					}
				}
				document.getElementById("tcp5divspan"+id).value = '#000000';
				$("#clr_slt_outer"+id+" .evo-colorind").css("background-color",'#000000');
				count = 0 ;
				brk_data = 10;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+id).checked = true;
				sltd_asy_asgn(id,1);
				console.log(asgnd_asy.length);
			}else if(dvnd == 6){
				var id = '';
				for(var s=0;s<new_assay_liblary_data.length;s++){
					if(new_assay_liblary_data[s].assay_type == 1){
						id = s;  
					}
				}
				document.getElementById("tcp5divspan"+id).value = '#000000';
				$("#clr_slt_outer"+id+" .evo-colorind").css("background-color",'#000000');
				count = 0 ;
				brk_data = 11;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+id).checked = true;
				sltd_asy_asgn(id,1);
				console.log(asgnd_asy.length);
			}else if(dvnd == 7){
				var id = '';
				for(var s=0;s<new_assay_liblary_data.length;s++){
					if(new_assay_liblary_data[s].assay_type == 1){
						id = s;  
					}
				}
				document.getElementById("tcp5divspan"+id).value = '#000000';
				$("#clr_slt_outer"+id+" .evo-colorind").css("background-color",'#000000');
				count = 0 ;
				brk_data = 10;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+id).checked = true;
				sltd_asy_asgn(id,1);
				console.log(asgnd_asy.length);
			}else if(dvnd == 8){
				var id = '';
				for(var s=0;s<new_assay_liblary_data.length;s++){
					if(new_assay_liblary_data[s].assay_type == 1){
						id = s;  
					}
				}
				document.getElementById("tcp5divspan"+id).value = '#000000';
				$("#clr_slt_outer"+id+" .evo-colorind").css("background-color",'#000000');
				count = 0 ;
				brk_data = 11;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+id).checked = true;
				sltd_asy_asgn(id,1);
				console.log(asgnd_asy.length);
			}else if(dvnd == 9){
				var id = '';
				for(var s=0;s<new_assay_liblary_data.length;s++){
					if(new_assay_liblary_data[s].assay_type == 1){
						id = s;  
					}
				}
				document.getElementById("tcp5divspan"+id).value = '#000000';
				$("#clr_slt_outer"+id+" .evo-colorind").css("background-color",'#000000');
				count = 0 ;
				brk_data = 11;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+id).checked = true;
				sltd_asy_asgn(id,1);
				console.log(asgnd_asy.length);
			}else if(dvnd == 10){
				var id = '';
				for(var s=0;s<new_assay_liblary_data.length;s++){
					if(new_assay_liblary_data[s].assay_type == 1){
						id = s;  
					}
				} 
				document.getElementById("tcp5divspan"+id).value = '#000000';
				$("#clr_slt_outer"+id+" .evo-colorind").css("background-color",'#000000');
				count = 0 ;
				brk_data = 11;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+id).checked = true;
				sltd_asy_asgn(id,1);
				console.log(asgnd_asy.length);
			}else if(dvnd == 11){
				var id = '';
				var color_paletes = ["00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000","cceffc","cce2f2","fff2cc","ffffcc","e9f6dc","ccefdc","f2cccc","ffcccc","ccd2df","e2d6ec","ffcceb","cccccc","99dff9","99c6e6","ffe699","ffff99","d3ecb9","99dfb9","e69999","ff9999","99a6bf","c6acd9","ff99d7","999999","66d0f6","66a9d9","ffd966","ffff66","bee396","66d096","d96666","ff6666","6679a0","a983c6","ff66c4","666666","33c0f3","338dcd","ffcd33","ffff33","a8d973","33c073","cd3333","ff3333","334d80","8d59b3","ff33b0","333333","00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000"];
				for(var s=0;s<new_assay_liblary_data.length;s++){
					if(new_assay_liblary_data[s].assay_type == 1){
						ctrl_lst_count11 ++;
						id = s; 
						if(ctrl_lst_count11<3){
							document.getElementById("tcp5divspan"+id).value = '#99c6e6';
				$("#clr_slt_outer"+id+" .evo-colorind").css("background-color",'#99c6e6');
				count = 0 ;
				brk_data = mdata++;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+id).checked = true;
				sltd_asy_asgn(id,1);
						}else{
							document.getElementById("tcp5divspan"+id).value = '#000000';
				$("#clr_slt_outer"+id+" .evo-colorind").css("background-color",'#000000');
				count = 1 ;
				brk_data = mdata1++;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+id).checked = true;
				sltd_asy_asgn(id,1);
						}
						
				console.log(asgnd_asy.length);
						
						
						
						
						
						
						
					}
				} 
				
			}
		}else{
			if(get_rstr_cookie[0].assgnd_assays.length > 1){
				console.log(asgnd_asy.length);
				console.log(get_rstr_cookie);
			
			for(var a=0;a<get_rstr_cookie[0].assgnd_assays.length;a++){
				document.getElementById("tcp5divcheck"+get_rstr_cookie[0].assgnd_assays[a].index).checked = true;
				selected_lft = get_rstr_cookie[0].assgnd_assays[a].left;
				selected_rgt = get_rstr_cookie[0].assgnd_assays[a].top;
				slctd_replicates = get_rstr_cookie[0].numberOfCards;
				sltd_asy_asgn(get_rstr_cookie[0].assgnd_assays[a].index,0);
			}
	
			}else{
				asgnd_asy=[];
				console.log(asgnd_asy.length);
				for(var i=0;i<new_assay_liblary_data.length;i++){
					document.getElementById("tcp5divcheck"+i).checked = false;
				}
			}
			
		}
			
			
			
			
		}
	}
	function shw_num_384_24(format,assay,replicates,lfti,tpj){
		var divds = assay/lfti;
		
		var n = 0;
		var s = tpj/replicates;
		s = Math.floor(s);
		var rem = tpj%replicates;
		if(rem >= 5){
			s = s+1;
		}else{
			s =s;
		}
		var m=1;
		if(format != 1){
			for(var i=0;i<lfti;i++){
				
				for(var j=1;j<=tpj;j++){
					$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(j);
				}
			}
		}
		
		var counting = 1;
		var t = 0;
		if(document.getElementById("pre_populate").checked == true){
			asgnd_asy=[];
			var count = 0;
			var brk_data = 0;
			var color_paletes = ["00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000","cceffc","cce2f2","fff2cc","ffffcc","e9f6dc","ccefdc","f2cccc","ffcccc","ccd2df","e2d6ec","ffcceb","cccccc","99dff9","99c6e6","ffe699","ffff99","d3ecb9","99dfb9","e69999","ff9999","99a6bf","c6acd9","ff99d7","999999","66d0f6","66a9d9","ffd966","ffff66","bee396","66d096","d96666","ff6666","6679a0","a983c6","ff66c4","666666","33c0f3","338dcd","ffcd33","ffff33","a8d973","33c073","cd3333","ff3333","334d80","8d59b3","ff33b0","333333","00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000"];
			var j=-1;
			var bg_color = '';
			for(var i=0;i<new_assay_liblary_data.length;i++){
				
				if(i < color_paletes.length){
					  bg_color = color_paletes[i];
				}else{
					j++;
					if(j < color_paletes.length){
						 bg_color = color_paletes[j];
					}else{
						j=0;
						 bg_color = color_paletes[j];
					}
					
				}
				
				
				
				  document.getElementById("tcp5divspan"+i).value = '#'+bg_color;
				  
				  $("#clr_slt_outer"+i+" .evo-colorind").css("background-color",'#'+bg_color);
				  
				 // count ++ ;
				  
				  if(count == lfti){
					  count = 0;
					   
				  }
				 brk_data++;
				add_container(count,brk_data,lft_sde,top_sde,format,no_of_samples); 
				document.getElementById("tcp5divcheck"+i).checked = true;
				sltd_asy_asgn(i,1);
			}
			
		}else{
			asgnd_asy=[];
			for(var i=0;i<new_assay_liblary_data.length;i++){
				
				document.getElementById("tcp5divcheck"+i).checked = false;
			}
		}
		
	
	}
	function shw_num_384_48(format,assay,replicates,lfti,tpj){
		var divds = assay/lfti;
		
		var n = 0;
		var s = lfti/replicates;
		s = Math.floor(s);
		var rem = lfti%replicates;
		if(rem >= 5){
			s = s+1;
		}else{
			s =s;
		}
		
		var count = 0;
		var m = 0;
		for(var i=0;i<lfti;i++){
				
				count ++ ;
				if(count <= s){
				}else{
					count = 1;
					m=0;
				}
				for(var j=1;j<=tpj;j++){
					m++;
					
						$('#tcp5tabledid'+i.toString()+'a'+j.toString()+' #numshw'+i.toString()+j.toString()).text(m);
					
				}
			}
		
		var counting = 1;
		var t = 0;
		if(document.getElementById("pre_populate").checked == true){
			asgnd_asy=[];
			var count1 = 0;
			var count = 0;
			var brk_data = 0;
			var color_paletes = ["00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000","cceffc","cce2f2","fff2cc","ffffcc","e9f6dc","ccefdc","f2cccc","ffcccc","ccd2df","e2d6ec","ffcceb","cccccc","99dff9","99c6e6","ffe699","ffff99","d3ecb9","99dfb9","e69999","ff9999","99a6bf","c6acd9","ff99d7","999999","66d0f6","66a9d9","ffd966","ffff66","bee396","66d096","d96666","ff6666","6679a0","a983c6","ff66c4","666666","33c0f3","338dcd","ffcd33","ffff33","a8d973","33c073","cd3333","ff3333","334d80","8d59b3","ff33b0","333333","00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000"];
			var j=-1;
			var bg_color = '';
			for(var i=0;i<new_assay_liblary_data.length;i++){
				
				if(i < color_paletes.length){
					  bg_color = color_paletes[i];
				}else{
					j++;
					if(j < color_paletes.length){
						 bg_color = color_paletes[j];
					}else{
						j=0;
						 bg_color = color_paletes[j];
					}
					
				}
				
				
				  document.getElementById("tcp5divspan"+i).value = '#'+bg_color;
				  
				  $("#clr_slt_outer"+i+" .evo-colorind").css("background-color",'#'+bg_color);

				  count1++;
				   brk_data++;
				  if(count1 == 25){
					  count1 = 1;
					  count ++;
					  brk_data=1;
				  }
				add_container(count,brk_data,lft_sde,top_sde,formating,no_of_samples); 
				document.getElementById("tcp5divcheck"+i).checked = true;
				sltd_asy_asgn(i,1);
			}
			
		}else{
			asgnd_asy=[];
			for(var i=0;i<new_assay_liblary_data.length;i++){
				
				document.getElementById("tcp5divcheck"+i).checked = false;
			}
		}
		
	
	}
  function prepopul_id() {
	  if(document.getElementById("pre_populate").checked == true){
			/* document.getElementById("pre_populate1").checked = true; */
			slt_frmts=1;
		}else{
			/* document.getElementById("pre_populate1").checked = false; */
			slt_frmts=1;
		}
  }
 /*  function prepopul_id1() {
	  if(document.getElementById("pre_populate1").checked == true){
			document.getElementById("pre_populate").checked = true;
			slt_frmts=1;
		}else{
			document.getElementById("pre_populate").checked = false;
			slt_frmts=1;
		}
  } */
  function getRandomColor() {
    var letters = '0123456789ABCDEF';
    var color = '#';
    for (var i = 0; i < 6; i++ ) {
        color += letters[Math.floor(Math.random() * 16)];
    }
    return color;
}
  var lft_sde = '';
var top_sde = '';
	var formating = '';
function create_assay_96(formats,assays,replicates){
	
	
	$("#plc_frmt").text(assay_format);
	
	var assy_tbl ='';
	
	if(plates_type == 96){
		var plate_columns = 6;
		var plate_rows = 4;
		lft_sde = plate_rows * 2;
		top_sde = plate_columns * 2;
	}else if(plates_type == 384){
		var plate_columns = 12;
		var plate_rows = 8;
		lft_sde = plate_rows * 2;
		top_sde = plate_columns * 2;
	}else{
		var plate_columns = 12;
		var plate_rows = 8;
		lft_sde = plate_rows * 2;
		top_sde = plate_columns * 2;
	}
	
	if(plates_type == 384 || plates_type == 96 ){
			if(plates_type == 384){
					assy_tbl = assy_tbl + '<div style="margin:15px 0px 8px 30px;" class="topwdth">';
				}else if(plates_type == 96){
					assy_tbl = assy_tbl + '<div style="margin:15px 2px 8px 30px;">';
				}

				for(var t=1;t<=top_sde;t++){
					if(plates_type == 384){
						assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;">'+t+'</span>';
					}else if(plates_type == 96){
						assy_tbl = assy_tbl + '<span style="display:inline-block;width:62px;text-align:center;">'+t+'</span>';
					}
					
				}
				assy_tbl = assy_tbl + '</div>';
	}
	
				
					assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
					assy_tbl = assy_tbl + '<div id="shorttble">';
					
					if(plates_type == 0){
						assy_tbl = assy_tbl + '<div style="float:left;width:30px;text-align:center;">';
						if(assay_format_txt == 32){
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 65px 0;border-bottom:1px solid #dfdfdf;">1</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 64.5px 0;border-bottom:1px solid #dfdfdf;">2</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 64.5px 0;border-bottom:1px solid #dfdfdf;">3</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 65px 0;">4</span>';
						}else if(assay_format_txt == '96a'){
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 65px 0;border-bottom:1px solid #dfdfdf;">1</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 64.5px 0;border-bottom:1px solid #dfdfdf;">2</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 64.5px 0;border-bottom:1px solid #dfdfdf;">3</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 65px 0;">4</span>';
						}else if(assay_format_txt == 64){
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 139px 0;border-bottom:1px solid #dfdfdf;">1</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 139px 0;">2</span>';
						}else if(assay_format_txt == '96b'){
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 137px 0;border-bottom:1px solid #dfdfdf;">1</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 136px 0;">2</span>';
						}else if(assay_format_txt == 192 || assay_format_txt == 384){
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 283px 0;">1</span>';
						}else if(assay_format_txt == 12 || assay_format_txt == 24){
							assy_tbl = assy_tbl + '<span class="topnum2" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">1</span>';
							assy_tbl = assy_tbl + '<span class="topnum3" style="display:inline-block;width:31px;text-align:center;padding: 27px 0;border-bottom:1px solid #dfdfdf;">2</span>';
							assy_tbl = assy_tbl + '<span class="topnum3" style="display:inline-block;width:31px;text-align:center;padding: 27px 0;border-bottom:1px solid #dfdfdf;">3</span>';
							assy_tbl = assy_tbl + '<span class="topnum3" style="display:inline-block;width:31px;text-align:center;padding: 27px 0;border-bottom:1px solid #dfdfdf;">4</span>';
							assy_tbl = assy_tbl + '<span class="topnum3" style="display:inline-block;width:31px;text-align:center;padding: 27px 0;border-bottom:1px solid #dfdfdf;">5</span>';
							assy_tbl = assy_tbl + '<span class="topnum3" style="display:inline-block;width:31px;text-align:center;padding: 27px 0;border-bottom:1px solid #dfdfdf;">6</span>';
							assy_tbl = assy_tbl + '<span class="topnum3" style="display:inline-block;width:31px;text-align:center;padding: 27px 0;border-bottom:1px solid #dfdfdf;">7</span>';
							assy_tbl = assy_tbl + '<span class="topnum3" style="display:inline-block;width:31px;text-align:center;padding: 27px 0;">8</span>';
						}else if(assay_format_txt == 16){
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 28px 0;border-bottom:1px solid #dfdfdf;">1</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">2</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">3</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">4</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">5</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">6</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">7</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27px 0;">8</span>';
						}else if(assay_format_txt == 48){
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 28px 0;border-bottom:1px solid #dfdfdf;">1</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">2</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">3</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">4</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">5</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">6</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27.5px 0;border-bottom:1px solid #dfdfdf;">7</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 27px 0;">8</span>';
						}else{
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 22px 0;border-bottom:1px solid #dfdfdf;">1</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 21.5px 0;border-bottom:1px solid #dfdfdf;">2</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 21.5px 0;border-bottom:1px solid #dfdfdf;">3</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 21.5px 0;border-bottom:1px solid #dfdfdf;">4</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 21.5px 0;border-bottom:1px solid #dfdfdf;">5</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 21.5px 0;border-bottom:1px solid #dfdfdf;">6</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 21.5px 0;border-bottom:1px solid #dfdfdf;">7</span>';
							assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;padding: 22px 0;">8</span>';
						}
						
						
						assy_tbl = assy_tbl +'</div>';
					}
					
					if(plates_type == 384 || plates_type == 96){
						assy_tbl = assy_tbl + '<div style="float:left;width:30px;text-align:center;">';
					}else if(plates_type == 0){
						assy_tbl = assy_tbl + '<div style="float:right;width:30px;text-align:center;position: relative;right: 36px;">';
					}
					
					//var alfa=["A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","X","Y","Z"];
						for(var l=0;l<lft_sde;l++)
						{
							if(plates_type == 384){
								assy_tbl = assy_tbl + '<div class="alfalne" style="padding: 7px 0;">';
									assy_tbl = assy_tbl + alfa[l];
								assy_tbl = assy_tbl +'</div>';
							}else if(plates_type == 0){
								if(assay_format_txt == 48 || assay_format_txt == 64 || assay_format_txt == 16 || assay_format_txt == 32 || assay_format_txt == '96a'){
									assy_tbl = assy_tbl + '<div class="lafskio" style="padding: 9.5px 0;">';
										assy_tbl = assy_tbl + alfa[l];
									assy_tbl = assy_tbl +'</div>';
								}else if(assay_format_txt == 384){
									assy_tbl = assy_tbl + '<div class="lafskio" style="padding: 9.6px 0;">';
										assy_tbl = assy_tbl + alfa[l];
									assy_tbl = assy_tbl +'</div>';
								}else{
									assy_tbl = assy_tbl + '<div class="lafskio" style="padding: 9.2px 0;">';
										assy_tbl = assy_tbl + alfa[l];
									assy_tbl = assy_tbl +'</div>';
								}
							}else{
								assy_tbl = assy_tbl + '<div class="" style="padding: 22px 0;">';
									assy_tbl = assy_tbl + alfa[l];
								assy_tbl = assy_tbl +'</div>';
							}
							
						}
					assy_tbl = assy_tbl + '</div>';
					var jkil = ["1","2","3","4","5","6","7","8"]
					if(plates_type == 0){
						if(assay_format_txt == 12 ){
							assy_tbl = assy_tbl + '<div class="rghtimgdv" style="float:right;width:30px;text-align:center;margin-right: 11px;">';
						}else if(assay_format_txt == 24){
							assy_tbl = assy_tbl + '<div class="rghtimgdv24" style="float:right;width:30px;text-align:center;margin-right: 11px;">';
						}else{
							assy_tbl = assy_tbl + '<div class="rghtimgdv" style="float:right;width:30px;text-align:center;margin-right: 11px;">';
						}
						if(assay_format_txt == 16 || assay_format_txt == 32 || assay_format_txt == 64 || assay_format_txt == 48 || assay_format_txt == '96a' || assay_format_txt == 384){
							assy_tbl = assy_tbl + '<div class="" style="padding: 29.7px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">1</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="" style="padding: 8px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">2</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="" style="padding: 29px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">3</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="" style="padding: 8px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">4</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="" style="padding: 29px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">5</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="" style="padding: 8px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">6</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="" style="padding: 29px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">7</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="" style="padding: 8px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">8</span>';
							assy_tbl = assy_tbl +'</div>';
							
						}else{
							assy_tbl = assy_tbl + '<div class="rghtimg" style="padding: 29.7px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">1</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="rghtimg1" style="padding: 8px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">2</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="rghtimg2" style="padding: 27px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">3</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="rghtimg1" style="padding: 8px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">4</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="rghtimg2" style="padding: 27px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">5</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="rghtimg1" style="padding: 8px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">6</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="rghtimg2" style="padding: 27px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">7</span>';
							assy_tbl = assy_tbl +'</div>';
							assy_tbl = assy_tbl + '<div class="rghtimg1" style="padding: 8px 0;">';
									assy_tbl = assy_tbl + '<img src="'+DNAPREP_PATH+'/images/shape.png" style="width:56px">';
									assy_tbl = assy_tbl + '<span style="position:relative;top:-21px;left:19px;font-weight:bold;">8</span>';
							assy_tbl = assy_tbl +'</div>';
						}
						assy_tbl = assy_tbl + '</div>';
					
					}
					if(plates_type == 384 || plates_type == 96){
					assy_tbl = assy_tbl + '<div style="">';
					}else{
						assy_tbl = assy_tbl + '<div style="margin-top:40px;">';
					}
					if(plates_type == 384 || plates_type == 96){
						assy_tbl = assy_tbl + '<table style="" class="tcp5table" >';
					}else{
						assy_tbl = assy_tbl + '<table style="" class="tcp5table wdth88" id="tblepgx" >';
					}
					assy_tbl = assy_tbl + '<tbody class="testing">';
				 formating = formats/lft_sde;
				 
				 var s_ct = 0;
				for(var i=0;i<lft_sde;i++)
				{
					assy_tbl = assy_tbl + '<tr ondragenter="dragEnter(event)" ondragleave="dragLeave(event)" ondrop="drop(event,'+replicates+')" ondragover="allowDrop(event)">';
							s_ct = 1;
							s_ct1 = 1;
							for(var j=1;j<=top_sde;j++){
								
								if((formats == 1 ) && (plates_type == 384 || plates_type == 96)){
									var dvdss = lft_sde / replicates;
									if(i == 0 && j == 1){
										var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96" onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formats+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											if(plates_type == 384){
												assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span  font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											}else{
												assy_tbl = assy_tbl + '<span class="tcp5tablespan_96" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class="num_vw num_vw123" style="margin:16px 0px !important;">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw123 t_icon hideclass" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:0px;right:1px;color:#ffffff;display:inline-block;width:32px;margin:16px 0px;">✔</span></span></span>';
											}
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										if(plates_type == 384){
											assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
										}else{
											assy_tbl = assy_tbl + '<span class="tcp5tablespan_96" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class="num_vw num_vw123" style="margin:16px 0px !important;">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw123 t_icon hideclass" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:0px;right:1px;color:#ffffff;display:inline-block;width:32px;margin:16px 0px;">✔</span></span></span>';
										}	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									}
								}else if((formats == 48 || assay_format_txt == '96B') && plates_type == 384){
									var dvdss = lft_sde / replicates;
									if(i<dvdss){
										var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96" onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formats+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											if(plates_type == 384){
												assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											}else{
												assy_tbl = assy_tbl + '<span class="tcp5tablespan_96" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class="num_vw num_vw123" style="margin:16px 0px !important;">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw123 t_icon hideclass" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:0px;right:1px;color:#ffffff;display:inline-block;width:32px;margin:16px 0px;">✔</span></span></span>';
											}
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										if(plates_type == 384){
											assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
										}else{
											assy_tbl = assy_tbl + '<span class="tcp5tablespan_96" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class="num_vw num_vw123" style="margin:16px 0px !important;">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw123 t_icon hideclass" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:0px;right:1px;color:#ffffff;display:inline-block;width:32px;margin:16px 0px;">✔</span></span></span>';
										}	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									}
								}else if(formats == 24 && plates_type == 384){
									if(i==0){
										var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96" onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formats+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											if(plates_type == 384){
												assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											}else{
												assy_tbl = assy_tbl + '<span class="tcp5tablespan_96" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class="num_vw num_vw123" style="margin:16px 0px !important;">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw123 t_icon hideclass" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:0px;right:1px;color:#ffffff;display:inline-block;width:32px;margin:16px 0px;">✔</span></span></span>';
											}
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										if(plates_type == 384){
											assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
										}else{
											assy_tbl = assy_tbl + '<span class="tcp5tablespan_96" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class="num_vw num_vw123" style="margin:16px 0px !important;">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw123 t_icon hideclass" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:0px;right:1px;color:#ffffff;display:inline-block;width:32px;margin:16px 0px;">✔</span></span></span>';
										}	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									}
								}else if(formats == 12 && plates_type != 384 && plates_type != 96){
									
									if(i==0 && j==s_ct){
										var s = i+1;
										/* assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="tooltips'+i+'a'+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>'; */
										
										
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96"  id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formats+','+replicates+')">';
									
									
									
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'" >';
										assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											
											assy_tbl = assy_tbl + '<span onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:0px;right:1px;color:#ffffff;">✔</span></span></span>';
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									s_ct = s_ct+2 ;
									}
									
								}else if(formats == 16 && plates_type == 0){
									if((i==0 || i==1) && j==s_ct1){
										s_ct1 = s_ct1+3 ;
										var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96"  id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formats+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											assy_tbl = assy_tbl + '<span onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									
									}
									
								}else if(formats == 48 && plates_type == 0){
									if((i==0 || i==1) ){
										
										var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96"  id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formats+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											assy_tbl = assy_tbl + '<span onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									
									}
									
								}else if(assay_format_txt == '96a' && plates_type == 0){
									if((i<4) ){
										 var frmt_chnge = formats.toString();
										 var f_cnt_as_crds = formats.toString();
										 if(frmt_chnge.indexOf('a') == -1 ){
											 f_cnt_as_crds = frmt_chnge;
										 }else{
											 f_cnt_as_crds = frmt_chnge.substring(0,2);
										 }
										var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96"  id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+f_cnt_as_crds+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											assy_tbl = assy_tbl + '<span onmouseout="mseout96('+"'"+f_cnt_as_crds+"','"+f_cnt_as_crds+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+f_cnt_as_crds+','+f_cnt_as_crds+','+replicates+','+i+','+j+')" class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									
									}
									
								}else if(assay_format_txt == '96b' && plates_type == 0){
									if((i==0) || (i==2) || (i==4) || (i==6) ){
										var frmt_chnge = formats.toString();
										 var f_cnt_as_crds = formats.toString();
										 if(frmt_chnge.indexOf('b') == -1 ){
											 f_cnt_as_crds = frmt_chnge;
										 }else{
											 f_cnt_as_crds = frmt_chnge.substring(0,2);
										 }
										 
										var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96" id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+f_cnt_as_crds+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											assy_tbl = assy_tbl + '<span onmouseout="mseout96('+"'"+f_cnt_as_crds+"','"+f_cnt_as_crds+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+f_cnt_as_crds+','+f_cnt_as_crds+','+replicates+','+i+','+j+')"  class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									
									}
									
								}else if(formats == 192 && plates_type == 0){
									if(i%2==0){
										
										var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96" id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formats+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											assy_tbl = assy_tbl + '<span onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									
									}
									
								}else if(formats == 384 && plates_type == 0){
									
										
										
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96"  id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formats+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											assy_tbl = assy_tbl + '<span onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									
									
								}else if(formats == 32 && plates_type == 0){
									if((i<4) && j==s_ct1){
										s_ct1 = s_ct1+3 ;
										var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96"  id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formats+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											assy_tbl = assy_tbl + '<span onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									
									}
									
								}else if(formats == 64 && plates_type == 0){
									if((i<8) && j==s_ct1){
										s_ct1 = s_ct1+3 ;
										var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96"  id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formats+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											assy_tbl = assy_tbl + '<span onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									
									}
									
								}else if(formats == 24 && plates_type == 0){
									if((i==0) ){
										s_ct1 = s_ct1+3 ;
										var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96"  id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formats+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											assy_tbl = assy_tbl + '<span onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
									}else{
										assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
									
									}
									
								}else{
									/* if(formats == 48  && (plates_type == 96 )){
										formating = 4;
									} */
								if(j <= formating){
									
									var s = i+1;
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96" onmouseout="mseout96('+"'"+formats+"','"+assays+"','"+replicates+"','"+i+"','"+j+"'"+')" onmouseover="mseover96('+formats+','+assays+','+replicates+','+i+','+j+')" id="tcp5tabledid'+i+'a'+j+'" onclick="add_container('+i+','+j+','+lft_sde+','+top_sde+','+formating+','+replicates+')">';
										assy_tbl = assy_tbl + '<div class="hvr" id="mklinoh'+i+j+'">';
											assy_tbl = assy_tbl + ' <div class="tooltip hideclass" id="poikuhj'+i+j+'"><h3 class="popover-title" id="assynametoltp'+i+j+'"></h3></div>';
											
											if(plates_type == 384){
												assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											}else{
												assy_tbl = assy_tbl + '<span class="tcp5tablespan_96" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class="num_vw num_vw123" style="margin:16px 0px !important;">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw123 t_icon hideclass" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:0px;right:1px;color:#ffffff;display:inline-block;width:32px;margin:16px 0px;">✔</span></span></span>';
											}
											
											
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
											
										assy_tbl = assy_tbl + '</div>';
										
									assy_tbl = assy_tbl + '</td>';
								}else{
									assy_tbl = assy_tbl + '<td class="tcp5tablediv_96 " id="tcp5tabledid'+i+'a'+j+'" >';
										assy_tbl = assy_tbl + '<div>';
										
										if(plates_type == 384){
											assy_tbl = assy_tbl + '<span class="tcp5tablespan_9623 tcp5tablespan_96 tcp5tablespan_384_nor" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class=" num_vw_nor new234 num_vw">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw_nor new234 t_icon hideclass t_ic384" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:-2px;right:0px;color:#ffffff;">✔</span></span></span>';
											
										}else{
											assy_tbl = assy_tbl + '<span class="venkat tcp5tablespan_96" id="tcp5tablesid1'+i+j+'"><span id="numshw'+i+j+'" class="num_vw num_vw123" style="margin:16px 0px !important;">'+s+'</span><span font="10px &quot;Arial&quot;" stroke="none" fill="#ffffff" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0); text-anchor: middle; font-style: normal; font-variant: normal; font-weight: bold; font-stretch: normal; font-size: 10px; line-height: normal; font-family: Arial;" font-weight="bold"><span class="num_vw123 t_icon hideclass" dy="3.5" style="-webkit-tap-highlight-color: rgba(0, 0, 0, 0);position: relative;top:0px;right:1px;color:#ffffff;display:inline-block;width:32px;margin:16px 0px;">✔</span></span></span>';
										}	
											assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
										assy_tbl = assy_tbl + '</div>';
									assy_tbl = assy_tbl + '</td>';
								}
							}
							
							}
							
					assy_tbl = assy_tbl + '</tr>';
				}
							
				assy_tbl = assy_tbl + '</tbody>';
				assy_tbl = assy_tbl + '</table>';
				assy_tbl = assy_tbl + '</div>';
				assy_tbl = assy_tbl + '<div style="clear:both;"></div>';	
				if(plates_type == 0){
					assy_tbl = assy_tbl + '<div style="margin:2px 60px 8px 19px;text-align:center;" class="topwdth">';
					for(var t=1;t<=top_sde;t++){
						assy_tbl = assy_tbl + '<span class="topnum" style="display:inline-block;width:31px;text-align:center;">'+t+'</span>';
					}
					assy_tbl = assy_tbl + '</div>';
				}
				assy_tbl = assy_tbl + '</div>';
				assy_tbl = assy_tbl + '<div style="clear:both;"></div>';
				/* assay_table */
				$("#assay_table").html(assy_tbl);
				
				if((formats == 12) && plates_type == 0){
					shw_num_cards_12(formats,assays,replicates,lft_sde,top_sde,2);
				}else if((formats == 16) && plates_type == 0){
					shw_num_cards_12(formats,assays,replicates,lft_sde,top_sde,3);
				}else if((formats == 24) && plates_type == 0){
					shw_num_cards_12(formats,assays,replicates,lft_sde,top_sde,4);
				}else if((formats == 32) && plates_type == 0){
					shw_num_cards_12(formats,assays,replicates,lft_sde,top_sde,5);
				}else if((formats == 48) && plates_type == 0){
					shw_num_cards_12(formats,assays,replicates,lft_sde,top_sde,6);
				}else if((formats == 64) && plates_type == 0){
					shw_num_cards_12(formats,assays,replicates,lft_sde,top_sde,7);
				}else if((assay_format_txt == '96a') && plates_type == 0){
					shw_num_cards_12(formats,assays,replicates,lft_sde,top_sde,8);
				}else if((assay_format_txt == '96b') && plates_type == 0){
					shw_num_cards_12(formats,assays,replicates,lft_sde,top_sde,9);
				}else if((formats == 192) && plates_type == 0){
					shw_num_cards_12(formats,assays,replicates,lft_sde,top_sde,10);
				}else if((formats == 384) && plates_type == 0){
					shw_num_cards_12(formats,assays,replicates,lft_sde,top_sde,11);
				}else if((formats == 48 || assay_format_txt == '96B' ) && plates_type == 384){
					shw_num_384_48(formats,assays,replicates,lft_sde,top_sde);
				}else if((formats == 24 ) && plates_type == 384){
					shw_num_384_24(formats,assays,replicates,lft_sde,top_sde);
				}else if((formats == 32 || formats == 48 || formats == 96 || formats == 64 || formats == 192 || formats == 384 || assay_format_txt == '96A' ) && (plates_type == 96 || plates_type == 384)){
					shw_num1(formats,assays,replicates,lft_sde,top_sde,plates_type,assay_format_txt);
				}else{
					shw_num(formats,assays,replicates,lft_sde,top_sde);
				}
				
				
				
}
/* function drag_drop_assay(){ */
var chck_ind  ='';
function dragStart(event) {
    event.dataTransfer.setData("Text", event.target.id);
	
	 chck_ind = event.target.parentElement.id.substring(9,event.target.parentElement.id.length);
	
}

function dragEnter(event) {
    if ( event.target.className == "droptarget" ) {
       
    }
}

function dragLeave(event) {
    if ( event.target.className == "droptarget" ) {
       
    }
}

function allowDrop(event) {
    event.preventDefault();
}

function drop(event,repli) {
	
    event.preventDefault();
    var data = event.dataTransfer.getData("Text");
	
	var drpd_ids = [];
	var str = '';
	
	$('.num_vw').each(function(){
		str = '';
		str += $(this).text() ;
	
	 if(str == event.target.textContent.toString()){
		 
		
		  drpd_ids.push($(this).parents().eq(2)[0].id);
	 }
	})
	
	
	var idv = drpd_ids[0].substring(12,drpd_ids[0].length);
	
	var left = idv.substring(0,idv.lastIndexOf('a'));
	
	var top = idv.substring(idv.lastIndexOf('a')+1,idv.length);
	
	selected_lft = left;
	selected_rgt = top;
	slctd_replicates = repli;
	document.getElementById("tcp5divcheck"+chck_ind).checked = true;
	sltd_asy_asgn(chck_ind,1);
}
var bindDraggables = function() {
   
    $('.tcp5radiotext').attr("contenteditable", false);
    $('.tcp5radiotext').off('dragstart').on('dragstart', function(e) {
        if (!e.target.id)
            e.target.id = (new Date()).getTime();
        e.originalEvent.dataTransfer.setData('text/html', e.target.outerHTML);
       
       
        $(e.target).addClass('dragged');
		 
    }).on('click', function() {
        
    });

	}
function tomake_Sort(m,top,rgt,lft,replicates){
	
	var count=0;
						var s = top/replicates;
						s = Math.floor(s);
						var rem = top%replicates;
						if(rem >= 5){
							s = s+1;
						}else{
							s =s;
						}
	$( "table .testing" ).sortable({
					start: function( event, ui ) {
						
						$(".ui-sortable-helper .td").css("background-color","#fff");
						
						
						$('#tcp5tabledid'+lft+'a'+rgt).css('background','#a2cb91');
						for(var rc=rgt;rc<=top;rc++){
							if(s==count){
								$('#tcp5tabledid'+lft+'a'+rc).css('background','#a2cb91');
								count = 0;
							} 
							count = count+1;
						}
						
						
						
						
						},disabled:false,beforeStop: function( event, ui ) {
						   
						 },stop: function( event, ui ) {
							  var oldIndex = $(this).find('tr').index(ui.item);
						  
						  selected_lft = oldIndex;
						selected_rgt = rgt;
						document.getElementById("tcp5divcheck"+m).checked = true;
						  sltd_asy_asgn(m,1);
						  un_assgn_aftr_drg(m,lft,rgt);
						 
						
						 $(this).sortable('cancel');
						 
						 }
				} );
	
}
function un_assgn_aftr_drg(m,lft,rgt){
	 selected_lft = lft;
						selected_rgt = rgt;
	document.getElementById("tcp5divcheck"+m).checked = false;
						  sltd_asy_asgn(m,1);
	
}


function delete_config_assay(){
	
	document.getElementById("tcp5divcheck"+delete_assy_config).checked = false;
	sltd_asy_asgn(delete_assy_config,1);
}
var cpy_config = -1;
var paste_config = -1;
function copy_config_assay(){
	
	cpy_config=delete_assy_config;
	
}
function paste_config_assay(){
	
	document.getElementById("tcp5divcheck"+paste_config).checked = true;
	sltd_asy_asgn(paste_config,1);
	cpy_config=-1;
	paste_config=-1;
	$("#tcp5pb2").addClass('nt_allw').attr('disabled',true);
}

$('html').keyup(function(e){
	
    if(e.keyCode == 46) {
        if(delete_assy_config >= 0){
			document.getElementById("tcp5divcheck"+delete_assy_config).checked = false;
			sltd_asy_asgn(delete_assy_config,1);
		}
    }
});
function sltd_asy_asgn(ind,rst_type){
	var s = 0;
		
		console.log(s++);
	var index = 0;
	for(var s=0;s<asgnd_asy.length;s++){
		if(asgnd_asy[s].assay_id == new_assay_liblary_data[ind].id){
			index = s;
		}
		
	}
	
	if(document.getElementById("tcp5divcheck"+ind).checked == true){
		
		var top_area = selected_rgt;
		var sltd_asy_data = new_assay_liblary_data[ind];
		loc_id = [];
		loc_id_ids = [];
		var location = alfa[selected_lft];
		location = location+selected_rgt;
		loc_id.push(location);
		
		var location_id =  selected_lft.toString()+selected_rgt.toString();
		loc_id_ids.push(location_id);
		
		
		
	if(rst_type == 0){
		
		
		var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		
		
			for(var l=0;l<get_rstr_cookie.length;l++){
			for(var n=0;n<get_rstr_cookie[l].assgnd_assays.length;n++){
				if(get_rstr_cookie[l].assgnd_assays[n].index == ind){
					$("#tcp5divspan"+ind).val(get_rstr_cookie[l].assgnd_assays[n].color);
					$("#clr_slt_outer"+ind +" .evo-colorind").css("background-color",get_rstr_cookie[l].assgnd_assays[n].color);
					var x = get_rstr_cookie[l].assgnd_assays[n].color;
				}
				
			}
			}
			
		}else{
			var x = $("#tcp5divspan"+ind).val();
		}
		
		
		var count=0;
		var s = top_sde/slctd_replicates;
		s = Math.floor(s);
	var rem = top_sde%slctd_replicates;
	
    if(rem > 5){
	  s = s+1;
	}else{
	  s =s;
	}
	
	if(assay_format == 1){
		for(var i=0;i<lft_sde;i++){
				for(var j=1;j<=top_sde;j++){
				$('#tcp5tabledid'+i+'a'+i).addClass("bg_blue");
			}
		}
	}
	
	if(assay_format == 1){
		
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt).removeClass("bg_blue");
		//$('#tcp5tabledid'+selected_lft+selected_rgt).removeClass("bg_blue_op");
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .hvr').addClass("wrpooor");
		}
		
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tooltip').removeClass("hideclass");
		//for(var rc=parseInt(selected_lft);rc<lft_sde;rc++){
			for(var i=0;i<=lft_sde;i++){
				for(var j=1;j<=top_sde;j++){
			//if(sd==count){
				$('#tcp5tabledid'+i+'a'+j +' .tcp5tablespan_96').css("backgroundColor",x);
				$('#tcp5tabledid'+i+'a'+j +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
				$('#tcp5tabledid'+i+'a'+j +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
				if(plates_type == 384){
					$('#tcp5tabledid'+i+'a'+j +' .hvr').addClass("wrpooor1");
				}else{
					$('#tcp5tabledid'+i+'a'+j +' .hvr').addClass("wrpooor");
				}
				
				$('#tcp5tabledid'+i+'a'+j +' .tooltip').removeClass("hideclass");
				var location = alfa[i];
				location = location+j;
				loc_id.push(location);
				var location_id =  i.toString()+j.toString();
		loc_id_ids.push(location_id);
			//	$('#tcp5tabledid'+selected_lft+rc +' .tcp5tablespan_96').css("opacity","0.3");
				$('#tcp5tabledid'+i+'a'+j).removeClass("bg_blue");
				
		}
		}
		
	
		
	}else if((assay_format == 48 && plates_type != 96) || assay_format_txt == '96B'){
		var sd = lft_sde / slctd_replicates;
		
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt).removeClass("bg_blue");
		//$('#tcp5tabledid'+selected_lft+selected_rgt).removeClass("bg_blue_op");
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .hvr').addClass("wrpooor");
		}
		
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tooltip').removeClass("hideclass");
		for(var rc=parseInt(selected_lft);rc<lft_sde;rc++){
			if(sd==count){
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tcp5tablespan_96').css("backgroundColor",x);
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
				if(plates_type == 384){
					$('#tcp5tabledid'+rc+'a'+selected_rgt +' .hvr').addClass("wrpooor1");
				}else{
					$('#tcp5tabledid'+rc+'a'+selected_rgt +' .hvr').addClass("wrpooor");
				}
				
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tooltip').removeClass("hideclass");
				var location = alfa[rc];
				location = location+selected_rgt;
				loc_id.push(location);
				var location_id =  rc.toString()+selected_rgt.toString();
		loc_id_ids.push(location_id);
			//	$('#tcp5tabledid'+selected_lft+rc +' .tcp5tablespan_96').css("opacity","0.3");
				$('#tcp5tabledid'+rc+'a'+selected_rgt).removeClass("bg_blue");
				count = 0;
			} 
			count = count+1;
		}
		
		
		
	}else if(assay_format == 24){
		
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt).removeClass("bg_blue");
		//$('#tcp5tabledid'+selected_lft+selected_rgt).removeClass("bg_blue_op");
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .hvr').addClass("wrpooor");
		}
		
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tooltip').removeClass("hideclass");
		for(var rc=parseInt(selected_lft);rc<lft_sde;rc++){
			//if(s==count){
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tcp5tablespan_96').css("backgroundColor",x);
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
				if(plates_type == 384){
					$('#tcp5tabledid'+rc+'a'+selected_rgt +' .hvr').addClass("wrpooor1");
				}else{
					$('#tcp5tabledid'+rc+'a'+selected_rgt +' .hvr').addClass("wrpooor");
				}
				
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tooltip').removeClass("hideclass");
				var location = alfa[rc];
				location = location+selected_rgt;
				loc_id.push(location);
				var location_id =  rc.toString()+selected_rgt.toString();
		loc_id_ids.push(location_id);
			//	$('#tcp5tabledid'+selected_lft+rc +' .tcp5tablespan_96').css("opacity","0.3");
				$('#tcp5tabledid'+rc+'a'+selected_rgt).removeClass("bg_blue");
			
		}
		
	}else if(assay_format == 384 && plates_type == 0){
		
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt).removeClass("bg_blue");
		//$('#tcp5tabledid'+selected_lft+selected_rgt).removeClass("bg_blue_op");
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .hvr').addClass("wrpooor");
		}
		
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tooltip').removeClass("hideclass");
		
				rc=parseInt(selected_lft);
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tcp5tablespan_96').css("backgroundColor",x);
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
				if(plates_type == 384){
					$('#tcp5tabledid'+rc+'a'+selected_rgt +' .hvr').addClass("wrpooor1");
				}else{
					$('#tcp5tabledid'+rc+'a'+selected_rgt +' .hvr').addClass("wrpooor");
				}
				
				$('#tcp5tabledid'+rc+'a'+selected_rgt +' .tooltip').removeClass("hideclass");
				var location = alfa[rc];
				location = location+selected_rgt;
				loc_id.push(location);
				var location_id =  rc.toString()+selected_rgt.toString();
		loc_id_ids.push(location_id);
			//	$('#tcp5tabledid'+selected_lft+rc +' .tcp5tablespan_96').css("opacity","0.3");
				$('#tcp5tabledid'+rc+'a'+selected_rgt).removeClass("bg_blue");
			
	}else if(assay_format == 12){
		
		var rgt_locs = selected_rgt;
		for(var m=0;m<2;m++){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs).removeClass("bg_blue");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor");
		}
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
			for(var rc=parseInt(selected_lft);rc<lft_sde;rc++){
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96').css("backgroundColor",x);
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
				if(plates_type == 384){
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
				}else{
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor");
				}
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
				var location = alfa[rc];
				location = location+rgt_locs;
				loc_id.push(location);
				var location_id =  rc.toString()+rgt_locs.toString();
				loc_id_ids.push(location_id);
				$('#tcp5tabledid'+rc+'a'+rgt_locs).removeClass("bg_blue");
			}
			rgt_locs++;
		}
		console.log(loc_id_ids);
	}else if(assay_format == 16 && plates_type == 0){
		
		var rgt_locs = selected_rgt;
		for(var m=0;m<3;m++){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs).removeClass("bg_blue");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor");
		}
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
		
		var count=parseInt(selected_lft);
			for(var rc=parseInt(selected_lft);rc<lft_sde;rc++){
				if(rc == count){
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96').css("backgroundColor",x);
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
				if(plates_type == 384){
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
				}else{
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor");
				}
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
				var location = alfa[rc];
				location = location+rgt_locs;
				loc_id.push(location);
				var location_id =  rc.toString()+rgt_locs.toString();
				loc_id_ids.push(location_id);
				$('#tcp5tabledid'+rc+'a'+rgt_locs).removeClass("bg_blue");
			}else{
					count = count +2 ;
				}
			}
			rgt_locs++;
		}
	}else if(assay_format == 32 && plates_type == 0){
		
		var rgt_locs = selected_rgt;
		for(var m=0;m<3;m++){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs).removeClass("bg_blue");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor");
		}
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
		
		var count=parseInt(selected_lft);
			for(var rc=parseInt(selected_lft);rc<lft_sde;rc++){
				if(rc == count){
					count = count +4 ;
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96').css("backgroundColor",x);
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
				if(plates_type == 384){
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
				}else{
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor");
				}
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
				var location = alfa[rc];
				location = location+rgt_locs;
				loc_id.push(location);
				var location_id =  rc.toString()+rgt_locs.toString();
				loc_id_ids.push(location_id);
				$('#tcp5tabledid'+rc+'a'+rgt_locs).removeClass("bg_blue");
			}
			}
			rgt_locs++;
		}
	}else if(assay_format_txt == '96a' && plates_type == 0){
		
		var rgt_locs = selected_rgt;
		//for(var m=0;m<3;m++){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs).removeClass("bg_blue");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor");
		}
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
		
		var count=parseInt(selected_lft);
			for(var rc=parseInt(selected_lft);rc<lft_sde;rc++){
				if(rc == count){
					count = count +4 ;
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96').css("backgroundColor",x);
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
				if(plates_type == 384){
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
				}else{
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor");
				}
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
				var location = alfa[rc];
				location = location+rgt_locs;
				loc_id.push(location);
				var location_id =  rc.toString()+rgt_locs.toString();
				loc_id_ids.push(location_id);
				$('#tcp5tabledid'+rc+'a'+rgt_locs).removeClass("bg_blue");
			}
			}
			rgt_locs++;
		//}
	}else if(assay_format_txt == '96b' && plates_type == 0){
		
		var rgt_locs = selected_rgt;
		//for(var m=0;m<3;m++){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs).removeClass("bg_blue");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor");
		}
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
		
		
			
			var s = 0;
			var sn = 0;
			var count=parseInt(selected_lft)-1;
			var m_count=parseInt(selected_lft);
			for(var rc=parseInt(selected_lft);rc<lft_sde;rc++){
				s++;
				sn++;
				if(s>2 ){
					if(rc == m_count+8 || rc == m_count+8+1){
						count = rc;
					}
				}else{
					count ++ ;
				}
				if(rc == count ){
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96').css("backgroundColor",x);
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
					if(plates_type == 384){
						$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
					}else{
						$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor");
					}
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
					var location = alfa[rc];
					location = location+rgt_locs;
					loc_id.push(location);
					var location_id =  rc.toString()+rgt_locs.toString();
					loc_id_ids.push(location_id);
					$('#tcp5tabledid'+rc+'a'+rgt_locs).removeClass("bg_blue");
				}
			}
		
	}else if(assay_format == 192 && plates_type == 0){
		
		var rgt_locs = selected_rgt;
		//for(var m=0;m<3;m++){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs).removeClass("bg_blue");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor");
		}
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
		
		
			
			var s = 0;
			var sn = 0;
			var count=parseInt(selected_lft)-1;
			var m_count=parseInt(selected_lft);
			for(var rc=parseInt(selected_lft);rc<lft_sde;rc++){
				s++;
				sn++;
				if(s>2 ){
					if(rc == m_count+8 || rc == m_count+8+1){
						//count = rc;
					}
				}else{
					count ++ ;
				}
				if(rc == count ){
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96').css("backgroundColor",x);
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
					if(plates_type == 384){
						$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
					}else{
						$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor");
					}
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
					var location = alfa[rc];
					location = location+rgt_locs;
					loc_id.push(location);
					var location_id =  rc.toString()+rgt_locs.toString();
					loc_id_ids.push(location_id);
					$('#tcp5tabledid'+rc+'a'+rgt_locs).removeClass("bg_blue");
				}
			}
		
	}else if(assay_format == 64 && plates_type == 0){
		
		var rgt_locs = selected_rgt;
		for(var m=0;m<3;m++){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs).removeClass("bg_blue");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .hvr').addClass("wrpooor");
		}
		$('#tcp5tabledid'+selected_lft+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
		
		var count=parseInt(selected_lft);
			for(var rc=parseInt(selected_lft);rc<lft_sde;rc++){
				if(rc == count){
					count = count +8 ;
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96').css("backgroundColor",x);
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
				if(plates_type == 384){
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor1");
				}else{
					$('#tcp5tabledid'+rc+'a'+rgt_locs +' .hvr').addClass("wrpooor");
				}
				$('#tcp5tabledid'+rc+'a'+rgt_locs +' .tooltip').removeClass("hideclass");
				var location = alfa[rc];
				location = location+rgt_locs;
				loc_id.push(location);
				var location_id =  rc.toString()+rgt_locs.toString();
				loc_id_ids.push(location_id);
				$('#tcp5tabledid'+rc+'a'+rgt_locs).removeClass("bg_blue");
			}
			}
			rgt_locs++;
		}
	}else{
	
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt).removeClass("bg_blue");
		//$('#tcp5tabledid'+selected_lft+selected_rgt).removeClass("bg_blue_op");
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt+' .tcp5tablespan_96').css("backgroundColor",x);
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
		if(plates_type == 384){
			$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .hvr').addClass("wrpooor1");
		}else{
			$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .hvr').addClass("wrpooor");
		}
		
		$('#tcp5tabledid'+selected_lft+'a'+selected_rgt +' .tooltip').removeClass("hideclass");
		for(var rc=parseInt(selected_rgt);rc<=top_sde;rc++){
			if(s==count){
				$('#tcp5tabledid'+selected_lft+'a'+rc +' .tcp5tablespan_96').css("backgroundColor",x);
				$('#tcp5tabledid'+selected_lft+'a'+rc +' .tcp5tablespan_96 .num_vw').addClass("hideclass");
				$('#tcp5tabledid'+selected_lft+'a'+rc +' .tcp5tablespan_96 .t_icon').removeClass("hideclass");
				if(plates_type == 384){
					$('#tcp5tabledid'+selected_lft+'a'+rc +' .hvr').addClass("wrpooor1");
				}else{
					$('#tcp5tabledid'+selected_lft+'a'+rc +' .hvr').addClass("wrpooor");
				}
				
				$('#tcp5tabledid'+selected_lft+'a'+rc +' .tooltip').removeClass("hideclass");
				var location = alfa[selected_lft];
				location = location+rc;
				loc_id.push(location);
				var location_id =  selected_lft.toString()+selected_rgt.toString();
		loc_id_ids.push(location_id);
			//	$('#tcp5tabledid'+selected_lft+rc +' .tcp5tablespan_96').css("opacity","0.3");
				$('#tcp5tabledid'+selected_lft+'a'+rc).removeClass("bg_blue");
				count = 0;
			} 
			count = count+1;
		}
		
		
	}
	
		
		for(var n=0;n<new_assay_liblary_data.length;n++){
			$("#tcp5divcheck"+n).attr("disabled", true);
		}
		for(var m=0;m<asgnd_asy.length;m++){
			
		}
		$("#tcp5pb3").addClass('nt_allw').attr('disabled',true);
		//document.getElementById("tcp5divcheck"+ind).checked = false;
		
		console.log(asgnd_asy.length)
		var item = {};
		item.assay_id = sltd_asy_data.id;
		item.assay_name = sltd_asy_data.assayName;
		item.user_id = sltd_asy_data.userId;
		item.location = loc_id;
		item.location_ids = loc_id_ids;
		item.left = selected_lft;
		item.top = top_area;
		item.index = ind;
		item.color = x;
		asgnd_asy.push(item);
		console.log(asgnd_asy.length);
		document.getElementById("tcp5divcheck"+ind).checked = false;
		
		if(rst_type == 0){
			var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		
			if( get_rstr_cookie[0].containers.length > 0 ){
			
			tcp4newbutton(0);
			}
		}
	}else{
		
		for(var m=0;m<asgnd_asy.length;m++){
			if(asgnd_asy[m].location[0] == location_asy_config){
				index = m;
			}
		}
		var count=0;
		var s = top_sde/slctd_replicates;
		s = Math.floor(s);
	var rem = top_sde%slctd_replicates;
    if(rem > 5){
	  s = s+1;
	}else{
	  s =s;
	}
	
	
	if(assay_format == 1){
		var sd = lft_sde / slctd_replicates;
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue_op");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
			for(var i=0;i<=lft_sde;i++){
				for(var j=1;j<=top_sde;j++){
		
				$('#tcp5tabledid'+i+'a'+j+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
				$('#tcp5tabledid'+i+'a'+j+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
				$('#tcp5tabledid'+i+'a'+j+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
				$('#tcp5tabledid'+i+'a'+j).removeClass("bg_blue");
				$('#tcp5tabledid'+i+'a'+j+' .hvr').removeClass("wrpooor");
				$('#tcp5tabledid'+i+'a'+j+' .hvr').removeClass("wrpooor1");
				$('#tcp5tabledid'+i+'a'+j+' .tooltip').addClass("hideclass");
			
		}
		}
	}else if(assay_format == 48 || assay_format_txt == '96B'){
		var sd = lft_sde / slctd_replicates;
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue_op");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
		
		for(var rc=asgnd_asy[index].left;rc<=lft_sde;rc++){
			if(sd==count){
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top).removeClass("bg_blue");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
				
				count = 0;
			} 
			count = count+1;
		}
	}else if(assay_format == 24){
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue_op");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
		
		for(var rc=asgnd_asy[index].left;rc<=lft_sde;rc++){
			//if(s==count){
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top).removeClass("bg_blue");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
				$('#tcp5tabledid'+rc+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
				
		
		}
	}else if(assay_format == 12){
		
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue_op");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
		var top_sec = asgnd_asy[index].top;
		for(var m=0;m<2;m++){
			for(var rc=asgnd_asy[index].left;rc<=lft_sde;rc++){
				$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
				$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+top_sec).removeClass("bg_blue");
				$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor");
				$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor1");
				$('#tcp5tabledid'+rc+'a'+top_sec+' .tooltip').addClass("hideclass");
			}
			top_sec++;
		}
	}else if(assay_format == 16 && plates_type == 0){
		
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue_op");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
		var top_sec = asgnd_asy[index].top;
		for(var m=0;m<3;m++){
			var count=parseInt(asgnd_asy[index].left);
			for(var rc=asgnd_asy[index].left;rc<=lft_sde;rc++){
				if(rc == count){
				$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
				$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
				$('#tcp5tabledid'+rc+'a'+top_sec).removeClass("bg_blue");
				$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor");
				$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor1");
				$('#tcp5tabledid'+rc+'a'+top_sec+' .tooltip').addClass("hideclass");
			}else{
					count = count +2 ;
				}
		}
			top_sec++;
		}
	}else if(assay_format == 32 && plates_type == 0){
		
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue_op");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
		var top_sec = asgnd_asy[index].top;
		for(var m=0;m<3;m++){
			var count=parseInt(asgnd_asy[index].left);
			for(var rc=asgnd_asy[index].left;rc<=lft_sde;rc++){
				if(rc == count){
					count = count+4 ;
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+top_sec).removeClass("bg_blue");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor1");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tooltip').addClass("hideclass");
				}
			}
			top_sec++;
		}
	}else if(assay_format_txt == '96a' && plates_type == 0){
		
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue_op");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
		var top_sec = asgnd_asy[index].top;
		//for(var m=0;m<3;m++){
			var count=parseInt(asgnd_asy[index].left);
			for(var rc=asgnd_asy[index].left;rc<=lft_sde;rc++){
				if(rc == count){
					count = count+4 ;
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+top_sec).removeClass("bg_blue");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor1");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tooltip').addClass("hideclass");
				}
			}
			top_sec++;
		//}
	}else if(assay_format_txt == '96b' && plates_type == 0){
		
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue_op");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
		var top_sec = asgnd_asy[index].top;
		
			var s = 0;
			var sn = 0;
			count=parseInt(asgnd_asy[index].left)-1;
			var m_count=parseInt(asgnd_asy[index].left);
			
			for(var rc=asgnd_asy[index].left;rc<=lft_sde;rc++){
				s++;
				sn++;
				if(s>2 ){
					if(rc == m_count+8 || rc == m_count+8+1){
						count = rc;
					}
				}else{
					count ++ ;
				}
				if(rc == count ){
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+top_sec).removeClass("bg_blue");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor1");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tooltip').addClass("hideclass");
				}
			}
		
	}else if(assay_format == 192 && plates_type == 0){
		
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue_op");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
		var top_sec = asgnd_asy[index].top;
		
			var s = 0;
			var sn = 0;
			count=parseInt(asgnd_asy[index].left)-1;
			var m_count=parseInt(asgnd_asy[index].left);
			
			for(var rc=asgnd_asy[index].left;rc<=lft_sde;rc++){
				s++;
				sn++;
				if(s>2 ){
					if(rc == m_count+8 || rc == m_count+8+1){
						//count = rc;
					}
				}else{
					count ++ ;
				}
				if(rc == count ){
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+top_sec).removeClass("bg_blue");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor1");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tooltip').addClass("hideclass");
				}
			}
		
	}else if(assay_format == 64 && plates_type == 0){
		
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue_op");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
		var top_sec = asgnd_asy[index].top;
		for(var m=0;m<3;m++){
			var count=parseInt(asgnd_asy[index].left);
			for(var rc=asgnd_asy[index].left;rc<=lft_sde;rc++){
				if(rc == count){
					count = count+8 ;
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
					$('#tcp5tabledid'+rc+'a'+top_sec).removeClass("bg_blue");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .hvr').removeClass("wrpooor1");
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tooltip').addClass("hideclass");
				}
			}
			top_sec++;
		}
	}else{
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top).removeClass("bg_blue_op");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .hvr').removeClass("wrpooor1");
		$('#tcp5tabledid'+asgnd_asy[index].left+'a'+asgnd_asy[index].top+' .tooltip').addClass("hideclass");
		for(var rc=asgnd_asy[index].top;rc<=top_sde;rc++){
			if(s==count){
				$('#tcp5tabledid'+asgnd_asy[index].left+'a'+rc+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
				$('#tcp5tabledid'+asgnd_asy[index].left+'a'+rc+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
				$('#tcp5tabledid'+asgnd_asy[index].left+'a'+rc+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
				$('#tcp5tabledid'+asgnd_asy[index].left+'a'+rc).removeClass("bg_blue");
				$('#tcp5tabledid'+asgnd_asy[index].left+'a'+rc+' .hvr').removeClass("wrpooor");
				$('#tcp5tabledid'+asgnd_asy[index].left+'a'+rc+' .hvr').removeClass("wrpooor1");
				$('#tcp5tabledid'+asgnd_asy[index].left+'a'+rc+' .tooltip').addClass("hideclass");
				
				count = 0;
			} 
			count = count+1;
		}
	}
	
	
		
		for(var m=0;m<new_assay_liblary_data.length;m++){
			
				$("#tcp5divcheck"+m).attr("disabled", true);
		
		}
		
		
		for(var s=0;s<asgnd_asy.length;s++){
			if(asgnd_asy[s].location[0] == asgnd_asy[index].location[0]){
				asgnd_asy.splice(s,1);
			}
		}
		
		
		$("#tcp5pb3").addClass('nt_allw').attr('disabled',true);
		delete_assy_config = -1;
	}
	
	if(rst_type == 1){
		var get_edit = readCookie('edit_add');
		if(get_edit != null){
			 
			 var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
	
			if( get_rstr_cookie[0].studyName != ''){
				
				
				 document.getElementById("study_name").value = get_rstr_cookie[0].studyName;
				 study_name = get_rstr_cookie[0].studyName;
				 restore_cookie();
			}
			console.log(0);
		}else{
			console.log(asgnd_asy);
			restore_cookie();
			console.log(1);
		}
		
	}
	
}
function clr_chnge(picker,index) {
	var cx = $(picker).val();
	
	var slt_clr = cx;
	
	for(var at=0;at<asgnd_asy.length;at++){
		if(asgnd_asy[at].index == index){
			 $('#tcp5tabledid'+asgnd_asy[at].left+'a'+asgnd_asy[at].top +' .tcp5tablespan_96').css("backgroundColor",slt_clr);
			asgnd_asy[at].color = slt_clr;			
			var count=0;
			var s = top_sde/slctd_replicates;
			s = Math.floor(s);
	var rem = top_sde%slctd_replicates;
    if(rem > 5){
	  s = s+1;
	}else{
	  s =s;
	}
		if(assay_format == 1){
			//var sd = lft_sde / slctd_replicates;
			for(var i=0;i<lft_sde;i++){
				for(var j=1;j<=top_sde;j++){
				$('#tcp5tabledid'+i+'a'+j +' .tcp5tablespan_96').css("backgroundColor",slt_clr);
			}
		}
			
		}else if(assay_format == 384 && plates_type == 0){
			//for(var rc=asgnd_asy[at].left;rc<=lft_sde;rc++){
				
					$('#tcp5tabledid'+rc+'a'+asgnd_asy[at].top +' .tcp5tablespan_96').css("backgroundColor",slt_clr);
					
				
			//}
		
			
		}else if(assay_format == 48 || assay_format_txt == '96B'){
			var sd = lft_sde / slctd_replicates;
			for(var rc=asgnd_asy[at].left;rc<=lft_sde;rc++){
				if(sd==count){
					$('#tcp5tabledid'+rc+'a'+asgnd_asy[at].top +' .tcp5tablespan_96').css("backgroundColor",slt_clr);
					
				
					count = 0;
				} 
				count = count+1;
			}
		}else if(assay_format == 24){
			for(var rc=asgnd_asy[at].left;rc<=lft_sde;rc++){
				//if(s==count){
					$('#tcp5tabledid'+rc+'a'+asgnd_asy[at].top +' .tcp5tablespan_96').css("backgroundColor",slt_clr);
					
				
				//	count = 0;
				//} 
				//count = count+1;
			}
		}else if(assay_format == 12){
			var top_sec = asgnd_asy[at].top;
			for(var m=0;m<2;m++){
				
				for(var rc=asgnd_asy[at].left;rc<=lft_sde;rc++){
					
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor",slt_clr);
				}
				top_sec++;
			}
		}else if(assay_format == 16 && plates_type == 0){
			var top_sec = asgnd_asy[at].top;
			for(var m=0;m<3;m++){
				var count= parseInt(asgnd_asy[at].left);
				for(var rc=asgnd_asy[at].left;rc<=lft_sde;rc++){
					if(rc == count){
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor",slt_clr);
					}else{
						count = count+2;
					}
				}
				top_sec++;
			}
		}
		else if(assay_format == 32 && plates_type == 0){
			var top_sec = asgnd_asy[at].top;
			for(var m=0;m<3;m++){
				var count= parseInt(asgnd_asy[at].left);
				for(var rc=asgnd_asy[at].left;rc<=lft_sde;rc++){
					if(rc == count){
						count = count+4;
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor",slt_clr);
					}
				}
				top_sec++;
			}
		}else if(assay_format_txt == '96a' && plates_type == 0){
			var top_sec = asgnd_asy[at].top;
			//for(var m=0;m<3;m++){
				var count= parseInt(asgnd_asy[at].left);
				for(var rc=asgnd_asy[at].left;rc<=lft_sde;rc++){
					if(rc == count){
						count = count+4;
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor",slt_clr);
					}
				}
				top_sec++;
			//}
		}else if(assay_format_txt == '96b' && plates_type == 0){
			var top_sec = asgnd_asy[at].top;
			
				
			
			var s = 0;
			var sn = 0;
			count=parseInt(asgnd_asy[at].left)-1;
			var m_count=parseInt(asgnd_asy[at].left);
			for(var rc=asgnd_asy[at].left;rc<=lft_sde;rc++){
				s++;
				sn++;
				if(s>2 ){
					if(rc == m_count+8 || rc == m_count+8+1){
						count = rc;
					}
				}else{
					count ++ ;
				}
				if(rc == count ){
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor",slt_clr);
				}
			}
			
			
			
		}else if(assay_format == 192 && plates_type == 0){
			var top_sec = asgnd_asy[at].top;
			
				
			
			var s = 0;
			var sn = 0;
			count=parseInt(asgnd_asy[at].left)-1;
			var m_count=parseInt(asgnd_asy[at].left);
			for(var rc=asgnd_asy[at].left;rc<=lft_sde;rc++){
				s++;
				sn++;
				if(s>2 ){
					if(rc == m_count+8 || rc == m_count+8+1){
						//count = rc;
					}
				}else{
					count ++ ;
				}
				if(rc == count ){
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor",slt_clr);
				}
			}
			
			
			
		}else if(assay_format == 64 && plates_type == 0){
			var top_sec = asgnd_asy[at].top;
			for(var m=0;m<3;m++){
				var count= parseInt(asgnd_asy[at].left);
				for(var rc=asgnd_asy[at].left;rc<=lft_sde;rc++){
					if(rc == count){
						count = count+8;
					$('#tcp5tabledid'+rc+'a'+top_sec+' .tcp5tablespan_96').css("backgroundColor",slt_clr);
					}
				}
				top_sec++;
			}
		}else{
			for(var rc=asgnd_asy[at].top;rc<=top_sde;rc++){
				if(s==count){
					$('#tcp5tabledid'+asgnd_asy[at].left+'a'+rc +' .tcp5tablespan_96').css("backgroundColor",slt_clr);
					
				
					count = 0;
				} 
				count = count+1;
			}
		}
			
		}
		
	}
	restore_cookie();
}
function get_hexc(colorval) {
    var parts = colorval.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/);
	delete(parts[0]);
    for (var i = 1; i <= 3; ++i) {
        parts[i] = parseInt(parts[i]).toString(16);
        if (parts[i].length == 1) parts[i] = '0' + parts[i];
    }
    return '#' + parts.join('');
}
function getfile(input){
  
  var get_userlist = readCookie('user');
  get_userlist = JSON.parse(get_userlist);
  
  var getdata = '{"userId":"'+get_userlist[0].id+'"}';

var data = new FormData();
data.append("data", "{\"userId\":"+'"'+get_userlist[0].id+'"'+"}");
data.append("file", input.files[0]);

var xhr = new XMLHttpRequest();

xhr.addEventListener("readystatechange", function () {
  if (this.readyState === 4) {
    
 assayliblary();
  var msg = xhr.response;
   msg = JSON.parse(msg);
    console.log(msg);
    console.log(msg.message);
  $("body").append("<div class='successalert success '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>"+msg.message+"</div>");
         $(".success").center(true);
         setTimeout(function() {
       $(".successalert").remove();
       
         closepopup();
         }, 2000);
  }
  
  
 
});

xhr.open("POST", "http://dev.ceino.com:8080/customplating/v1/assay/import");
xhr.setRequestHeader("enctype", "multipart/form-data");
xhr.send(data);


}

function add_container(lft,rgt,left,top,formats,replicates){
 slctd_replicates = replicates;
 slctd_formats = formats;
 var clckd_txt = $("#tcp5tabledid"+lft+"a"+rgt +" .num_vw").text();
  
   $( "table .testing" ).sortable( "disable" );
 location_asy_config = alfa[lft]+rgt;
 
 delete_assy_config = -1;
 $("#tcp5pb3").addClass('nt_allw').attr('disabled',true);
 $("#tcp5pb1").addClass('nt_allw').attr('disabled',true);
 for(var a=0;a<new_assay_liblary_data.length;a++){
   $("#tcp5divcheck"+a).attr("disabled", false);
   $("#tcp5divcheck"+a).attr("checked", false);
  }
 
 if(asgnd_asy.length > 0){
  for(var i=0;i<left;i++){
   for(var j=1;j<=top;j++){
    if(j <= formats){
     $("#tcp5tabledid"+i+'a'+j).removeClass("bg_blue");
     
     $("#tcp5tabledid"+i+'a'+j).addClass("bg_white");
    }else{
     //$("#tcp5tabledid"+i+j).removeClass("bg_blue_op");
     $("#tcp5tabledid"+i+'a'+j).removeClass("bg_blue");
    }
   }
  }
  for(var m=0;m<asgnd_asy.length;m++){
   
   if(asgnd_asy[m].left == lft && asgnd_asy[m].top == rgt){
    for(var a=0;a<new_assay_liblary_data.length;a++){
     $("#tcp5divcheck"+a).attr("disabled", true);
    
    }
    
    $("#tcp5divcheck"+asgnd_asy[m].index).attr("disabled", false);
    $("#tcp5divcheck"+asgnd_asy[m].index).attr("checked", true);
    delete_assy_config = asgnd_asy[m].index;
    paste_config = asgnd_asy[m].index;
    $("#tcp5pb3").removeClass('nt_allw').attr('disabled',false);
    $("#tcp5pb1").removeClass('nt_allw').attr('disabled',false);
    
   }else{
    $("#tcp5tabledid"+asgnd_asy[m].left+'a'+asgnd_asy[m].top).removeClass("bg_blue");
   
    var count=0;
    var s = top_sde/replicates;
    s = Math.floor(s);
 var rem = top_sde%replicates;
    if(rem > 5){
   s = s+1;
 }else{
   s =s;
 }
    for(var rc=asgnd_asy[m].top;rc<=top_sde;rc++){
     if(s==count){
      count = 0;
     } 
     count = count+1;
    }
    
    
   }
   
   
  }
  
 }else{
  for(var i=0;i<left;i++){
   for(var j=1;j<=top;j++){
    if(j <= formats){
    
     $("#tcp5tabledid"+i+'a'+j).removeClass("bg_blue");
     $("#tcp5tabledid"+i+'a'+j).addClass("bg_white");
    }else{
   
     $("#tcp5tabledid"+i+'a'+j).removeClass("bg_blue");
    }
   }
  }
  $("#tcp5pb3").addClass('nt_allw').attr('disabled',true);  
 }
 
  
    selected_lft = lft;
 selected_rgt = rgt;
 $("#tcp5tabledid"+lft+'a'+rgt).addClass("bg_blue");
 
 var count1=0;
 var s1 = top_sde/replicates;
 s1 = Math.floor(s1);
 var rem = top_sde%replicates;
    if(rem > 5){
   s1 = s1+1;
 }else{
   s1 =s1;
 }
 
 
 
 if(assay_format == 1){
  for(var i=0;i<lft_sde;i++){
    for(var j=1;j<=top_sde;j++){
    $('#tcp5tabledid'+i+'a'+j).addClass("bg_blue");
   }
  }
 }else if(assay_format == 384){
  $('#tcp5tabledid'+lft+'a'+rgt).addClass("bg_blue");
 }else if(formats == 24){
	
	 console.log(lft_sde);
  for(var rc1=lft;rc1<=lft_sde;rc1++){
	  console.log(rc1);
	 console.log(lft_sde);
   $('#tcp5tabledid'+rc1+'a'+rgt).addClass("bg_blue");
   count1 = count1+1;
  } 
 }else if((assay_format == 48&& plates_type != 96) || assay_format_txt == '96B'){
  var sd = lft_sde / replicates;
  for(var rc1=lft;rc1<=lft_sde;rc1++){
   if(sd==count1){
    $('#tcp5tabledid'+rc1+'a'+rgt).addClass("bg_blue");
    count1 = 0;
   } 
   count1 = count1+1;
  } 
 }else if(assay_format_txt == '96a'){
  count=lft;
  for(var rc1=lft;rc1<=lft_sde;rc1++){
   if(rc1 == count){
     count = count+4;
    $('#tcp5tabledid'+rc1+'a'+rgt).addClass("bg_blue");
    
   } 
   
  } 
 }else if(assay_format_txt == '96b'){
  var s = 0;
  var sn = 0;
  count=lft-1;
  var m_count=lft;
  for(var rc=lft;rc<=lft_sde;rc++){
   s++;
   sn++;
   if(s>2 ){
    if(rc == m_count+8 || rc == m_count+8+1){
     count = rc;
    }
   }else{
    count ++ ;
   }
   if(rc == count ){
    $('#tcp5tabledid'+rc+'a'+rgt).addClass("bg_blue");
   }
  }
 }else if(assay_format == 192 && plates_type == 0){
  var s = 0;
  var sn = 0;
  count=lft-1;
  var m_count=lft;
  for(var rc=lft;rc<=lft_sde;rc++){
   s++;
   sn++;
   if(s>2 ){
    if(rc == m_count+8 || rc == m_count+8+1){
     //count = rc;
    }
   }else{
    count ++ ;
   }
   if(rc == count ){
    $('#tcp5tabledid'+rc+'a'+rgt).addClass("bg_blue");
   }
  }
 }else if(assay_format == 12){
  var tp_S = rgt;
  for(var m=0;m<2;m++){
   
   for(var rc1=lft;rc1<=lft_sde;rc1++){
    $('#tcp5tabledid'+rc1+'a'+tp_S).addClass("bg_blue");
   }
   tp_S++;
  }
 }else if(assay_format == 16 && plates_type == 0){
  var tp_S = rgt;
  for(var m=0;m<3;m++){
   count=lft;
   for(var rc1=lft;rc1<=lft_sde;rc1++){
    if(rc1 == count){
     $('#tcp5tabledid'+rc1+'a'+tp_S).addClass("bg_blue");
    }else{
     count = count+2;
    }
   }
   tp_S++;
  }
 }else if(assay_format == 32 && plates_type == 0){
  var tp_S = rgt;
  for(var m=0;m<3;m++){
   count=lft;
   for(var rc1=lft;rc1<=lft_sde;rc1++){
    if(rc1 == count){
     count = count+4;
     $('#tcp5tabledid'+rc1+'a'+tp_S).addClass("bg_blue");
    }
   }
   tp_S++;
  }
 }else if(assay_format == 64 && plates_type == 0){
  var tp_S = rgt;
  for(var m=0;m<3;m++){
   count=lft;
   for(var rc1=lft;rc1<=lft_sde;rc1++){
    if(rc1 == count){
     count = count+8;
     $('#tcp5tabledid'+rc1+'a'+tp_S).addClass("bg_blue");
    }
   }
   tp_S++;
  }
 }else{
  for(var rc1=rgt;rc1<=top_sde;rc1++){
  
  if(s1==count1){
   $('#tcp5tabledid'+lft+'a'+rc1).addClass("bg_blue");
   count1 = 0;
  } 
  count1 = count1+1;
 } 
 }
//  }

 
 if(cpy_config != -1){
  $("#tcp5pb2").removeClass('nt_allw').attr('disabled',false);
 }
var clckd_txt = $("#tcp5tabledid"+lft+"a"+rgt +" .num_vw").text();
 
  
}
var pre_asy_nms = ["18S","GAPDH"];
var types = '';
function assay_slt_frmt(type_r){
 $("#inner_overlay").removeClass("hideclass");
 $("#tcp4ptableid").addClass("hideclass");
 $("#tcp5ptableid").addClass("hideclass");
 $("#tcp6ptableid").addClass("hideclass");
   
    var Formatarr = [];
    var Uniqueassaysarr = [];
    var Samplesarr = [];
    var Replicatesarr = [];
    var TotalRXNsarr = [];
    var mfgControl = [];
    var assaysreplicates = [];
    var noofsamples = [];
    types = '';
    if(plates_type == 96){
     types = '96-wellplates';
    }else if(plates_type == 0){
     types = 'taqmanarray_cards';
    }else if(plates_type == '384pgx'){
     types = '384-wellplatesPGx';
    }else{
     types = '384-wellplates';
    }
    var config = '{"Content-Type": "application/json"}';
    $.ajax({
     type: "get",
     headers : { 'Content-Type' : 'application/json' },
     url: 'http://dev.ceino.com:8080/customplating/v1/format?type='+types,
     success: function(data) {
    
      for(var f=0;f<data.length;f++){
       Formatarr.push(data[f].format);
       Uniqueassaysarr.push(data[f].numberOfAssays);
       Samplesarr.push(data[f].numberOfSamplesReplicates);
       Replicatesarr.push(data[f].minimumOrderQty);
       mfgControl.push(data[f].manufacturingControls);
       assaysreplicates.push(data[f].numberOfAssaysReplicated);
       noofsamples.push(data[f].numberOfSamples);
       slt_formts_html(Formatarr,Uniqueassaysarr,Samplesarr,Replicatesarr,mfgControl,assaysreplicates,noofsamples,type_r,f,data.length);
	   
      }
     },
     error: function(data) {
     
     }
    });
 
}
var restore_cnts =0;
function slt_formts_html(Formatarr,Uniqueassaysarr,Samplesarr,Replicatesarr,mfgControl,assaysreplicates,noofsamples,type_r,f,datalength){
	
 var assy_slt_frmt = '';
 
 
 
 
 var get_edit = readCookie('edit_add');
		if(get_edit != null){
			assy_slt_frmt = assy_slt_frmt + '<h2 id="hdr_t1" class="tcpph2">Configure your Specialty Plates or Cards <span class="lg_out" onclick="logout()">Logout</span><span class="lg_out can_ord_r hideclass" onclick="can_pop()">Cancel</span><span class="lg_out hme_ret " onclick="can_ord()">Home</span><span class="lg_out" onclick="helpbtn3()">?</span><span class="lg_out" id="backfrmt" onclick="neworder1()">Back</span></h2>';
		}else{
			assy_slt_frmt = assy_slt_frmt + '<h2 id="hdr_t1" class="tcpph2">Configure your Specialty Plates or Cards <span class="lg_out" onclick="logout()">Logout</span><span class="lg_out can_ord_r " onclick="can_pop()">Cancel</span><span class="lg_out hme_ret hideclass" onclick="can_ord()">Home</span><span class="lg_out" onclick="helpbtn3()">?</span><span class="lg_out" id="backfrmt" onclick="neworder1()">Back</span></h2>';
		}
 
 
 assy_slt_frmt = assy_slt_frmt +'<div class="tooltip hideclass" id="helpic3"><a href="javascript://void(0);" style="cursor: pointer;left: -2px !important;bottom: -2px !important;" id="closepopup1id" onclick="closehelpup()" class="clsic"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a><h3 class="popover-title" style="font-weight:400">If you have any questions selecting assays, please contact technical support. If you have any questions about configuring your Specialty Plates or Cards, please email <a href="mailto:Specialty_Plates@thermofisher.com" target="_top"> Specialty_Plates@thermofisher.com </a> or <a href="mailto:Specialty_Cards@thermofisher.com" target="_top"> Specialty_Cards@thermofisher.com</a></h3></div>';
 
 if(plates_type == 96){
  assy_slt_frmt = assy_slt_frmt + '<span class="tcpcomphs bnkl" id="ne_plte">New Configuration - TaqMan® Array Plate (96-well)</span>';
  $("#formatetextnewid").html("*Formats 48 and 96 are not recommended with SNP assays, as 3 replicates are required to perform cluster analysis.");
 }else if(plates_type == 384){
  assy_slt_frmt = assy_slt_frmt + '<span class="tcpcomphs bnkl" id="te_plte">New Configuration - TaqMan® Array Plate (384-well)</span>';
   $("#formatetextnewid").html("*Formats 192 and 384 are not recommended with SNP assays, as 3 replicates are required to perform cluster analysis.");
 }else if(plates_type == '384pgx'){
  assy_slt_frmt = assy_slt_frmt + '<span class="tcpcomphs bnkl">New Configuration - TaqMan® Array Plate (384-well PGx)</span>';
  $("#formatetextnewid").html("*Formats 192 and 384 are not recommended with SNP assays, as 3 replicates are required to perform cluster analysis.");
   $("#tcp4pb2").html("Select from PGx Assay Library");
  $("#386pgsdivplatetype").html("");
  $("#tcp4pb3").addClass("hideclass");
 }else{
  assy_slt_frmt = assy_slt_frmt + '<span class="tcpcomphs bnkl" id="card_plte">New Configuration - TaqMan® Array Card</span>';
  $("#formatetextnewid").html("*Formats 48,96a,96b,192 and 384 are not recommended with SNP assays, as 3 replicates are required to perform cluster analysis.<br/>**For application other than gene expression, manufacturing controls are not set so on additional assay can be selected in its place");
 }
 assy_slt_frmt = assy_slt_frmt + '<div style="width:100%;margin: 0 auto;">';
 assy_slt_frmt = assy_slt_frmt + '<div class="tcpdivarrbh" id="tcp3divarrbh">';
  assy_slt_frmt = assy_slt_frmt + '<div class="tcpdivarrb tcpdivarrbact" id="tcpid1arrb" onclick="tcpid1arrb()">';
   assy_slt_frmt = assy_slt_frmt + 'Select Format';
  assy_slt_frmt = assy_slt_frmt + '</div>';
  assy_slt_frmt = assy_slt_frmt + '<div class="tcpdivarrb tcpdivarrb1 tcpdivarrbdis" id="tcpid2arrb" onclick="topmk()">';
   assy_slt_frmt = assy_slt_frmt + 'Select Assays';
  assy_slt_frmt = assy_slt_frmt + '</div>';
  assy_slt_frmt = assy_slt_frmt + '<div class="tcpdivarrb tcpdivarrb1 tcpdivarrbdis" id="tcpid3arrb" onclick="tcp4button(1)">';
   assy_slt_frmt = assy_slt_frmt + 'Configure Array';
  assy_slt_frmt = assy_slt_frmt + '</div>';
  assy_slt_frmt = assy_slt_frmt + '<div class="tcpdivarrb tcpdivarrb1 tcpdivarrbdis" id="tcpid3newarrb" onclick="tcp4newbutton(1)">';
   assy_slt_frmt = assy_slt_frmt + 'Enter Quantity';
  assy_slt_frmt = assy_slt_frmt + '</div>';
  assy_slt_frmt = assy_slt_frmt + '<div class="tcpdivarrb tcpdivarrb1 tcpdivarrbdis" id="tcpid4arrb" onclick="tcp5button()">';
   assy_slt_frmt = assy_slt_frmt + 'Request Quote';
  assy_slt_frmt = assy_slt_frmt + '</div>';
  assy_slt_frmt = assy_slt_frmt + '<div style="clear:both;"></div>';
 assy_slt_frmt = assy_slt_frmt + '</div>';
 
 assy_slt_frmt = assy_slt_frmt + '<div class="tcp3ptable" id="tcp3ptableid">';
 
 assy_slt_frmt = assy_slt_frmt + '<div class="sub_heading_outer_tabs">';
  assy_slt_frmt = assy_slt_frmt + '<div class="pdb10 fntsz14">';
   assy_slt_frmt = assy_slt_frmt + 'Select a format based on the number of assays and samples you are running';
  assy_slt_frmt = assy_slt_frmt + '</div>';
  
 assy_slt_frmt = assy_slt_frmt + '</div>';
 assy_slt_frmt = assy_slt_frmt + '<table class="table">';
 assy_slt_frmt = assy_slt_frmt + '<tr><th style="text-align: center;">Format *</th>';
 if(types == 'taqmanarray_cards'){
  assy_slt_frmt = assy_slt_frmt + '<th>Manufacturing Controls **</th>';
  assy_slt_frmt = assy_slt_frmt + '<th>Number of Assays/Replicates</th><th>Number of Samples</th><th>Minimum Order Qty</th><th></th><th></th>';
 }else{
  assy_slt_frmt = assy_slt_frmt + '<th>Maximum<br> Number of Assays</th><th>Number of Samples/Replicates</th><th>Minimum Order Qty</th><th></th><th></th>';
 }
 assy_slt_frmt = assy_slt_frmt + '</tr>';
 
 for(var i=0;i<Formatarr.length;i++)
 {
	
	 if (i%2 == 0){
		 assy_slt_frmt = assy_slt_frmt + '<tr>';
   
		   assy_slt_frmt = assy_slt_frmt + '<td>';
			assy_slt_frmt = assy_slt_frmt + Formatarr[i].toUpperCase();
		   assy_slt_frmt = assy_slt_frmt + '</td>';
			
		   if(types == 'taqmanarray_cards'){
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + mfgControl[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + assaysreplicates[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + noofsamples[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + Replicatesarr[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
		   }else{
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + Uniqueassaysarr[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + Samplesarr[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + Replicatesarr[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
		   }
		   
		   assy_slt_frmt = assy_slt_frmt + '<td>';
			assy_slt_frmt = assy_slt_frmt + '<button type="button" onclick="layoutclick('+i+')" class="buttoncurrsor tcp3pb tcp3pb1" id="tcp3pb1'+i+'">view layout</button>';
		   assy_slt_frmt = assy_slt_frmt + '</td>';
		   assy_slt_frmt = assy_slt_frmt + '<td>';
		   if(types == 'taqmanarray_cards'){
			
				assy_slt_frmt = assy_slt_frmt + '<button type="button" onclick="tcp3pbfun('+parseInt(Formatarr[i])+', \'' + assaysreplicates[i] + '\','+noofsamples[i]+',50,1,\'' + Formatarr[i] + '\',0)" class="buttoncurrsor tcp3pb" id="tcp3pb'+i+'">Select</button>';
		   }else{
			   assy_slt_frmt = assy_slt_frmt + '<button type="button" onclick="tcp3pbfun('+parseInt(Formatarr[i])+','+Uniqueassaysarr[i]+','+Samplesarr[i]+',20,1,\'' + Formatarr[i] + '\',0)" class="buttoncurrsor tcp3pb" id="tcp3pb'+i+'">Select</button>';
		   }
			
			
		   assy_slt_frmt = assy_slt_frmt + '</td>';
		   
		  assy_slt_frmt = assy_slt_frmt + '</tr>';
		  if(plates_type == 96){
		  assy_slt_frmt = assy_slt_frmt + '<tr><td colspan="6" style="border-top:none !important;padding:0 !important;"><div style="display:none;width: 650px;margin: 0 auto;" id="poilki'+i+'"><img src="'+DNAPREP_PATH+'/images/'+Formatarr[i]+'.jpg" /></div></td></tr>';
		  }else if(plates_type == 384){
			 assy_slt_frmt = assy_slt_frmt + '<tr><td colspan="6" style="border-top:none !important;padding:0 !important;"><div style="display:none;width: 1022px;margin: 0 auto;overflow:auto;" id="poilki'+i+'"><img width="1000" src="'+DNAPREP_PATH+'/images/'+Formatarr[i]+'a.jpg" /></div></td></tr>'; 
		  }else{
			 assy_slt_frmt = assy_slt_frmt + '<tr><td colspan="7" style="border-top:none !important;padding:0 !important;"><div style="display:none;width: 1022px;margin: 0 auto;overflow:auto;" id="poilki'+i+'"><img width="1000" src="'+DNAPREP_PATH+'/images/'+Formatarr[i]+'b.jpg" /></div></td></tr>'; 
		  }
	 }else{
		 assy_slt_frmt = assy_slt_frmt + '<tr bgcolor="#eee">';
   
		   assy_slt_frmt = assy_slt_frmt + '<td>';
			assy_slt_frmt = assy_slt_frmt + Formatarr[i].toUpperCase();
		   assy_slt_frmt = assy_slt_frmt + '</td>';
			
		   if(types == 'taqmanarray_cards'){
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + mfgControl[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + assaysreplicates[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + noofsamples[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + Replicatesarr[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
		   }else{
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + Uniqueassaysarr[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + Samplesarr[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
			assy_slt_frmt = assy_slt_frmt + '<td>';
			 assy_slt_frmt = assy_slt_frmt + Replicatesarr[i];
			assy_slt_frmt = assy_slt_frmt + '</td>';
		   }
		   
		   assy_slt_frmt = assy_slt_frmt + '<td>';
			assy_slt_frmt = assy_slt_frmt + '<button type="button" onclick="layoutclick('+i+')" class="buttoncurrsor tcp3pb tcp3pb1" id="tcp3pb1'+i+'">view layout</button>';
		   assy_slt_frmt = assy_slt_frmt + '</td>';
		   assy_slt_frmt = assy_slt_frmt + '<td>';
		   if(types == 'taqmanarray_cards'){
				assy_slt_frmt = assy_slt_frmt + '<button type="button" onclick="tcp3pbfun('+parseInt(Formatarr[i])+', \'' + assaysreplicates[i] + '\','+noofsamples[i]+','+Replicatesarr[i]+',1,\'' + Formatarr[i] + '\',0)" class="buttoncurrsor tcp3pb" id="tcp3pb'+i+'">Select</button>';
		   }else{
			
			   assy_slt_frmt = assy_slt_frmt + '<button type="button" onclick="tcp3pbfun('+parseInt(Formatarr[i])+','+Uniqueassaysarr[i]+','+Samplesarr[i]+','+Replicatesarr[i]+',1,\'' + Formatarr[i] + '\',0)" class="buttoncurrsor tcp3pb" id="tcp3pb'+i+'">Select</button>';
		   }
			
			
		   assy_slt_frmt = assy_slt_frmt + '</td>';
		   
		  assy_slt_frmt = assy_slt_frmt + '</tr>';
		  
		  if(plates_type == 96){
		  
		  assy_slt_frmt = assy_slt_frmt + '<tr><td colspan="6" style="border-top:none !important;padding:0 !important;"><div style="display:none;width: 650px;margin: 0 auto;" id="poilki'+i+'"><img src="'+DNAPREP_PATH+'/images/'+Formatarr[i]+'.jpg" /></div></td></tr>';
		  
		  }else if(plates_type == 384){
			  
			  assy_slt_frmt = assy_slt_frmt + '<tr><td colspan="6" style="border-top:none !important;padding:0 !important;"><div style="display:none;width: 1022px;margin: 0 auto;overflow:auto;" id="poilki'+i+'"><img width="1000" src="'+DNAPREP_PATH+'/images/'+Formatarr[i]+'a.jpg" /></div></td></tr>';
			  
		  }else{
			 assy_slt_frmt = assy_slt_frmt + '<tr><td colspan="7" style="border-top:none !important;padding:0 !important;"><div style="display:none;width: 1022px;margin: 0 auto;overflow:auto;" id="poilki'+i+'"><img width="1000" src="'+DNAPREP_PATH+'/images/'+Formatarr[i]+'b.jpg" /></div></td></tr>'; 
		  }
	 }
	 
  
 }
        
 assy_slt_frmt = assy_slt_frmt + '</table>';
 assy_slt_frmt = assy_slt_frmt + '<div style="clear:both;"></div>';
 assy_slt_frmt = assy_slt_frmt + '<div style="margin-top:20px;line-height: 25px;" class="formatetextnewcl" id="formatetextnewid"></div>';
 $("#tcp3pid").html(assy_slt_frmt);
 
 var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
	console.log(get_rstr_cookie);
		if(f==datalength-1){
			 if(type_r == 0){
	
	assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
				
				
					
					var get_edit = readCookie('edit_add');
		if(get_edit != null){
			tcp3pbfun(get_rstr_cookie[0].formats,get_rstr_cookie[0].numberOfAssays,get_rstr_cookie[0].numberOfSamples,get_rstr_cookie[0].quantity,0,get_rstr_cookie[0].formats,get_rstr_cookie[0].specialRequest);
		}else{
			tcp3pbfun(get_rstr_cookie[0].formats,get_rstr_cookie[0].numberOfAssays,get_rstr_cookie[0].numberOfSamples,get_rstr_cookie[0].quantity,0,get_rstr_cookie[0].formats,get_rstr_cookie[0].specialRequest);
		}
				}
		}

 
 
 
 if(plates_type == 96){
    $("#formatetextnewid").html("*Formats 48 and 96 are not recommended with SNP assays, as 3 replicates are required to perform cluster analysis.");
 }else if(plates_type == 384){
	$("#formatetextnewid").html("*Formats 192 and 384 are not recommended with SNP assays, as 3 replicates are required to perform cluster analysis.");
 }else if(plates_type == '384pgx'){
	$("#formatetextnewid").html("*Formats 192 and 384 are not recommended with SNP assays, as 3 replicates are required to perform cluster analysis.");
 }else{
	$("#formatetextnewid").html("*Formats 48, 96a, 96b, 192, and 348 are not recommended with SNP assays, as 3 replicates are required to perform cluster analysis.<br/>**For application other than gene expression, manufacturing controls are not set so on additional assay can be selected in its place");
 }
 $("#inner_overlay").addClass("hideclass");
}

function add_assay_table_rest(){
	
	
	console.log(new_assay_liblary_data)
	poptdindex=[];
	addnewarrass=[];
	var assay_lib_new='';
	assay_lib_new = assay_lib_new + '<table id="sort" class="table select_assy">';
		assay_lib_new = assay_lib_new + '<thead>';
		assay_lib_new = assay_lib_new + '<tr>';
			assay_lib_new = assay_lib_new + '<th class="tcp4ptbtdth0  headcol1" style="padding-left:0 !important;"></th>';
			assay_lib_new = assay_lib_new + '<th class="  tcp4ptbtdth1"><div style="cursor:pointer;text-align:left;padding-left: 10px;"><input id="rmvol" type="checkbox" name="rmolname" class="tcp4tbtdth1ic" onclick="checkallremve()"/><span class="slt_all_lbl">Select All</span></div></th>';
			assay_lib_new = assay_lib_new + '<th class="secondcol1 tcp4ptbtdth1" style="">Assay ID / Name</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Target Name</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Special Notes</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Date created</th>';
		assay_lib_new = assay_lib_new + '</tr>';
		assay_lib_new = assay_lib_new + '</thead>';
	var stpoplib = new_assay_liblary_data.length-1;
	var enpoplib = 0;
	var srl = 0;
	assay_lib_new = assay_lib_new + '<tbody class="srt_table">';
	for(var i=0; i<=new_assay_liblary_data.length-1;i++){
		if(new_assay_liblary_data[i].assay_type == 0){
			srl++;
		if(new_assay_liblary_data[i].createdAt != null){
			var myDate = new Date(new_assay_liblary_data[i].createdAt);
		}else{
			var myDate = new Date();
			myDate.setDate(myDate.getDate() - 1);
		}
		
		
		//if(i%2 == 0){
			assay_lib_new = assay_lib_new + '<tr>';
			assay_lib_new = assay_lib_new + '<td class="tcp4ptbtdth0 index" id="ind'+i+'" style="padding-left:0 !important;">';
				var serialno = srl;
				assay_lib_new = assay_lib_new + serialno;
			assay_lib_new = assay_lib_new + '</td>';
			assay_lib_new = assay_lib_new + '<td class="  tcp4ptbtdth1" style="text-align:start;">';
				assay_lib_new = assay_lib_new + '<div style="padding-left: 10px;width:30px;cursor:pointer;""><input  type="checkbox" name="rmvassy" class="tcp4tbtdth1ic nuyhjkl" onclick="checkrmvassy('+i+',this)"/></div>';
			assay_lib_new = assay_lib_new + '</td>';
			assay_lib_new = assay_lib_new + '<td class="secondcol1 tcp4ptbtdth1" style="padding-left:0 !important;">';
				assay_lib_new = assay_lib_new + '<span class="tbl_as_n asy_name">'+new_assay_liblary_data[i].assayName+'</span>';
			assay_lib_new = assay_lib_new + '</td>';
			assay_lib_new = assay_lib_new + '<td class=" secondcol1 tcp4ptbtdth1">';
				
				if(new_assay_liblary_data[i].geneSymbol != null){
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].geneSymbol+'</span>';
				}else{
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n"></span>';
					//assay_lib_new = assay_lib_new + new_assay_liblary_data[i].geneSymbol;
				}
			assay_lib_new = assay_lib_new + '</td>';
			
			assay_lib_new = assay_lib_new + '<td class=" secondcol1 tcp4ptbtdth1">';
				
				if(new_assay_liblary_data[i].description != null){
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].description+'</span>';
				}else{
					//assay_lib_new = assay_lib_new + new_assay_liblary_data[i].geneSymbol;
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n"></span>';
				}
			assay_lib_new = assay_lib_new + '</td>';
			assay_lib_new = assay_lib_new + '<td class="secondcol1 tcp4ptbtdth1">';
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+(myDate.getMonth() + 1)+ "/" + myDate.getDate() + "/" + myDate.getFullYear()+'</td>';
			
		assay_lib_new = assay_lib_new + '</tr>';
		
		
		
	}
	}
	assay_lib_new = assay_lib_new + '</tbody>';
	assay_lib_new = assay_lib_new + '</table>';
	if(new_assay_liblary_data.length != 0){
		$("#popdatagettable").html(assay_lib_new);
	}
	
	
	$("#tcp4pb4").attr('onclick','rem_assy_pop('+stpoplib+','+enpoplib+')');
	strt_slt = 0;
	if(plates_type == 0){
				counts_assay_crd();
			}else{
				counts_assay();
			}
if(plates_type == 0){
		var leng_crds = 0;
		if(new_assay_liblary_data.length == 0){
			leng_crds = 0;
		}else{
			var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
				get_rstr_cookie = JSON.parse(get_rstr_cookie);
			if(get_rstr_cookie[0].formats == 384){
							leng_crds = new_assay_liblary_data.length-4;
						}else{
							leng_crds = new_assay_liblary_data.length-1;
						}
			//leng_crds = new_assay_liblary_data.length-1;
		}
				$('#slctassyno').text(leng_crds);
			}else{
				$('#slctassyno').text(new_assay_liblary_data.length);
			}
			
	/* $('#slctassyno').text(new_assay_liblary_data.length); */
if(new_assay_liblary_data.length == no_of_assays){
			$("#tcp4pb3").addClass('nt_allw').attr('disabled','disabled');
		}
	
}

function well_plates_96(type){
	type_of_order = 0;
	plates_type = 96;
	var circle = "tcp5tablespan_96";
	var table_C = "wdth600";
    $("#tcp2pid").addClass("hideclass");
    $("#tcp3pid").removeClass("hideclass");
	$("#quantity_type").removeClass("hideclass");
	assay_slt_frmt(type);
	plat_type_check=96;
	var subhtml='';
	subhtml = subhtml + '<div class="tlts" style=" float: left;padding: 5px 46px 15px 0px;">Select Plate Type </div>';
	subhtml = subhtml + '<div style=" float: left"><select name="select_plate_type" id="tcp4newpselect" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;text-transform: capitalize;" onchange="platetype_order()"><option value="96-well-standard">Standard Plates</option><option value="96-well-fast">Fast Plates</option></select></div>';
	subhtml = subhtml + '<div style="clear:both"></div>';
	$("#place_ord_plttype").html(subhtml);
	if(type== 0){
		
	}else{
		restore_cookie();
	}
	
	
};
function well_plates_384(type){
	type_of_order = 0;
	plates_type = 384;
    $("#tcp2pid").addClass("hideclass");
    $("#tcp3pid").removeClass("hideclass");
	$("#quantity_type").removeClass("hideclass");
	var circle = "tcp5tablespan";
	var table_C = "wdth_ato";
	//create_assay();
	assay_slt_frmt(type);
	plat_type_check=384;
	var subhtml='';
	subhtml = subhtml + '<div class="tlts" style=" float: left;padding: 5px 46px 15px 0px;">Select Plate Type </div>';
	subhtml = subhtml + '<div style=" float: left"><select name="select_plate_type" id="tcp4newpselect" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;" onchange="platetype_order()"><option value="384-well">384-well plates</option></select></div>';
	subhtml = subhtml + '<div style="clear:both"></div>';
	$("#place_ord_plttype").html(subhtml);
	
	var sub_st_html = '';
	sub_st_html = sub_st_html + '<select name="select_plate_type" id="fillreactvol" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;" ><option value="2.5 uL">2.5 uL</option><option value="5 uL" >5 uL</option><option value="10 uL" selected>10 uL</option><option value="20 uL" >20 uL</option><option value="25 uL">25 uL</option></select>';
	$("#volume_assay").html(sub_st_html);
	
	if(type== 0){
		
	}else{
		restore_cookie();
	}
};
$("#tblepgx").removeClass("wdth88");
$("#assay_table").removeClass("wdth835");
function taqman_array(type){
type_of_order = 1;
plates_type = 0;

var sub_st_html = '';
sub_st_html = sub_st_html + '<span id="fillreactvol" class="commonnm">1 &#956L</span>';
$("#volume_assay").html(sub_st_html);

$("#tblepgx").addClass("wdth88");
$("#assay_table").addClass("wdth835");
//create_assay();
assay_slt_frmt(type);
    $("#tcp2pid").addClass("hideclass");
    $("#tcp3pid").removeClass("hideclass");
	$("#quantity_type").removeClass("hideclass");
	plat_type_check=0;
	var subhtml='';
	subhtml = subhtml + '<div class="tlts" style=" float: left;padding: 5px 46px 15px 0px;">Select Plate Type </div>';
	subhtml = subhtml + '<div style=" float: left"><select name="select_plate_type" id="tcp4newpselect" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;" onchange="platetype_order()"><option value="Card">Card</option></select></div>';
	subhtml = subhtml + '<div style="clear:both"></div>';
	$("#place_ord_plttype").html(subhtml);
	if(type== 0){
		
	}else{
		restore_cookie();
	}
};
	var user_lists = [];
function login_taqman() {
	var username = document.getElementById("loginemail").value;
	var pwd = document.getElementById("loginpassword").value;
	var filter = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/igm;
	var admin_roles = ["karen.li@lifetech.com","susana.canavarro@thermofisher.com","hannah.morrison@proxy.com","hannah.morrison@thermofisher.com","denise.mason@lifetech.com","laura.mifflin@thermofisher.com","julie.bonds@thermofisher.com","kristin.amos@thermofisher.com","sadaf.khan2@thermofisher.com"];
	if(username != '' && pwd != ''){
		
			 console.log(username)
			var getdata = '';
			if(admin_roles.indexOf(username.toLowerCase()) != -1){
				 
				 getdata = '{"email":"'+username.toLowerCase()+'","password": "'+pwd+'"}';
			}else{
				
				 getdata = '{"email":"'+username+'","password": "'+pwd+'"}';
			}
			
			var config = '{"Content-Type": "application/json"}';
			var url = 'http://dev.ceino.com:8080/customplating/v1/login';
			
			$.ajax({
				type: "post",
				headers : { 'Content-Type' : 'application/json' },
				url: 'http://dev.ceino.com:8080/customplating/v1/login',
				data : getdata,
				success: function(data) {
					console.log(data);
					if(data.accessToken != null){
						if(data.user.isFirstTimeLogin){
							document.getElementById("reg_email").value = username;
							var item = {};
							item.email = username;
							item.pwd = pwd;
							item.role = data.user.role;
							item.address = data.user.address;
							
							item.shipping_name = data.user.shipping_name;
							item.shipping_institution = data.user.shipping_institution;
							item.shipping_address = data.user.shipping_address;
							item.shipping_phone = data.user.shipping_phone;
							item.shipping_email = data.user.shipping_email;
							
							user_lists.push(item);
							document.cookie = 'user ='+JSON.stringify(user_lists);
							
						
							
							window.location = window.location.href + "home.html";
						}else{
							user_lists=[];
							var item = {};
							item.email = data.user.email;
							item.username = data.user.name;
							item.phone = data.user.phoneNumber;
							item.institution = data.user.institutionName;
							item.id = data.user.id;
							item.role = data.user.role;
							item.address = data.user.address;
							
							item.shipping_name = data.user.shipping_name;
							item.shipping_institution = data.user.shipping_institution;
							item.shipping_address = data.user.shipping_address;
							item.shipping_phone = data.user.shipping_phone;
							item.shipping_email = data.user.shipping_email;
							
							
							
							user_lists.push(item);
							document.cookie = 'user ='+JSON.stringify(user_lists);
							
						
							window.location = window.location.href + "home.html";
						}
					}else{
						$("#error_pwd").text("Specified e-mail or password is not valid. Please use a valid thermofisher.com account for login");
					}

				},
				error: function(data) {
					
					if(data.status == 401){
						$("#error_pwd").text("Specified e-mail or password is not valid. Please use a valid thermofisher.com account for login");
					}
					
				}
			});	
		
	}else{
		$("#error_mail").text("");
		$("#error_pwd").text("");
		if(username == ''){
			$("#error_mail").text("Please enter your E-mail");
		}else if(!filter.test(username)){
			$("#error_mail").text("Please enter valid E-mail");
			
		}
		if(pwd == ''){
			$("#error_pwd").text("Please enter your password");
		}
	}
}
function readCookie(name) {
    var nameEQ = name + "=";
    var ca = document.cookie.split(';');
    for(var i=0;i < ca.length;i++) {
        var c = ca[i];
        while (c.charAt(0)==' ') c = c.substring(1,c.length);
        if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
    }
    return null;
}
function isNumber(evt) {
    evt = (evt) ? evt : window.event;
    var charCode = (evt.which) ? evt.which : evt.keyCode;
    if (charCode > 31 && (charCode < 48 || charCode > 57)) {
        return false;
    }
    return true;
}

function reg_taqman() {
	var username = document.getElementById("reg_name").value;
	var email = document.getElementById("reg_email").value;
	var phone = document.getElementById("reg_ph").value;
	var institution = document.getElementById("reg_institution").value;
	$("#error_name").text("");
	$("#error_ph").text("");
	$("#error_ins").text("");
	 var test = readCookie('user');
	 test = JSON.parse(test);
	
	
	if(username != '' && email != '' && phone != '' && institution != ''){
		if ((!/^[a-zA-Z]*$/g.test(username) ) || (!/^[a-zA-Z]*$/g.test(institution))) {
			if (!/^[a-zA-Z]*$/g.test(username)){
				$("#error_name").text("Please enter your name with valid characters");
			}
			if (!/^[a-zA-Z]*$/g.test(institution)) {
			$("#error_ins").text("Please enter your Institution name with valid characters");
		   
		}
		   
		}else{
			user_lists=[];
		var item = {};
		item.email = test[0].email;
		item.username = username;
		item.phone = phone;
		item.institution = institution;
		user_lists.push(item);
		document.cookie = 'user ='+JSON.stringify(user_lists);
		var get_userlist = readCookie('user');
		
		get_userlist = JSON.parse(get_userlist);
	
		var reg_data = '{"password":"'+test[0].pwd+'","name":"'+username+'","institutionName": "'+institution+'","phoneNumber": "'+phone+'","email": "'+test[0].email+'"}';
		
		$.ajax({
				type: "post",
				headers : { 'Content-Type' : 'application/json' },
				url: 'http://dev.ceino.com:8080/customplating/v1/register',
				data : reg_data,
				success: function(data) {
					user_lists=[];
					var item = {};
					item.email = data.user.email;
					item.username = data.user.name;
					item.phone = data.user.phoneNumber;
					item.institution = data.user.institutionName;
					item.id = data.user.id;
					user_lists.push(item);
					document.cookie = 'user ='+JSON.stringify(user_lists);
					
						
					
					var location = window.location.href;
					location = location.substring(0,location.lastIndexOf('/'));
					window.location = location + "/home.html";
					
				},
				error: function(data) {
					
					
				}
			});	
		}
		
			
			
		
	}else{
		if(username == ''){
			$("#error_name").text("Please enter your name");
		}else if (!/^[a-zA-Z]*$/g.test(username)) {
			$("#error_name").text("Please enter your name with valid characters");
		   
		}
		if(phone == ''){
			$("#error_ph").text("Please enter your phone number");
		}
		if(institution == ''){
			$("#error_ins").text("Please enter your Institution name");
		}else if (!/^[a-zA-Z]*$/g.test(institution)) {
			$("#error_ins").text("Please enter your Institution name with valid characters");
		   
		}
	}
}

function list_sltd_assy(){
	
	var slt_c =0 ;

	var slt_asy_html = '';
slt_asy_html = slt_asy_html + '<div>';
	slt_asy_html = slt_asy_html + '<div class="tcp5ptdsub1d tcp5ptdsub1ds">';
		slt_asy_html = slt_asy_html + '<select  style="margin-left:0px !important;" class="lst_slct" name="lists_assy" onchange="change_naassy()">';
		slt_asy_html = slt_asy_html + ' <option value="Assay Id / Name">Assay ID / Name</option>';
		slt_asy_html = slt_asy_html + ' <option value="Target Name">Target Name</option>';
		slt_asy_html = slt_asy_html + '</select>';
	slt_asy_html = slt_asy_html + '</div>';
	slt_asy_html = slt_asy_html + '<div style="clear:both;"></div>';
slt_asy_html = slt_asy_html + '</div>';
slt_asy_html = slt_asy_html + '<div class="set_ht">';
	slt_asy_html = slt_asy_html + '<div class="tcp5ptdsub1d1 tcp5ptdsub1ds tcp5radio ">';
		console.log(new_assay_liblary_data);
		for(var i=0;i<new_assay_liblary_data.length;i++){
			slt_c ++;
			if(new_assay_liblary_data[i].assay_type == 0){
				slt_asy_html = slt_asy_html + '<div class="tcp5radiod" id="tcp5radio'+i+'"><span class="" style="float:left;line-height:0;"> <input id="tcp5divcheck'+i+'" style="margin:4.5px 0 0 0;" type="checkbox" disabled="disabled" onchange="sltd_asy_asgn('+i+',1)"/></span> <span ondragenter="dragEnter(event)" ondragleave="dragLeave(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" class="tcp5radiotext assygen">'+new_assay_liblary_data[i].assayName+'</span><span class="tcp5radiotext genesym">'+ new_assay_liblary_data[i].geneSymbol+'</span><span class="clr_select" id="clr_slt_outer'+i+'"> <input id="tcp5divspan'+i+'" onchange="clr_chnge(this,'+i+')" class="clr_pal" type="hidden" value="#a2cb91" /></span> <div style="clear:both;"></div></div>';
			}else{
				slt_asy_html = slt_asy_html + '<div class="tcp5radiod hideclass" id="tcp5radio'+i+'"><span class="" style="float:left;line-height:0;"> <input id="tcp5divcheck'+i+'" style="margin:4.5px 0 0 0;" type="checkbox" disabled="disabled" onchange="sltd_asy_asgn('+i+',1)"/></span> <span ondragenter="dragEnter(event)" ondragleave="dragLeave(event)" ondragover="allowDrop(event)" ondragstart="dragStart(event)" draggable="true" class="tcp5radiotext assygen">'+new_assay_liblary_data[i].assayName+'</span><span class="tcp5radiotext genesym">'+ new_assay_liblary_data[i].geneSymbol+'</span><span class="clr_select" id="clr_slt_outer'+i+'"> <input id="tcp5divspan'+i+'" onchange="clr_chnge(this,'+i+')" class="clr_pal" type="hidden" value="#a2cb91" /></span> <div style="clear:both;"></div></div>';
			}
		}
		
	slt_asy_html = slt_asy_html + '</div>';
	
						
slt_asy_html = slt_asy_html + '<div style="clear:both;"></div>';


$('#sltd_assay').html(slt_asy_html);


if(logsinconfigure == 0){
    $('body').append('<script src="'+DNAPREP_PATH+'/lib/evol-colorpicker.min.js"></script>');	
    $('head').append('<link rel="stylesheet" href="'+DNAPREP_PATH+'/styles/evol-colorpicker.min.css" />');	
    $('head').append('<link rel="stylesheet" href="'+DNAPREP_PATH+'/styles/demo.css" />');	
    $('head').append('<link rel="stylesheet" href="'+DNAPREP_PATH+'/styles/jquery-ui.css" />');	
    	
}


if(new_assay_liblary_data.length > 7){
	$(".tcp5ptdsub1").css("width","174px");
}else{
	$(".tcp5ptdsub1").css("width","158px");
}

 revertcontainer();
	$(".genesym").hide();	
	 
	 var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
	
	$.ajax({
    url: "https://raw.githubusercontent.com/evoluteur/colorpicker/master/js/evol-colorpicker.min.js",
    success: function (data) {
		
        $('.clr_pal').colorpicker({
		displayIndicator: false
	});
    }
});

}
var color = '';
var index = '';
var colors_array = [];
Array.prototype.contains = function(obj) {
    var i = this.length;
    while (i--) {
        if (this[i].id === obj) {
			index = i;
            return true;
        }
    }
    return false;
}
function slt_clrs() {
	$('.clr_pal').colorpicker({
		displayIndicator: false
	});
}
function reset_assy_chck(id) {
	var plate_columns = 0;
				var plate_rows = 0;
				if(plates_type == 96){
					plate_columns = 12
					plate_rows = 8
				}else{
					plate_columns = 12
					plate_rows = 9
				}
				var y = $("#tcp5divspan"+id).val();
    if(colors_array.length > 0){
		for(var c=0; c<colors_array.length ; c++){
			if(colors_array[c].id == id){
				for(var i=0;i<plate_rows;i++){
					for(var j=0;j<plate_columns;j++){
						var id1="#tcp5tabledid";
						id1=id1+i+'a';
						id1=id1+j;
						var x = $(id1).css('backgroundColor');
						
						if(x == y){
							$(id1).css("background-color","#fff");
							$("#tcp5divspan"+id).val("#fff");
							$("#clr_slt_outer"+id +" .evo-colorind").css("background-color","#fff");
						}
						
					}
				}
			}
		}
	}
}
function select_assay(id) {
	
	
	var x = $("#tcp5divspan"+id).val();
	
    hexc(x);
	var plate_columns = 0;
				var plate_rows = 0;
				if(plates_type == 96){
					plate_columns = 12
					plate_rows = 8
				}else{
					plate_columns = 12
					plate_rows = 9
				}
    if(colors_array.length > 0){
		for(var c=0; c<colors_array.length ; c++){
			if(colors_array[c].id == id){
				for(var i=0;i<plate_rows;i++){
					for(var j=0;j<plate_columns;j++){
						var id1="#tcp5tabledid";
						id1=id1+i+'a';
						id1=id1+j;
						var x = $(id1).css('backgroundColor');
						if(x != 'rgba(0, 0, 0, 0)'){
							var selected_clr = hexc_select(x);
							if(colors_array[c].color == selected_clr){
								$(id1).css("background-color",color);
							}
						}
					}
				}
			}
		}
	}
	if(id < new_assay_liblary_data.length){
		if(colors_array.length > 0){
			if(!colors_array.contains(id)){
				var item={};
				item.id = id;
				item.color = color;
				item.assayName = new_assay_liblary_data[id].assayName;
				item.assayId = new_assay_liblary_data[id].id;
				item.userId = new_assay_liblary_data[id].userId;
				colors_array.push(item);
			}else{
				colors_array.splice(index,1);
				var item={};
				item.id = id;
				item.color = color;
				item.assayName = new_assay_liblary_data[id].assayName;
				item.assayId = new_assay_liblary_data[id].id;
				item.userId = new_assay_liblary_data[id].userId;
				colors_array.push(item);
			}
		}else{
			var item={};
			item.id = id;
			item.color = color;
			item.assayName = new_assay_liblary_data[id].assayName;
			item.assayId = new_assay_liblary_data[id].id;
			item.userId = new_assay_liblary_data[id].userId;
			colors_array.push(item);
		}
	}
	document.getElementById("tcp5divcheck"+id).checked = true;
}
var selected_id = [];
function select_asy(i,j){
var n ='';
var ids_assy ='';
	
				
				if(plates_type == 96){
					plate_columns = 6
					plate_rows = 4
				}else{
					plate_columns = 12
					plate_rows = 9
				}
				
				lft_sde = plate_rows * 2;
				top_sde = plate_columns * 2;
				for(var s=0;s<lft_sde;s++){
					for(var t=0;t<top_sde;t++){
						if(s==i && t == j){
							
							n = j+1;
							ids_assy = alfa[s]+n;
							selected_id.push(ids_assy);
						}
					}
				}
	var id1="#tcp5tabledid";
		id1=id1+i+'a';
		id1=id1+j;
		for(var c=0;c<colors_array.length;c++){
		if(colors_array[c].color == color){
			
			if(colors_array[c].location){
				colors_array[c].location.push(ids_assy);
				selected_id=[];
			}else{
				colors_array[c].location = selected_id;
				selected_id=[];
			}
		}
	}
		
		$(id1).css("background-color",color);
}

function hexc(colorval) {
    var parts = colorval.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/);
	delete(parts[0]);
    for (var i = 1; i <= 3; ++i) {
        parts[i] = parseInt(parts[i]).toString(16);
        if (parts[i].length == 1) parts[i] = '0' + parts[i];
    }
    color = '#' + parts.join('');
}
function hexc_select(colorval) {
    var parts = colorval.match(/^rgb\((\d+),\s*(\d+),\s*(\d+)\)$/);
	delete(parts[0]);
    for (var i = 1; i <= 3; ++i) {
        parts[i] = parseInt(parts[i]).toString(16);
        if (parts[i].length == 1) parts[i] = '0' + parts[i];
    }
	return '#' + parts.join('');
}




var logsinconfigure = 0;
function tcp4button(type){
	
	$("#pex_home").addClass("mgt120");
	
	if(type==0){
		
		
		var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
	assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
				
				add_assay_table_rest();
	
	}
	
	if(plates_type == 0){
		$('#tcp5pb656').show();
	}else{
		$('#tcp5pb656').hide();
	}
	
	
	if(plates_type == 384){
		$('#tcp5pb6').show();
	}else{
		$('#tcp5pb6').hide();
	}
	
/* 	var temp = [];
	var conts = '';
	var len = $(".index").length;
	
		
		var cont = document.getElementsByClassName("asy_name");
	
		for (var i = 0; i < cont.length; i++) {
			conts = '';
		  conts = cont[i].innerText;
		 
			for(var j=0;j<new_assay_liblary_data.length;j++){
				if(conts == new_assay_liblary_data[j].assayName){
					
					temp.push(new_assay_liblary_data[j]);
				}
			}
		
		
		}
		
	
	new_assay_liblary_data=[];
	new_assay_liblary_data = temp;
	for(var j=0;j<new_assay_liblary_data.length;j++){
		for(var k=0;k<asgnd_asy.length;k++){
			
			if(new_assay_liblary_data[j].id == asgnd_asy[k].assay_id){
				asgnd_asy[k].index = j;
				
			}
		}
	} */
	
	
	if(new_assay_liblary_data.length > 0){
		$('#tcp5pb5').hide();
		$('#tcp5pb565').hide();
		$("#tcp4ptableid").addClass("hideclass");
		$("#tcp4newptableid").addClass("hideclass");
		$("#tcp6ptableid").addClass("hideclass");
		$("#tcp5ptableid").removeClass("hideclass");
		$("#tcpid2arrb").removeClass("tcpdivarrbact");
		$("#tcpid3newarrb").removeClass("tcpdivarrbact");
		$("#tcpid2arrb").addClass("tcpdivarrbdis");
		$("#tcpid3newarrb").addClass("tcpdivarrbdis");
		$("#tcpid2arrb").addClass("tcpdivarrbfin");
		$("#tcpid3arrb").removeClass("tcpdivarrbfin");
		$("#tcpid3arrb").removeClass("tcpdivarrbdis");
		$("#tcpid3arrb").addClass("tcpdivarrbact");
		$("#tcpid1arrb").addClass("tcpdivarrbfin");
		$("#tcpid1arrb").addClass("tcpdivarrbdis ");
		$("#tcpid1arrb").removeClass("tcpdivarrbact");
		$("#tcpid4arrb").removeClass("tcpdivarrbact");
		$("#tcpid3newarrb").removeClass("tcpdivarrbfin");
		$("#tcpid4arrb").addClass("tcpdivarrbdis");
		$("#tcp3ptableid").addClass("hideclass");
		shw_wel_pp_cndt = 1;
		
		$("#tcp5pb3").addClass('nt_allw').attr('disabled','disabled');
		$("#tcp5pb2").addClass('nt_allw').attr('disabled','disabled');
		$("#tcp5pb1").addClass('nt_allw').attr('disabled','disabled');
		list_sltd_assy();
		
		
		var color_paletes = ["00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000","cceffc","cce2f2","fff2cc","ffffcc","e9f6dc","ccefdc","f2cccc","ffcccc","ccd2df","e2d6ec","ffcceb","cccccc","99dff9","99c6e6","ffe699","ffff99","d3ecb9","99dfb9","e69999","ff9999","99a6bf","c6acd9","ff99d7","999999","66d0f6","66a9d9","ffd966","ffff66","bee396","66d096","d96666","ff6666","6679a0","a983c6","ff66c4","666666","33c0f3","338dcd","ffcd33","ffff33","a8d973","33c073","cd3333","ff3333","334d80","8d59b3","ff33b0","333333","00b0f0","0070c0","ffc000","ffff00","92d050","00b050","c00000","ff0000","002060","7030a0","ff009c","000000"];
	if(asgnd_asy.length==0){
		for(var i=0;i<new_assay_liblary_data.length;i++){
			if(new_assay_liblary_data[i].assay_type == 0){
				document.getElementById("tcp5divspan"+i).value='#'+color_paletes[i];
			$("#clr_slt_outer"+i +" .evo-colorind").css("background-color",'#'+color_paletes[i]);
			}else{
				document.getElementById("tcp5divspan"+i).value='#'+color_paletes[i];
			$("#clr_slt_outer"+i +" .evo-colorind").css("background-color",'#'+color_paletes[i]);
			}
		
		
		}
	}else{
		for(var j=0;j<asgnd_asy.length;j++){
	for(var i=0;i<new_assay_liblary_data.length;i++){
		if(asgnd_asy[j].assay_id != new_assay_liblary_data[i].id){
			document.getElementById("tcp5divspan"+i).value='#'+color_paletes[i];
			$("#clr_slt_outer"+i +" .evo-colorind").css("background-color",'#'+color_paletes[i]);
		}
		
	}
	}
	}
	for(var j=0;j<new_assay_liblary_data.length;j++){
		for(var k=0;k<asgnd_asy.length;k++){
			
			if(new_assay_liblary_data[j].id == asgnd_asy[k].assay_id){
				asgnd_asy[k].index = j;
				var cx = $("#tcp5tablesid1"+asgnd_asy[k].left+asgnd_asy[k].top).css('backgroundColor');
				
				console.log(k);
				console.log(asgnd_asy[k].color);
				var slt_clr = asgnd_asy[k].color;
				
				 document.getElementById("tcp5divspan"+j).value = slt_clr;
				 $("#clr_slt_outer"+j +" .evo-colorind").css("background-color",slt_clr);
				
			}
		}
	}
		if(slt_frmts == 1){
			
			create_assay_96(assay_format,no_of_assays,no_of_samples); 
		}else{
			if(logsinconfigure == 0){
				
				create_assay_96(assay_format,no_of_assays,no_of_samples); 
			}
		}
		 
		slt_frmts = slt_frmts+1;
		logsinconfigure = logsinconfigure+1;

	}
	var get_edit = readCookie('edit_add');
	
	
	if(type == 0){
		
		
		var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		console.log(get_rstr_cookie)
		if(get_rstr_cookie[0].assgnd_assays.length > 0){
			console.log(get_rstr_cookie);
		for(var a=0;a<get_rstr_cookie[0].assgnd_assays.length;a++){
						
						document.getElementById("tcp5divcheck"+get_rstr_cookie[0].assgnd_assays[a].index).checked = true;
						selected_lft = get_rstr_cookie[0].assgnd_assays[a].left;
					selected_rgt = get_rstr_cookie[0].assgnd_assays[a].top;
					slctd_replicates = get_rstr_cookie[0].numberOfCards;
					if(get_rstr_cookie[0].plates_type != 0){
						sltd_asy_asgn(get_rstr_cookie[0].assgnd_assays[a].index,0);
					}
						//sltd_asy_asgn(get_rstr_cookie[0].assgnd_assays[a].index,0);
					}
	}
					
	}else{
		
		if(get_edit != null){
	}else{
		//restore_cookie();
	}
	}
}
function revertcontainer(){
	if(asgnd_asy.length > 0){
		for(var m=0;m<asgnd_asy.length;m++){
			$("#tcp5divcheck"+asgnd_asy[m].index).attr("checked", true);
			
			
		}
	}
	
}
function quantity_page(r_type){
	
	containers = [];	
	shw_wel_pp_cndt = 0;
	for(var m=0;m<asgnd_asy.length;m++){
			var item = {};
			item.assayName = asgnd_asy[m].assay_name;
			item.assayId = asgnd_asy[m].assay_id;
			item.location = asgnd_asy[m].location;
			item.colourCode = asgnd_asy[m].color;
			containers.push(item);
		}		
			
		var getdata = '{"userId":"'+asgnd_asy[0].user_id+'","containerItems": '+JSON.stringify(containers)+'}';
		var config = '{"Content-Type": "application/json"}';
		var url = 'http://dev.ceino.com:8080/customplating/v1/container/add';
		$.ajax({
			type: "post",
			headers : { 'Content-Type' : 'application/json' },
			url: url,
			data : getdata,
			success: function(data) {
				
				success_container = data;
				$("#tcp5ptableid").addClass("hideclass");
				$("#tcp6ptableid").addClass("hideclass");
				$("#tcp4ptableid").addClass("hideclass");
				$("#tcp4newptableid").removeClass("hideclass");
				$("#tcpid3arrb").removeClass("tcpdivarrbact");
				$("#tcpid4arrb").removeClass("tcpdivarrbact");
				$("#tcpid3arrb").addClass("tcpdivarrbdis");
				$("#tcpid4arrb").addClass("tcpdivarrbdis");
				$("#tcpid3arrb").addClass("tcpdivarrbfin");
				$("#tcpid4arrb").removeClass("tcpdivarrbfin");
				$("#tcpid3newarrb").removeClass("tcpdivarrbfin");
				$("#tcpid3newarrb").removeClass("tcpdivarrbdis");
				$("#tcpid3newarrb").addClass("tcpdivarrbact");
				$("#tcpid1arrb").addClass("tcpdivarrbfin ");
				$("#tcpid2arrb").removeClass("tcpdivarrbact  ");
				$("#tcpid2arrb").addClass("tcpdivarrbfin ");
				$("#tcpid3newarrb").removeClass("tcpdivarrbdis");
		$("#tcpid3newarrb").addClass("tcpdivarrbact");
		$("#tcp4newptableid").removeClass("hideclass");
		$("#tcpid1arrb").removeClass("tcpdivarrbact");
		$("#tcpid1arrb").addClass("tcpdivarrbdis");
		$("#tcp3ptableid").addClass("hideclass");
		
		
		
		if(r_type == 0){
			 
			 var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		
			if( get_rstr_cookie[0].studyName != ''){
				
				
				 document.getElementById("study_name").value = get_rstr_cookie[0].studyName;
				 
				// selectOnlyThis();
				 if(plates_type != '384pgx'){
				
				var inputElements = document.getElementsByClassName('app_chk_bx');
				for(var i=0; inputElements[i]; ++i){
					if(inputElements[i].value == get_rstr_cookie[0].application){
						selectOnlyThis(inputElements[i]);
						 plt_app = inputElements[i].value;
					}
					
				}
				if(plt_app == 'miRNA'){
				document.getElementById("selctplat").value = get_rstr_cookie[0].productType;
				}else{
					producttype = '';
				}
				document.getElementById("tcp4newpselect").value = get_rstr_cookie[0].plateType;
				
				
				
				//$("#fillreactvol").text(get_rstr_cookie[0].volume + ' µL');
				document.getElementById("fillreactvol").value = get_rstr_cookie[0].volume;
				
				if(plates_type == 0){
				
				plt_vol = '1';
				
				}
				
				else{
				plt_vol = document.getElementById("fillreactvol").value;
				plt_vol = plt_vol.substring(0,plt_vol.indexOf(' '));
				
				}
				
				
				
				
				
				if(get_rstr_cookie[0].isPreAmp == true){
					document.getElementById("premp").checked = true;
				}
				
				
			}else{
				producttype = '';
				plt_app = '';
				plt_vol = '';
				preaamp = [];
				plt_type = '';
			}
				
			
				
				
				tcp5button();
		}else{
			
		}
		}else{
			var get_edit = readCookie('edit_add');
	if(get_edit != null){
	}else{
		restore_cookie();
	}
			
		}
		
			},
			error: function(data) {
				
			}
		});	
}
function tcp4newbutton(types){
	
	var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		var order_study_name = get_rstr_cookie[0].studyName;
	document.getElementById("study_name").value  = order_study_name;
	var count = 0;
	var clr_crcl_lngth = $(".tcp5tablespan_96").length;
	
	for(var i=0;i<lft_sde;i++){
		for(var j=1;j<=top_sde;j++){
			if($("#tcp5tablesid1"+i+j).css('backgroundColor') == "rgb(255, 255, 255)"){
				count++;
				
			}
		}
	}
	
	
	if(count>0){
		if(shw_wel_pp_cndt == 1){
			var get_edit = readCookie('edit_add');
	if(get_edit != null){
		if(types == 1){
			$("#well_assy_popup").removeClass('hideclass');
			$("#overlayid").removeClass('hideclass');
		}else{
			
		}
	}else{
		var get_re_order = readCookie('reorder');
		
			if(get_re_order != null){
				var reorder = readCookie('reorder');
document.cookie = 'reorder = 1; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
			}else{
				$("#well_assy_popup").removeClass('hideclass');
			$("#overlayid").removeClass('hideclass');
			}
		
	}
			
		}else{
			quantity_page(1);
		}
		
	}else{
		if(get_edit != null){
			quantity_page(1);
	}else{
		if(asgnd_asy.length>0){
			
			quantity_page(1);
		}
	}
		
	}
	
}

function can_pop(){
	$("#can_popup").removeClass('hideclass');
	$("#overlayid").removeClass('hideclass');
}

function mgb_val(){
	var mySelect = $('select[name="MGBVALUE"] option:selected').val();
	console.log(mySelect)
	if(mySelect == "TAMRA"){
		$("#tamra_warning").removeClass('hideclass');
		$("#overlayid2").removeClass('hideclass');
	}else{
		$("#tamra_warning").addClass('hideclass');
		$("#overlayid2").addClass('hideclass');
	}
}

function close_warn(){
	$("#tamra_warning").addClass('hideclass');
	$("#overlayid2").addClass('hideclass');
}
function close_warn1(){
	
	$('[name=MGBVALUE]').val("MGB-NFQ");
	$("#tamra_warning").addClass('hideclass');
	$("#overlayid2").addClass('hideclass');
}

function clse_qnty_pop2(){
	$("#can_popup").addClass('hideclass');
	$("#overlayid").addClass('hideclass');
}

function save_pop(type){

document.getElementById("study_name").value == ''


	var get_edit = readCookie('edit_add');
	if(get_edit != null){
		
		var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		var order_study_name = get_rstr_cookie[0].studyName;
		if(order_study_name != ''){
			
			document.getElementById("namedraft").value = order_study_name;
			save_drft(type);
			
		}else{
			if(document.getElementById("study_name").value != ''){
				document.getElementById("namedraft").value = document.getElementById("study_name").value;
				save_drft(type);
				
			}else{
				$("#draft_popup").removeClass('hideclass');
				$("#overlayid").removeClass('hideclass');
			}
		}
	}else{
		
		var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		var order_study_name = get_rstr_cookie[0].studyName;
		if(order_study_name != ''){
			document.getElementById("namedraft").value = order_study_name;
			save_drft(type);
			
		}else{
			if(document.getElementById("study_name").value != ''){
				document.getElementById("namedraft").value = document.getElementById("study_name").value;
				save_drft(type);
			}else{
				$("#draft_popup").removeClass('hideclass');
				$("#overlayid").removeClass('hideclass');
			}
		}
	}








	
}

function clse_qnty_pop(){
	
	$("#well_assy_popup").addClass('hideclass');
	$("#overlayid").addClass('hideclass');
}
function clse_qnty_pop1(){
	
	$("#draft_popup").addClass('hideclass');
	$("#overlayid").addClass('hideclass');
}
function go_quantity(type){
	
	if(asgnd_asy.length>0){
		$("#well_assy_popup").addClass('hideclass');
		$("#overlayid").addClass('hideclass');
		
		quantity_page(type);
		$(".cendiv").removeClass("wdth134");
		$("#assay_table").removeClass("wdth1040");
		$("#assay_table").removeClass("wdth839");
		$("#tcp3pid").removeClass("wdth1024");
		$("#frtnxt").removeClass("mgrght30");
		//$(".new234").removeClass("num_vw");
		$(".new234").addClass("num_vw_nor");
		$(".tcp5tablespan_9623").removeClass("tcp5tablespan_384");
		$(".tcp5tablespan_9623").addClass("tcp5tablespan_384_nor");
		$('.topnum').css("width","31px");
		$('.alfalne').css("padding","6.5px 0px");
		$('.t_ic384').css("top","-2px");
		$("#tcp5ptableid").removeClass("newdvwdth");
		$(".topwdth").removeClass("wdth1056");
		$("#shorttble").removeClass("wdth1056");
		$("#shorttble").removeClass("wdth1066");
		$('.topnum2').css("padding","22.5px 0px");
		$('.topnum3').css("padding","22px 0px");
		$('.lafskio').css("padding","6.8px 0px");
		$('.rghtimg').css("padding","24.7px 0px");
		$('.rghtimg1').css("padding","2px 0px");
		$('.rghtimg2').css("padding","24px 0px");
		$('.rghtimgdv').css('margin-right','11px');
		$('.rghtimgdv24').css('margin-right','11px');
	}
}
var slt_frmts = 0;


var selected_asssays = [];
	var selected_asssays_id = [];
  var container_list = [];
  var assay_library_data_re = '';

function get_selected_assays(){
	for(var i=0;i<container_list.containerItems.length;i++){
		for(var j=0;j<assay_library_data_re.length;j++){
			
			if(container_list.containerItems[i].assayId == assay_library_data_re[j].id ){
				if(assay_library_data_re[j].type != "control"){
				assay_library_data_re[j].assay_type = 0;
				selected_asssays.push(assay_library_data_re[j])
				
				selected_asssays_id.push(assay_library_data_re[j].id)
			}
			}
		}
	}
	for(var i=0;i<container_list.containerItems.length;i++){
		for(var j=0;j<assay_library_data_re.length;j++){
			
			if(container_list.containerItems[i].assayId == assay_library_data_re[j].id ){
				if(assay_library_data_re[j].type == "control"){
				assay_library_data_re[j].assay_type = 1
				selected_asssays.push(assay_library_data_re[j])
				
				selected_asssays_id.push(assay_library_data_re[j].id)
			}
			}
		}
	}
	
}
var assay_ids_lists=[];
function get_selected_assays_c(){
	for(var i=0;i<assay_ids_lists.length;i++){
		for(var j=0;j<assay_library_data_re.length;j++){
			
			
			
			if(assay_ids_lists[i] == assay_library_data_re[j].id){
				if(assay_library_data_re[j].type != "control"){
					assay_library_data_re[j].assay_type = 0
				selected_asssays.push(assay_library_data_re[j])
				
				selected_asssays_id.push(assay_library_data_re[j].id)
				}
			}
			
			
		}
	}
	for(var i=0;i<assay_ids_lists.length;i++){
		for(var j=0;j<assay_library_data_re.length;j++){
			if(assay_ids_lists[i] == assay_library_data_re[j].id){
				if(assay_library_data_re[j].type == "control"){
						assay_library_data_re[j].assay_type = 1
				selected_asssays.push(assay_library_data_re[j])
				
				selected_asssays_id.push(assay_library_data_re[j].id)
				}
			}
			
			
		}
	}
	console.log(selected_asssays_id);
	console.log(selected_asssays);
}
var container_in_r=[];
var cnt_ordr_id ='';
function cont_ord_dtls(id){
	updt_order = 1;
	 cnt_ordr_id = orders_list[id].id;
	document.cookie = 'edit_add ='+cnt_ordr_id;
	
	assay_ids_lists = [];
	var m = orders_list[id].plateType.toString();
	if(m.indexOf('-') !=-1){
		m = m.substring(0,m.indexOf('-'));
	}else{
		m = m
	}
	
	assay_ids_lists = orders_list[id].assayIds;
	
	var get_userlist = readCookie('user');
	get_userlist = JSON.parse(get_userlist);
	
	var url1 = 'http://dev.ceino.com:8080/customplating/v1/assay/?userId='+get_userlist[0].id;
			$.ajax({
				type: "get",
				headers : { 'Content-Type' : 'application/json' },
				url: url1,
				//data : getdata,
				success: function(data) {
					
				if(orders_list[id].plateType == "Card"){
					
			$.ajax({
				type: "get",
				headers : { 'Content-Type' : 'application/json' },
				url: 'http://dev.ceino.com:8080/customplating/v1/assay/type/control',
				//data : getdata,
				success: function(data1) {
					assay_library_data_re = data.concat(data1);
					get_selected_assays_c();
					console.log(assay_library_data_re);
				},
				error: function(data) {
					
				}
			});
				}else{
					assay_library_data_re = data;
					get_selected_assays_c();
				}
										
					
					/* item.specialRequest = spl_req; */
					var asgnd_asy_r = [];
					var container_id = orders_list[id].containerId;
					if(container_id == ''){
						container_in_r = [];
						container_list = '';
						asgnd_asy_r = [];
						var rstr_cookie = [];
					var item = {};
					item.plates_type = m;
					item.formats = orders_list[id].format;
					item.selected_assays = selected_asssays;
					item.assay_indexes = selected_asssays_id;
					item.assgnd_assays = asgnd_asy_r;
					item.containers = container_in_r;
					item.success_container = container_list;
					item.specialRequest = orders_list[id].specialRequest;
					item.numberOfCards = orders_list[id].numberOfCards;
					item.numberOfSamples = orders_list[id].numberOfSamples;
					item.numberOfAssays = orders_list[id].numberOfAssays;
					item.application = orders_list[id].application;;
					item.isPreAmp = orders_list[id].isPreAmp;;
					item.volume = orders_list[id].volume;;
					item.quantity = orders_list[id].quantity;;
					item.plateType = orders_list[id].plateType;
					item.studyName = orders_list[id].studyName;;
					 item.productType = orders_list[id].productType;;
					rstr_cookie.push(item);
					
					var string = JSON.stringify(rstr_cookie);
					var compressed = LZString.compress(string);
					 
					localStorage.setItem('new_order', compressed);
					
						var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
						
					get_rstr_cookie = JSON.parse(get_rstr_cookie);
					console.log(get_rstr_cookie);
					if(get_rstr_cookie){
						location.reload();
					}
					}else{
						var url = 'http://dev.ceino.com:8080/customplating/v1/container/'+container_id;
						$.ajax({
							type: "get",
							headers : { 'Content-Type' : 'application/json' },
							url: url,
							
							success: function(data) {
							
								container_list = data;
									console.log(container_list.containerItems);
								for(var k=0;k<container_list.containerItems.length;k++){
									var index = '';
									console.log(assay_library_data_re);
									
									for(var n=0;n<assay_library_data_re.length;n++){
										if(container_list.containerItems[k].assayId == assay_library_data_re[n].id ){
											index = k;
										}
									}
									var loc_id_ids_lft = [];
									var loc_id_ids_rt = [];
									var loc_id_ids = [];
									for(var l=0;l<container_list.containerItems[k].location.length;l++){
										var s = container_list.containerItems[k].location[l]
										var lt = s.substring(0,1);
										var rt = s.substring(1,s.length);
									
										var locidss_lft = alfa.indexOf(lt);
										loc_id_ids_lft.push(locidss_lft);
										loc_id_ids_rt.push(rt);
										loc_id_ids.push(locidss_lft.toString() + rt.toString());
									}
									
									container_in_r.push(container_list.containerItems[k]);
									var item1 = {};
									item1.assay_id = container_list.containerItems[k].assayId;
									item1.assay_name = container_list.containerItems[k].assayName;
									item1.user_id = get_userlist[0].id;
									item1.location = container_list.containerItems[k].location;
									item1.location_ids = loc_id_ids;
									item1.left = loc_id_ids_lft[0];
									item1.top = loc_id_ids_rt[0];
									item1.index = index;
									item1.color = container_list.containerItems[k].colourCode;
									asgnd_asy_r.push(item1);
								}
								var rstr_cookie = [];
					var item = {};
					item.plates_type = m;
					item.formats = orders_list[id].format;
					item.selected_assays = selected_asssays;
					item.assay_indexes = selected_asssays_id;
					item.assgnd_assays = asgnd_asy_r;
					item.containers = container_in_r;
					item.success_container = container_list;
					item.numberOfCards = orders_list[id].numberOfCards;
					item.numberOfSamples = orders_list[id].numberOfSamples;
					item.numberOfAssays = orders_list[id].numberOfAssays;
					item.application = orders_list[id].application;
					item.isPreAmp = orders_list[id].isPreAmp;
					item.volume = orders_list[id].volume;
					item.quantity = orders_list[id].quantity;
					item.plateType = orders_list[id].plateType;
					item.studyName = orders_list[id].studyName;
					 item.productType = orders_list[id].productType;
					rstr_cookie.push(item);
					var string = JSON.stringify(rstr_cookie);
					var compressed = LZString.compress(string);
					
					localStorage.setItem('new_order', compressed);
						var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
					get_rstr_cookie = JSON.parse(get_rstr_cookie);
					console.log(get_rstr_cookie);
					if(get_rstr_cookie){
						location.reload();
					}
							},error: function(data) {
								
							}
						});
					}
					
					
					 
				},
				error: function(data) {
					
				}
			});
 }
  
  
  
function close_share(index){
	
	$("#shrd"+index).addClass("hideclass");
}
function share_order(index){
	for(var i=0;i<orders_list.length;i++){
		$("#shrd"+i).addClass("hideclass");
	}
	$("#shrd"+index).removeClass("hideclass");
}

function submit_share(index){
	var email_val = $("#email_addr"+index).val();
	var filter = /^[a-zA-Z0-9_.-]+@[a-zA-Z]+\.[a-zA-Z]{2,4}$/;
	$("#email_addr"+index).removeClass("err_box");
	$("#err_ordr"+index).text("");
	if(email_val != ''){
		if (!filter.test(email_val)) {
			$("#email_addr"+index).addClass("err_box");
			$("#err_ordr"+index).text("Please Enter valid EmailID");
		}else{
			var getdata = '{  "email": "'+email_val+'",  "orderId":"'+orders_list[index].id+'"}';
			console.log(getdata);
			$.ajax({
			type: "post",
			headers : { 'Content-Type' : 'application/json' },
			url: 'http://dev.ceino.com:8080/customplating/v1/order/share',
			data : getdata,
			success: function(data) {
				console.log(data);
				if(data.message == "Not shared"){
					$("#email_addr"+index).addClass("err_box");
			$("#err_ordr"+index).text("Specified e-mail is not valid thermofisher account");
				}else{
					$("#email_addr"+index).val('');	
				 $("body").append("<div class='successalert success '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span> Order Moved successfuly</div>");
						   $(".success").center(true);
						  
						   setTimeout(function() {
							    close_share(index);
							$(".successalert").remove();
						   }, 2000);
				}
				
				
			},
			error: function(data) {
			console.log(data);
				
			}
		});
		}
	}else{
		$("#email_addr"+index).addClass("err_box");
		$("#err_ordr"+index).text("Please Enter EmailID");
	}
	
	
	
}

function cls_reorder_cookie(){
	$('#re_ord_cnfrm').html('');
}
function reorder_cookie(index){
	var reorder_html = '';
	reorder_html = reorder_html + '<div id="" class="overlay1"></div>';
	reorder_html = reorder_html + '<div id="well_assy_popup" class="">';
			reorder_html = reorder_html +'<div>';
				reorder_html = reorder_html +'<a href="javascript://void(0);" id="closepopup1id" onclick="cls_reorder_cookie()" class="clsic_rm"><img src="'+DNAPREP_PATH+'/images/close.png"></a>';
				reorder_html = reorder_html + '<div class="rm_pp">New quote request number will be generated if changes are made.</div>';
			reorder_html = reorder_html + '</div>';
			reorder_html = reorder_html + '<div class="txt_algn_cntr"><span class="rm_pp_btn" onclick="reorder_cookie_cnfrm('+index+')">Ok</span><span class="rm_pp_btn" onclick="cls_reorder_cookie()">Cancel</span></div>';
		reorder_html = reorder_html + '</div>';
	$('#re_ord_cnfrm').append(reorder_html);
}
function reorder_cookie_cnfrm(index){
	updt_order = 0;
	 var cnt_ord_list = readCookie('edit_add');
document.cookie = 'edit_add = '+cnt_ord_list+'; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
	
	var m = orders_list[index].plateType.toString();
	if(m.indexOf('-') !=-1){
		m = m.substring(0,m.indexOf('-'));
	}else{
		m = m
	}
	
	
	var container_id = orders_list[index].containerId;
	var get_userlist = readCookie('user');
	get_userlist = JSON.parse(get_userlist);
	
	var url = 'http://dev.ceino.com:8080/customplating/v1/container/'+container_id;
	$.ajax({
		type: "get",
		headers : { 'Content-Type' : 'application/json' },
		url: url,
		
		success: function(data) {
			
			container_list = data;
			var url1 = 'http://dev.ceino.com:8080/customplating/v1/assay/?userId='+get_userlist[0].id;
			$.ajax({
				type: "get",
				headers : { 'Content-Type' : 'application/json' },
				url: url1,
				//data : getdata,
				success: function(data) {
					if(orders_list[index].plateType == "Card"){
					
			$.ajax({
				type: "get",
				headers : { 'Content-Type' : 'application/json' },
				url: 'http://dev.ceino.com:8080/customplating/v1/assay/type/control',
				//data : getdata,
				success: function(data1) {
					assay_library_data_re = data.concat(data1);
					get_selected_assays();
					console.log(assay_library_data_re);
					var asgnd_asy_r = [];
					for(var k=0;k<container_list.containerItems.length;k++){
						var index1 = '';
						for(var n=0;n<assay_library_data_re.length;n++){
							if(container_list.containerItems[k].assayId == assay_library_data_re[n].id ){
								index1 = k;
							}
						}
						var loc_id_ids_lft = [];
						var loc_id_ids_rt = [];
						var loc_id_ids = [];
						for(var l=0;l<container_list.containerItems[k].location.length;l++){
							var s = container_list.containerItems[k].location[l]
							var lt = s.substring(0,1);
							var rt = s.substring(1,s.length);
							
							var locidss_lft = alfa.indexOf(lt);
							loc_id_ids_lft.push(locidss_lft);
							loc_id_ids_rt.push(rt);
							loc_id_ids.push(locidss_lft.toString() + rt.toString());
						}
						
						container_in_r.push(container_list.containerItems[k]);
						var item1 = {};
						item1.assay_id = container_list.containerItems[k].assayId;
						item1.assay_name = container_list.containerItems[k].assayName;
						item1.user_id = get_userlist[0].id;
						item1.location = container_list.containerItems[k].location;
						item1.location_ids = loc_id_ids;
						item1.left = loc_id_ids_lft[0];
						item1.top = loc_id_ids_rt[0];
						item1.index = index1;
						item1.color = container_list.containerItems[k].colourCode;
						asgnd_asy_r.push(item1);
					}
					console.log(asgnd_asy_r);
					var rstr_cookie = [];
					var item = {};
					item.plates_type = m;
					item.formats = orders_list[index].format;
					item.selected_assays = selected_asssays;
					item.assay_indexes = selected_asssays_id;
					item.assgnd_assays = asgnd_asy_r;
					item.containers = container_in_r;
					item.success_container = container_list;
					item.numberOfCards = orders_list[index].numberOfCards;
					item.numberOfSamples = orders_list[index].numberOfSamples;
					item.numberOfAssays = orders_list[index].numberOfAssays;
					item.application = orders_list[index].application;
					item.isPreAmp = orders_list[index].isPreAmp;
					item.volume = orders_list[index].volume;
					item.quantity = orders_list[index].quantity;
					item.plateType = orders_list[index].plateType;
					item.studyName = '';
					 item.specialRequest = orders_list[index].specialRequest;
					 item.productType = orders_list[index].productType;
					rstr_cookie.push(item);
					
					var string = JSON.stringify(rstr_cookie);
					var compressed = LZString.compress(string);
					localStorage.setItem('new_order', compressed);
						var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
					get_rstr_cookie = JSON.parse(get_rstr_cookie);
					document.cookie = 'reorder =1';
					if(rstr_cookie.length > 0){
						location.reload();
					}
				},
				error: function(data) {
					
				}
			});
				}else{
					assay_library_data_re = data;
					get_selected_assays();
					var asgnd_asy_r = [];
					for(var k=0;k<container_list.containerItems.length;k++){
						var index1 = '';
						for(var n=0;n<assay_library_data_re.length;n++){
							if(container_list.containerItems[k].assayId == assay_library_data_re[n].id ){
								index1 = k;
							}
						}
						var loc_id_ids_lft = [];
						var loc_id_ids_rt = [];
						var loc_id_ids = [];
						for(var l=0;l<container_list.containerItems[k].location.length;l++){
							var s = container_list.containerItems[k].location[l]
							var lt = s.substring(0,1);
							var rt = s.substring(1,s.length);
							
							var locidss_lft = alfa.indexOf(lt);
							loc_id_ids_lft.push(locidss_lft);
							loc_id_ids_rt.push(rt);
							loc_id_ids.push(locidss_lft.toString() + rt.toString());
						}
						
						container_in_r.push(container_list.containerItems[k]);
						var item1 = {};
						item1.assay_id = container_list.containerItems[k].assayId;
						item1.assay_name = container_list.containerItems[k].assayName;
						item1.user_id = get_userlist[0].id;
						item1.location = container_list.containerItems[k].location;
						item1.location_ids = loc_id_ids;
						item1.left = loc_id_ids_lft[0];
						item1.top = loc_id_ids_rt[0];
						item1.index = index1;
						item1.color = container_list.containerItems[k].colourCode;
						asgnd_asy_r.push(item1);
					}
					console.log(asgnd_asy_r);
					var rstr_cookie = [];
					var item = {};
					item.plates_type = m;
					item.formats = orders_list[index].format;
					item.selected_assays = selected_asssays;
					item.assay_indexes = selected_asssays_id;
					item.assgnd_assays = asgnd_asy_r;
					item.containers = container_in_r;
					item.success_container = container_list;
					item.numberOfCards = orders_list[index].numberOfCards;
					item.numberOfSamples = orders_list[index].numberOfSamples;
					item.numberOfAssays = orders_list[index].numberOfAssays;
					item.application = orders_list[index].application;
					item.isPreAmp = orders_list[index].isPreAmp;
					item.volume = orders_list[index].volume;
					item.quantity = orders_list[index].quantity;
					item.plateType = orders_list[index].plateType;
					item.studyName = '';
					 item.specialRequest = orders_list[index].specialRequest;
					 item.productType = orders_list[index].productType;
					rstr_cookie.push(item);
					
					var string = JSON.stringify(rstr_cookie);
					var compressed = LZString.compress(string);
					localStorage.setItem('new_order', compressed);
						var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
					get_rstr_cookie = JSON.parse(get_rstr_cookie);
					document.cookie = 'reorder =1';
					if(rstr_cookie.length > 0){
						location.reload();
					}
				}					
					
					
					
					 
				},
				error: function(data) {
					
				}
			});
		},
		error: function(data) {
			
		}
	});
}
function empty_cookie(){
	localStorage.removeItem('new_order');
}
function save_drft(type){
	var sfy_drp = document.getElementById("namedraft").value;
	var changed_order = readCookie('changed_order');
document.cookie = 'changed_order = 1; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
	if(type == "2"){
		$("#cnfrm_pop").addClass("hideclass");
	}
	if(sfy_drp != ''){
		$("#draft_popup").addClass('hideclass');
	$("#overlayid").addClass('hideclass');
	
	var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
	get_rstr_cookie = JSON.parse(get_rstr_cookie);
	
		
	var get_userlist = readCookie('user');
	get_userlist = JSON.parse(get_userlist);
	
	var container_id = '';
	
	var val_sd = 0;
	if(get_rstr_cookie[0].volume == ''){
		val_sd = 0;
	}else{
		val_sd = get_rstr_cookie[0].volume;
	}
	var selected_assays_ids = [];
	for(var n=0;n<assay_indx_lists.length;n++){
		selected_assays_ids.push(assay_indx_lists[n]);
		
	}
	
	
	
	if(get_rstr_cookie[0].success_container == ''){
		var study_n = document.getElementById("study_name").value;
		if(study_n == ''){
			study_n = sfy_drp;
		}else{
			study_n = study_n;
		}
		var ent_quanvar = document.getElementById("ent_quan").value;
		var spl_req = document.getElementById("spl_req").value;
				 study_name = document.getElementById("study_name").value;
				
				quantity = ent_quanvar;
				
				if(plates_type != '384pgx'){
				
				var inputElements = document.getElementsByClassName('app_chk_bx');
				for(var i=0; inputElements[i]; ++i){
					  if(inputElements[i].checked){
						   plt_app = inputElements[i].value;
						   break;
					  }
				}
				
				
				if(plt_app == 'miRNA'){
				producttype = document.getElementById("selctplat").value;
				}else{
					producttype = '';
				}
				plt_type = document.getElementById("tcp4newpselect").value;
				
				
				if(plates_type == 0){
				
				plt_vol = '1';
				
				}
				
				else{
				plt_vol = document.getElementById("fillreactvol").value;
				plt_vol = plt_vol.substring(0,plt_vol.indexOf(' '));
				
				}
				
				$('#premlpoi input:checked').each(function() {
					preaamp.push($(this).attr('value'));
				});
				
				
				/* if( document.getElementById("premp").checked == false){
					var amp_index = preaamp.indexOf("Include PreAmp Pool");
						preaamp.splice(amp_index,1);
				}
				if( document.getElementById("rtpool").checked == false){
					var amp_index1 = preaamp.indexOf("Include RT Pool");
						preaamp.splice(amp_index1,1);
				} */
			}else{
				producttype = '';
				plt_app = '';
				plt_vol = '';
				preaamp = [];
				plt_type = '';
			}
			if(preaamp.indexOf("Include PreAmp Pool") != -1){
				plt_preamp = true;
			}else{
				plt_preamp = false;
			}
			if(preaamp.indexOf("Include RT Pool") != -1){
				rttool = true;
			}else{
				rttool = false;
			}
		if(asgnd_asy.length == 0){
			container_id = '';
			
	var getdata = '{"userId": "'+get_userlist[0].id+'","companyName":"","contactName":"","shippingAddress":"","email":"","phone":"","format":"'+get_rstr_cookie[0].formats.toString()+'","containerId":"'+container_id+'","numberOfCards":'+get_rstr_cookie[0].numberOfCards+',"numberOfSamples":'+get_rstr_cookie[0].numberOfSamples+',"numberOfAssays":'+get_rstr_cookie[0].numberOfAssays+',"application":"'+plt_app+'","isPreAmp":'+plt_preamp+',"volume":'+plt_vol+',"quantity":'+quantity+',"plateType":"'+plt_type+'","studyName":"'+study_n+'","productType":"'+producttype+'","status":"draft","specialRequest":"'+spl_req+'","assayIds":'+JSON.stringify(selected_assays_ids)+'}';
		

		console.log(getdata);
		var config = '{"Content-Type": "application/json"}';
		
		 var get_edit = readCookie('edit_add');
		
			if(get_edit == null){
				 url = 'http://dev.ceino.com:8080/customplating/v1/order/add';
			}else{
				 url = 'http://dev.ceino.com:8080/customplating/v1/order/edit/'+get_edit;
			}
		
		
		$.ajax({
			type: "post",
			headers : { 'Content-Type' : 'application/json' },
			url: url,
			data : getdata,
			success: function(data) {
			
				console.log(data);
				var order_id = data.id;
				document.cookie = 'edit_add ='+order_id;
				
				var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		get_rstr_cookie[0].studyName = study_n;
		get_rstr_cookie[0].specialRequest = spl_req;
		var string = JSON.stringify(get_rstr_cookie);
					var compressed = LZString.compress(string);
		 localStorage.setItem('new_order', compressed);
		  var reorder = readCookie('reorder');
document.cookie = 'reorder = 1; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
						
	var hdrs = '';
	hdrs = hdrs + 'Configure your Specialty Plates or Cards <span class="lg_out" onclick="logout()">Logout</span><span class="lg_out can_ord_r hideclass" onclick="can_pop()">Cancel</span><span class="lg_out hme_ret " onclick="can_ord()">Home</span><span class="lg_out" onclick="helpbtn3()">?</span>';
	$("#hdr_t1").html(hdrs);
	if(type == "0"){
		 $("body").append("<div class='successalert success_d '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Your order saved as draft</div>");
	}else{
		 $("body").append("<div class='successalert success_d '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Your order saved successful</div>");
	}
				
				 
	   $(".success").center(true);
	   setTimeout(function() {
		$(".successalert").remove();
		if(type == '2'){
			can_ord();
		}else if(type == "0"){
			$(".sv_dft").hide();
			$(".rep_save").html();
			$(".drft_algn_d").hide();
		 $(".rep_save").html('<div class="drft_algn"><span class="sv_dft1" href="javascript://void(0)" class="newlnkstle frmt btncels btncels3 " onclick="cnfrm_cls()">Save & Close</span></div>');
		}
		
	   }, 2000);
			},
			error: function(data) {
				
				
			}
		});
		}else{
			containers = [];	
			for(var m=0;m<asgnd_asy.length;m++){
				var item = {};
				item.assayName = asgnd_asy[m].assay_name;
				item.assayId = asgnd_asy[m].assay_id;
				item.location = asgnd_asy[m].location;
				item.colourCode = asgnd_asy[m].color;
				containers.push(item);
			}	
		
			var getdata = '{"userId":"'+asgnd_asy[0].user_id+'","containerItems": '+JSON.stringify(containers)+'}';
			var config = '{"Content-Type": "application/json"}';
			var url = 'http://dev.ceino.com:8080/customplating/v1/container/add';
			$.ajax({
				type: "post",
				headers : { 'Content-Type' : 'application/json' },
				url: url,
				data : getdata,
				success: function(data) {
					
					container_id = data.id;
					var fmts = get_rstr_cookie[0].formats.toString();
					//fmts = fmts.toUpperCase();
	var getdata = '{"userId": "'+get_userlist[0].id+'","companyName":"","contactName":"","shippingAddress":"","email":"","phone":"","format":"'+fmts+'","containerId":"'+container_id+'","numberOfCards":'+get_rstr_cookie[0].numberOfCards+',"numberOfSamples":'+get_rstr_cookie[0].numberOfSamples+',"numberOfAssays":'+get_rstr_cookie[0].numberOfAssays+',"application":"'+plt_app+'","isPreAmp":'+plt_preamp+',"volume":'+plt_vol+',"quantity":'+quantity+',"plateType":"'+plt_type+'","studyName":"'+study_n+'","productType":"'+producttype+'","status":"draft","specialRequest":"'+spl_req+'","assayIds":'+JSON.stringify(selected_assays_ids)+'}';
		
		
		var config = '{"Content-Type": "application/json"}';
		var get_edit = readCookie('edit_add');
		
			if(get_edit == null){
				 url = 'http://dev.ceino.com:8080/customplating/v1/order/add';
			}else{
				 url = 'http://dev.ceino.com:8080/customplating/v1/order/edit/'+get_edit;
			}
		
		$.ajax({
			type: "post",
			headers : { 'Content-Type' : 'application/json' },
			url: url,
			data : getdata,
			success: function(data) {
				
				var order_id = data.id;
				document.cookie = 'edit_add ='+order_id;
				
				var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		get_rstr_cookie[0].studyName = study_n;
		get_rstr_cookie[0].specialRequest = spl_req;
		 /* document.cookie = 'new_order ='+JSON.stringify(get_rstr_cookie); */
		 var string = JSON.stringify(get_rstr_cookie);
					var compressed = LZString.compress(string);
		  localStorage.setItem('new_order', compressed);
				 var reorder = readCookie('reorder');
document.cookie = 'reorder = 1; expires=Thu, 01 Jan 1970 00:00:01 GMT;';	
		 
		 var hdrs = '';
	hdrs = hdrs + 'Configure your Specialty Plates or Cards <span class="lg_out" onclick="logout()">Logout</span><span class="lg_out can_ord_r hideclass" onclick="can_pop()">Cancel</span><span class="lg_out hme_ret " onclick="can_ord()">Home</span><span class="lg_out" onclick="helpbtn3()">?</span>';
	$("#hdr_t1").html(hdrs);
			 if(type == "0"){
		 $("body").append("<div class='successalert success_d '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Your order saved as draft</div>");
	}else{
		 $("body").append("<div class='successalert success_d '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Your order saved successful</div>");
	}
	   $(".success").center(true);
	   setTimeout(function() {
		$(".successalert").remove();
		if(type == "2"){
			can_ord();
		}else if(type == "0"){
			 $(".sv_dft").hide();
			 $(".rep_save").html();
			 $(".drft_algn_d").hide();
			  $(".rep_save").html('<div class="drft_algn"><span class="sv_dft1" href="javascript://void(0)" class="newlnkstle frmt btncels btncels3 " onclick="cnfrm_cls()">Save & Close</span></div>');
		}
		
	   }, 2000);	
			},
			error: function(data) {
			
				
			}
		});
				},
				error: function(data) {
					
				}
			});	
		}
		
	}else{
		container_id = get_rstr_cookie[0].success_container.id;
		var study_n = document.getElementById("study_name").value;
		if(study_n == ''){
			study_n = sfy_drp;
		}else{
			study_n = study_n;
		}
		var ent_quanvar = document.getElementById("ent_quan").value;
		var spl_req = document.getElementById("spl_req").value;
				 study_name = document.getElementById("study_name").value;
				
				quantity = ent_quanvar;
				
				var inputElements = document.getElementsByClassName('app_chk_bx');
				for(var i=0; inputElements[i]; ++i){
					  if(inputElements[i].checked){
						   plt_app = inputElements[i].value;
						   break;
					  }
				}
				
				
				if(plt_app == 'miRNA'){
				producttype = document.getElementById("selctplat").value;
				}else{
					producttype = '';
				}
				plt_type = document.getElementById("tcp4newpselect").value;
				
				
				if(plates_type == 0){
				
				plt_vol = '1';
				
				}
				
				else{
				plt_vol = document.getElementById("fillreactvol").value;
				plt_vol = plt_vol.substring(0,plt_vol.indexOf(' '));
				
				}
				
				$('#premlpoi input:checked').each(function() {
					preaamp.push($(this).attr('value'));
				});
				$('#premlpoi input:checked').each(function() {
					preaamp.push($(this).attr('value'));
				});
				
				/* if( document.getElementById("premp").checked == false){
					var amp_index = preaamp.indexOf("Include PreAmp Pool");
						preaamp.splice(amp_index,1);
				}
				if( document.getElementById("rtpool").checked == false){
					var amp_index1 = preaamp.indexOf("Include RT Pool");
						preaamp.splice(amp_index1,1);
				} */
			
			if(preaamp.indexOf("Include PreAmp Pool") != -1){
				plt_preamp = true;
			}else{
				plt_preamp = false;
			}
			if(preaamp.indexOf("Include RT Pool") != -1){
				rttool = true;
			}else{
				rttool = false;
			}
		
		
		
		
	var getdata = '{"userId": "'+get_userlist[0].id+'","companyName":"","contactName":"","shippingAddress":"","email":"","phone":"","format":"'+get_rstr_cookie[0].formats.toString()+'","containerId":"'+container_id+'","numberOfCards":'+get_rstr_cookie[0].numberOfCards+',"numberOfSamples":'+get_rstr_cookie[0].numberOfSamples+',"numberOfAssays":'+get_rstr_cookie[0].numberOfAssays+',"application":"'+plt_app+'","isPreAmp":'+plt_preamp+',"volume":'+plt_vol+',"quantity":'+quantity+',"plateType":"'+plt_type+'","studyName":"'+study_n+'","productType":"'+producttype+'","status":"draft","specialRequest":"'+spl_req+'","assayIds":'+JSON.stringify(selected_assays_ids)+'}';
	
		var config = '{"Content-Type": "application/json"}';
		var get_edit = readCookie('edit_add');
		
			if(get_edit == null){
				 url = 'http://dev.ceino.com:8080/customplating/v1/order/add';
			}else{
				 url = 'http://dev.ceino.com:8080/customplating/v1/order/edit/'+get_edit;
			}
		
		$.ajax({
			type: "post",
			headers : { 'Content-Type' : 'application/json' },
			url: url,
			data : getdata,
			success: function(data) {
				
				var order_id = data.id;
				document.cookie = 'edit_add ='+order_id;
				
				
				
				var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		get_rstr_cookie[0].studyName = study_n;
		get_rstr_cookie[0].specialRequest = spl_req;
		 var string = JSON.stringify(get_rstr_cookie);
					var compressed = LZString.compress(string);
		 localStorage.setItem('new_order', compressed);
			 var reorder = readCookie('reorder');
document.cookie = 'reorder = 1; expires=Thu, 01 Jan 1970 00:00:01 GMT;';		
		 var hdrs = '';
	hdrs = hdrs + 'Configure your Specialty Plates or Cards <span class="lg_out" onclick="logout()">Logout</span><span class="lg_out can_ord_r hideclass" onclick="can_pop()">Cancel</span><span class="lg_out hme_ret " onclick="can_ord()">Home</span><span class="lg_out" onclick="helpbtn3()">?</span>';
	$("#hdr_t1").html(hdrs);
	
				if(type == "0"){
		 $("body").append("<div class='successalert success_d '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Your order saved as draft</div>");
	}else{
		 $("body").append("<div class='successalert success_d '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Your order saved successful</div>");
	}
	   $(".success").center(true);
	   setTimeout(function() {
		$(".successalert").remove();
		if(type == "2"){
			can_ord();
		}else if(type == "0"){
			$(".sv_dft").hide();
			$(".rep_save").html();
			$(".drft_algn_d").hide();
			 $(".rep_save").html('<div class="drft_algn"><span class="sv_dft1" href="javascript://void(0)" class="newlnkstle frmt btncels btncels3 " onclick="cnfrm_cls()">Save & Close</span></div>');
			 
			 
			 
			
			 
			 
			 
			 
			 
			 
			 
			 
		}
		
	   }, 2000);
			},
			error: function(data) {
				
				
			}
		});
	}
	
	}
	
}


function chng_stuts(ind){
	
	var arraylst = orders_list[ind];
	var status1 = $('[name=stuts_vls'+ind+']').val();
	
	arraylst.status = status1;
	
	var getdata = '{"userId": "'+arraylst.userId+'","companyName":"'+arraylst.companyName+'","contactName":"'+arraylst.contactName+'","shippingAddress":"'+arraylst.shippingAddress+'","email":"'+arraylst.email+'","phone":"'+arraylst.phone+'","format":"'+arraylst.format+'","containerId":"'+arraylst.containerId+'","numberOfCards":'+arraylst.numberOfCards+',"numberOfSamples":'+arraylst.numberOfSamples+',"numberOfAssays":'+arraylst.numberOfAssays+',"application":"'+arraylst.application+'","isPreAmp":'+arraylst.isPreAmp+',"volume":'+arraylst.volume+',"quantity":'+arraylst.quantity+',"plateType":"'+arraylst.plateType+'","studyName":"'+arraylst.studyName+'","productType":"'+arraylst.productType+'","assayIds":'+JSON.stringify(arraylst.assayIds)+',"status":"'+status1+'"}';
	var config = '{"Content-Type": "application/json"}';
	var get_edit = arraylst.id;
		
			var url = 'http://dev.ceino.com:8080/customplating/v1/order/edit/'+get_edit;
		
		$.ajax({
			type: "post",
			headers : { 'Content-Type' : 'application/json' },
			url: url,
			data : getdata,
			success: function(data) {
				
				$("body").append("<div class='successalert success_d '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Your order edit successful!</div>");
			   $(".success").center(true);
			   setTimeout(function() {
				$(".successalert").remove();
			   }, 2000);	
			},
			error: function(data) {
			
				
			}
		});
}


function dltorder(ind){
	
	$("#dltordr_popup").removeClass("hideclass");
	$("#overlayid").removeClass('hideclass');
	$("#dltordr").attr('onclick','dlt_ordr('+ind+')');
	
}
function clse_dltordr_pop2(){
	$("#dltordr_popup").addClass("hideclass");
	$("#overlayid").addClass('hideclass');
}
function dlt_ordr(ind){
	$("#dltordr_popup").addClass("hideclass");
	$("#overlayid").addClass('hideclass');
	var arraylst = orders_list[ind];
	
	var getdata = '{"userId": "'+arraylst.userId+'","companyName":"'+arraylst.companyName+'","contactName":"'+arraylst.contactName+'","shippingAddress":"'+arraylst.shippingAddress+'","email":"'+arraylst.email+'","phone":"'+arraylst.phone+'","format":"'+arraylst.format+'","containerId":"'+arraylst.containerId+'","numberOfCards":'+arraylst.numberOfCards+',"numberOfSamples":'+arraylst.numberOfSamples+',"numberOfAssays":'+arraylst.numberOfAssays+',"application":"'+arraylst.application+'","isPreAmp":'+arraylst.isPreAmp+',"volume":'+arraylst.volume+',"quantity":'+arraylst.quantity+',"plateType":"'+arraylst.plateType+'","studyName":"'+arraylst.studyName+'","productType":"'+arraylst.productType+'","assayIds":'+JSON.stringify(arraylst.assayIds)+',"status":"'+arraylst.status+'"}';
	var config = '{"Content-Type": "application/json"}';
	var get_edit = arraylst.id;
		
			var url = 'http://dev.ceino.com:8080/customplating/v1/order/'+get_edit;
		
		$.ajax({
			type: "delete",
			headers : { 'Content-Type' : 'application/json' },
			url: url,
			data : getdata,
			success: function(data) {
				
				$("body").append("<div class='successalert success_d '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Your order delete successful!</div>");
				prev_req();
			   $(".success").center(true);
			   setTimeout(function() {
				$(".successalert").remove();
			   }, 2000);	
			},
			error: function(data) {
			
				
			}
		});
}

function restore_cookie(){
	
			empty_cookie();
	
	if(preaamp.indexOf("Include PreAmp Pool") != -1){
		plt_preamp = true;
	}else{
		plt_preamp = false;
	}
	if(preaamp.indexOf("Include RT Pool") != -1){
		rttool = true;
	}else{
		rttool = false;
	}
			
			
			
	
	 plc_smpls = no_of_samples;
	 plc_assys = no_of_assays;
	
	
	rstr_cookie = [];
	 var item = {};
	 item.plates_type = plates_type;
	 if(plates_type == 0 || plates_type == 'Card'){
		 item.formats = assay_format_txt.toString();
		  item.formats_txt = assay_format_txt.toString();
	 }else{
		 item.formats = assay_format;
	 }
	 
	 item.formats_txt = assay_format_txt;
	 item.selected_assays = new_assay_liblary_data;
	 item.assay_indexes = assay_indx_lists;
	 item.assgnd_assays = asgnd_asy;
	 item.specialRequest = spl_req;
	 item.containers = containers;
	 item.success_container = success_container;
	 item.numberOfCards = no_of_samples;
	 item.numberOfSamples = no_of_samples;
	 item.numberOfAssays = no_of_assays;
	 item.application = plt_app;
	 item.isPreAmp = plt_preamp;
	 item.volume = plt_vol;
	 item.quantity = quantity;
	 item.plateType = plt_type;
	 item.studyName = study_name;
	 item.productType = producttype;
	 rstr_cookie.push(item);
	
	console.log(rstr_cookie);
	 var string = JSON.stringify(rstr_cookie);
					var compressed = LZString.compress(string);
	 localStorage.setItem('new_order', compressed);
						var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
	 
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		console.log(get_rstr_cookie);
		 var get_edit = readCookie('edit_add');
		 if(get_edit == null){
			 
		 }else{
			 document.cookie = 'changed_order = 1';
		 }


}

function tcp3pbfun(formats,assays,replicates,quantitys,type,fmts,spl_req){
	
	
	assays = assays.toString();
var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
	 
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		
		 var reorder = readCookie('reorder');
		 var saved_cke = readCookie('edit_add');
		 console.log(saved_cke);
		 
		 
		 
		 
		if(reorder == 1 || saved_cke != null){
			
		}else{
			if(get_rstr_cookie[0].formats_txt == fmts && get_rstr_cookie[0].assay_indexes.length > 0){
			assay_indx_lists = get_rstr_cookie[0].assay_indexes;
			new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
			
			
		}else{
			assayliblary1(); 
			ctrl_lst_count = 0;
			first_add = 0;
			assay_indx_lists = [];
			new_assay_liblary_data=[];
		}
		}
		
	 if(types == 'taqmanarray_cards'){
		
		
		 if(assays.indexOf('/') == -1){
			 assays = assays;
		 }else{
			 assays = assays.substring(0,assays.lastIndexOf("/"));
		 }
		 var cnt_as_crds = 0;
		 var frmt_chnge = formats.toString();
		
		 if(frmt_chnge.indexOf('a') != -1 || frmt_chnge.indexOf('b') != -1){
			cnt_as_crds = frmt_chnge.substring(0,2);
			
		
		 }else{
			 
			
			  cnt_as_crds = frmt_chnge;
			
		 }
		 
		 if(frmt_chnge == 384){
			 totsassy = cnt_as_crds-4;
		 
		 total_assay_counts = cnt_as_crds-4;
		no_of_assays = cnt_as_crds-4; 
		 }else{
			 totsassy = cnt_as_crds-1;
		 
		 total_assay_counts = cnt_as_crds-1;
		no_of_assays = cnt_as_crds-1; 
		 }
		 
		 $('#tcp4pb3').prop('disabled', false);
	     $('#tcp4pb3').removeClass('nt_allw');
	 }else{
		 total_assay_counts = assays;
		 totsassy = assays;
		assays = assays; 
		no_of_assays = assays;
	 
	    $('#tcp4pb3').prop('disabled', false);
	 $('#tcp4pb3').removeClass('nt_allw');
	 
	 
	 }
	 $('#totasya').text(totsassy);
	slt_frmts = 1;
	
	$("#poiku").hide();	
	$("#poiku1").hide();
	$("#backfrmt").addClass("hideclass");
	
	
	assy_cntnr = [];
	asgnd_asy = [];
	loc_id = [];
	
	quantity=quantitys;
	
	document.getElementById("ent_quan").value=quantitys;
	
	if(spl_req == 0 || spl_req == undefined){
		document.getElementById("spl_req").value='';
		spl_req='';
	}else{
		document.getElementById("spl_req").value=spl_req;
		spl_req=spl_req;
	}
	
	if(plates_type == 0){
				counts_assay_crd();
			}else{
				counts_assay();
			}
	$("#tcp3ptableid").addClass("hideclass");
	$("#tcp4ptableid").removeClass("hideclass");
	$("#tcpid1arrb").removeClass("tcpdivarrbact");
	$("#tcpid1arrb").addClass("tcpdivarrbdis");
	$("#tcpid1arrb").addClass("tcpdivarrbfin");
	$("#tcpid2arrb").removeClass("tcpdivarrbdis");
	$("#tcpid2arrb").addClass("tcpdivarrbact");
	assay_format_txt = fmts;
	assay_format = formats;
	
	
	no_of_samples = replicates;
	
	
	if(type==0){
		 var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		if(( get_rstr_cookie[0].assgnd_assays.length > 0)&&(get_rstr_cookie[0].selected_assays.length > 0)){
		tcp4button(type);
	}else if((get_rstr_cookie[0].selected_assays.length > 0)&&( get_rstr_cookie[0].assgnd_assays.length == 0)){
			
	
	assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
			
	
	add_assay_table_rest();
	
	if(temp_f == ''){
		temp_f = totsassy;
	}else if(temp_f == totsassy){
		
	}else{
		temp_f = totsassy;
		rstr_cookie = [];
		 new_assay_liblary_data = [];
	
	$("#popdatagettable").html('');
	}
	
	}
	 console.log(get_rstr_cookie[0].formats);
	}else{
		
		
	if(temp_f == ''){
		temp_f = totsassy;
		
	}else if(temp_f == totsassy){
		
	}else{
		temp_f = totsassy;
		rstr_cookie = [];
		 new_assay_liblary_data = [];
	console.log(new_assay_liblary_data);
	$("#popdatagettable").html('');
	}
	console.log(type);
	console.log(temp_f);
	
		//rstr_cookie = [];
	add_assay_table_rest();
	updt_order = 0;
	 var cnt_ord_list = readCookie('edit_add');
document.cookie = 'edit_add =  '+cnt_ord_list+'; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
	 selected_assays = [];
	
	// assay_indx_lists = [];
	asgnd_asy = [];
	 containers = [];
	 success_container = '';
	 plt_app= '';
	 plt_preamp= '';
	 plt_vol= '';
	 
	 plt_type= '';
	 study_name= '';
	 producttype= '';
	
	restore_cookie();	
}	
 var get_rstr_cookie1 = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie1 = JSON.parse(get_rstr_cookie1);
		if(get_rstr_cookie1[0].plates_type == 96){
			 console.log(get_rstr_cookie1[0].formats);
			 $("#ne_plte").html('');
			 $("#ne_plte").html('New Configuration - TaqMan® Array Plate (96-well Format '+get_rstr_cookie1[0].formats+')');
		}else if(get_rstr_cookie1[0].plates_type == 384){
			 console.log(get_rstr_cookie1[0].formats_txt);
			$("#te_plte").html('');
			var format_text = get_rstr_cookie1[0].formats_txt.toString();
			 $("#te_plte").html('New Configuration - TaqMan® Array Plate (384-well Format '+format_text.toUpperCase()+')');
		}else {
			 var format_text = get_rstr_cookie1[0].formats_txt.toString();
			 $("#card_plte").html('');
			 $("#card_plte").html('New Configuration - New Configuration - TaqMan® Array Card ( Format '+format_text.toUpperCase()+')');
		}

}



function tcp5button(){
	$("#ent_quan_err").html("");
	$("#study_name_err").html("");
				var varnewknowchccpoplib=0;
				var varnewknowchdcpoplib=0;
				//if(plates_type == '384pgx'){
				var ent_quanvar = document.getElementById("ent_quan").value;
				var spl_req = document.getElementById("spl_req").value;
				 study_name = document.getElementById("study_name").value;
				
				quantity = ent_quanvar;
				
				if(plates_type != '384pgx'){
				
				var inputElements = document.getElementsByClassName('app_chk_bx');
				for(var i=0; inputElements[i]; ++i){
					  if(inputElements[i].checked){
						   plt_app = inputElements[i].value;
						   break;
					  }
				}
				
				
				if(plt_app == 'miRNA'){
				producttype = document.getElementById("selctplat").value;
				}else{
					producttype = '';
				}
				plt_type = document.getElementById("tcp4newpselect").value;
				
				
				if(plates_type == 0){
				
				plt_vol = '1';
				
				}
				
				else{
				plt_vol = document.getElementById("fillreactvol").value;
				plt_vol = plt_vol.substring(0,plt_vol.indexOf(' '));
				
				}
				
				$('#premlpoi input:checked').each(function() {
					preaamp.push($(this).attr('value'));
				});
				
				/* if( document.getElementById("premp").checked == false){
					var amp_index = preaamp.indexOf("Include PreAmp Pool");
						preaamp.splice(amp_index,1);
				}
				if( document.getElementById("rtpool").checked == false){
					var amp_index1 = preaamp.indexOf("Include RT Pool");
						preaamp.splice(amp_index1,1);
				} */
			}else{
				producttype = '';
				plt_app = '';
				plt_vol = '';
				preaamp = [];
				plt_type = '';
			}
				var poli = $('.bnkl').html();
				poli = poli.substring(20,poli.length);
				
				$('#plc_ttke').html(poli);
				$('#plc_app').html(plt_app);
				$('#plc_type').html(plt_type);
				
				if(plates_type == '384pgx'){
				 if((study_name != '')&&(ent_quanvar != '')&&(/^[0-9]*$/g.test(ent_quanvar))){
					$('#plc_qty').html(ent_quanvar);
					$("#tcp4newptableid").addClass("hideclass");
					$("#tcp5ptableid").addClass("hideclass");
					$("#tcp6ptableid").removeClass("hideclass");
					$("#tcpid3newarrb").removeClass("tcpdivarrbact");
					$("#tcpid3newarrb").addClass("tcpdivarrbdis");
					$("#tcpid3newarrb").addClass("tcpdivarrbfin");
					$("#tcpid4arrb").removeClass("tcpdivarrbdis");
					$("#tcpid4arrb").addClass("tcpdivarrbact");
					$("#tcpid3arrb").removeClass("tcpdivarrbact");
					$("#tcpid3arrb").addClass("tcpdivarrbdis");
					$("#tcpid3arrb").addClass("tcpdivarrbfin");
					$("#tcpid2arrb").removeClass("tcpdivarrbact");
					$("#tcpid2arrb").addClass("tcpdivarrbdis");
					$("#tcpid2arrb").addClass("tcpdivarrbfin");
					$("#tcp4ptableid").addClass("hideclass");
					
					$("#tcpid1arrb").removeClass("tcpdivarrbact");
					$("#tcpid1arrb").addClass("tcpdivarrbdis");
					$("#tcpid1arrb").addClass("tcpdivarrbfin");
					$("#tcp3ptableid").addClass("hideclass");
					
					$("#ent_quan_err").html("");
					$("#fillreactvol_err").html("");
					$("#study_name_err").html("");
					$("#tcp4newcheckno_err").html("");
					$(".cendiv").removeClass("wdth134");
					$("#assay_table").removeClass("wdth1040");
					$("#assay_table").removeClass("wdth839");
					$("#tcp3pid").removeClass("wdth1024");
					$("#frtnxt").removeClass("mgrght30");
					
					$(".new234").addClass("num_vw_nor");
					$(".tcp5tablespan_9623").removeClass("tcp5tablespan_384");
					$(".tcp5tablespan_9623").addClass("tcp5tablespan_384_nor");
					$('.topnum').css("width","31px");
					$('.alfalne').css("padding","6.5px 0px");
					$('.t_ic384').css("top","-2px");
					$("#tcp5ptableid").removeClass("newdvwdth");
					$(".topwdth").removeClass("wdth1056");
					$("#shorttble").removeClass("wdth1056");
					$("#shorttble").removeClass("wdth1066");
					$('.topnum2').css("padding","22.5px 0px");
					$('.topnum3').css("padding","22px 0px");
					$('.lafskio').css("padding","6.8px 0px");
					$('.rghtimg').css("padding","24.7px 0px");
					$('.rghtimg1').css("padding","2px 0px");
					$('.rghtimg2').css("padding","24px 0px");
					$('.rghtimgdv').css('margin-right','11px');
					$('.rghtimgdv24').css('margin-right','11px');
				}
				else{
					if(study_name == ''){
						$("#study_name_err").html("Please enter Study Name  ");
					}else if(ent_quanvar == ''){
						$("#ent_quan_err").html("Please enter Quantity  ");
					}else if(!/^[0-9]*$/g.test(ent_quanvar)){
						$("#ent_quan_err").html("Please enter valid Quantity  ");
					}else{
						$("#ent_quan_err").html("");
					}
				
				}
				restore_cookie();
}else{
	if((study_name != '')&&(ent_quanvar != '')&&(/^[0-9]*$/g.test(ent_quanvar))){
		
		var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		
		
		if((plates_type == 96 && ent_quanvar >=20 ) || (plates_type == 384 && ent_quanvar >=20 && get_rstr_cookie[0].formats != 384) || (plates_type == 384 && ent_quanvar >=50 && get_rstr_cookie[0].formats == 384) || (plates_type == 0 && ent_quanvar >=50 )){
			$('#plc_qty').html(ent_quanvar);
					$("#tcp4newptableid").addClass("hideclass");
					$("#tcp5ptableid").addClass("hideclass");
					$("#tcp6ptableid").removeClass("hideclass");
					$("#tcpid3newarrb").removeClass("tcpdivarrbact");
					$("#tcpid3newarrb").addClass("tcpdivarrbdis");
					$("#tcpid3newarrb").addClass("tcpdivarrbfin");
					$("#tcpid4arrb").removeClass("tcpdivarrbdis");
					$("#tcpid4arrb").addClass("tcpdivarrbact");
					$("#tcpid3arrb").removeClass("tcpdivarrbact");
					$("#tcpid3arrb").addClass("tcpdivarrbdis");
					$("#tcpid3arrb").addClass("tcpdivarrbfin");
					$("#tcpid2arrb").removeClass("tcpdivarrbact");
					$("#tcpid2arrb").addClass("tcpdivarrbdis");
					$("#tcpid2arrb").addClass("tcpdivarrbfin");
					$("#tcp4ptableid").addClass("hideclass");
					$("#tcpid1arrb").removeClass("tcpdivarrbact");
					$("#tcpid1arrb").addClass("tcpdivarrbdis");
					$("#tcpid1arrb").addClass("tcpdivarrbfin");
					$("#tcp3ptableid").addClass("hideclass");
					$("#ent_quan_err").html("");
					$("#fillreactvol_err").html("");
					$("#study_name_err").html("");
					
					$("#tcp4newcheckno_err").html("");
					$(".cendiv").removeClass("wdth134");
					$("#assay_table").removeClass("wdth1040");
					$("#assay_table").removeClass("wdth839");
					$("#tcp3pid").removeClass("wdth1024");
					$("#frtnxt").removeClass("mgrght30");
					//$(".new234").removeClass("num_vw");
					$(".new234").addClass("num_vw_nor");
					$(".tcp5tablespan_9623").removeClass("tcp5tablespan_384");
					$(".tcp5tablespan_9623").addClass("tcp5tablespan_384_nor");
					$('.topnum').css("width","31px");
					$('.alfalne').css("padding","6.5px 0px");
					$('.t_ic384').css("top","-2px");
					$("#tcp5ptableid").removeClass("newdvwdth");
					$(".topwdth").removeClass("wdth1056");
					$("#shorttble").removeClass("wdth1056");
					$("#shorttble").removeClass("wdth1066");
					$('.topnum2').css("padding","22.5px 0px");
					$('.topnum3').css("padding","22px 0px");
					$('.lafskio').css("padding","6.8px 0px");
					$('.rghtimg').css("padding","24.7px 0px");
					$('.rghtimg1').css("padding","2px 0px");
					$('.rghtimg2').css("padding","24px 0px");
					$('.rghtimgdv').css('margin-right','11px');
					$('.rghtimgdv24').css('margin-right','11px');
		}else {
			var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
			if((plates_type == 96 && ent_quanvar <20 ) || (plates_type == 384 && ent_quanvar <20 && get_rstr_cookie[0].formats != 384) || (plates_type == 384 && ent_quanvar <50 && get_rstr_cookie[0].formats == 384)){
						$("#ent_quan_err").html("You have selected less than the minimum order quantity, which may be too expensive to manufacture.");
					}else if(plates_type == 0 && ent_quanvar <50){
						$("#ent_quan_err").html("You have selected less than the minimum order quantity, which may be too expensive to manufacture.");
					}
					
				}
	}
				else{
					if(study_name == ''){
						$("#study_name_err").html("Please enter Study Name  ");
					}else if(ent_quanvar == ''){
						$("#ent_quan_err").html("Please enter Quantity  ");
					}else if(!/^[0-9]*$/g.test(ent_quanvar)){
						$("#ent_quan_err").html("Please enter valid Quantity  ");
					}else{
						$("#ent_quan_err").html("");
					}
					var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
			if((plates_type == 96 && ent_quanvar <20 ) || (plates_type == 384 && ent_quanvar <20 && get_rstr_cookie[0].formats != 384) || (plates_type == 384 && ent_quanvar <50 && get_rstr_cookie[0].formats == 384)){
					
						$("#ent_quan_err").html("You have selected less than the minimum order quantity, which may be too expensive to manufacture.");
					}else if(plates_type == 0 && ent_quanvar <50){
						$("#ent_quan_err").html("You have selected less than the minimum order quantity, which may be too expensive to manufacture. ");
					}
				
				}
				restore_cookie();
}
var get_userlist = readCookie('user');
	get_userlist = JSON.parse(get_userlist);
	
	
	var shp_adr = get_userlist[0].address;
	var email = get_userlist[0].email;
	var username = get_userlist[0].username;
	var institution = get_userlist[0].institution;
	var phone = get_userlist[0].phone;
	
	var shping_adr = get_userlist[0].shipping_address;
	var shping_email = get_userlist[0].shipping_email;
	var shping_username = get_userlist[0].shipping_name;
	var shping_institution = get_userlist[0].shipping_institution;
	var shping_phone = get_userlist[0].shipping_phone;
	
	
	if(shping_adr != null){
		document.getElementById("shpg_addr").value = shping_adr;
	}else if(shp_adr != null){
		document.getElementById("shpg_addr").value = shp_adr;
	}else{
		document.getElementById("shpg_addr").value = '';
	}
	
	if(shping_email != null){
		document.getElementById("email_plce").value = shping_email;
	}else if(email != null){
		document.getElementById("email_plce").value = email;
	}else{
		document.getElementById("email_plce").value = '';
	}
	
	if(shping_username != null){
		document.getElementById("cntct_name").value = shping_username;
	}else if(username != null){
		document.getElementById("cntct_name").value = username;
	}else{
		document.getElementById("cntct_name").value = '';
	}
	
	if(shping_phone != null){
		document.getElementById("ph_plce").value = shping_phone;
	}else if(phone != null){
		document.getElementById("ph_plce").value = phone;
	}else{
		document.getElementById("ph_plce").value = '';
	}
	
	if(shping_institution != null){
		document.getElementById("cmpy_name").value = shping_institution;
	}else if(institution != null){
		document.getElementById("cmpy_name").value = institution;
	}else{
		document.getElementById("cmpy_name").value = '';
	}
	
	
	
}

function topmk(){
	
	$("#backfrmt").addClass("hideclass");
	$(".cendiv").removeClass("wdth134");
	$("#assay_table").removeClass("wdth1040");
	$("#assay_table").removeClass("wdth839");
	$("#tcp3pid").removeClass("wdth1024");
	$("#frtnxt").removeClass("mgrght30");
	
		if(assay_format !=''){
			$("#tcp5ptableid").addClass("hideclass");
	$("#tcp4newptableid").addClass("hideclass");
	$("#tcp4ptableid").removeClass("hideclass");
	$("#tcpid2arrb").removeClass("tcpdivarrbfin");
	$("#tcpid2arrb").addClass("tcpdivarrbact");
	$("#tcpid3arrb").removeClass("tcpdivarrbact");
	$("#tcpid3arrb").addClass("tcpdivarrbdis");
	$("#tcpid3arrb").removeClass("tcpdivarrbfin");
	$("#tcpid3newarrb").removeClass("tcpdivarrbact");
	$("#tcpid3newarrb").addClass("tcpdivarrbdis");
	$("#tcpid3newarrb").removeClass("tcpdivarrbfin");
	$("#tcpid1arrb").removeClass("tcpdivarrbact");
	$("#tcpid1arrb").addClass("tcpdivarrbdis ");
	$("#tcpid1arrb").addClass("tcpdivarrbfin ");
	$("#tcp3ptableid").addClass("hideclass");
	
	$("#tcp6ptableid").addClass("hideclass");
	$("#tcpid4arrb").removeClass("tcpdivarrbact");
	$("#tcpid4arrb").addClass("tcpdivarrbdis");
	
			//$(".new234").removeClass("num_vw");
			$(".new234").addClass("num_vw_nor");
			$(".tcp5tablespan_9623").removeClass("tcp5tablespan_384");
			$(".tcp5tablespan_9623").addClass("tcp5tablespan_384_nor");
			$('.topnum').css("width","31px");
			$('.alfalne').css("padding","6.5px 0px");
			$('.t_ic384').css("top","-2px");
			$("#tcp5ptableid").removeClass("newdvwdth");
			$(".topwdth").removeClass("wdth1056");
			$("#shorttble").removeClass("wdth1056");
			$("#shorttble").removeClass("wdth1066");
			$('.topnum2').css("padding","22.5px 0px");
			$('.topnum3').css("padding","22px 0px");
			$('.lafskio').css("padding","6.8px 0px");
			$('.rghtimg').css("padding","24.7px 0px");
			$('.rghtimg1').css("padding","2px 0px");
			$('.rghtimg2').css("padding","24px 0px");
			$('.rghtimgdv').css('margin-right','11px');
			$('.rghtimgdv24').css('margin-right','11px');
		}
	
		sort_assy_table();
		
	}

function tcp6submit(){
	$("#tcp3pid").addClass("hideclass");
    $("#tcp4pid").removeClass("hideclass");
}	
function register_starts(){
	
	$("#cmpy_name").css("border","1px solid #d8d8d8");
	$("#cntct_name").css("border","1px solid #d8d8d8");
	$("#shpg_addr").css("border","1px solid #d8d8d8");
	$("#email_plce").css("border","1px solid #d8d8d8");
	$("#ph_plce").css("border","1px solid #d8d8d8");
	
	
	
	var cmpy_name = document.getElementById("cmpy_name").value;
	var cntct_name = document.getElementById("cntct_name").value;
	var shpg_addr = document.getElementById("shpg_addr").value;
	var email_plce = document.getElementById("email_plce").value;
	spl_req = document.getElementById("spl_req").value;
	//var tcp6pselect = document.getElementById("tcp6pselect").value;
	var ph_plce = document.getElementById("ph_plce").value;
	
	 plc_smpls = no_of_samples;
	 plc_assys = no_of_assays;
	
	
	
	var plc_frmt = document.getElementById('plc_frmt').textContent;
	//var plc_cards = document.getElementById('plc_cards').textContent;
	plc_frmt = plc_frmt.toString();
	$("#cmpy_name1").addClass('hideclass');
	$("#cntct_name1").addClass('hideclass');
	$("#shpg_addr1").addClass('hideclass');
	$("#email_plce1").addClass('hideclass');
	$("#ph_plce1").addClass('hideclass');
	
	
	
	
	
	
	var filter = /^[a-zA-Z0-9_.-]+@[a-zA-Z]+\.[a-zA-Z]{2,4}$/;
	
	if(cmpy_name == '' || cntct_name == '' || shpg_addr == '' || email_plce == '' || ph_plce == ''  ){
		if(cmpy_name == ''){
			$("#cmpy_name1").text("Please Enter Your Company Name");
			$("#cmpy_name1").removeClass('hideclass');
			$("#cmpy_name").css("border","1px solid #ee3134");
		}else if (!/^[a-zA-Z ]*$/g.test(cmpy_name)) {
			$("#cmpy_name1").removeClass('hideclass');
			$("#cmpy_name1").text("Please enter your company name with valid characters");
			$("#cmpy_name").css("border","1px solid #ee3134");
		}
		
		if(cntct_name == ''){
			$("#cntct_name1").text("Please Enter Your Contact Name");
			$("#cntct_name1").removeClass('hideclass');
			$("#cntct_name").css("border","1px solid #ee3134");
		}else if (!/^[a-zA-Z ]*$/g.test(cntct_name)) {
			$("#cntct_name1").removeClass('hideclass');
			$("#cntct_name1").text("Please enter your contact name with valid characters");
			$("#cntct_name").css("border","1px solid #ee3134");
		}
		
		if(shpg_addr == ''){
			$("#shpg_addr1").text("Please Enter Your Shipping Address");
			$("#shpg_addr1").removeClass('hideclass');
			$("#shpg_addr").css("border","1px solid #ee3134");
			
		}
		
		if(email_plce == ''){
			$("#email_plce1").text("Please Enter Your Email-id");
			$("#email_plce1").removeClass('hideclass');
			$("#email_plce").css("border","1px solid #ee3134");
		}else if(!filter.test(email_plce)){
			$("#email_plce1").text("Please Enter Your Valid Email-id");
			$("#email_plce1").removeClass('hideclass');
			$("#email_plce").css("border","1px solid #ee3134");
		}
		
		if(ph_plce == ''){
			$("#ph_plce1").removeClass('hideclass');
			$("#ph_plce1").text("Please Enter Your Phone Number");
			$("#ph_plce").css("border","1px solid #ee3134");
		}else if (!/^[0-9-]*$/g.test(ph_plce)) {
			$("#ph_plce1").removeClass('hideclass');
			$("#ph_plce1").text("Please enter your phone number with valid number");
			$("#ph_plce").css("border","1px solid #ee3134");
		}
		
	}else{
		 if(!filter.test(email_plce) || !/^[0-9-]*$/g.test(ph_plce) || !/^[a-zA-Z ]*$/g.test(cmpy_name) || !/^[a-zA-Z ]*$/g.test(cntct_name)){
			if(filter.test(email_plce)){
				
			}else{
				$("#email_plce1").text("Please Enter Your Valid Email-id");
				$("#email_plce1").removeClass('hideclass');
				$("#email_plce").css("border","1px solid #ee3134");
			}
			if (!/^[0-9-]*$/g.test(ph_plce)) {
				$("#ph_plce1").removeClass('hideclass');
				$("#ph_plce1").text("Please enter your phone number with valid number");
				$("#ph_plce").css("border","1px solid #ee3134");
			}
			if (!/^[a-zA-Z ]*$/g.test(cmpy_name)) {
				$("#cmpy_name1").removeClass('hideclass');
				$("#cmpy_name1").text("Please enter your company name with valid characters");
				$("#cmpy_name").css("border","1px solid #ee3134");
			}
			if (!/^[a-zA-Z ]*$/g.test(cntct_name)) {
				$("#cntct_name1").removeClass('hideclass');
				$("#cntct_name1").text("Please enter your contact name with valid characters");
				$("#cntct_name").css("border","1px solid #ee3134");
			}
		}else{
			if(preaamp.indexOf("Include PreAmp Pool") != -1){
				plt_preamp = true;
			}else{
				plt_preamp = false;
			}
			if(preaamp.indexOf("Include RT Pool") != -1){
				rttool = true;
			}else{
				rttool = false;
			}
			shpg_addr = shpg_addr.replace(/[\n]/g, '');
			
			
			var getdata = '{"userId": "'+success_container.userId+'","companyName":"'+cmpy_name+'","contactName":"'+cntct_name+'","shippingAddress":"'+shpg_addr+'","email":"'+email_plce+'","phone":"'+ph_plce+'","format":"'+plc_frmt+'","containerId":"'+success_container.id+'","numberOfCards":'+no_of_samples+',"numberOfSamples":'+plc_smpls+',"numberOfAssays":'+plc_assys+',"application":"'+plt_app+'","isPreAmp":'+plt_preamp+',"volume":'+plt_vol+',"quantity":'+quantity+',"plateType":"'+plt_type+'","specialRequest":"'+spl_req+'","studyName":"'+study_name+'","productType":"'+producttype+'","assayIds":'+JSON.stringify(assay_indx_lists)+',"status":"submitted"}';
			
			console.log(getdata);
			var config = '{"Content-Type": "application/json"}';
			var url  = '';
			 var get_edit = readCookie('edit_add');
		
			if(get_edit == null){
				 url = 'http://dev.ceino.com:8080/customplating/v1/order/add';
			}else{
				 url = 'http://dev.ceino.com:8080/customplating/v1/order/edit/'+get_edit;
			}
			
			
			$.ajax({
				type: "post",
				headers : { 'Content-Type' : 'application/json' },
				url: url,
				data : getdata,
				success: function(data) {
				
					$("#tcp4pid").addClass("hideclass");
					register_html();
					$("#tcp5pid").removeClass("hideclass");
					set_dflt();
				   
					document.getElementById("cmpy_name").value = '';
					document.getElementById("cntct_name").value = '';
					document.getElementById("shpg_addr").value = '';
					document.getElementById("email_plce").value = '';
					document.getElementById("ph_plce").value = '';
					$("#cmpy_name1").addClass('hideclass');
					$("#cntct_name1").addClass('hideclass');
					$("#shpg_addr1").addClass('hideclass');
					$("#email_plce1").addClass('hideclass');
					$("#ph_plce1").addClass('hideclass');
					$("#cmpy_name").css("border","1px solid #d8d8d8");
					$("#cntct_name").css("border","1px solid #d8d8d8");
					$("#shpg_addr").css("border","1px solid #d8d8d8");
					$("#email_plce").css("border","1px solid #d8d8d8");
					$("#ph_plce").css("border","1px solid #d8d8d8");
					slt_final_html(data.orderNumber);
					localStorage.removeItem('new_order');
			var cnt_ord_list = readCookie('edit_add');
document.cookie = 'edit_add = '+cnt_ord_list+'; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
 var reorder = readCookie('reorder');
document.cookie = 'reorder = 1; expires=Thu, 01 Jan 1970 00:00:01 GMT;';
				},
				error: function(data) {
				
					
				}
			});
	}
		}
		
	
}
function closelgnup(s){
	 addcount = parseInt(s);
    $("#closepopid").removeClass("hideclass");
    $("#overlayid").removeClass("hideclass");
}
function closepopup(){
assay_type=0;
	$("#closepopid").addClass("hideclass");
	$("#overlayid").addClass("hideclass");
	reset_assay();
	$("#tcp4pdivtextid").addClass("hideclass");
	$("#tcp4pdiv1id").addClass("tcp4pdivcomid");
	$("#tcp4pdiv2id").addClass("tcp4pdivcomid");
	$("#cusassid").attr("checked", false);
	$("#preassid").attr("checked", true);
	
	$("#newassuid").removeClass("newassucl");
	$("#newassuid").addClass("newassuclc");
	$("#logpop").addClass("prevlog");
	
	$("#err_ayne").text("");
	$("#err_gesl").text("");
	$("#err_aynt").text("");
	
	for(var bd=1;bd<=ppsetv;bd++){
	var pr1sid = "#tcp4pdivsub2idf" + bd;
	var pr2sid = "#tcp4pdivsub2ids" + bd;
	var pr3sid = "#prb_err" + bd;
	$(pr1sid).removeClass("err_box");
	$(pr2sid).removeClass("err_box");
	$(pr3sid).html("");
	
	}
	$("#inrevpriseqfn1").removeClass("err_box");
	$("#fwd_errn1").addClass("hideclass");
	$("#inrevpriseqn1").removeClass("err_box");
	$("#rev_errn1").addClass("hideclass");
	for(var ad=1;ad <=ppsetv;ad++){
		var rss1id = "#inrevpriseq" + ad;
		var rcs1id = "#inrevpricon" + ad;
		var rps1id = "#primetr" + ad;
		var res1id = "#rev_err" + ad;
		//var fs1id = "#inrevpriseqf" + ad;
		//var fc1id = "#inrevpriconf" + ad;
		var fe1id = "#fwd_err" + ad;
		$(rss1id).removeClass("err_box");
		$(rcs1id).removeClass("err_box");
		$(rps1id).removeClass("err_box");
		//$(fs1id).removeClass("err_box");
		//$(fc1id).removeClass("err_box");
		$("#closepopid").addClass("topalign");
		$(res1id).html("");
		$(fe1id).html("");
	}
   
			$("#rpf1").addClass("hideclass");
			$("#rpr1").removeClass("hideclass");
	
}
	
	function loadHeaderAndFooter(){
	 if($('#header-content').html() != 'undefined'){
		$.get('content.php?ContentType=header', function (data) {   
			$('#header-content').html(data);
		});
	 }
	 /*GET Footer DATA*/
	 if($('#footer-content').html() != 'undefined'){
	  $.get('content.php', {'ContentType': 'footer'}, function (data) {$('#footer-content').html(data);});
	  }
	 }
	
	 
$(document).ready(function(){
	var path1 = window.location.href;
	
	var phostname=window.location.hostname;
	var get_userlist = readCookie('user');
	get_userlist = JSON.parse(get_userlist);
	
	if(get_userlist != null){
		user_role = get_userlist[0].role
	}
	
	var pathlast = path1.substring( path1.lastIndexOf('/')+1,path1.length)
	var home_path = path1.substring( 0,path1.lastIndexOf('/')+1)
	
	$('[id=reg_ph]').keypress(validateNumber);
	
	
	if(pathlast != '' && get_userlist==null){
		window.location = home_path;
	}else if(pathlast == '' && get_userlist!=null){
		if(get_userlist[0].email != ''){
			if(get_userlist[0].username == undefined){
				register_html();
				
				window.location = home_path+'home.html';
				
				
			}else{
				
				
				window.location = home_path+'home.html';
			}
		
		}else{
			
			window.location = home_path+'home.html';
			
			
		}
	
	}else{
		if(pathlast == "register.html"){
			if(get_userlist[0].username == undefined){
				
				window.location = home_path+'home.html';
			}else{
				window.location = home_path+'home.html';
			}
			
			
		}else if(pathlast == "home.html"){
			subhtml_structure();
			if(get_userlist[0].username == undefined){
				
			}else{
				subhtml_structure();
			}
		}
	}

	
	 var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
	
		if(get_rstr_cookie != null){
			
			if(get_userlist[0].email != '' && (get_rstr_cookie == undefined || get_rstr_cookie[0].formats == '' || get_rstr_cookie == null)){
			
			subhtml_structure();
			
		}else if(get_userlist[0].email != '' && get_rstr_cookie[0].selected_assays.length == 0 && get_rstr_cookie[0].formats != ''){
			
			 if(get_rstr_cookie[0].plates_type == '96'){
				
					 neworder();
				well_plates_96(0);
				
			 }else if(get_rstr_cookie[0].plates_type == '384'){
neworder();				
				well_plates_384(0);
				 
		
			 }else if(get_rstr_cookie[0].plates_type == '0' || get_rstr_cookie[0].plates_type == 'Card'){
				  neworder();
				 taqman_array(0);
				
			
			 }else{
				  neworder();
				 well_plates_384_pgx(0);
				
			
			 }
			  
			
		}else if(get_userlist[0].email != '' && get_rstr_cookie[0].selected_assays.length > 0 && get_rstr_cookie[0].assgnd_assays.length == 0){
			
			if(get_rstr_cookie[0].plates_type == '96'){
				
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_96(0);
				
			 }else if(get_rstr_cookie[0].plates_type == '384'){
				
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_384(0);
				
			 }else if(get_rstr_cookie[0].plates_type == '0' || get_rstr_cookie[0].plates_type == 'Card'){
				first_add = get_rstr_cookie[0].selected_assays.length-1;
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					taqman_array(0);
				
			 }else{
				
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_384_pgx(0);
				
			 }
			 
		}else if(get_userlist[0].email != '' && get_rstr_cookie[0].assgnd_assays.length > 0 && get_rstr_cookie[0].containers.length == 0){
			
			if(get_rstr_cookie[0].plates_type == '96'){
				
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_96(0);
					
				
			 }else if(get_rstr_cookie[0].plates_type == '384'){
				
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_384(0);
				
			 }else if(get_rstr_cookie[0].plates_type == '0' || get_rstr_cookie[0].plates_type == 'Card'){
				first_add = get_rstr_cookie[0].selected_assays.length-1;
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					taqman_array(0);
				
			 }else{
				 
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_384_pgx(0);
				
			 }
			 
		}else if(get_userlist[0].email != '' && get_rstr_cookie[0].containers.length > 0 && get_rstr_cookie[0].studyName == ''){
			
			if(get_rstr_cookie[0].plates_type == '96'){
				
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_96(0);
					
				
			 }else if(get_rstr_cookie[0].plates_type == '384'){
				 
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_384(0);
				
			 }else if(get_rstr_cookie[0].plates_type == '0' || get_rstr_cookie[0].plates_type == 'Card'){
				first_add = get_rstr_cookie[0].selected_assays.length-1;
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					taqman_array(0);
				
			 }else{
				
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_384_pgx(0);
				
			 }
			 
		}else if(get_userlist[0].email != '' && get_rstr_cookie[0].containers.length > 0 && get_rstr_cookie[0].studyName != ''){
			
			if(get_rstr_cookie[0].plates_type == '96'){
				
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_96(0);
					
				
			 }else if(get_rstr_cookie[0].plates_type == '384'){
				
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_384(0);
				
			 }else if(get_rstr_cookie[0].plates_type == '0' || get_rstr_cookie[0].plates_type == 'Card'){
				 first_add = get_rstr_cookie[0].selected_assays.length-1;
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					taqman_array(0);
				
			 }else{
				 
				assay_indx_lists= get_rstr_cookie[0].assay_indexes;
				new_assay_liblary_data = get_rstr_cookie[0].selected_assays;
					 neworder();
					well_plates_384_pgx(0);
				
			 }
			 
		}
		
		
		}	
		
});


function validateNumber(event) {
    var key = window.event ? event.keyCode : event.which;
    if (event.keyCode === 8 || event.keyCode === 46) {
        return true;
    } else if ( key < 48 || key > 57 ) {
        return false;
    } else {
    	return true;
    }
};

function prev_assay(){
	assay_type = 0;
	reset_assay();
	$(".cls_pp1").css("margin-top","14px");
	$("#tcp4pdivtextid").addClass("hideclass");
	//$("#gene_symbl").addClass("hideclass");
	//$("#err_gesl").addClass("hideclass");
	$("#tcp4pbbulkid").removeClass("hideclass");
	//$("#tcp6ptext_gene_symbl").addClass("hideclass");
	
	$("#logpop").css("width","auto");
	$("#tcp4pdiv1id").addClass("tcp4pdivcomid");
	$("#tcp4pdiv2id").addClass("tcp4pdivcomid");
	$("#cusassid").attr("checked", false);
	$("#preassid").attr("checked", true);
	$("#inrevpriseqfn1").removeClass("err_box");
	$("#fwd_errn1").addClass("hideclass");
	$("#newassuid").removeClass("newassucl");
	$("#newassuid").addClass("newassuclc");
	$("#logpop").addClass("prevlog");
	$("#inrevpriseqn1").removeClass("err_box");
	$("#rev_errn1").addClass("hideclass");
	$("#err_ayne").text("");
	$("#err_gesl").text("");
	$("#err_aynt").text("");
	$("#add_new_chnge").text("Assay ID");
	
	for(var bd=1;bd<=ppsetv;bd++){
	var pr1sid = "#tcp4pdivsub2idf" + bd;
	var pr2sid = "#tcp4pdivsub2ids" + bd;
	var pr3sid = "#prb_err" + bd;
	$(pr1sid).removeClass("err_box");
	$(pr2sid).removeClass("err_box");
	
	$(pr3sid).html("");
	}
	for(var ad=1;ad <=ppsetv;ad++){
		var rss1id = "#inrevpriseq" + ad;
		var rcs1id = "#inrevpricon" + ad;
		var rps1id = "#primetr" + ad;
		var res1id = "#rev_err" + ad;
		//var fs1id = "#inrevpriseqf" + ad;
		//var fc1id = "#inrevpriconf" + ad;
		var fe1id = "#fwd_err" + ad;
		$(rss1id).removeClass("err_box");
		$(rcs1id).removeClass("err_box");
		$(rps1id).removeClass("err_box");
		//$(fs1id).removeClass("err_box");
		//$(fc1id).removeClass("err_box");
		$("#closepopid").addClass("topalign");
		//document.getElementById("rev_err"+ad).innerHTML = "";
		//document.getElementById("fwd_err"+ad).innerHTML = "";
		$(res1id).html("");
		$(fe1id).html("");
	}
	
}
function reset_assay(){
	var numItems = $('.getproble').length;
		var numItems1 = $('.getpremier').length;
		var numItems2 = $('.getfwdpremier').length;
		
		var get_userlist = readCookie('user');
		get_userlist = JSON.parse(get_userlist);
		
		document.getElementById("assay_name").value = '';
		document.getElementById("gene_symbl").value = '';
		document.getElementById("assay_nts").value = '';
		document.getElementById("tcp4pdivsub2ids_s1").value = 'nM';
		document.getElementById("tcp4pdivsub2idf1").value = '';
		document.getElementById("tcp4pdivsub2ids1").value = '';
		document.getElementById("tcp4pdivsub2idt1").value = '6FAM';
		document.getElementById("tcp4pdivsub2ido1").value = 'MGB-NFQ';
		document.getElementById("inrevpriseq1").value = '';
			document.getElementById("inrevpricon1").value = '';
			document.getElementById("inrevpriseqf1").value = '';
			document.getElementById("inrevpriconf1").value = '';
			
			document.getElementById("inrevpriseq_c_r1").value = 'nM';
			document.getElementById("inrevpriseq_c_f1").value = 'nM';
			
			document.getElementById("primetr1").value = 'ReversePrimer';
			document.getElementById("primetrn1").value = 'ForwardPrimer';
			
			var reverr = "rev_err1";
			var fwderr = "fwd_err1";
			$(reverr).html("");
			$(fwderr).html("");
			 $("#rpfn1").removeClass("hideclass");
			 $("#rprn1").addClass("hideclass");
			 $("#rpf1").addClass("hideclass");
			$("#rpr1").removeClass("hideclass");
			
			var prberr = "prb_err1";
			$(prberr).html("");
			$("#inrevpriseqfn1").removeClass("err_box");
	$("#fwd_errn1").addClass("hideclass");
		$("#inrevpriseqn1").removeClass("err_box");
	$("#rev_errn1").addClass("hideclass");
		$("#revprirep").html("");
		$("#tcp4pdivsubrep").html("");
		$("#proprisetid").html("");
			
		 rev_ord = 0;
		 fwd_ord = 0;
		 rid = 2;
		 rpid = 2;
		 ppsetv = 2;
		sets_array = [];
		rids_array = [];
		rev_sets_array = [];
		rev_rids_array = [];
}
function cust_assay(){
	$(".cls_pp1").css("margin-top","24px");
	assay_type = 1;
	reset_assay();
	$("#inrevpriseqn1").removeClass("err_box");
	$("#rev_errn1").addClass("hideclass");
	
	$("#inrevpriseqfn1").removeClass("err_box");
	$("#fwd_errn1").addClass("hideclass");
	
	$("#logpop").css("width", "80%");
	
	$("#add_new_chnge").text("Assay Name");
	$("#tcp4pdivtextid").removeClass("hideclass");
	$("#gene_symbl").removeClass("hideclass");
	$("#err_gesl").removeClass("hideclass");
	$("#tcp4pbbulkid").addClass("hideclass");
	$("#tcp6ptext_gene_symbl").removeClass("hideclass");
	$("#tcp4pdiv1id").removeClass("tcp4pdivcomid");
	$("#tcp4pdiv2id").removeClass("tcp4pdivcomid");
	$("#preassid").attr("checked", false);
	$("#cusassid").attr("checked", true);
	$("#newassuid").addClass("newassucl");
	$("#newassuid").removeClass("newassuclc");
	$("#logpop").removeClass("prevlog");
	$("#err_ayne").text("");
	$("#err_gesl").text("");
	$("#err_aynt").text("");
	
	for(var bd=1;bd<=ppsetv;bd++){
	var pr1sid = "#tcp4pdivsub2idf" + bd;
	var pr2sid = "#tcp4pdivsub2ids" + bd;
	var pr3sid = "#prb_err" + bd;
	$(pr1sid).removeClass("err_box");
	$(pr2sid).removeClass("err_box");
	//document.getElementById("prb_err"+bd).innerHTML = "";
	$(pr3sid).html("");
	}
	for(var ad=1;ad <=ppsetv;ad++){
		var rss1id = "#inrevpriseq" + ad;
		var rcs1id = "#inrevpricon" + ad;
		var rps1id = "#primetr" + ad;
		var res1id = "#rev_err" + ad;
		
		var fe1id = "#fwd_err" + ad;
		$(rss1id).removeClass("err_box");
		$(rcs1id).removeClass("err_box");
		$(rps1id).removeClass("err_box");
		
		$("#closepopid").removeClass("topalign");
		
		$(res1id).html("");
		$(fe1id).html("");
	}
}
var rid = 0;
var sets_array = [];
var rids_array = [];

function repeat_div(set){
	
	if(sets_array.length == 0){
		rid=2;
	} else if(sets_array.indexOf(set) == -1){
		rid=2;
	}else{
		rid=rids_array[rids_array.length-1];
		rid = rid + 1;
	}
	
	var iddiv1 ="#tcp4pdivsub1id" + rid;
	var repeatdiv = " ";
	repeatdiv = repeatdiv ;
					repeatdiv = repeatdiv + '<div class="tcp4pdivsub getproble_sub getproble" id="tcp4pdivsubid_p'+set+rid+'" style="margin-top:0;">';
						repeatdiv = repeatdiv + '<div class="tcp4pdivsub1" id="tcp4pdivsub1id_p'+set+rid+'" style="padding-top:0;line-height: 33px;">Probe </div>';
						repeatdiv = repeatdiv + '<div class="tcp4pdivsub2" id="tcp4pdivsub2id_p'+set+rid+'">';
							repeatdiv = repeatdiv + '<input type="text" id="tcp4pdivsub2idf_p'+set+rid+'" name="probe1text" class="tcp4pdivsub2com tcp4pdivsub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="" onblur="check_seq_prob1('+set+rid+',0)">';
							
							repeatdiv = repeatdiv + ' <span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
							repeatdiv = repeatdiv + '<input type="text" id="tcp4pdivsub2ids_p'+set+rid+'" name="probe1text1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdivsub2text2 textinputcom" placeholder="250">';
							
							repeatdiv = repeatdiv + '<span  id="tcp4pdivsub2ids_s_p'+set+rid+'" class="commonnm">nM</span>';
							
							repeatdiv = repeatdiv + '<select name="FAMVALUE" id="tcp4pdivsub2idt_p'+set+rid+'" class="tcp4pdivsub2com tcp4pdivsub2text2"><option value="6FAM">6FAM</option><option value="VIC">VIC</option><option value="TET">TET</option><option value="NED">NED</option><option value="ABY">ABY</option><option value="JUN">JUN</option><option value="other">other</option></select>';
							repeatdiv = repeatdiv + '<select name="MGBVALUE" id="tcp4pdivsub2ido_p'+set+rid+'" class="tcp4pdivsub2com tcp4pdivsub2text2"><option value="MGB-NFQ">MGB-NFQ</option><option value="TAMRA">TAMRA</option><option value="QSY">QSY</option></select>';
							repeatdiv = repeatdiv + '<a href="javascript://void(0);" onclick="close_atag('+set+rid+','+set+','+rid+')" id="closeatagid'+set+rid+'" class="closeatag"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a>';
							repeatdiv = repeatdiv + '<div id="prb_err_p'+set+rid+'" class="err_msg"></div>';
						repeatdiv = repeatdiv + '</div>';
						repeatdiv = repeatdiv + '<div style="display:block;clear:both;"></div>';
					repeatdiv = repeatdiv + '</div>';
	if(set == 1){
		$("#tcp4pdivsubrep").append($("<div>"+repeatdiv+"</div>").addClass("repdiv"+set+rid+""));
	}else{
		
		$("#proprisetsubid"+set+" #tcp4pdivsubrep").append($("<div>"+repeatdiv+"</div>").addClass("repdiv"+set+rid+""));
	}
	
	
	
	
	var iddiv2 =".repdiv" +set+rid;
	$(iddiv2).attr('id','rephdivid'+set+rid+'');
	//$("#tcp4pdivhid").addClass("tcp4pdivhcl");
	$("#tcp4pdivlogi").addClass("tcp4pdivlogc");
	$(iddiv1).addClass("probmarg");
	$("#tcp4pdivsub1id1").addClass("probmarg");
	$("#areptdivid").removeClass("areptdivact");
	sets_array.push(set);
	rids_array.push(rid);
	//rid++;
}
function close_atag(idr,set,id){
	
	
	rids_array=[];
	var repid = ".repdiv" + idr;
	$(repid).remove();
	var idr1 = id+1;
		for(var jd = idr1;jd <= rid;jd++){
			var idr2 = jd - 1;
			var did = "#tcp4pdivsub1id_p"+ set+jd;
			var did1 = "#rephdivid_p" + set+jd;
			var did2 = "#tcp4pdivsubid_p" + set+jd;
			var did3 = "#tcp4pdivsub2id_p" + set+jd;
			var did4 = "#tcp4pdivsub2idf_p" + set+jd;
			var did5 = "#tcp4pdivsub2ids_p" + set+jd;
			var did6 = "#tcp4pdivsub2idt_p" + set+jd;
			var did7 = "#tcp4pdivsub2ido_p" + set+jd;
			var did8 = "#closeatagid" + set+jd;
			var did9 = "#tcp4pdivsub2ids_s_p"+set+jd;
			var did10 = "#prb_err_p" + set+jd;
			var did11 = ".repdiv" + set+jd;
			
			rids_array.push(idr2);
		$(did9).attr('id','tcp4pdivsub2ids_s_p'+set+idr2+'');
		
			//$(did).html("Probe "+set+idr2+"");
			$(did).attr('id','tcp4pdivsub1id_p'+set+idr2+'');
			$(did1).attr('class','repdiv'+set+idr2+'');
			$(did1).attr('id','rephdivid_p'+set+idr2+'');
			$(did2).attr('id','tcp4pdivsubid_p'+set+idr2+'');
			$(did3).attr('id','tcp4pdivsub2id_p'+set+idr2+'');
			$(did4).attr('onblur','check_seq_prob1('+set+idr2+',0)');
			$(did4).attr('id','tcp4pdivsub2idf_p'+set+idr2+'');
			$(did5).attr('id','tcp4pdivsub2ids_p'+set+idr2+'');
			$(did6).attr('id','tcp4pdivsub2idt_p'+set+idr2+'');
			$(did7).attr('id','tcp4pdivsub2ido_p'+set+idr2+'');
			$(did8).attr('onclick','close_atag('+set+idr2+','+set+','+idr2+')');
			$(did8).attr('id','closeatagid'+set+idr2+'');
			$(did10).attr('id','prb_err_p'+set+idr2+'');
			$(did11).attr('class','repdiv'+set+idr2+'');
			
		}
	if (($('#revprirep').is(':empty')) && ($('#tcp4pdivsubrep').is(':empty'))) {
		//$("#tcp4pdivhid").removeClass("tcp4pdivhcl");
		$("#tcp4pdivlogi").removeClass("tcp4pdivlogc");
		$("#areptdivid").addClass("areptdivact");
		$("#tcp4pdivsub1id1").removeClass("probmarg");
    }
	rid--;
}
var rpid = 0;

	var rev_sets_array = [];
var rev_rids_array = [];
function revrepeat_div(set){
	
	if(rev_sets_array.length == 0){
		rpid=2;
	} else if(rev_sets_array.indexOf(set) == -1){
		rpid=2;
	}else{
		rpid=rev_rids_array[rev_rids_array.length-1];
		rpid = rpid + 1;
	}
	//$("#tcp4pdiv1sub2id").addClass("tcp4pdivhclsub");
	$("#tcp4pdivlogi").addClass("tcp4pdivlogc");
	$("#tcp4pdivsub1id1").addClass("probmarg");
	$("#areptdivid").removeClass("areptdivact");
	var revrepeatdiv = " ";
	revrepeatdiv = revrepeatdiv + '<div class="tcp4pdiv1sub2 get_sub_prmr getpremier " id="tcp4pdiv1sub2id_p'+set+rpid+'">';
		revrepeatdiv = revrepeatdiv + '<div style="display: block;font-size: 13px;float: left;margin: 7px 15px 0 0px;" id="primetext_p'+set+rpid+'">Primer </div>';
		revrepeatdiv = revrepeatdiv + '<div id="revrepdivr_p'+set+rpid+'" class="" >';
			revrepeatdiv = revrepeatdiv + '<div class="tcp4pdiv1sub1">';
				//revrepeatdiv = revrepeatdiv + '<span style="display:block;" id="primetr'+rpid+'">Reverse Primer '+rpid+'</span>';
				revrepeatdiv = revrepeatdiv + '<select name="primerval" id="primetr_p'+set+rpid+'" class="tcp4pdivsub2com tcp4pdivsub2text2 primeselect" onchange="primerselect1('+set+rpid+')"><option value="ReversePrimer">Reverse</option><option value="ForwardPrimer">Forward</option></select>';
			revrepeatdiv = revrepeatdiv + '</div>';
			revrepeatdiv = revrepeatdiv + '<div class="tcp4pdiv1sub2in">';
				revrepeatdiv = revrepeatdiv + '<div id="rpr_p'+set+rpid+'">';
					revrepeatdiv = revrepeatdiv + '<input type="text" id="inrevpriseq_p'+set+rpid+'" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="" onblur="check_seq_prob1('+set+rpid+',1)">';
				//	revrepeatdiv = revrepeatdiv + '<div id="prb_err_p'+set+rpid+'" class="err_msg"></div>';
					revrepeatdiv = revrepeatdiv + ' <span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
					revrepeatdiv = revrepeatdiv + '<input type="text" id="inrevpricon_p'+set+rpid+'" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="">';
					revrepeatdiv = revrepeatdiv + '<span  id="inrevpriseq_c_r_p'+set+rpid+'" class="commonnm">nM</span>';
					revrepeatdiv = revrepeatdiv + '<div id="prb_err_p_r'+set+rpid+'" class="err_msg"></div>';
				revrepeatdiv = revrepeatdiv + '</div>';
				revrepeatdiv = revrepeatdiv + '<div class="hideclass" id="rpf_p'+set+rpid+'">';
					revrepeatdiv = revrepeatdiv + '<input type="text" id="inrevpriseqf_p'+set+rpid+'" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="" onblur="check_seq_prob1('+set+rpid+',2)">';
				
					revrepeatdiv = revrepeatdiv + ' <span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
					revrepeatdiv = revrepeatdiv + '<input type="text" id="inrevpriconf_p'+set+rpid+'" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="">';
					revrepeatdiv = revrepeatdiv + '<span  id="inrevpriseq_c_f_p'+set+rpid+'" class="commonnm">nM</span>';
						revrepeatdiv = revrepeatdiv + '<div id="prb_err_p_f'+set+rpid+'" class="err_msg"></div>';
				revrepeatdiv = revrepeatdiv + '</div>';
			revrepeatdiv = revrepeatdiv + '</div>';
			revrepeatdiv = revrepeatdiv + '<div style="display:block;clear:both;"></div>';
		revrepeatdiv = revrepeatdiv + '</div>';
		revrepeatdiv = revrepeatdiv + '<a href="javascript://void(0);" onclick="close_areptag('+set+rpid+','+set+','+rpid+')" id="closeareptagid'+set+rpid+'" class="closearevtag"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a>';
	revrepeatdiv = revrepeatdiv + '</div>';
	if(set == 1){
		$("#revprirep").append($("<div>"+revrepeatdiv+"</div>").addClass("revrepdiv"+set+rpid+""));
	}else{
		
		$("#proprisetsubid"+set+" #revprirep").append($("<div>"+revrepeatdiv+"</div>").addClass("revrepdiv"+set+rpid+""));
	}
	
	var idrdiv2 =".revrepdiv" + set+rpid;
	$(idrdiv2).attr('id','reprepdivid'+set+rpid+'');
	rev_sets_array.push(set);
	rev_rids_array.push(rpid);
	//rpid++;
}
function close_areptag(revaid,set,id){
	rev_rids_array=[];
	
	var repaid = ".revrepdiv" + revaid;
	$(repaid).remove();
	
	var idvrep1 = id+1;
	for(var gd = idvrep1;gd <= rpid;gd++){
		var idvrep2 = gd - 1;
		var rdid = "#inrevpriseq_p"+set+gd;
		var rdid1 = "#inrevpricon_p"+set+gd;
		var rdid2 = "#closeareptagid"+set+gd;
		var rdid3 = "#reprepdivid_p"+set+gd;
		var rdid4 = "#inrevpriseqf_p"+set+gd;
		var rdid5 = "#inrevpriconf_p"+set+gd;
		var rdid6 = "#revrepdivr_p"+set+gd;
		//var rdid7 = "#revrepdivf"+gd;
		var rdid8 = "#primetr_p"+set+gd;
		//var rdid9 = "#primetf"+gd;
		var rdid10 = "#tcp4pdiv1sub2id_p"+set+gd;
		var rdid11 = "#rpr_p"+set+gd;
		var rdid12 = "#rpf_p"+set+gd;
		var rdid13 = "#primetext_p"+set+gd;
		
		var did10 = "#prb_err_p_f" + set+gd;
		
		$(did10).attr('id','prb_err_p_f'+set+idvrep2+'');
		
		var did11 = "#prb_err_p_r" +set+gd;
		
		$(did11).attr('id','prb_err_p_r'+set+idvrep2+'');
		var rdid14 = "#inrevpriseq_c_r_p"+set+gd;
		var rdid15 = "#inrevpriseq_c_f_p"+set+gd;
		var rdid16 = "#rev_err_p"+set+gd;
		var rdid17 = "#fwd_err_p"+set+gd;
		var rdid18 = ".revrepdiv"+set+gd;
		rev_rids_array.push(idvrep2);
		$(rdid).attr('onblur','check_seq_prob1('+set+idvrep2+',1)');
		$(rdid).attr('id','inrevpriseq_p'+set+idvrep2+'');
		
		$(rdid1).attr('id','inrevpricon_p'+set+idvrep2+'');
		$(rdid2).attr('onclick','close_areptag('+set+idvrep2+','+set+','+idvrep2+')');
		$(rdid2).attr('id','closeareptagid'+set+idvrep2+'');
		$(rdid3).attr('class','revrepdiv'+set+idvrep2+'');
		$(rdid3).attr('id','reprepdivid_p'+set+idvrep2+'');
		$(rdid4).attr('onblur','check_seq_prob1('+set+idvrep2+',2)');
		$(rdid4).attr('id','inrevpriseqf_p'+set+idvrep2+'');
		$(rdid5).attr('id','inrevpriconf_p'+set+idvrep2+'');
		
		$(rdid14).attr('id','inrevpriseq_c_r_p'+set+idvrep2+'');
		$(rdid15).attr('id','inrevpriseq_c_f_p'+set+idvrep2+'');
		
		
		$(rdid6).attr('id','revrepdivr_p'+set+idvrep2+'');
		//$(rdid7).attr('id','revrepdivf'+idvrep2+'');
		//$(rdid8).html("Reverse Primer "+idvrep2+"");
		$(rdid8).attr('onchange','primerselect1('+set+idvrep2+')');
		$(rdid8).attr('id','primetr_p'+set+idvrep2+'');
		//$(rdid9).html("Forward Primer "+idvrep2+"");
		//$(rdid9).attr('id','primetf'+idvrep2+'');
		$(rdid10).attr('id','tcp4pdiv1sub2id_p'+set+idvrep2+'');
		$(rdid11).attr('id','rpr_p'+set+idvrep2+'');
		$(rdid12).attr('id','rpf_p'+set+idvrep2+'');
		//$(rdid13).html("Primer "+set+idvrep2+"");
		$(rdid13).attr('id','primetext_p'+set+idvrep2+'');
		$(rdid16).attr('id','rev_err_p'+set+idvrep2+'');
		$(rdid17).attr('id','fwd_err_p'+set+idvrep2+'');
		$(rdid18).attr('id','reprepdivid'+set+idvrep2+'');
		$(rdid18).attr('class','revrepdiv'+set+idvrep2+'');
		
	}
	if (($('#revprirep').is(':empty')) && ($('#tcp4pdivsubrep').is(':empty'))) {
     //$("#tcp4pdiv1sub2id").removeClass("tcp4pdivhclsub");
	 $("#tcp4pdivlogi").removeClass("tcp4pdivlogc");
	 $("#areptdivid").addClass("areptdivact");
	 $("#tcp4pdivsub1id1").removeClass("probmarg");
	 
    }
	rpid--;
}
var slct_chngn = 0;
function check_seq_probn(id,type){
	slct_chngn = 0;
	/*
	type 0 --- Probe
	type 1 --- reverse primer
	type 2 --- forward primer
	*/
	var input_id = "";
	var error_idss = "";
		var rev_seq_new = document.getElementById("inrevpriseqn"+id).value;
		var rev_conc_new = document.getElementById("inrevpriconn"+id).value;
			var fwd_seq_new = document.getElementById("inrevpriseqfn"+id).value;
		var fwd_conc_new = document.getElementById("inrevpriconfn"+id).value;
	if(type == 0){
		input_id = "tcp4pdivsub2idfn"+id;
		error_idss = "prb_errn"+id;
		
	}else if(type == 1){
		
		
				input_id = "inrevpriseqn"+id;
				error_idss = "rev_errn"+id;
			
		
	}else{
		
				input_id = "inrevpriseqfn"+id;
				error_idss = "fwd_errn"+id;
			
		
	}
	$("#"+error_idss).text("");
	//var seq = document.getElementById(input_id).value;
	var seq = $("#"+input_id).val();
	seq = seq.toLowerCase();
	
	seq_validation(seq,input_id);
	if(/^[a, g, c, t, b, d, h, k, m, n, r, s, v, w, y]*$/g.test(seq)){
		$("#"+input_id).removeClass('err_box');
		
		
		if(seq.length < 11){
			//seq_validation(seq,input_id);
			$("#"+error_idss).text("This sequence must be at least 11 bases in length");
			$("#"+input_id).addClass('err_box');
			slct_chng++;
			reverrno++;
		}else if(seq.length >= 11){
			//seq_validation(seq,input_id);
		}
	}else if(seq.length == 0){
		$("#"+input_id).addClass('err_box');
		
	}else{
		$("#"+error_idss).text("Please enter only the following characters in your sequence:  A, G, C, T, B, D, H, K, M, N, R, S, V, W, Y");
		$("#"+input_id).addClass('err_box');
		slct_chng++;
		reverrno++;
	}
}
var slct_chng = 0;
function check_seq_prob(id,type){
	slct_chng = 0;
	/*
	type 0 --- Probe
	type 1 --- reverse primer
	type 2 --- forward primer
	*/
	var input_id = "";
	var error_idss = "";
		var rev_seq_new = document.getElementById("inrevpriseq"+id).value;
		var rev_conc_new = document.getElementById("inrevpricon"+id).value;
			var fwd_seq_new = document.getElementById("inrevpriseqf"+id).value;
		var fwd_conc_new = document.getElementById("inrevpriconf"+id).value;
	if(type == 0){
		input_id = "tcp4pdivsub2idf"+id;
		error_idss = "prb_err"+id;
		
	}else if(type == 1){
		
		
				input_id = "inrevpriseq"+id;
				error_idss = "rev_err"+id;
			
		
	}else{
		
				input_id = "inrevpriseqf"+id;
				error_idss = "fwd_err"+id;
			
		
	}
	$("#"+error_idss).text("");
	//var seq = document.getElementById(input_id).value;
	var seq = $("#"+input_id).val();
	seq = seq.toLowerCase();
	
	seq_validation(seq,input_id);
	if(/^[a, g, c, t, b, d, h, k, m, n, r, s, v, w, y]*$/g.test(seq)){
		$("#"+input_id).removeClass('err_box');
		
		
		if(seq.length < 11){
			//seq_validation(seq,input_id);
			$("#"+error_idss).text("This sequence must be at least 11 bases in length");
			$("#"+input_id).addClass('err_box');
			slct_chng++;
			reverrno++;
		}else if(seq.length >= 11){
			//seq_validation(seq,input_id);
		}
	}else if(seq.length == 0){
		$("#"+input_id).addClass('err_box');
		
	}else{
		$("#"+error_idss).text("Please enter only the following characters in your sequence:  A, G, C, T, B, D, H, K, M, N, R, S, V, W, Y");
		$("#"+input_id).addClass('err_box');
		slct_chng++;
		reverrno++;
	}
}
var slct_chng1 = 0;
function check_seq_prob1(id,type){
	slct_chng1 = 0;
	/*
	type 0 --- Probe
	type 1 --- reverse primer
	type 2 --- forward primer
	*/
	var input_id = "";
	var error_idss = "";
		
	if(type == 0){
		input_id = "tcp4pdivsub2idf_p"+id;
		error_idss = "prb_err_p"+id;
	}else if(type == 1){
		
		input_id = "inrevpriseq_p"+id;
			error_idss = "prb_err_p_r"+id;
			
		
	}else{
		input_id = "inrevpriseqf_p"+id;
			error_idss = "prb_err_p_f"+id;
		
	}
	$("#"+error_idss).text("");
	//var seq = document.getElementById(input_id).value;
	var seq = $("#"+input_id).val();
	if(seq != ''){
		seq = seq.toLowerCase();
	
	seq_validation(seq,input_id);
	}
	
	
	if(/^[a, g, c, t, b, d, h, k, m, n, r, s, v, w, y]*$/g.test(seq)){
		$("#"+input_id).removeClass('err_box');
		
		
		if(seq.length < 11){
			//seq_validation(seq,input_id);
			$("#"+error_idss).text("This sequence must be at least 11 bases in length");
			$("#"+input_id).addClass('err_box');
			slct_chng1++;
			reverrno++;
		}else if(seq.length >= 11){
			//seq_validation(seq,input_id);
		}
	}else if(seq.length == 0){
		$("#"+input_id).addClass('err_box');
		
	}else{
		$("#"+error_idss).text("Please enter only the following characters in your sequence:  A, G, C, T, B, D, H, K, M, N, R, S, V, W, Y");
		$("#"+input_id).addClass('err_box');
		slct_chng1++;
		reverrno++;
	}
}
function seq_validation(seq,id){
	if(seq != ''){
			var default_string = remove_space(seq, 3);
	var splice_string = default_string.substring(0,45);
	var after_space = space(splice_string, 3);
	document.getElementById(id).value = after_space.toUpperCase();
	}
	
}
/* Add space in every 4th charcter for card details function starts */
	function space(el, after) {
		var foo = el.split("-").join(""); // remove hyphens
		if (foo.length > 0) {
			foo = foo.match(new RegExp('.{1,3}', 'g')).join(" ");
		}
		return foo;
    }
	
	function remove_space(el, after) {
		var foo = el.split(" ").join("");
	  if (foo.length > 0) {
		foo = foo.match(new RegExp('.{1,3}', 'g')).join("");
	  }
	  return foo;
    }
	
var assylstid = [];
function export_assay(){
	
	$("#exportbtn").attr('href','http://dev.ceino.com:8080/customplating/v1/assay/export?assayID='+fass);
 console.log('http://dev.ceino.com:8080/customplating/v1/assay/export?assayID='+fass);
	$('.assy_list_lib .fixd_col1 input:checkbox').removeAttr('checked');
	assylstid = [];
	$("#tcpnapb3").addClass("hideclass");
	 $("#exportbtn").addClass("hideclass");
}
function checkford(startf,endf,assyislist,this1,type){
 fass = [];
 if(type == "0"){
  console.log(this1)
  if($(this1).prop('checked') == true){
  assylstid.push(assyislist);
  console.log(assylstid)
 }else{
  for(var m=0;m<assylstid.length;m++){
   if(assylstid[m]==assyislist){
    assylstid.splice(m,1);
   }
  }
 }
 }else{
  console.log(this1)
  if($("#"+this1).prop('checked') == true){
  assylstid.push(assyislist);
  console.log(assylstid)
 }else{
  for(var m=0;m<assylstid.length;m++){
   if(assylstid[m]==assyislist){
    assylstid.splice(m,1);
   }
  }
 }
 }
 
 
 
 for(var k = 0 ; k < assylstid.length; k++){
  if(assylstid.length==1){
    fass =  assylstid[k];
  }
  if(assylstid.length >1){
    fass = fass +'^'+assylstid[k];
  }
 }
 console.log(fass);
 
 var knowchf=0;
 var knowchc=0;
 var knowchc1=0;
 var count_checked=0;
 for(var i=startf; i>=endf;i--){
  
  var checkid = "tcp4pcheckid"+i;
  
  if ($('#' + checkid).is(":checked"))  {
	   knowchc1 = knowchc1 + 1;
   knowchc = knowchc + 1;
   
  } else {
   knowchf = knowchf + 1; 
  }
  
 }
  
 for(var i=startf; i>=endf;i--){
  
   
  var checkid = "tcp4pcheckid"+i;
  
  if ($('#' + checkid).is(":checked"))  {
   
   count_checked = count_checked + 1;
   
  } else {
   count_checked = count_checked - 1; 
  }
 
 }

 if(count_checked == assylstid.length){
	 $("#inner_overlay_1").addClass("hideclass");
 }else{
	 $("#inner_overlay_1").removeClass("hideclass");
 }
 if(count_checked == assylstid.length){
  $("#export_all_slt").attr('checked', true);
  
 }else{
  $("#export_all_slt").attr('checked', false);
  
 }
 if(knowchc > 0){
  $("#tcpnapb3").removeClass("hideclass");
 }else{
  $("#tcpnapb3").addClass("hideclass");
 }
 
 
 
 
 if(knowchc1 >= 1){
  $("#exportbtn").removeClass("hideclass");
   $(".overlay1").addClass("hideclass");
 }else{
  $("#exportbtn").addClass("hideclass");
  $(".overlay1").addClass("hideclass");
 }

 
}

var poptdindex=[];
var iofid=0;
function checkgo(startfpop,endfpop){
	
	var knowchfpop=0;
	var knowchcpop=0;
	for(var i=0; i<assay_library_data.length;i++){
		
		var checkidpop = "tcp4pcheckidpop"+i;
		
		if ($('#' + checkidpop).is(":checked")){
			
			knowchcpop = knowchcpop + 1;
		} else {
			
			knowchfpop = knowchfpop + 1; 
		}
		
	}
	if(knowchcpop > 0){
		$("#gocheckid").removeClass("hideclass");
	}else{
		$("#gocheckid").addClass("hideclass");
		//$("#clearcheckid").removeClass("hideclass");
	}
}
function checkpoplib(poplibst,popliben){
	var knowchfpoplib=0;
	var knowchcpoplib=0;
	for(var i=poplibst; i>=popliben;i--){
		
		var checkidpoplib = "tcp4pcheckidpoplib"+i;
		
		if ($('#' + checkidpoplib).is(":checked")){
			
			knowchcpoplib = knowchcpoplib + 1;
		} else {
			
			knowchfpoplib = knowchfpoplib + 1; 
		}
		
	}
	
	strt_slt = $('[name="myassay_slt"]:checked').length;
if(plates_type == 0){
				counts_assay_crd();
			}else{
				counts_assay();
			}
	if(knowchcpoplib > 0){
		$("#tcp4pb4").removeClass("hideclass");
	}else{
		$("#tcp4pb4").addClass("hideclass");
	}
}
function clse_rm_pop(){
	
	$("#rmve_assay").addClass('hideclass');
	$("#overlayid").addClass('hideclass');
}
function rem_assy_pop(rpoplibst,rpopliben){
	$("#remove_ay").attr('onclick','remasslib('+rpoplibst+','+rpopliben+')');
	$("#overlayid").removeClass('hideclass');
	$("#rmve_assay").removeClass('hideclass');
}
function remove_assy_list(idsel){
	$("#rmve_select_assay").removeClass('hideclass');
	$("#remove_sltd_assay").attr('onclick','remasslibnew('+idsel+')');
	$("#overlayid").removeClass('hideclass');
	
}
function clse_rmasy_pop(){
	
	$("#rmve_select_assay").addClass('hideclass');
	$("#overlayid").addClass('hideclass');
}
function clse_rmasy_popup(){
	
	$("#rmve_select_assaydd").addClass('hideclass');
	$("#overlayid").addClass('hideclass');
}
function remasslibnew(idsel){
	
	if(idsel == "-1"){
		
		new_assay_liblary_data=[];
		poptdindex=[];
		arryid =[];
		assay_indx_lists=[];
		$("#poiku1").hide();
		$("#poiku").hide();
			$("#tcp4pb3").removeClass('nt_allw').attr('disabled',false);
		add_asy_cnt=0;
		clse_rmasy_pop();
if(plates_type == 0){
				
				first_add = 0;
				
			}	

		restore_cookie();
	}else{
		var assay_id = new_assay_liblary_data[idsel].id;
	new_assay_liblary_data.splice(idsel, 1);
	
if(assay_indx_lists.indexOf(assay_id) != -1){
	var indx_val = assay_indx_lists.indexOf(assay_id);
	assay_indx_lists.splice(indx_val,1);
}
add_asy_cnt=0;
	poptdindex.splice(idsel, 1);
	}
	
	if(new_assay_liblary_data==''){
		$("#popdatagettable").html("");
		/* $("#popdatagettable").html("<div style='font-size:17px;'>Add new assay or Select from liblary2</div>"); */
		$("#counts_assays").html('');
		
			$("#tcp4pb3").removeClass('nt_allw').attr('disabled',false);
		if(plates_type == 0){
				counts_assay_crd();
			}else{
				counts_assay();
			}
		clse_rmasy_pop();
	}else{
		var assay_lib_new = "";
		assay_lib_new = assay_lib_new + '<table id="sort" class="table select_assy" >';
				assay_lib_new = assay_lib_new + '<tr>';
			assay_lib_new = assay_lib_new + '<th class="tcp4ptbtdth0  headcol1" style="padding-left:0 !important;"></th>';
			assay_lib_new = assay_lib_new + '<th class="  tcp4ptbtdth1"><div style="cursor:pointer;text-align:left;padding-left: 10px;"><input id="rmvol" type="checkbox" name="rmolname" class="tcp4tbtdth1ic" onclick="checkallremve()"/><span class="slt_all_lbl">Select All</span></div></th>';
			assay_lib_new = assay_lib_new + '<th class="secondcol1 tcp4ptbtdth1" style="">Assay ID / Name</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Date created</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Target Name</th>';
		assay_lib_new = assay_lib_new + '</tr>';
		assay_lib_new = assay_lib_new + '<tbody class="srt_table">';
			var stpoplib = new_assay_liblary_data.length-1;
			var enpoplib = 0;
			var srl = 0;
			for(var i=0; i<=new_assay_liblary_data.length-1;i++){
				if(new_assay_liblary_data[i].assay_type == 0){
					srl++;
				if(new_assay_liblary_data[i].createdAt != null){
					var myDate = new Date(new_assay_liblary_data[i].createdAt);
				}else{
					var myDate = new Date();
					myDate.setDate(myDate.getDate() - 1);
					
				}
				assay_lib_new = assay_lib_new + '<tr>';
					assay_lib_new = assay_lib_new + '<td class="tcp4ptbtdth0 index" id="ind'+i+'" style="padding-left:0 !important;">';
						var serialno = srl;
						assay_lib_new = assay_lib_new + serialno;
						//assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].assayName+'</span>';
					assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class="tcp4ptbtdth1" style="padding-left:0 !important;">';
						//assay_lib_new = assay_lib_new + '<input type="checkbox" name="myassay" value="" class="tcp4tbtdth1ic">';
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].assayName+'</span>';
					assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class="secondcol1 tcp4ptbtdth1">';
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+(myDate.getMonth() + 1)+ "/" + myDate.getDate() + "/" + myDate.getFullYear()+'</td>';
					assay_lib_new = assay_lib_new + '<td class=" secondcol1 tcp4ptbtdth1">';
						//assay_lib_new = assay_lib_new + '';
						if(new_assay_liblary_data[i].geneSymbol != null){
					assay_lib_new = assay_lib_new + new_assay_liblary_data[i].geneSymbol;
				}else{
					//assay_lib_new = assay_lib_new + new_assay_liblary_data[i].geneSymbol;
				}
					assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class="  tcp4ptbtdth1" style="text-align:start;">';
						assay_lib_new = assay_lib_new + '<div onclick="remove_assy_list('+i+')" style="padding-left: 10px;width:30px;cursor:pointer;"><span style="font-weight:bold;">X</span> Remove</div>';
					assay_lib_new = assay_lib_new + '</td>';
					
				assay_lib_new = assay_lib_new + '</tr>';
			}
			}
			assay_lib_new = assay_lib_new + '</tbody>';
			assay_lib_new = assay_lib_new + '</table>';
			$("#popdatagettable").html(assay_lib_new);
			sort_assy_table();
			
			if(plates_type == 0){
				counts_assay_crd();
				first_add = 0;
				new_assay_liblary_data=[];
			}else{
				counts_assay();
			counts_assay1();
			}
			if(new_assay_liblary_data.length < no_of_assays){
			$("#tcp4pb3").addClass('nt_allw').attr('disabled','disabled');
		}
			clse_rmasy_pop();
			
	}
}
function remasslib(rpoplibst,rpopliben){
	for(var i=rpoplibst; i>=rpopliben;i--){
		var rcheckidpoplib = "tcp4pcheckidpoplib"+i;
		if ($('#' + rcheckidpoplib).is(":checked")){
			new_assay_liblary_data.splice(i, 1);			
			poptdindex.splice(i, 1);
			
		} 
	}
	if(new_assay_liblary_data==''){
		poptdindex=[];
	var assay_lib_new1='';
						assay_lib_new = assay_lib_new + '<table class="table">';
							assay_lib_new1 = assay_lib_new1 + '<thead>';
							assay_lib_new1 = assay_lib_new1 + '<tr>';
								assay_lib_new1 = assay_lib_new1 + '<th class="tcp4ptbtdth0 headcol headcol1" style="padding-left:0 !important;"></th>';
								assay_lib_new1 = assay_lib_new1 + '<th class="tcp4ptbtdth1 headcol headcol2" style="">Assay ID / Name</th>';
								assay_lib_new1 = assay_lib_new1 + '<th class=" secondcol tcp4ptbtdth2">Target Name</th>';
								assay_lib_new1 = assay_lib_new1 + '<th class=" secondcol tcp4ptbtdth2">Special Notes</th>';
								assay_lib_new1 = assay_lib_new1 + '<th class=" secondcol tcp4ptbtdth1">Date created</th>';
								
							assay_lib_new1 = assay_lib_new1 + '</tr> ';
							assay_lib_new1 = assay_lib_new1 + '</thead> ';
						assay_lib_new = assay_lib_new + '</table>';
							$("#popdatagettable").html(assay_lib_new1);
	new_assay_liblary_data=[];
		$("#counts_assays").html('');
	}else{
	
	var rpoplibstn = new_assay_liblary_data.length-1;
	var rpoplibenn = 0;
	var assay_lib_new='';
	var tempn = '';
			tempn = new_assay_liblary_data[0].probePrimerSets.length;
			for(var v1=0;v1<new_assay_liblary_data.length;v1++){
				var set_length1 = new_assay_liblary_data[v1].probePrimerSets.length;
				if(tempn < set_length1){
					
					tempn = set_length1;
				}
			}
	
			
	
	assay_lib_new = assay_lib_new + '<table class="table">';
		assay_lib_new = assay_lib_new + '<thead>';
		assay_lib_new = assay_lib_new + '<tr>';
			assay_lib_new = assay_lib_new + '<th class="tcp4ptbtdth0 headcol headcol1" style="padding-left:0 !important;"></th>';
			assay_lib_new = assay_lib_new + '<th class="tcp4ptbtdth1 headcol headcol2" style="">Assay ID / Name</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol tcp4ptbtdth2">Target Name</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol tcp4ptbtdth2">Special Notes</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol tcp4ptbtdth1">Date created</th>';
			
		assay_lib_new = assay_lib_new + '</tr> ';
		assay_lib_new = assay_lib_new + '</thead> ';
				
		
		for(var i=new_assay_liblary_data.length-1; i>=0;i--){
			
			if(new_assay_liblary_data[i].createdAt != null){
				var myDate = new Date(new_assay_liblary_data[i].createdAt);
			}else{
				var myDate = new Date();
				myDate.setDate(myDate.getDate() - 1);
				
			}
			
		
			assay_lib_new = assay_lib_new + '<tbody>';
			
			if(i%2 == 0){
				assay_lib_new = assay_lib_new + '<tr>';
				assay_lib_new = assay_lib_new + '<td class="tcp4ptbtdth0 headcol" style="padding-left:0 !important;">';
					assay_lib_new = assay_lib_new + '<input id="tcp4pcheckidpoplib'+i+'" type="checkbox" name="myassay_slt" class="tcp4tbtdth1ic" onclick="checkpoplib('+rpoplibstn+','+rpoplibenn+')">';
					//assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].assayName+'</span>';
				assay_lib_new = assay_lib_new + '</td>';
				assay_lib_new = assay_lib_new + '<td class="tcp4ptbtdth1 headcol headcol2" style="padding-left:0 !important;">';
					//assay_lib_new = assay_lib_new + '<input type="checkbox" name="myassay" value="" class="tcp4tbtdth1ic">';
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n"  >'+new_assay_liblary_data[i].assayName+'</span>';
				assay_lib_new = assay_lib_new + '</td>';
				
				assay_lib_new = assay_lib_new + '<td class=" secondcol tcp4ptbtdth2">';
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].geneSymbol+'</span>';
				assay_lib_new = assay_lib_new + '</td>';
				assay_lib_new = assay_lib_new + '<td class="secondary_Col">';
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].description+'</span>';
				assay_lib_new = assay_lib_new + '</td>';
				assay_lib_new = assay_lib_new + '<td class=" secondcol tcp4ptbtdth1">';
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+(myDate.getMonth() + 1)+ "/" + myDate.getDate() + "/" + myDate.getFullYear()+'</span>';
				assay_lib_new = assay_lib_new + '</td>';
				
				assay_lib_new = assay_lib_new + '</tr>';
			}else{
				assay_lib_new = assay_lib_new + '<tr bgcolor="#eee">';
				assay_lib_new = assay_lib_new + '<td class="tcp4ptbtdth0 headcol" style="padding-left:0 !important;">';
					assay_lib_new = assay_lib_new + '<input id="tcp4pcheckidpoplib'+i+'" type="checkbox" name="myassay_slt" class="tcp4tbtdth1ic" onclick="checkpoplib('+rpoplibstn+','+rpoplibenn+')">';
					//assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].assayName+'</span>';
				assay_lib_new = assay_lib_new + '</td>';
				assay_lib_new = assay_lib_new + '<td class="tcp4ptbtdth1 headcol headcol2" style="padding-left:0 !important;">';
					//assay_lib_new = assay_lib_new + '<input type="checkbox" name="myassay" value="" class="tcp4tbtdth1ic">';
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].assayName+'</span>';
				assay_lib_new = assay_lib_new + '</td>';
				
				assay_lib_new = assay_lib_new + '<td class=" secondcol tcp4ptbtdth2">';
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].geneSymbol+'</span>';
				assay_lib_new = assay_lib_new + '</td>';
				assay_lib_new = assay_lib_new + '<td class="secondary_Col">';
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].description+'</span>';
				assay_lib_new = assay_lib_new + '</td>';
				assay_lib_new = assay_lib_new + '<td class=" secondcol tcp4ptbtdth1">';
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+(myDate.getMonth() + 1)+ "/" + myDate.getDate() + "/" + myDate.getFullYear()+'</span>';
				assay_lib_new = assay_lib_new + '</td>';
				
				assay_lib_new = assay_lib_new + '</tr>';
			}
			
			
				assay_lib_new = assay_lib_new + '</tbody>';
					
			}
			//alert(assay_lib_new);
			assay_lib_new = assay_lib_new + '</table>';
			$("#popdatagettable").html(assay_lib_new);
			
	}
	$("#tcp4pb4").addClass("hideclass");
	clse_rm_pop();
	if(plates_type == 0){
				counts_assay_crd();
			}else{
				counts_assay();
			}
}


function counts_assay(){
	
	var count_assy_html = '';
	count_assy_html = count_assy_html + '<div>'+new_assay_liblary_data.length+' out of '+total_assay_counts+' assays have been selected<span class="wrapper wrapor" style="background: #0386d5;border: 1px solid #0099ff;">i<div class="tooltip"><h3 class="popover-title"  style="font-weight:400">You do not need to select the full number of assays if you plan to keep some wells empty and/or use an assay more than the standard number of replicates for your layout.</h3></div></span></div>';
	$("#counts_assays").html(count_assy_html);
	
}
function counts_assay1(){
	
		
		//var val_length = data.length;
					var count_assy_html = '';
	count_assy_html = count_assy_html + '<div>'+new_assay_liblary_data.length+' out of '+total_assay_counts+' assays have been selected<span class="wrapper wrapor" style="background: #0386d5;border: 1px solid #0099ff;">i<div class="tooltip"><h3 class="popover-title"  style="font-weight:400">You do not need to select the full number of assays if you plan to keep some wells empty and/or use an assay more than the standard number of replicates for your layout.</h3></div></span></div>';
	$("#counts_assays").html(count_assy_html);
	
	
}
function cleardatapop(startpopn,endpopn){
	poptdindex=[];
	var assay_lib_new1='';
						assay_lib_new1 = assay_lib_new + '<table class="table">';
							assay_lib_new1 = assay_lib_new1 + '<thead>';
							assay_lib_new1 = assay_lib_new1 + '<tr>';
								assay_lib_new1 = assay_lib_new1 + '<th class="tcp4ptbtdth0 headcol headcol1" style="padding-left:0 !important;"></th>';
								assay_lib_new1 = assay_lib_new1 + '<th class="tcp4ptbtdth1 headcol headcol2" style="">Assay ID / Name</th>';
								assay_lib_new1 = assay_lib_new1 + '<th class=" secondcol tcp4ptbtdth2">Target Name</th>';
								assay_lib_new1 = assay_lib_new1 + '<th class=" secondcol tcp4ptbtdth2">Special Notes</th>';
								assay_lib_new1 = assay_lib_new1 + '<th class=" secondcol tcp4ptbtdth1">Date created</th>';
								
							assay_lib_new1 = assay_lib_new1 + '</tr> ';
							assay_lib_new1 = assay_lib_new1 + '</thead> ';
						assay_lib_new = assay_lib_new + '</table>';
							$("#popdatagettable").html(assay_lib_new1);
	new_assay_liblary_data=[];
	closepopup1(startpopn,endpopn)
}


function add_asy_arry(obj,index){
	
	Array.prototype.insert = function ( index, item ) {
		this.splice( index, 0, item );
	};

	if(plates_type == 0){
		var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
	if(new_assay_liblary_data.length < no_of_assays+1){
		
		if(obj != '' || obj != undefined){
			$(obj).addClass('nt_allw').attr('disabled','disabled');
		
		}
		if(first_add == 0){
			new_assay_liblary_data.push(assay_library_data[index]);
			new_assay_liblary_data[new_assay_liblary_data.length-1].assay_type = 0;
			assay_indx_lists.push(assay_library_data[index].id);
			first_add ++ ;
			$.ajax({
			type: "get",
			headers : { 'Content-Type' : 'application/json' },
			url: 'http://dev.ceino.com:8080/customplating/v1/assay/type/control',
			success: function(data) {
			
				ctrl_data = data;
				console.log(data)
				ctrl_lst_count ++;
				for(var i=0;i<data.length;i++){
					if(get_rstr_cookie[0].formats == 384){
						console.log(ctrl_lst_count);
						if(ctrl_lst_count < 2){
							for(var s=0;s<2;s++){
								console.log(s)
								console.log(i)
								new_assay_liblary_data.push(data[i]);
								new_assay_liblary_data[new_assay_liblary_data.length-1].assay_type = 1;
								assay_indx_lists.push(data[i].id);
								console.log(assay_indx_lists)
								console.log(new_assay_liblary_data)
							}
						
					}
					}else{
						if(data[i].assayName == "18S" && assay_indx_lists.indexOf(data[i].id)==-1){
						new_assay_liblary_data.push(data[i]);
						new_assay_liblary_data[new_assay_liblary_data.length-1].assay_type = 1;
						assay_indx_lists.push(data[i].id);
					}
					}
					if(i == data.length-1){
						var length_crds = 0;
						if(get_rstr_cookie[0].formats == 384){
							length_crds = new_assay_liblary_data.length-4;
						}else{
							length_crds = new_assay_liblary_data.length-1;
						}
						
						$('#slctassyno').text(length_crds);
						if(new_assay_liblary_data.length == length_crds){
							$("#tcp4pb3").addClass('nt_allw').attr('disabled','disabled');
						}
						counts_assay_crd();
					}
					
				}
				console.log(new_assay_liblary_data)
			},
			error: function(data) {
			}
		});
		}else{
			/* new_assay_liblary_data[new_assay_liblary_data.length-2].push(assay_library_data[index]); */
			if(get_rstr_cookie[0].formats == 384){
					var ind_x = new_assay_liblary_data.length-4;
					var ind_x1 = new_assay_liblary_data.length-3;
					new_assay_liblary_data.insert(ind_x, assay_library_data[index]);
					new_assay_liblary_data[ind_x].assay_type = 0;
					assay_indx_lists.insert(ind_x,assay_library_data[index].id);
				
			
			}else if(get_rstr_cookie[0].formats == 48 || get_rstr_cookie[0].formats == 24 || get_rstr_cookie[0].formats == "96a" || get_rstr_cookie[0].formats == "96b" || get_rstr_cookie[0].formats == 192){
				if(new_assay_liblary_data.length-1 > 9){
					assay_indx_lists.push(assay_library_data[index].id);
					new_assay_liblary_data.push(assay_library_data[index]);
					new_assay_liblary_data[new_assay_liblary_data.length-1].assay_type = 0;
				}else{
					var ind_x = new_assay_liblary_data.length-1;
					
					new_assay_liblary_data.insert(ind_x, assay_library_data[index]);
					new_assay_liblary_data[ind_x].assay_type = 0;
					assay_indx_lists.insert(ind_x,assay_library_data[index].id);
				}
				
			}else if(get_rstr_cookie[0].formats == 12){
				if(new_assay_liblary_data.length-1 > 4){
					console.log(get_rstr_cookie[0].formats);
					new_assay_liblary_data.push(assay_library_data[index]);
					new_assay_liblary_data[new_assay_liblary_data.length-1].assay_type = 0;
					assay_indx_lists.push(assay_library_data[index].id);
				}else{
					var ind_x = new_assay_liblary_data.length-1;
					
					new_assay_liblary_data.insert(ind_x, assay_library_data[index]);
					new_assay_liblary_data[ind_x].assay_type = 0;
					assay_indx_lists.insert(ind_x,assay_library_data[index].id);
				}
				
			}else if(get_rstr_cookie[0].formats == 16 || get_rstr_cookie[0].formats == 32 || get_rstr_cookie[0].formats == 64){
				if(new_assay_liblary_data.length-1 > 2){
					new_assay_liblary_data.push(assay_library_data[index]);
					new_assay_liblary_data[new_assay_liblary_data.length-1].assay_type = 0;
					assay_indx_lists.push(assay_library_data[index].id);
				}else{
					var ind_x = new_assay_liblary_data.length-1;
					
					new_assay_liblary_data.insert(ind_x, assay_library_data[index]);
					new_assay_liblary_data[ind_x].assay_type = 0;
					assay_indx_lists.insert(ind_x,assay_library_data[index].id);
				}
				
			}else{
				var ind_x = new_assay_liblary_data.length-1;
			var ind_x1 = new_assay_liblary_data.length-2;
			new_assay_liblary_data.insert(ind_x, assay_library_data[index]);
			new_assay_liblary_data[ind_x].assay_type = 0;
			}
			
			
			first_add ++ ;
			if(get_rstr_cookie[0].formats == 384){
							length_crds = new_assay_liblary_data.length-4;
						}else{
							length_crds = new_assay_liblary_data.length-1;
						}
						$('#slctassyno').text(length_crds);
						if(new_assay_liblary_data.length == length_crds){
							$("#tcp4pb3").addClass('nt_allw').attr('disabled','disabled');
						}
						counts_assay_crd();
		}
		console.log(new_assay_liblary_data);
		
		
	}else{
		$("#tcp4pb3").addClass('nt_allw').attr('disabled','disabled');
	}
}else{
	if(new_assay_liblary_data.length < no_of_assays){
		assay_indx_lists.push(assay_library_data[index].id);
		if(obj != '' || obj != undefined){
			$(obj).addClass('nt_allw').attr('disabled','disabled');
		
		}
		new_assay_liblary_data.push(assay_library_data[index]);
		new_assay_liblary_data[new_assay_liblary_data.length-1].assay_type = 0;
		
	}else{
		$("#tcp4pb3").addClass('nt_allw').attr('disabled','disabled');
	}
}
	
	
	poptdindex=[];
	addnewarrass=[];
	var assay_lib_new='';
	assay_lib_new = assay_lib_new + '<table id="sort" class="table select_assy">';
		assay_lib_new = assay_lib_new + '<thead>';
		assay_lib_new = assay_lib_new + '<tr>';
			assay_lib_new = assay_lib_new + '<th class="tcp4ptbtdth0  headcol1" style="padding-left:0 !important;"></th>';
			assay_lib_new = assay_lib_new + '<th class="  tcp4ptbtdth1"><div style="cursor:pointer;text-align:left;padding-left: 10px;"><input id="rmvol" type="checkbox" name="rmolname" class="tcp4tbtdth1ic" onclick="checkallremve()"/><span class="slt_all_lbl">Select All</span></div></th>';
			assay_lib_new = assay_lib_new + '<th class="secondcol1 tcp4ptbtdth1" style="">Assay ID / Name</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Target Name</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Special Notes</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Date created</th>';
		assay_lib_new = assay_lib_new + '</tr>';
		assay_lib_new = assay_lib_new + '</thead>';
	var stpoplib = new_assay_liblary_data.length-1;
	var enpoplib = 0;
	var srl = 0;
	assay_lib_new = assay_lib_new + '<tbody class="srt_table">';
	for(var i=0; i<=new_assay_liblary_data.length-1;i++){
		
		if(new_assay_liblary_data[i].assay_type == 0){
			srl ++;
		if(new_assay_liblary_data[i].createdAt != null){
			var myDate = new Date(new_assay_liblary_data[i].createdAt);
		}else{
			var myDate = new Date();
			myDate.setDate(myDate.getDate() - 1);
		}
		
		
		//if(i%2 == 0){
			assay_lib_new = assay_lib_new + '<tr>';
			assay_lib_new = assay_lib_new + '<td class="tcp4ptbtdth0 index" id="ind'+i+'" style="padding-left:0 !important;">';
				var serialno = srl;
				assay_lib_new = assay_lib_new + serialno;
			assay_lib_new = assay_lib_new + '</td>';
			assay_lib_new = assay_lib_new + '<td class="  tcp4ptbtdth1" style="text-align:start;">';
				assay_lib_new = assay_lib_new + '<div style="padding-left: 10px;width:30px;cursor:pointer;""><input  type="checkbox" name="rmvassy" class="tcp4tbtdth1ic nuyhjkl" onclick="checkrmvassy('+i+',this)"/></div>';
			assay_lib_new = assay_lib_new + '</td>';
			assay_lib_new = assay_lib_new + '<td class="secondcol1 tcp4ptbtdth1" style="padding-left:0 !important;">';
				assay_lib_new = assay_lib_new + '<span class="tbl_as_n asy_name">'+new_assay_liblary_data[i].assayName+'</span>';
			assay_lib_new = assay_lib_new + '</td>';
			assay_lib_new = assay_lib_new + '<td class=" secondcol1 tcp4ptbtdth1">';
				
				if(new_assay_liblary_data[i].geneSymbol != null){
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].geneSymbol+'</span>';
				}else{
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n"></span>';
					//assay_lib_new = assay_lib_new + new_assay_liblary_data[i].geneSymbol;
				}
			assay_lib_new = assay_lib_new + '</td>';
			
			assay_lib_new = assay_lib_new + '<td class=" secondcol1 tcp4ptbtdth1">';
				
				if(new_assay_liblary_data[i].description != null){
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].description+'</span>';
				}else{
					//assay_lib_new = assay_lib_new + new_assay_liblary_data[i].geneSymbol;
					assay_lib_new = assay_lib_new + '<span class="tbl_as_n"></span>';
				}
			assay_lib_new = assay_lib_new + '</td>';
			assay_lib_new = assay_lib_new + '<td class="secondcol1 tcp4ptbtdth1">';
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+(myDate.getMonth() + 1)+ "/" + myDate.getDate() + "/" + myDate.getFullYear()+'</td>';
			
		assay_lib_new = assay_lib_new + '</tr>';
		
		
		
	}
	}
	assay_lib_new = assay_lib_new + '</tbody>';
	assay_lib_new = assay_lib_new + '</table>';
	$("#popdatagettable").html(assay_lib_new);
	//$('table .srt_table').sortable();
	$("#tcp4pb4").attr('onclick','rem_assy_pop('+stpoplib+','+enpoplib+')');
	strt_slt = 0;
	
	if(plates_type == 0){
		
	}else{
		$('#slctassyno').text(new_assay_liblary_data.length);
		if(new_assay_liblary_data.length == no_of_assays){
			$("#tcp4pb3").addClass('nt_allw').attr('disabled','disabled');
		}
		counts_assay();
	}

	
	var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		
			if( get_rstr_cookie[0].studyName != ''){
				
				study_name = get_rstr_cookie[0].studyName;
				 document.getElementById("study_name").value = get_rstr_cookie[0].studyName;
			}
			slt_frmts=1;
	restore_cookie();		
		sort_assy_table();
		
}
function counts_assay_crd(){
	if(new_assay_liblary_data.length == 0){
		var length_crds = 0;
	}else{
		var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		if(get_rstr_cookie[0].formats == 384){
			var length_crds = new_assay_liblary_data.length-4;
		}else{
			var length_crds = new_assay_liblary_data.length-1;
		}
	}
	
	var count_assy_html = '';
	count_assy_html = count_assy_html + '<div>'+length_crds+' out of '+total_assay_counts+' assays have been selected<span class="wrapper wrapor" style="background: #0386d5;border: 1px solid #0099ff;">i<div class="tooltip"><h3 class="popover-title"  style="font-weight:400">You do not need to select the full number of assays if you plan to keep some wells empty and/or use an assay more than the standard number of replicates for your layout.</h3></div></span></div>';
	$("#counts_assays").html(count_assy_html);
	
}
function sort_assy_table (){
	var maxWidth = 0;
$('#sort td:nth-child(3)').each(function(){
    if(maxWidth < $(this).width())
        maxWidth = $(this).width();
});

$('#sort td:nth-child(3)').css('width',maxWidth);

var fixHelperModified = function(e, tr) {
    var $originals = tr.children();
    var $helper = tr.clone();
    $helper.children().each(function(index) {
        $(this).width($originals.eq(index).width())
    });
    return $helper;
},
    updateIndex = function(e, ui) {
        $('td.index', ui.item.parent()).each(function (i) {
            $(this).html(i + 1);
        });
    };

$("#sort .srt_table").sortable({
    helper: fixHelperModified,
    stop: updateIndex
}).disableSelection();
}

function primerselectn(spid){
 
 var spid1="#primetrn"+spid;
 var spid2="#rprn"+spid;
 var spid3="#rpfn"+spid;
 var spid4="#rev_errn"+spid;
 var spid5="#fwd_errn"+spid;
 
 var primer_type =  document.getElementById("primetrn"+spid).value;
 
 if(primer_type == "ForwardPrimer"){
  var fwd_seq = document.getElementById("inrevpriseqn"+spid).value;
  var fwd_conc = document.getElementById("inrevpriconn"+spid).value;
  if((fwd_seq == '' && fwd_conc == '')||(fwd_seq != '' && fwd_conc != '')){
   if(fwd_seq != '' && fwd_conc != ''){
    check_seq_probn(spid,1);
    if(slct_chng > 0){
     document.getElementById("primetrn"+spid).value = "ReversePrimer";
     $("#inrevpriseqn"+spid).addClass("err_box");
     $("#inrevpriconn"+spid).removeClass("err_box");
    }else{
     $(spid3).removeClass("hideclass");
     $(spid2).addClass("hideclass");
     $("#inrevpriseqn"+spid).removeClass("err_box");
     $("#inrevpriconn"+spid).removeClass("err_box");
	 $(spid4).html("");
 $(spid5).html("");
    }
   }else{
    $(spid3).removeClass("hideclass");
    $(spid2).addClass("hideclass");
    $("#inrevpriseqn"+spid).removeClass("err_box");
    $("#inrevpriconn"+spid).removeClass("err_box");
	$(spid4).html("");
 $(spid5).html("");
   }
   
  }else{
   document.getElementById("primetrn"+spid).value = "ReversePrimer";
   if(fwd_seq == ''){
    $("#inrevpriseqn"+spid).addClass("err_box");
    $("#inrevpriconn"+spid).removeClass("err_box");
   }else{
   
    
    check_seq_probn(spid,1);
    if(slct_chng > 0){
     document.getElementById("primetrn"+spid).value = "ReversePrimer";
     $("#inrevpriseqn"+spid).addClass("err_box");
     $("#inrevpriconn"+spid).addClass("err_box");
    }else{
    
     $("#inrevpriseqn"+spid).removeClass("err_box");
     $("#inrevpriconn"+spid).addClass("err_box");
    }
    
    
    
   }
  }
 }else{
  var rev_seq = document.getElementById("inrevpriseqfn"+spid).value;
  var rev_conc = document.getElementById("inrevpriconfn"+spid).value;
  if((rev_seq == '' && rev_conc == '')||(rev_seq != '' && rev_conc != '')){
   if(rev_seq != '' && rev_conc != ''){
    check_seq_probn(spid,2);
    if(slct_chng > 0){
     document.getElementById("primetrn"+spid).value = "ForwardPrimer";
     $("#inrevpriseqfn"+spid).addClass("err_box");
     $("#inrevpriconfn"+spid).removeClass("err_box");
    }else{
     $(spid2).removeClass("hideclass");
     $(spid3).addClass("hideclass");
     $("#inrevpriseqfn"+spid).removeClass("err_box");
     $("#inrevpriconfn"+spid).removeClass("err_box");
	 $(spid4).html("");
 $(spid5).html("");
    }
   }else{
    $(spid2).removeClass("hideclass");
    $(spid3).addClass("hideclass");
    $("#inrevpriseqfn"+spid).removeClass("err_box");
    $("#inrevpriconfn"+spid).removeClass("err_box");
	$(spid4).html("");
 $(spid5).html("");
   } 
  }else{
   document.getElementById("primetrn"+spid).value = "ForwardPrimer";
   if(rev_seq == ''){
    $("#inrevpriseqfn"+spid).addClass("err_box");
    $("#inrevpriconfn"+spid).removeClass("err_box");
   }else{
   
    check_seq_probn(spid,2);
    if(slct_chng > 0){
     document.getElementById("primetrn"+spid).value = "ForwardPrimer";
     $("#inrevpriseqfn"+spid).addClass("err_box");
     $("#inrevpriconfn"+spid).addClass("err_box");
    }else{
     $(spid3).removeClass("hideclass");
     $(spid2).addClass("hideclass");
     $("#inrevpriseqfn"+spid).removeClass("err_box");
     $("#inrevpriconfn"+spid).addClass("err_box");
    }
   }
  }
 }
}
function primerselect(spid){
 
 var spid1="#primetr"+spid;
 var spid2="#rpr"+spid;
 var spid3="#rpf"+spid;
 var spid4="#rev_err"+spid;
 var spid5="#fwd_err"+spid;
 var primer_type =  document.getElementById("primetr"+spid).value;
 
 if(primer_type == "ForwardPrimer"){
  var fwd_seq = document.getElementById("inrevpriseq"+spid).value;
  var fwd_conc = document.getElementById("inrevpricon"+spid).value;
  if((fwd_seq == '' && fwd_conc == '')||(fwd_seq != '' && fwd_conc != '')){
   if(fwd_seq != '' && fwd_conc != ''){
    check_seq_prob(spid,1);
    if(slct_chng > 0){
     document.getElementById("primetr"+spid).value = "ReversePrimer";
     $("#inrevpriseq"+spid).addClass("err_box");
     $("#inrevpricon"+spid).removeClass("err_box");
    }else{
     $(spid3).removeClass("hideclass");
     $(spid2).addClass("hideclass");
     $("#inrevpriseq"+spid).removeClass("err_box");
     $("#inrevpricon"+spid).removeClass("err_box");
	 $(spid4).html("");
 $(spid5).html("");
    }
   }else{
    $(spid3).removeClass("hideclass");
    $(spid2).addClass("hideclass");
    $("#inrevpriseq"+spid).removeClass("err_box");
    $("#inrevpricon"+spid).removeClass("err_box");
	$(spid4).html("");
 $(spid5).html("");
   }
   
  }else{
   document.getElementById("primetr"+spid).value = "ReversePrimer";
   if(fwd_seq == ''){
    $("#inrevpriseq"+spid).addClass("err_box");
    $("#inrevpricon"+spid).removeClass("err_box");
   }else{
    
    
    check_seq_prob(spid,1);
    if(slct_chng > 0){
     document.getElementById("primetr"+spid).value = "ReversePrimer";
     $("#inrevpriseq"+spid).addClass("err_box");
     $("#inrevpricon"+spid).addClass("err_box");
    }else{
    
     $("#inrevpriseq"+spid).removeClass("err_box");
     $("#inrevpricon"+spid).addClass("err_box");
    }
    
    
    
   }
  }
 }else{
  var rev_seq = document.getElementById("inrevpriseqf"+spid).value;
  var rev_conc = document.getElementById("inrevpriconf"+spid).value;
  if((rev_seq == '' && rev_conc == '')||(rev_seq != '' && rev_conc != '')){
   if(rev_seq != '' && rev_conc != ''){
    check_seq_prob(spid,2);
    if(slct_chng > 0){
     document.getElementById("primetr"+spid).value = "ForwardPrimer";
     $("#inrevpriseqf"+spid).addClass("err_box");
     $("#inrevpriconf"+spid).removeClass("err_box");
    }else{
     $(spid2).removeClass("hideclass");
     $(spid3).addClass("hideclass");
     $("#inrevpriseqf"+spid).removeClass("err_box");
     $("#inrevpriconf"+spid).removeClass("err_box");
	 $(spid4).html("");
 $(spid5).html("");
    }
   }else{
    $(spid2).removeClass("hideclass");
    $(spid3).addClass("hideclass");
    $("#inrevpriseqf"+spid).removeClass("err_box");
    $("#inrevpriconf"+spid).removeClass("err_box");
	$(spid4).html("");
 $(spid5).html("");
   } 
  }else{
   document.getElementById("primetr"+spid).value = "ForwardPrimer";
   if(rev_seq == ''){
    $("#inrevpriseqf"+spid).addClass("err_box");
    $("#inrevpriconf"+spid).removeClass("err_box");
   }else{
    
    check_seq_prob(spid,2);
    if(slct_chng > 0){
     document.getElementById("primetr"+spid).value = "ForwardPrimer";
     $("#inrevpriseqf"+spid).addClass("err_box");
     $("#inrevpriconf"+spid).addClass("err_box");
    }else{
     $(spid3).removeClass("hideclass");
     $(spid2).addClass("hideclass");
     $("#inrevpriseqf"+spid).removeClass("err_box");
     $("#inrevpriconf"+spid).addClass("err_box");
    }
   }
  }
 }
}
function primerselect1(spid){
 
 var spid1="#primetr_p"+spid;
 var spid2="#rpr_p"+spid;
 var spid3="#rpf_p"+spid;
 var spid4="#rev_err_p"+spid;
 var spid5="#fwd_err_p"+spid;
 var primer_type =  document.getElementById("primetr_p"+spid).value;
 
 
 
 $("#inrevpriseq_p"+spid).removeClass("err_box");
     $("#inrevpricon_p"+spid).removeClass("err_box");
 $("#inrevpriseqf_p"+spid).removeClass("err_box");
     $("#inrevpriconf_p"+spid).removeClass("err_box");
 
 
 
 if(primer_type == "ForwardPrimer"){
  var fwd_seq = document.getElementById("inrevpriseq_p"+spid).value;
  var fwd_conc = document.getElementById("inrevpricon_p"+spid).value;
  if((fwd_seq == '' && fwd_conc == '')||(fwd_seq != '' && fwd_conc != '')){
   if(fwd_seq != '' && fwd_conc != ''){
    check_seq_prob1(spid,1);
    if(slct_chng1 > 0){
     document.getElementById("primetr_p"+spid).value = "ReversePrimer";
	 
	
	 
     $("#inrevpriseq_p"+spid).addClass("err_box");
     $("#inrevpricon_p"+spid).removeClass("err_box");
    }else{
     $(spid3).removeClass("hideclass");
     $(spid2).addClass("hideclass");
     $("#inrevpriseq_p"+spid).removeClass("err_box");
     $("#inrevpricon_p"+spid).removeClass("err_box");
	 $(spid4).html("");
 $(spid5).html("");
    }
   }else{
    $(spid3).removeClass("hideclass");
    $(spid2).addClass("hideclass");
    $("#inrevpriseq_p"+spid).removeClass("err_box");
    $("#inrevpricon_p"+spid).removeClass("err_box");
	$(spid4).html("");
 $(spid5).html("");
   }
   
  }else{
   document.getElementById("primetr_p"+spid).value = "ReversePrimer";
   
   if(fwd_seq == ''){
    $("#inrevpriseq_p"+spid).addClass("err_box");
    $("#inrevpricon_p"+spid).removeClass("err_box");
   }else{
   
    
    check_seq_prob1(spid,1);
    if(slct_chng1 > 0){
     document.getElementById("primetr_p"+spid).value = "ReversePrimer";
	 
     $("#inrevpriseq_p"+spid).addClass("err_box");
     $("#inrevpricon_p"+spid).addClass("err_box");
    }else{
    
     $("#inrevpriseq_p"+spid).removeClass("err_box");
     $("#inrevpricon_p"+spid).addClass("err_box");
    }
    
    
    
   }
  }
 }else{
  var rev_seq = document.getElementById("inrevpriseqf_p"+spid).value;
  var rev_conc = document.getElementById("inrevpriconf_p"+spid).value;
  if((rev_seq == '' && rev_conc == '')||(rev_seq != '' && rev_conc != '')){
   if(rev_seq != '' && rev_conc != ''){
    check_seq_prob1(spid,2);
    if(slct_chng1 > 0){
     document.getElementById("primetr_p"+spid).value = "ForwardPrimer";
	 
     $("#inrevpriseqf_p"+spid).addClass("err_box");
     $("#inrevpriconf_p"+spid).removeClass("err_box");
    }else{
     $(spid2).removeClass("hideclass");
     $(spid3).addClass("hideclass");
     $("#inrevpriseqf_p"+spid).removeClass("err_box");
     $("#inrevpriconf_p"+spid).removeClass("err_box");
	 $(spid4).html("");
 $(spid5).html("");
    }
   }else{
    $(spid2).removeClass("hideclass");
    $(spid3).addClass("hideclass");
    $("#inrevpriseqf_p"+spid).removeClass("err_box");
    $("#inrevpriconf_p"+spid).removeClass("err_box");
	$(spid4).html("");
 $(spid5).html("");
   } 
  }else{
   document.getElementById("primetr_p"+spid).value = "ForwardPrimer";
  
   if(rev_seq == ''){
    $("#inrevpriseqf_p"+spid).addClass("err_box");
    $("#inrevpriconf_p"+spid).removeClass("err_box");
   }else{
    
    check_seq_prob1(spid,2);
    if(slct_chng1 > 0){
     document.getElementById("primetr_p"+spid).value = "ForwardPrimer";
	
     $("#inrevpriseqf_p"+spid).addClass("err_box");
     $("#inrevpriconf_p"+spid).addClass("err_box");
    }else{
     $(spid3).removeClass("hideclass");
     $(spid2).addClass("hideclass");
     $("#inrevpriseqf_p"+spid).removeClass("err_box");
     $("#inrevpriconf_p"+spid).addClass("err_box");
    }
   }
  }
 }
}

function assaydetails(index){
	
	
	var assay_id = assay_library_data[index].id;
	
	
	var url = 'http://dev.ceino.com:8080/customplating/v1/assay/'+assay_id;
		
			
			$.ajax({
				type: "get",
				headers : { 'Content-Type' : 'application/json' },
				url: url,
				//data : getdata,
				success: function(data) {
				assay_det_list = data;
				
				
				for(i=0;i < assay_det_list.probePrimerSets.length ;i++){
					for(l=0;l<assay_det_list.probePrimerSets[i].probes.length;l++){
						assay_det_list.probePrimerSets[i].probes[l].update_prob = false;
					}
					for(k=0;k<assay_det_list.probePrimerSets[i].fwdPrimers.length;k++){
						assay_det_list.probePrimerSets[i].fwdPrimers[k].update_prime = false;
						
					}
					for(j=0;j<assay_det_list.probePrimerSets[i].revPrimers.length;j++){
						assay_det_list.probePrimerSets[i].revPrimers[j].update_prime = false;
						
					}
				}
				
				
					 newpopup(data);
				},
				error: function(data) {
					
					
				}
			});	
	
	
	}
	function assaydetails1(index){
	
	
	
	var assay_id = assay_library_data[index].id;
	console.log(assay_id);
	
	console.log(10);
	
	var url = 'http://dev.ceino.com:8080/customplating/v1/assay/'+assay_id;
		
			
			$.ajax({
				type: "get",
				headers : { 'Content-Type' : 'application/json' },
				url: url,
				//data : getdata,
				success: function(data) {
				assay_det_list = data;
				
				
				for(i=0;i < assay_det_list.probePrimerSets.length ;i++){
					for(l=0;l<assay_det_list.probePrimerSets[i].probes.length;l++){
						assay_det_list.probePrimerSets[i].probes[l].update_prob = false;
					}
					for(k=0;k<assay_det_list.probePrimerSets[i].fwdPrimers.length;k++){
						assay_det_list.probePrimerSets[i].fwdPrimers[k].update_prime = false;
						
					}
					for(j=0;j<assay_det_list.probePrimerSets[i].revPrimers.length;j++){
						assay_det_list.probePrimerSets[i].revPrimers[j].update_prime = false;
						
					}
				}
				
				
				
				
				
				//assay_det_list1 = data;
					console.log(data);
					 newpopup1(data);
					 
					 //edit_assay();
				
				
				},
				error: function(data) {
					
					
				}
			});	
	
	
	}

	
	
	
	
	
	
	function newpopup1(data){
		$('.assaydet').css('visibility','visible');
		$('#ovly_assy').removeClass('hideclass');
		var pop = '';
		pop = pop + '<div class="newpop">';
			pop = pop + '<div class=""><div class="assy_dtls_hdr"><h2 id="asy_dtls" >Assay Details</h2>';
			pop = pop + '</div><span class="cls_pp" id="editclose" onclick="closenewpopup()">Close</span><span id="edt_asy_dtls" class="cls_pp mrgrt20" onclick="edit_assay()">Edit</span></div>';
			pop = pop + '<div class="pdt40 clr "></div>';
			// View assay Details
			pop = pop + '<div class="body view_class" hideclass>';
				pop = pop +'<div  class="">';
					/* pop = pop +'<div class="assayname"><h2>Assay Name:</h2><h4>'+data.assayName+'</h4></div>'; */
					var len1 = data.probePrimerSets.length;
					
					
					
					
					pop = pop + '<div id="e_tcp4pdivlogi" class="pop_inr_arnd">';
			pop = pop + '<div class="tcp4pdiv1 assy_det_frst" id="e_tcp4pdiv1id">';
				pop = pop + '<div class="vw6ptext" id="e_add_new_chnge"><h3 style="display: inline-block;color: black;font-family: HelveticaNeue;font-size: 16px;margin: 0;">Assay ID:</h3><span style="color: black;font-family: HelveticaNeue;font-size: 14px;padding-left: 8px;">'+data.assayName+'</span></div>';
				
				
				pop = pop + '<div class="vw6ptext " id="e_tcp6ptext_gene_symbl" style="font-weight:bold;"><h3 style="display: inline-block;color: black;font-family: HelveticaNeue;font-size: 16px;padding: 10px 0;"> Target Name:</h3><span style="color: black;font-family: HelveticaNeue;font-size: 14px;padding-left: 8px;font-weight: normal;">'+data.geneSymbol+'</span></div>';
				
				
				
			pop = pop + '</div>';
			pop = pop + '<div class="tcp4pdiv2 assy_det_frst" id="e_tcp4pdiv2id">';
				pop = pop + '<div class="tcp6ptext" id="splnotes" style="font-weight:bold;display:none;">Special notes about this assay</div>';
				if(data.description == null){
					pop = pop + '';
				}else{
					pop = pop + data.description;
				    $('#splnotes').css('display','block');
				}
				
				
			pop = pop + '</div>';
			pop = pop + '</div>';
			pop = pop + '<div style="clear:both;"></div>';
					
					
					
					
					
					
					
					
					
					
					
					for(i=0;i < data.probePrimerSets.length ;i++){
						console.log(len1);
						var set_inds = i+1;
						var len2= data.probePrimerSets[i];
						
						
						pop = pop +'<div class="bdrcontainer" style="border: 1px solid #c8c8c8;padding-left: 25px;margin-top:23px;position:relative;padding-top: 20px;margin-right: 30px;">';
						/*pop = pop +'<div class="probe"><h2 style="font-weight: bold;font-size: 18px;position:relative">probe/primer set '+set_inds+'</h2></div>';*/
						
						pop = pop +'<span style="/*width: 200px;*/display: inline-block;position: absolute;top: -24px;left:15px;background: #fff;padding:0 11px;"><h2 style="font-weight: bold;font-size: 18px;">probe/primer set'+set_inds+'</h2></span>';
						
						pop= pop + '<h3 style="font-size: 15px;">probe</h3>';
						for(l=0;l<data.probePrimerSets[i].probes.length;l++){
							pop= pop + '<div class="probe">';
							
							pop= pop + '<div class="probeinfo" style="padding-top:10px;">';
							pop = pop +'<span class ="probeseq" style="width: 285px;display: inline-block;word-wrap: break-word;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">Sequence:</h3>'+data.probePrimerSets[i].probes[l].sequence+'</span>';
							
							pop = pop +'<span class ="probeconc" style="padding-left:16px;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">concentration:</h3>'+data.probePrimerSets[i].probes[l].concentration+'</span>';
							
							pop = pop +'<span class ="probdye" style="padding-left:16px;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">dye:</h3>'+data.probePrimerSets[i].probes[l].dye+'</span>';	
							
							pop = pop +'<span class ="probquench" style="padding-left:16px;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">quencher:</h3>'+data.probePrimerSets[i].probes[l].quencher+'</span>';		
						  pop= pop + '</div>';
							pop= pop + '</div>';
						    
						}
						pop= pop + '<h3 style="font-size: 15px;">Forward primers</h3>';
						for(k=0;k<data.probePrimerSets[i].fwdPrimers.length;k++){
							pop= pop + '<div class="fwdprimers">';
							
							pop= pop + '<div class="fwdprimersinfo" style="padding-top:10px;">';
							pop = pop +'<span class ="fwdid" style="width: 285px;display: inline-block;word-wrap: break-word;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">Sequence:</h3>'+data.probePrimerSets[i].fwdPrimers[k].sequence+'</span>';
							pop = pop +'<span class ="fwdconc" style="padding-left:16px;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">concentration:</h3>'+data.probePrimerSets[i].fwdPrimers[k].concentration+'</span>';
						pop= pop + '</div>';
							pop= pop + '</div>';
						   
							
						
						}
						pop= pop + '<h3 style="font-size: 15px;">Reverse primers</h3>';
						for(j=0;j<data.probePrimerSets[i].revPrimers.length;j++){
							pop = pop + '<div class="revprimers" id="count'+j+'">';
							
							if ($('.revprimers').not('#count0')){
								
								$('.revprimers').addClass('.padding-top');
								
							}
							
							
							
							pop = pop + '<div class="revprimersinfo" style="padding-top:10px;">';
							pop = pop +'<span class ="revid" style="width: 285px;display: inline-block;word-wrap: break-word;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">Sequence:</h3>'+data.probePrimerSets[i].revPrimers[j].sequence+'</span>';
							pop = pop +'<span class ="revconc" style="padding-left:16px;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">concentration:</h3>'+data.probePrimerSets[i].revPrimers[j].concentration+'</span>';
						 pop= pop + '</div>';
							pop= pop + '</div>';
						   
							
						
						}
					
					pop = pop + '</div>';
					}
				pop = pop + '</div>';
			pop = pop + '</div>';
			// edit assay htmls
			pop = pop + '<div class="body edit_assay edit_assay_e"></div>';
			if(assay_lib_type ==2){
			pop = pop + '<div class="body edit_assay hideclass" id="edit2"><input type="submit"  value="Update Assay" style="float:left !important;margin-left:0px !important;background:red;color:#fff !important;" onclick="update_assay()" class="lg_out newassucl" id="newassuid1" disabled><input type="submit" value="cancel" class="cancelbutton" id="editcancel" onclick="cancel_assay()"></div>';
			}		
		
		else{
			
			pop = pop + '<div class="body edit_assay hideclass" id="edit1"><input type="submit"  value="Update Assay" style="float:left !important;margin-left:0px !important;background:red;color:#fff !important;" onclick="update_assay()" class="lg_out newassucl" id="newassuid2" disabled><input type="submit" value="cancel" class="cancelbutton" id="editcancel" onclick="cancel_assay()"></div>';
			
			
			
		}
		
		
		
		
		
		
		pop = pop + '</div>';
		
		$('.assaydet').append(pop);
		
		
	$('.view_class').addClass('hideclass');
		$('.edit_assay_e').removeClass('hideclass');
		
		if(assay_lib_type == 2){
			
		
		edit_assay1();
		}else{
			edit_assay();
		}
		
	
	
	
	}
	
	
	
	
	function edit_assay1(){
		
		
		$('.edit_assay_e').html("");
		
		$('.view_class').addClass('hideclass');
		$('.edit_assay').removeClass('hideclass');
		$('#assay_libs1 #asy_dtls').text("Edit Assay");
		$('#assay_libs1 #edt_asy_dtls').addClass('hideclass');
		$('#assay_libs1 #editcancel').addClass('hideclass');
		
		
		var edit_asy_pop = ''
		
				
				edit_asy_pop = edit_asy_pop + '<div id="e_tcp4pdivlogi" class="pop_inr_arnd">';
			edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1 assy_det_frst" id="e_tcp4pdiv1id">';
				edit_asy_pop = edit_asy_pop + '<div class="tcp6ptext" id="e_add_new_chnge">Assay ID</div>';
				edit_asy_pop = edit_asy_pop + '<input type="text" id="e_assay_name" name="AassayIDName" class="tcp6ptabtext tcp4pdivtabtext textinputcom" placeholder="e.g., MyTumorTypeA" value="'+assay_det_list.assayName+'" onkeyup="updateInput(this.value,this.id,0,0,0,3)" readonly>';
				edit_asy_pop = edit_asy_pop + '<div id="e_err_ayne" class="err_msg"></div>';
				edit_asy_pop = edit_asy_pop + '<div class="tcp6ptext " id="e_tcp6ptext_gene_symbl">Target Name</div>';
				edit_asy_pop = edit_asy_pop + '<input type="text" id="e_gene_symbl" name="AassayIDName" class="tcp6ptabtext tcp4pdivtabtext textinputcom " placeholder="e.g., BRCA1" value="'+assay_det_list.geneSymbol+'" onkeyup="updateInput(this.value,this.id,0,0,0,4)" readonly>';
				edit_asy_pop = edit_asy_pop + '<div id="e_err_gesl" class="err_msg "></div>';
			edit_asy_pop = edit_asy_pop + '</div>';
			edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv2 assy_det_frst" id="e_tcp4pdiv2id">';
				edit_asy_pop = edit_asy_pop + '<div class="tcp6ptext">Special notes about this assay</div>';
				edit_asy_pop = edit_asy_pop + '<textarea id="e_assay_nts" rows="3" cols="10" class="tcp6ptabtextarea tcp4pdivtabtextarea textinputcom"  onkeyup="updateInput(this.value,this.id,0,0,0,5)">'+assay_det_list.description+'</textarea>';
				edit_asy_pop = edit_asy_pop + '<div id="e_err_aynt" class="err_msg"></div>';
			edit_asy_pop = edit_asy_pop + '</div>';
			edit_asy_pop = edit_asy_pop + '<div style="clear:both;"></div>';
				
				
				
			
		
			
			
			
		
		
		
		
		
		for(i=0;i < assay_det_list.probePrimerSets.length ;i++){
			prbe_prime=[];
			var set_val_i = i +1;
			
			
			edit_asy_pop = edit_asy_pop + '<div class="tcp4pdivtext" id="e_tcp4pdivtextid'+i+'">';
			if(i > 0){
					
						
						edit_asy_pop = edit_asy_pop + '<span><a href="javascript://void(0);" style="cursor: pointer;left: -30px !important;bottom: -2px !important;" id="closepopup1id" onclick="close_sub_type('+i+',0,3)" class="clsic hideclass"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a></span>';
						
						
						
						
					
				}
				edit_asy_pop = edit_asy_pop + '<div id="e_ppset1" class="mrgb20">Probe/Primer Set '+set_val_i+'</div>';
				
				
				
				
				
				edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" style="margin-left: 20px !important;" onclick="add_sub_types(0,0,3)" class="areptdiv areptdivact hideclass" id="e_areptdivid'+i+'">Add Probe/Primer Set</a>';
				edit_asy_pop = edit_asy_pop + '<div class="probesset1" id="e_proprisetsubid'+i+'">';
				
				
				
				
				for(l=0;l<assay_det_list.probePrimerSets[i].probes.length;l++){
					
						var assay_probe_conc = assay_det_list.probePrimerSets[i].probes[l].concentration;
					assay_probe_conc = assay_probe_conc.substring(0,assay_probe_conc.lastIndexOf(' '));
var prob_seq = assay_det_list.probePrimerSets[i].probes[l].sequence;
						prob_seq = space(prob_seq, 3);
					
				edit_asy_pop = edit_asy_pop + '<div id="e_tcp4pdivhid'+l+'">';
					edit_asy_pop = edit_asy_pop + '<div class="tcp4pdivsub getproble" id="e_tcp4pdivsubid'+i+l+'">';
						edit_asy_pop = edit_asy_pop + '<div class="tcp4pdivsub1" id="e_tcp4pdivsub1id'+i+l+'">Probe</div>';
						edit_asy_pop = edit_asy_pop + '<div class="tcp4pdivsub2">';
							
							
							edit_asy_pop = edit_asy_pop + '<input type="text" id="e_tcp4pdivsub2idf'+i+l+'" name="probe1text" class="tcp4pdivsub2com tcp4pdivsub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="'+prob_seq+'"  readonly>';
							edit_asy_pop = edit_asy_pop + '<span class="wrapper">?<div class="tooltip1"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
							edit_asy_pop = edit_asy_pop + '<input type="text" id="e_tcp4pdivsub2ids'+i+l+'"  name="probe1text1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdivsub2text2 textinputcom" placeholder="250" value="'+assay_probe_conc+'" readonly>';
							edit_asy_pop = edit_asy_pop + '<span  id="e_tcp4pdivsub2ids_s'+i+l+'" class="commonnm" >nM</span>';
							
							edit_asy_pop = edit_asy_pop + '<select name="e_FAMVALUE" id="e_tcp4pdivsub2idt'+i+l+'" class="tcp4pdivsub2com tcp4pdivsub2text2"  disabled="disabled">';
							if(assay_det_list.probePrimerSets[i].probes[l].dye == "6FAM"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" selected="selected">6FAM</option><option value="VIC">VIC</option><option value="TET">TET</option><option value="NED">NED</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].dye == "VIC"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" >6FAM</option><option value="VIC" selected="selected" >VIC</option><option value="TET">TET</option><option value="NED">NED</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].dye == "TET"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" >6FAM</option><option value="VIC"  >VIC</option><option value="TET" selected="selected" >TET</option><option value="NED">NED</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].dye == "NED"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" >6FAM</option><option value="VIC"  >VIC</option><option value="TET"  >TET</option><option value="NED" selected="selected">NED</option>';
							}
							
							
							edit_asy_pop = edit_asy_pop + '</select>';
							
							edit_asy_pop = edit_asy_pop + '<select name="e_MGBVALUE" id="e_tcp4pdivsub2ido'+i+l+'" class="tcp4pdivsub2com tcp4pdivsub2text2"  disabled="disabled">';
							if(assay_det_list.probePrimerSets[i].probes[l].quencher == "MGB-NFQ"){
								edit_asy_pop = edit_asy_pop + '<option value="MGB-NFQ" selected="selected">MGB-NFQ</option><option value="TAMRA">TAMRA</option><option value="QSY">QSY</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].quencher == "TAMRA"){
								edit_asy_pop = edit_asy_pop + '<option value="MGB-NFQ" >MGB-NFQ</option><option value="TAMRA" selected="selected">TAMRA</option><option value="QSY">QSY</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].quencher == "QSY"){
								edit_asy_pop = edit_asy_pop + '<option value="MGB-NFQ" >MGB-NFQ</option><option value="TAMRA" >TAMRA</option><option value="QSY" selected="selected">QSY</option>';
							}
							edit_asy_pop = edit_asy_pop + '</select>';
							
							
							
							
							
							if(l > 0){
								
								
								edit_asy_pop = edit_asy_pop + '<span><a href="javascript://void(0);" style="cursor: pointer;left: -2px !important;bottom: -10px !important;" id="closepopup1id" onclick="close_sub_type('+i+','+l+',0)" class="clsic hideclass"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a></span>';
								
							}
							
							
							
							
							
							edit_asy_pop = edit_asy_pop + '<div id="e_prb_err'+l+'" class="err_msg e_prb_err_c'+i+l+'"></div>';
						edit_asy_pop = edit_asy_pop + '</div>';
						edit_asy_pop = edit_asy_pop + '<div style="display:block;clear:both;"></div>';
					edit_asy_pop = edit_asy_pop + '</div>';
					
					
					edit_asy_pop = edit_asy_pop + '</div>';
				edit_asy_pop = edit_asy_pop + '</div>';
				}
				
				
				
				edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" onclick="add_sub_types('+i+','+l+',0)" class="areptdiv areptdivact flt hideclass" id="e_areptdivid" style="margin-bottom: 20px;">Add Probe</a>';
				
				
				
				
				for(m=0;m<assay_det_list.probePrimerSets[i].fwdPrimers.length;m++){
					assay_det_list.probePrimerSets[i].fwdPrimers[m].probe_pribe_count = m;
					assay_det_list.probePrimerSets[i].fwdPrimers[m].prime_type = "ForwardPrimer";
					prbe_prime.push(assay_det_list.probePrimerSets[i].fwdPrimers[m]);
					
				}
				for(n=0;n<assay_det_list.probePrimerSets[i].revPrimers.length;n++){
					assay_det_list.probePrimerSets[i].revPrimers[n].probe_pribe_count = n;
					assay_det_list.probePrimerSets[i].revPrimers[n].prime_type = "ReversePrimer";
					prbe_prime.push(assay_det_list.probePrimerSets[i].revPrimers[n]);
					
				}
				assay_det_list.probePrimerSets[i].prbe_prime=prbe_prime;
				console.log(assay_det_list);
				
				
				
				
			edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1sub flt clr">';
			for(k=0;k<assay_det_list.probePrimerSets[i].prbe_prime.length;k++){
				
				var assay_fwd_conc = assay_det_list.probePrimerSets[i].prbe_prime[k].concentration;
					assay_fwd_conc = assay_fwd_conc.substring(0,assay_fwd_conc.lastIndexOf(' '));
					
					var fwd_seq = assay_det_list.probePrimerSets[i].prbe_prime[k].sequence;
					fwd_seq = space(fwd_seq, 3);
				
				
				
				edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1sub2" id="e_tcp4pdiv1sub2id'+k+'">';
						edit_asy_pop = edit_asy_pop + '<div class="primetextcl" id="e_primetext'+k+'">Primer</div>';
						edit_asy_pop = edit_asy_pop + '<div id="e_revrepdivrn'+k+'" class="getpremier revrepdivr1cl">';
							edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1sub1">';
							
								
								
								
								edit_asy_pop = edit_asy_pop + '<select name="primerval" id="e_primetrn'+k+'" class="tcp4pdivsub2com tcp4pdivsub2text2 primeselect"  disabled="disabled">';
								
								if(assay_det_list.probePrimerSets[i].prbe_prime[k].prime_type == "ForwardPrimer"){
									
								edit_asy_pop = edit_asy_pop + '<option value="ForwardPrimer" readonly>Forward</option>';
								edit_asy_pop = edit_asy_pop + '<option value="ReversePrimer">Reverse</option>';
								}else if(assay_det_list.probePrimerSets[i].prbe_prime[k].prime_type == "ReversePrimer"){
									edit_asy_pop = edit_asy_pop + '<option value="ReversePrimer">Reverse</option>';
								edit_asy_pop = edit_asy_pop + '<option value="ForwardPrimer" >Forward</option>';
								}
								
								
								
								edit_asy_pop = edit_asy_pop + '</select>';
								
								
							edit_asy_pop = edit_asy_pop + '</div>';
							edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1sub2in">';
								
								
								edit_asy_pop = edit_asy_pop + '<div  id="e_rpfn'+k+'">';
									edit_asy_pop = edit_asy_pop + '<input type="text" id="e_inrevpriseqfn'+i+k+'" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g.,ACGTBDHKMNRSVWY" value="'+fwd_seq+'"  readonly>';
									edit_asy_pop = edit_asy_pop + '<span class="wrapper">?<div class="tooltip1"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
									edit_asy_pop = edit_asy_pop + '<input type="text" id="e_inrevpriconfn'+i+k+'" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="'+assay_fwd_conc+'"  readonly>';
									edit_asy_pop = edit_asy_pop + '<span id="e_inrevpriseq_c_fn'+k+'" class="commonnm" >nM</span>';
									edit_asy_pop = edit_asy_pop + '<div id="e_fwd_errn'+k+'" class="err_msg e_fwd_errn'+i+k+'"></div>';
								edit_asy_pop = edit_asy_pop + '</div>';
							edit_asy_pop = edit_asy_pop + '</div>';
							edit_asy_pop = edit_asy_pop + '<div style="display:block;clear:both;"></div>';
						edit_asy_pop = edit_asy_pop + '</div>';
						
								
						if(assay_det_list.probePrimerSets[i].prbe_prime[k].probe_pribe_count > 0 && assay_det_list.probePrimerSets[i].prbe_prime.length > 2){
								
								
								
								edit_asy_pop = edit_asy_pop + '<span><a href="javascript://void(0);" style="cursor: pointer;left: -40px !important;bottom: -10px !important;" onclick="close_sub_type('+i+','+k+',1)" class="clsic hideclass"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a></span>';
								
							}
						edit_asy_pop = edit_asy_pop + '<div style="display:block;clear:both;"></div>';
					edit_asy_pop = edit_asy_pop + '</div>';
					
					
			}
			
			
			
		
			
			edit_asy_pop = edit_asy_pop + '</div>';
			
			
			
			
					edit_asy_pop = edit_asy_pop + '<div id="e_revprirep'+k+'"></div>';
					
					edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" onclick="add_sub_types('+i+','+k+',1)" style="width:80px" class="arevrepdivcl hideclass flt clr" id="e_arevrepdivid" style="margin-bottom: 20px;">Add Primer</a>';
					
				edit_asy_pop = edit_asy_pop + '</div>';
				edit_asy_pop = edit_asy_pop + '</div>';
				edit_asy_pop = edit_asy_pop + '<div id="e_proprisetid'+k+'"></div>';
				
		}
		
		edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" onclick="add_sub_types(0,0,3)" class="areptdiv areptdivact mgt15 hideclass" id="e_areptdivid">Add Probe/Primer Set</a>';
		edit_asy_pop = edit_asy_pop + '</div>';
		
		
		
		
		$('.edit_assay_e').append(edit_asy_pop);
		
		
		
		
	
	
	
	}
	function edit_assay(){
		
		$('.edit_assay_e').html("");
		console.log(assay_det_list);
		$('.view_class').addClass('hideclass');
		$('.edit_assay').removeClass('hideclass');
		$('#asy_dtls').text("Edit Assay");
		$('#edt_asy_dtls').addClass('hideclass');
		$('#assay_libs #editcancel').addClass('hideclass');
		
		var edit_asy_pop = ''
		
		
		
		if(assay_det_list.isAddedToPlate == true){
				
				
				edit_asy_pop = edit_asy_pop + '<div id="e_tcp4pdivlogi" class="pop_inr_arnd">';
			edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1 assy_det_frst" id="e_tcp4pdiv1id">';
				edit_asy_pop = edit_asy_pop + '<div class="tcp6ptext" id="e_add_new_chnge">Assay ID</div>';
				edit_asy_pop = edit_asy_pop + '<input type="text" id="e_assay_name" name="AassayIDName" class="tcp6ptabtext tcp4pdivtabtext textinputcom" placeholder="e.g., MyTumorTypeA" value="'+assay_det_list.assayName+'" onkeyup="updateInput(this.value,this.id,0,0,0,3)" readonly>';
				edit_asy_pop = edit_asy_pop + '<div id="e_err_ayne" class="err_msg"></div>';
				edit_asy_pop = edit_asy_pop + '<div class="tcp6ptext " id="e_tcp6ptext_gene_symbl">Target Name</div>';
				edit_asy_pop = edit_asy_pop + '<input type="text" id="e_gene_symbl" name="AassayIDName" class="tcp6ptabtext tcp4pdivtabtext textinputcom " placeholder="e.g., BRCA1" value="'+assay_det_list.geneSymbol+'" onkeyup="updateInput(this.value,this.id,0,0,0,4)" readonly>';
				edit_asy_pop = edit_asy_pop + '<div id="e_err_gesl" class="err_msg "></div>';
			edit_asy_pop = edit_asy_pop + '</div>';
			edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv2 assy_det_frst" id="e_tcp4pdiv2id">';
				edit_asy_pop = edit_asy_pop + '<div class="tcp6ptext">Special notes about this assay</div>';
				edit_asy_pop = edit_asy_pop + '<textarea id="e_assay_nts" rows="3" cols="10" class="tcp6ptabtextarea tcp4pdivtabtextarea textinputcom"  onkeyup="updateInput(this.value,this.id,0,0,0,5)">'+assay_det_list.description+'</textarea>';
				
				
				edit_asy_pop = edit_asy_pop + '<div id="e_err_aynt" class="err_msg"></div>';
			edit_asy_pop = edit_asy_pop + '</div>';
			edit_asy_pop = edit_asy_pop + '<div style="clear:both;"></div>';
				
				
				
			}else{
				
				
				edit_asy_pop = edit_asy_pop + '<div id="e_tcp4pdivlogi" class="pop_inr_arnd">';
			edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1 assy_det_frst" id="e_tcp4pdiv1id">';
				edit_asy_pop = edit_asy_pop + '<div class="tcp6ptext" id="e_add_new_chnge">Assay ID</div>';
				edit_asy_pop = edit_asy_pop + '<input type="text" id="e_assay_name" name="AassayIDName" class="tcp6ptabtext tcp4pdivtabtext textinputcom" placeholder="e.g., MyTumorTypeA" value="'+assay_det_list.assayName+'" onkeyup="updateInput(this.value,this.id,0,0,0,3)">';
				edit_asy_pop = edit_asy_pop + '<div id="e_err_ayne" class="err_msg"></div>';
				edit_asy_pop = edit_asy_pop + '<div class="tcp6ptext " id="e_tcp6ptext_gene_symbl">Target Name</div>';
				edit_asy_pop = edit_asy_pop + '<input type="text" id="e_gene_symbl" name="AassayIDName" class="tcp6ptabtext tcp4pdivtabtext textinputcom " placeholder="e.g., BRCA1" value="'+assay_det_list.geneSymbol+'" onkeyup="updateInput(this.value,this.id,0,0,0,4)" >';
				edit_asy_pop = edit_asy_pop + '<div id="e_err_gesl" class="err_msg "></div>';
			edit_asy_pop = edit_asy_pop + '</div>';
			edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv2 assy_det_frst" id="e_tcp4pdiv2id">';
				edit_asy_pop = edit_asy_pop + '<div class="tcp6ptext">Special notes about this assay</div>';
				edit_asy_pop = edit_asy_pop + '<textarea id="e_assay_nts" rows="3" cols="10" class="tcp6ptabtextarea tcp4pdivtabtextarea textinputcom"  onkeyup="updateInput(this.value,this.id,0,0,0,5)">'+assay_det_list.description+'</textarea>';
				edit_asy_pop = edit_asy_pop + '<div id="e_err_aynt" class="err_msg"></div>';
			edit_asy_pop = edit_asy_pop + '</div>';
			edit_asy_pop = edit_asy_pop + '<div style="clear:both;"></div>';
				
				
			}
		
		
		
		
		
		
		
			
			
			
			
			
		
		
		
		
		
		
		
		
		
		
		for(i=0;i < assay_det_list.probePrimerSets.length ;i++){
			prbe_prime=[];
			var set_val_i = i +1;
			
			
			edit_asy_pop = edit_asy_pop + '<div class="tcp4pdivtext" id="e_tcp4pdivtextid'+i+'">';
			if(i > 0){
					
					
					if(assay_det_list.isAddedToPlate == true || assay_det_list.isPredesigned == true){
					
					edit_asy_pop = edit_asy_pop + '<span><a href="javascript://void(0);" style="cursor: pointer;left: -30px !important;bottom: -2px !important;" id="closepopup1id" onclick="close_sub_type('+i+',0,3)" class="clsic hideclass"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a></span>';
				
					}else{
						
						edit_asy_pop = edit_asy_pop + '<span><a href="javascript://void(0);" style="cursor: pointer;left: -30px !important;bottom: -2px !important;" id="closepopup1id" onclick="close_sub_type('+i+',0,3)" class="clsic"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a></span>';
						
						
						
						
					}
				
				
				}
				edit_asy_pop = edit_asy_pop + '<div id="e_ppset1" class="mrgb20">Probe/Primer Set '+set_val_i+'</div>';
				
				
				
				if(assay_det_list.isAddedToPlate == true || assay_det_list.isPredesigned == true){
				
				edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" style="margin-left: 20px !important;" onclick="add_sub_types(0,0,3)" class="areptdiv areptdivact hideclass" id="e_areptdivid'+i+'">Add Probe/Primer Set</a>';
				edit_asy_pop = edit_asy_pop + '<div class="probesset1" id="e_proprisetsubid'+i+'">';
				
				}else{
					
					edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" style="margin-left: 20px !important;" onclick="add_sub_types(0,0,3)" class="areptdiv areptdivact" id="e_areptdivid'+i+'">Add Probe/Primer Set</a>';
				edit_asy_pop = edit_asy_pop + '<div class="probesset1" id="e_proprisetsubid'+i+'">';
					
				}
				
				
				
				for(l=0;l<assay_det_list.probePrimerSets[i].probes.length;l++){
					
						var assay_probe_conc = assay_det_list.probePrimerSets[i].probes[l].concentration;
					assay_probe_conc = assay_probe_conc.substring(0,assay_probe_conc.lastIndexOf(' '));
var prob_seq = assay_det_list.probePrimerSets[i].probes[l].sequence;
						prob_seq = space(prob_seq, 3);
					
				edit_asy_pop = edit_asy_pop + '<div id="e_tcp4pdivhid'+l+'">';
					edit_asy_pop = edit_asy_pop + '<div class="tcp4pdivsub getproble" id="e_tcp4pdivsubid'+i+l+'">';
						edit_asy_pop = edit_asy_pop + '<div class="tcp4pdivsub1" id="e_tcp4pdivsub1id'+i+l+'">Probe</div>';
						edit_asy_pop = edit_asy_pop + '<div class="tcp4pdivsub2">';
							
							if(assay_det_list.isAddedToPlate == true){
							edit_asy_pop = edit_asy_pop + '<input type="text" id="e_tcp4pdivsub2idf'+i+l+'" name="probe1text" class="tcp4pdivsub2com tcp4pdivsub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="'+prob_seq+'"  onblur="check_prob_edit(this.value,this.id,'+i+','+l+',0)" readonly>';
							edit_asy_pop = edit_asy_pop + '<span class="wrapper">?<div class="tooltip1"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
							edit_asy_pop = edit_asy_pop + '<input type="text" id="e_tcp4pdivsub2ids'+i+l+'"  name="probe1text1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdivsub2text2 textinputcom" placeholder="250" value="'+assay_probe_conc+'" onkeyup="updateInput(this.value,this.id,'+i+','+l+',0,0)" readonly>';
							edit_asy_pop = edit_asy_pop + '<span  id="e_tcp4pdivsub2ids_s'+i+l+'" class="commonnm" >nM</span>';
							
							edit_asy_pop = edit_asy_pop + '<select name="e_FAMVALUE" id="e_tcp4pdivsub2idt'+i+l+'" class="tcp4pdivsub2com tcp4pdivsub2text2" onkeyup="updateInput(this.value,this.id,'+i+','+l+',0,1)" disabled="disabled">';
							if(assay_det_list.probePrimerSets[i].probes[l].dye == "6FAM"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" selected="selected">6FAM</option><option value="VIC">VIC</option><option value="TET">TET</option><option value="NED">NED</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].dye == "VIC"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" >6FAM</option><option value="VIC" selected="selected" >VIC</option><option value="TET">TET</option><option value="NED">NED</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].dye == "TET"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" >6FAM</option><option value="VIC"  >VIC</option><option value="TET" selected="selected" >TET</option><option value="NED">NED</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].dye == "NED"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" >6FAM</option><option value="VIC"  >VIC</option><option value="TET"  >TET</option><option value="NED" selected="selected">NED</option>';
							}
							
							
							edit_asy_pop = edit_asy_pop + '</select>';
							
							edit_asy_pop = edit_asy_pop + '<select name="e_MGBVALUE" id="e_tcp4pdivsub2ido'+i+l+'" class="tcp4pdivsub2com tcp4pdivsub2text2" onkeyup="updateInput(this.value,this.id,'+i+','+l+',0,2)" disabled="disabled">';
							if(assay_det_list.probePrimerSets[i].probes[l].quencher == "MGB-NFQ"){
								edit_asy_pop = edit_asy_pop + '<option value="MGB-NFQ" selected="selected">MGB-NFQ</option><option value="TAMRA">TAMRA</option><option value="QSY">QSY</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].quencher == "TAMRA"){
								edit_asy_pop = edit_asy_pop + '<option value="MGB-NFQ" >MGB-NFQ</option><option value="TAMRA" selected="selected">TAMRA</option><option value="QSY">QSY</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].quencher == "QSY"){
								edit_asy_pop = edit_asy_pop + '<option value="MGB-NFQ" >MGB-NFQ</option><option value="TAMRA" >TAMRA</option><option value="QSY" selected="selected">QSY</option>';
							}
							edit_asy_pop = edit_asy_pop + '</select>';
							
							}
							
							else{
								
								edit_asy_pop = edit_asy_pop + '<input type="text" id="e_tcp4pdivsub2idf'+i+l+'" name="probe1text" class="tcp4pdivsub2com tcp4pdivsub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="'+prob_seq+'"  onblur="check_prob_edit(this.value,this.id,'+i+','+l+',0)">';
							edit_asy_pop = edit_asy_pop + '<span class="wrapper">?<div class="tooltip1"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
							edit_asy_pop = edit_asy_pop + '<input type="text" id="e_tcp4pdivsub2ids'+i+l+'"  name="probe1text1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdivsub2text2 textinputcom" placeholder="250" value="'+assay_probe_conc+'" onkeyup="updateInput(this.value,this.id,'+i+','+l+',0,0)">';
							edit_asy_pop = edit_asy_pop + '<span  id="e_tcp4pdivsub2ids_s'+i+l+'" class="commonnm" >nM</span>';
							
							edit_asy_pop = edit_asy_pop + '<select name="e_FAMVALUE" id="e_tcp4pdivsub2idt'+i+l+'" class="tcp4pdivsub2com tcp4pdivsub2text2" onkeyup="updateInput(this.value,this.id,'+i+','+l+',0,1)">';
							if(assay_det_list.probePrimerSets[i].probes[l].dye == "6FAM"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" selected="selected">6FAM</option><option value="VIC">VIC</option><option value="TET">TET</option><option value="NED">NED</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].dye == "VIC"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" >6FAM</option><option value="VIC" selected="selected" >VIC</option><option value="TET">TET</option><option value="NED">NED</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].dye == "TET"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" >6FAM</option><option value="VIC"  >VIC</option><option value="TET" selected="selected" >TET</option><option value="NED">NED</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].dye == "NED"){
								edit_asy_pop = edit_asy_pop + '<option value="6FAM" >6FAM</option><option value="VIC"  >VIC</option><option value="TET"  >TET</option><option value="NED" selected="selected">NED</option>';
							}
							
							
							edit_asy_pop = edit_asy_pop + '</select>';
							
							edit_asy_pop = edit_asy_pop + '<select name="e_MGBVALUE" id="e_tcp4pdivsub2ido'+i+l+'" class="tcp4pdivsub2com tcp4pdivsub2text2" onkeyup="updateInput(this.value,this.id,'+i+','+l+',0,2)">';
							if(assay_det_list.probePrimerSets[i].probes[l].quencher == "MGB-NFQ"){
								edit_asy_pop = edit_asy_pop + '<option value="MGB-NFQ" selected="selected">MGB-NFQ</option><option value="TAMRA">TAMRA</option><option value="QSY">QSY</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].quencher == "TAMRA"){
								edit_asy_pop = edit_asy_pop + '<option value="MGB-NFQ" >MGB-NFQ</option><option value="TAMRA" selected="selected">TAMRA</option><option value="QSY">QSY</option>';
							}else if(assay_det_list.probePrimerSets[i].probes[l].quencher == "QSY"){
								edit_asy_pop = edit_asy_pop + '<option value="MGB-NFQ" >MGB-NFQ</option><option value="TAMRA" >TAMRA</option><option value="QSY" selected="selected">QSY</option>';
							}
							edit_asy_pop = edit_asy_pop + '</select>';
								
								
								
								
							}
							
							
							
							
							if(l > 0){
								
								if(assay_det_list.isAddedToPlate == true || assay_det_list.isPredesigned == true){
								
								edit_asy_pop = edit_asy_pop + '<span><a href="javascript://void(0);" style="cursor: pointer;left: -2px !important;bottom: -10px !important;" id="closepopup1id" onclick="close_sub_type('+i+','+l+',0)" class="clsic hideclass"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a></span>';
								}else{
									
									edit_asy_pop = edit_asy_pop + '<span><a href="javascript://void(0);" style="cursor: pointer;left: -2px !important;bottom: -10px !important;" id="closepopup1id" onclick="close_sub_type('+i+','+l+',0)" class="clsic"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a></span>';
									
									
									
									
								}
							
							
							
							
							}
							
							
							
							
							
							edit_asy_pop = edit_asy_pop + '<div id="e_prb_err'+l+'" class="err_msg e_prb_err_c'+i+l+'"></div>';
						edit_asy_pop = edit_asy_pop + '</div>';
						edit_asy_pop = edit_asy_pop + '<div style="display:block;clear:both;"></div>';
					edit_asy_pop = edit_asy_pop + '</div>';
					
					
					edit_asy_pop = edit_asy_pop + '</div>';
				edit_asy_pop = edit_asy_pop + '</div>';
				}
				
				if(assay_det_list.isAddedToPlate == true || assay_det_list.isPredesigned == true){
				edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" onclick="add_sub_types('+i+','+l+',0)" class="areptdiv areptdivact flt hideclass" id="e_areptdivid" style="margin-bottom: 20px;">Add Probe</a>';
				}
				
				
				else{
					edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" onclick="add_sub_types('+i+','+l+',0)" class="areptdiv areptdivact flt" id="e_areptdivid" style="margin-bottom: 20px;">Add Probe</a>';
					
					
				}
				
				
				
				
				
				
				for(m=0;m<assay_det_list.probePrimerSets[i].fwdPrimers.length;m++){
					assay_det_list.probePrimerSets[i].fwdPrimers[m].probe_pribe_count = m;
					assay_det_list.probePrimerSets[i].fwdPrimers[m].prime_type = "ForwardPrimer";
					prbe_prime.push(assay_det_list.probePrimerSets[i].fwdPrimers[m]);
					
				}
				for(n=0;n<assay_det_list.probePrimerSets[i].revPrimers.length;n++){
					assay_det_list.probePrimerSets[i].revPrimers[n].probe_pribe_count = n;
					assay_det_list.probePrimerSets[i].revPrimers[n].prime_type = "ReversePrimer";
					prbe_prime.push(assay_det_list.probePrimerSets[i].revPrimers[n]);
					
				}
				assay_det_list.probePrimerSets[i].prbe_prime=prbe_prime;
				console.log(assay_det_list);
				
				
				
				
			edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1sub flt clr">';
			for(k=0;k<assay_det_list.probePrimerSets[i].prbe_prime.length;k++){
				
				var assay_fwd_conc = assay_det_list.probePrimerSets[i].prbe_prime[k].concentration;
					assay_fwd_conc = assay_fwd_conc.substring(0,assay_fwd_conc.lastIndexOf(' '));
					
					var fwd_seq = assay_det_list.probePrimerSets[i].prbe_prime[k].sequence;
					fwd_seq = space(fwd_seq, 3);
				
				
				
				edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1sub2" id="e_tcp4pdiv1sub2id'+k+'">';
						edit_asy_pop = edit_asy_pop + '<div class="primetextcl" id="e_primetext'+k+'">Primer</div>';
						edit_asy_pop = edit_asy_pop + '<div id="e_revrepdivrn'+k+'" class="getpremier revrepdivr1cl">';
							edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1sub1">';
							
								
								
								if(assay_det_list.isAddedToPlate == true){
								
								
								edit_asy_pop = edit_asy_pop + '<select name="primerval" id="e_primetrn'+k+'" class="tcp4pdivsub2com tcp4pdivsub2text2 primeselect" onchange="edit_prmr_select(this.value,this.id,'+i+','+k+',1)" disabled="disabled">';
								
								if(assay_det_list.probePrimerSets[i].prbe_prime[k].prime_type == "ForwardPrimer"){
									
								edit_asy_pop = edit_asy_pop + '<option value="ForwardPrimer" >Forward</option>';
								edit_asy_pop = edit_asy_pop + '<option value="ReversePrimer">Reverse</option>';
								}else if(assay_det_list.probePrimerSets[i].prbe_prime[k].prime_type == "ReversePrimer"){
									edit_asy_pop = edit_asy_pop + '<option value="ReversePrimer" >Reverse</option>';
								edit_asy_pop = edit_asy_pop + '<option value="ForwardPrimer" >Forward</option>';
								}
								
								
								
								edit_asy_pop = edit_asy_pop + '</select>';
								
								
							edit_asy_pop = edit_asy_pop + '</div>';
							edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1sub2in">';
								
								
								edit_asy_pop = edit_asy_pop + '<div  id="e_rpfn'+k+'">';
									edit_asy_pop = edit_asy_pop + '<input type="text" id="e_inrevpriseqfn'+i+k+'" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g.,ACGTBDHKMNRSVWY" value="'+fwd_seq+'" onblur="check_prob_edit(this.value,this.id,'+i+','+k+',1)" readonly>';
									edit_asy_pop = edit_asy_pop + '<span class="wrapper">?<div class="tooltip1"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
									edit_asy_pop = edit_asy_pop + '<input type="text" id="e_inrevpriconfn'+i+k+'" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="'+assay_fwd_conc+'" onkeyup="updateInput(this.value,this.id,'+i+','+k+',1,0)" readonly>';
									edit_asy_pop = edit_asy_pop + '<span id="e_inrevpriseq_c_fn'+k+'" class="commonnm" >nM</span>';
									edit_asy_pop = edit_asy_pop + '<div id="e_fwd_errn'+k+'" class="err_msg e_fwd_errn'+i+k+'"></div>';
								edit_asy_pop = edit_asy_pop + '</div>';
							edit_asy_pop = edit_asy_pop + '</div>';
							edit_asy_pop = edit_asy_pop + '<div style="display:block;clear:both;"></div>';
						edit_asy_pop = edit_asy_pop + '</div>';
						
								}else{
									
									edit_asy_pop = edit_asy_pop + '<select name="primerval" id="e_primetrn'+k+'" class="tcp4pdivsub2com tcp4pdivsub2text2 primeselect" onchange="edit_prmr_select(this.value,this.id,'+i+','+k+',1)">';
								
								if(assay_det_list.probePrimerSets[i].prbe_prime[k].prime_type == "ForwardPrimer"){
									
								edit_asy_pop = edit_asy_pop + '<option value="ForwardPrimer" >Forward</option>';
								edit_asy_pop = edit_asy_pop + '<option value="ReversePrimer">Reverse</option>';
								}else if(assay_det_list.probePrimerSets[i].prbe_prime[k].prime_type == "ReversePrimer"){
									edit_asy_pop = edit_asy_pop + '<option value="ReversePrimer" >Reverse</option>';
								edit_asy_pop = edit_asy_pop + '<option value="ForwardPrimer" >Forward</option>';
								}
								
								
								
								edit_asy_pop = edit_asy_pop + '</select>';
								
								
							edit_asy_pop = edit_asy_pop + '</div>';
							edit_asy_pop = edit_asy_pop + '<div class="tcp4pdiv1sub2in">';
								
								
								edit_asy_pop = edit_asy_pop + '<div  id="e_rpfn'+k+'">';
									edit_asy_pop = edit_asy_pop + '<input type="text" id="e_inrevpriseqfn'+i+k+'" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g.,ACGTBDHKMNRSVWY" value="'+fwd_seq+'" onblur="check_prob_edit(this.value,this.id,'+i+','+k+',1)">';
									edit_asy_pop = edit_asy_pop + '<span class="wrapper">?<div class="tooltip1"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
									edit_asy_pop = edit_asy_pop + '<input type="text" id="e_inrevpriconfn'+i+k+'" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="'+assay_fwd_conc+'" onkeyup="updateInput(this.value,this.id,'+i+','+k+',1,0)">';
									edit_asy_pop = edit_asy_pop + '<span id="e_inrevpriseq_c_fn'+k+'" class="commonnm" >nM</span>';
									edit_asy_pop = edit_asy_pop + '<div id="e_fwd_errn'+k+'" class="err_msg e_fwd_errn'+i+k+'"></div>';
								edit_asy_pop = edit_asy_pop + '</div>';
							edit_asy_pop = edit_asy_pop + '</div>';
							edit_asy_pop = edit_asy_pop + '<div style="display:block;clear:both;"></div>';
						edit_asy_pop = edit_asy_pop + '</div>';
									
									
									
									
									
								}
						
						
						
						
						
						
						if(assay_det_list.probePrimerSets[i].prbe_prime[k].probe_pribe_count > 0 && assay_det_list.probePrimerSets[i].prbe_prime.length > 2){
								
								
								if(assay_det_list.isAddedToPlate == true || assay_det_list.isPredesigned == true){
								
								
								edit_asy_pop = edit_asy_pop + '<span><a href="javascript://void(0);" style="cursor: pointer;left: -40px !important;bottom: -10px !important;" onclick="close_sub_type('+i+','+k+',1)" class="clsic hideclass"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a></span>';
								}else{
									
									edit_asy_pop = edit_asy_pop + '<span><a href="javascript://void(0);" style="cursor: pointer;left: -40px !important;bottom: -10px !important;" onclick="close_sub_type('+i+','+k+',1)" class="clsic"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a></span>';
									
									
									
								}
							
							
							
							
							}
						edit_asy_pop = edit_asy_pop + '<div style="display:block;clear:both;"></div>';
					edit_asy_pop = edit_asy_pop + '</div>';
					
					
			}
			
			
			
		
			
			edit_asy_pop = edit_asy_pop + '</div>';
			
			
			
			
					edit_asy_pop = edit_asy_pop + '<div id="e_revprirep'+k+'"></div>';
					
					if(assay_det_list.isAddedToPlate == true || assay_det_list.isPredesigned == true){
					edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" onclick="add_sub_types('+i+','+k+',1)" style="width:80px" class="arevrepdivcl hideclass flt clr" id="e_arevrepdivid" style="margin-bottom: 20px;">Add Primer</a>';
					}else{
						
						edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" onclick="add_sub_types('+i+','+k+',1)" style="width:80px" class="arevrepdivcl flt clr" id="e_arevrepdivid" style="margin-bottom: 20px;">Add Primer</a>';
						
					}
					
					
					
					
					
					edit_asy_pop = edit_asy_pop + '<div style="display:block;clear:both;"></div>';
				edit_asy_pop = edit_asy_pop + '</div>';
				edit_asy_pop = edit_asy_pop + '</div>';
				edit_asy_pop = edit_asy_pop + '<div id="e_proprisetid'+k+'"></div>';
				
		}
		
		if(assay_det_list.isAddedToPlate == true || assay_det_list.isPredesigned == true){
		edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" onclick="add_sub_types(0,0,3)" class="areptdiv areptdivact mgt15 hideclass" id="e_areptdivid">Add Probe/Primer Set</a>';
		edit_asy_pop = edit_asy_pop + '</div>';
		
		}
		
		else{
			
			edit_asy_pop = edit_asy_pop + '<a href="javascript://void(0);" onclick="add_sub_types(0,0,3)" class="areptdiv areptdivact mgt15" id="e_areptdivid">Add Probe/Primer Set</a>';
		edit_asy_pop = edit_asy_pop + '</div>';
			
			
			
		}
		
		
		
		
		$('.edit_assay_e').append(edit_asy_pop);
		
		
		
		
	
	
		
	}
	
	function edit_prmr_select(value,id,set_ind,type_ind,type){
		if(type == "1"){
			
			console.log(value);
			assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].prime_type=value;
			assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].change_primer=true;
			assay_det_list.probePrimerSets[set_ind].revPrimers=[];
			assay_det_list.probePrimerSets[set_ind].fwdPrimers=[];
			
			if(assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].id != undefined){
				
				if(assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].prime_type == "ReversePrimer"){
					
					
					
					removed_prime_fwd_assay_id.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].id);
				
				}else{
					
					
					removed_prime_rev_assay_id.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].id);
					
				}
		
			
				
			}
			update_on_chnge_count++;
			for(var i=0;i<assay_det_list.probePrimerSets[set_ind].prbe_prime.length;i++){
				if(assay_det_list.probePrimerSets[set_ind].prbe_prime[i].prime_type == "ReversePrimer"){
					assay_det_list.probePrimerSets[set_ind].revPrimers.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[i]);
				}else{
					assay_det_list.probePrimerSets[set_ind].fwdPrimers.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[i]);
				}
			}
			edit_assay();
		}
	}
	function close_sub_type(set_ind,type_ind,type){
		if(type == "0"){
			if(assay_det_list.probePrimerSets[set_ind].probes[type_ind].id != undefined){
				removed_assay_id.push(assay_det_list.probePrimerSets[set_ind].probes[type_ind].id);
				
			}
			update_on_chnge_count++;
			assay_det_list.probePrimerSets[set_ind].probes.splice(type_ind, 1);
			
			console.log(assay_det_list);
			edit_assay();
		}else if(type == "1"){
			
			
			if(assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].id != undefined){
				
				if(assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].prime_type == "ReversePrimer"){
					
					
					
					removed_prime_rev_assay_id.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].id);
				
				}else{
					
					
					removed_prime_fwd_assay_id.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].id);
					
				}
		
			
				
			}
				update_on_chnge_count++;
			assay_det_list.probePrimerSets[set_ind].prbe_prime.splice(type_ind, 1);
			console.log(assay_det_list.probePrimerSets[set_ind].prbe_prime);
			
			assay_det_list.probePrimerSets[set_ind].revPrimers=[];
			assay_det_list.probePrimerSets[set_ind].fwdPrimers=[];
			for(var i=0;i<assay_det_list.probePrimerSets[set_ind].prbe_prime.length;i++){
				if(assay_det_list.probePrimerSets[set_ind].prbe_prime[i].prime_type == "ReversePrimer"){
					assay_det_list.probePrimerSets[set_ind].revPrimers.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[i]);
				}else{
					assay_det_list.probePrimerSets[set_ind].fwdPrimers.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[i]);
				}
			}
			edit_assay();
			console.log(assay_det_list);
		}else if(type == "3"){
			if(assay_det_list.probePrimerSets[l].type != "new"){
				removed_set_no.push(set_ind);
				
			}
			update_on_chnge_count++;
			assay_det_list.probePrimerSets.splice(set_ind, 1);
			console.log(assay_det_list);
			edit_assay();
		}
		
	}
	function add_sub_types(set_ind,type_ind,type){
		
		if(type == "0" ){
			var item={};
			item.assayID=assay_det_list.id;
			item.concentration="";
			item.dye="6FAM";
			item.order="";
			item.quencher="MGB-NFQ";
			item.sequence="";
			item.setNumber=set_ind;
			item.dup_pob=true;
			assay_det_list.probePrimerSets[set_ind].probes.push(item);
		update_on_chnge_count++;
			edit_assay();
		}else if(type == "1"){
			var item={};
			item.assayID=assay_det_list.id;
			item.concentration="";
			item.dye="";
			item.order="";
			item.sequence="";
			item.setNumber=set_ind;
			item.prime_type="ReversePrimer"
			item.dup_primers=true;
			
			assay_det_list.probePrimerSets[set_ind].prbe_prime.push(item);
			assay_det_list.probePrimerSets[set_ind].revPrimers=[];
			assay_det_list.probePrimerSets[set_ind].fwdPrimers=[];
			for(var i=0;i<assay_det_list.probePrimerSets[set_ind].prbe_prime.length;i++){
				if(assay_det_list.probePrimerSets[set_ind].prbe_prime[i].prime_type == "ReversePrimer"){
					assay_det_list.probePrimerSets[set_ind].revPrimers.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[i]);
				}else{
					assay_det_list.probePrimerSets[set_ind].fwdPrimers.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[i]);
				}
			}
			update_on_chnge_count++;
			edit_assay();
		}else if(type == "3"){
			
		
			var probes = [];
			var item={};
			item.assayID=assay_det_list.id;
			item.concentration="";
			item.dye="6FAM";
			item.order="";
			item.quencher="MGB-NFQ";
			item.sequence="";
			item.setNumber=assay_det_list.probePrimerSets.length;
			item.dup_pob=true;
			probes.push(item);
			
			var revPrimers = [];
			var item1={};
			item1.assayID=assay_det_list.id;
			item1.concentration="";
			item1.dye="";
			item1.order="";
			item1.sequence="";
			item1.setNumber=assay_det_list.probePrimerSets.length;
			item1.prime_type="ReversePrimer"
			item1.dup_primers=true;
			revPrimers.push(item1);
			
			var fwdPrimers = [];
			var item2={};
			item2.assayID=assay_det_list.id;
			item2.concentration="";
			item2.dye="";
			item2.order="";
			item2.sequence="";
			item2.setNumber=assay_det_list.probePrimerSets.length;
			item2.prime_type="ForwardPrimer"
			item2.dup_primers=true;
			fwdPrimers.push(item2);
			update_on_chnge_count++;
			//var set_items = {"probes":}
			
			var getdata = '{"type":"new","probes":'+JSON.stringify(probes)+',"revPrimers": '+JSON.stringify(revPrimers)+',"fwdPrimers": '+JSON.stringify(fwdPrimers)+'}';
			
			
			assay_det_list.probePrimerSets.push(JSON.parse(getdata));
			
		edit_assay();
		
		
		
		}
		//console.log(prbe_prime);
		
	}
	function updateInput(value,id,set_ind,type_ind,type,field_type){
		
		$("#assay_libs1 #newassuid1").prop('disabled', false);
		$("#newassuid").prop('disabled', false);
		$("#newassuid2").prop('disabled', false);
		console.log(value);
		if(field_type == "0"){
			if(value == ''){
				var conc_val = value;
			}else{
				var conc_val = value+" nM";
			}
			
			if(type == "0"){
				assay_det_list.probePrimerSets[set_ind].probes[type_ind].concentration=conc_val;
				console.log(assay_det_list.probePrimerSets[set_ind].probes[type_ind].dup_pob);
				if(assay_det_list.probePrimerSets[set_ind].probes[type_ind].dup_pob != true){
					assay_det_list.probePrimerSets[set_ind].probes[type_ind].update_prob=true;
				}
				update_on_chnge_count++;
			}else if(type == "1"){
				assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].concentration=conc_val;
				
				if(assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].dup_primers != true){
					assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].update_prime=true;
				}
				
				assay_det_list.probePrimerSets[set_ind].revPrimers=[];
			assay_det_list.probePrimerSets[set_ind].fwdPrimers=[];
			for(var i=0;i<assay_det_list.probePrimerSets[set_ind].prbe_prime.length;i++){
				if(assay_det_list.probePrimerSets[set_ind].prbe_prime[i].prime_type == "ReversePrimer"){
					assay_det_list.probePrimerSets[set_ind].revPrimers.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[i]);
				}else{
					assay_det_list.probePrimerSets[set_ind].fwdPrimers.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[i]);
				}
			}
				
				update_on_chnge_count++;
				
				
				
			}
		}else if(field_type == "1"){
			//var conc_val = value+" nM";
			if(type == "0"){
				assay_det_list.probePrimerSets[set_ind].probes[type_ind].dye=value;
				console.log(assay_det_list.probePrimerSets[set_ind].probes[type_ind].dup_pob);
				if(assay_det_list.probePrimerSets[set_ind].probes[type_ind].dup_pob != true){
					assay_det_list.probePrimerSets[set_ind].probes[type_ind].update_prob=true;
				}
			}
			update_on_chnge_count++;
		}else if(field_type == "2"){
			//var conc_val = value+" nM";
			if(type == "0"){
				assay_det_list.probePrimerSets[set_ind].probes[type_ind].quencher=value;
				console.log(assay_det_list.probePrimerSets[set_ind].probes[type_ind].dup_pob);
				if(assay_det_list.probePrimerSets[set_ind].probes[type_ind].dup_pob != true){
					assay_det_list.probePrimerSets[set_ind].probes[type_ind].update_prob=true;
				}
			}
			update_on_chnge_count++;
		}else if(field_type == "3"){
			assay_det_list.assayName=value;
			assy_name_chnge++;
			update_on_chnge_count++;
		}else if(field_type == "4"){
			assay_det_list.geneSymbol=value;
			gene_symb_chnge++;
			update_on_chnge_count++;
		}else if(field_type == "5"){
			assay_det_list.description=value;
			desc_chnge++;
			update_on_chnge_count++;
		}
		console.log(assay_det_list);
	}
	
	

	
	
	
	
	function check_prob_edit(value,id,set_ind,type_ind,type){
	
	/*
	type 0 --- Probe
	type 1 --- reverse primer
	type 2 --- forward primer
	*/
	
	$("#update").prop('disabled', false);
		$("#newassuid").prop('disabled', false);
	var input_id = "";
	var error_idss = "";
	
	if(type == 0){
		input_id = id;
		error_idss = "e_prb_err_c"+set_ind+type_ind;
		
	}else if(type == 1){
		
		
				input_id = id;
				error_idss = "e_fwd_errn"+set_ind+type_ind;
			
		
	}else{
		
				input_id = id;
				error_idss = "e_rev_err"+set_ind+type_ind;
			
		
	}
	$("."+error_idss).text("");
	//var seq = document.getElementById(input_id).value;
	var seq = value;
	seq = seq.toLowerCase();
	
	e_seq_validation(seq,value,id,set_ind,type_ind,type);
	
}
	
	
	
	function e_seq_validation(seq,value,id,set_ind,type_ind,type){
		
		$("#assay_libs1 #newassuid1").prop('disabled', false);
		$("#newassuid").prop('disabled', false);
		$("#newassuid2").prop('disabled', false);
		var error_idss = "";
		if(type == 0){
			error_idss = "e_prb_err_c"+set_ind+type_ind;
		}else if(type == 1){
			error_idss = "e_fwd_errn"+set_ind+type_ind;
		}else{
			error_idss = "e_rev_err"+set_ind+type_ind;
		}
		
		var input_id = id;
	if(seq != ''){
		
			var default_string = e_remove_space(seq, 3);
	var splice_string = default_string.substring(0,45);
	splice_string = splice_string.toLowerCase();
	//var after_space = e_space(splice_string, 3);
	//document.getElementById(id).value = after_space.toUpperCase();
	if(type == 0){
		assay_det_list.probePrimerSets[set_ind].probes[type_ind].sequence=splice_string.toUpperCase();
		console.log(assay_det_list.probePrimerSets[set_ind].probes[type_ind].dup_pob);
		if(assay_det_list.probePrimerSets[set_ind].probes[type_ind].dup_pob != true){
			assay_det_list.probePrimerSets[set_ind].probes[type_ind].update_prob=true;
		}
		update_on_chnge_count++;
	}else if(type == "1"){
		
		assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].sequence=splice_string.toUpperCase();
		if(assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].dup_primers != true){
			assay_det_list.probePrimerSets[set_ind].prbe_prime[type_ind].update_prime=true;
		}
		assay_det_list.probePrimerSets[set_ind].revPrimers=[];
			assay_det_list.probePrimerSets[set_ind].fwdPrimers=[];
			for(var i=0;i<assay_det_list.probePrimerSets[set_ind].prbe_prime.length;i++){
				if(assay_det_list.probePrimerSets[set_ind].prbe_prime[i].prime_type == "ReversePrimer"){
					assay_det_list.probePrimerSets[set_ind].revPrimers.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[i]);
				}else{
					assay_det_list.probePrimerSets[set_ind].fwdPrimers.push(assay_det_list.probePrimerSets[set_ind].prbe_prime[i]);
				}
			}
			update_on_chnge_count++;
	}
	
	
	//console.log(prbe_prime);
	console.log(splice_string);
	
	if(/^[a, g, c, t, b, d, h, k, m, n, r, s, v, w, y]*$/g.test(splice_string)){
		$("#"+input_id).removeClass('err_box');
		
		
		if(splice_string.length < 11){
			//seq_validation(seq,input_id);
			$("."+error_idss).text("This sequence must be at least 11 bases in length");
			$("#"+input_id).addClass('err_box');
			
			slct_chng++;
			reverrno++;
		}else if(splice_string.length >= 11){
			// success for seq
			
			
			
			edit_assay();
		}
	}else if(splice_string.length == 0){
		$("."+error_idss).text("Please Enter sequence");
		$("#"+input_id).addClass('err_box');
		
		
	}else{
		$("."+error_idss).text("Please enter only the following characters in your sequence:  A, G, C, T, B, D, H, K, M, N, R, S, V, W, Y");
		$("#"+input_id).addClass('err_box');
		
		slct_chng++;
		reverrno++;
	}
	

	}
	
}
/* Add space in every 4th charcter for card details function starts */
	function e_space(el, after) {
		var foo = el.split("-").join(""); // remove hyphens
		if (foo.length > 0) {
			foo = foo.match(new RegExp('.{1,3}', 'g')).join(" ");
		}
		return foo;
    }
	
	function e_remove_space(el, after) {
		var foo = el.split(" ").join("");
	  if (foo.length > 0) {
		foo = foo.match(new RegExp('.{1,3}', 'g')).join("");
	  }
	  return foo;
    }
	
    function newpopup(data){
		$('.assaydet').css('visibility','visible');
		$('#ovly_assy').removeClass('hideclass');
		var pop = '';
		pop = pop + '<div class="newpop">';
			pop = pop + '<div class=""><div class="assy_dtls_hdr"><h2 id="asy_dtls" >Assay Details</h2>';
			pop = pop + '</div><span class="cls_pp" onclick="closenewpopup()">Close</span><span id="edt_asy_dtls" class="cls_pp mrgrt20" onclick="edit_assay()">Edit</span></div>';
			pop = pop + '<div class="pdt40 clr "></div>';
			// View assay Details
			pop = pop + '<div class="body view_class" >';
				pop = pop +'<div  class="">';
					/* pop = pop +'<div class="assayname"><h2>Assay Name:</h2><h4>'+data.assayName+'</h4></div>'; */
					var len1 = data.probePrimerSets.length;
					
					
					
					
					pop = pop + '<div id="e_tcp4pdivlogi" class="pop_inr_arnd">';
			pop = pop + '<div class="tcp4pdiv1 assy_det_frst" id="e_tcp4pdiv1id">';
				pop = pop + '<div class="vw6ptext" id="e_add_new_chnge"><h3 style="display: inline-block;color: black;font-family: HelveticaNeue;font-size: 16px;margin: 0;">Assay ID:</h3><span style="color: black;font-family: HelveticaNeue;font-size: 14px;padding-left: 8px;">'+data.assayName+'</span></div>';
				
				
				pop = pop + '<div class="vw6ptext " id="e_tcp6ptext_gene_symbl" style="font-weight:bold;"><h3 style="display: inline-block;color: black;font-family: HelveticaNeue;font-size: 16px;padding: 10px 0;"> Target Name:</h3><span style="color: black;font-family: HelveticaNeue;font-size: 14px;padding-left: 8px;font-weight: normal;">'+data.geneSymbol+'</span></div>';
				
				
				
			pop = pop + '</div>';
			pop = pop + '<div class="tcp4pdiv2 assy_det_frst" id="e_tcp4pdiv2id">';
				pop = pop + '<div class="tcp6ptext" id="splnotes" style="font-weight:bold;display:none;">Special notes about this assay</div>';
				if(data.description == null){
					pop = pop + '';
				}else{
					pop = pop + data.description;
				    $('#splnotes').css('display','block');
				}
				
				
			pop = pop + '</div>';
			pop = pop + '</div>';
			pop = pop + '<div style="clear:both;"></div>';
					
					
					
					
					
					
					
					
					
					
					
					for(i=0;i < data.probePrimerSets.length ;i++){
						console.log(len1);
						var set_inds = i+1;
						var len2= data.probePrimerSets[i];
						
						
						pop = pop +'<div class="bdrcontainer" style="border: 1px solid #c8c8c8;padding-left: 25px;margin-top:23px;position:relative;padding-top: 20px;margin-right: 30px;">';
						/*pop = pop +'<div class="probe"><h2 style="font-weight: bold;font-size: 18px;position:relative">probe/primer set '+set_inds+'</h2></div>';*/
						
						pop = pop +'<span style="/*width: 200px;*/display: inline-block;position: absolute;top: -24px;left:15px;background: #fff;padding:0 11px;"><h2 style="font-weight: bold;font-size: 18px;">probe/primer set'+set_inds+'</h2></span>';
						
						pop= pop + '<h3 style="font-size: 15px;">probe</h3>';
						for(l=0;l<data.probePrimerSets[i].probes.length;l++){
							pop= pop + '<div class="probe">';
							
							pop= pop + '<div class="probeinfo" style="padding-top:10px;">';
							pop = pop +'<span class ="probeseq" style="width: 285px;display: inline-block;word-wrap: break-word;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">Sequence:</h3>'+data.probePrimerSets[i].probes[l].sequence+'</span>';
							
							pop = pop +'<span class ="probeconc" style="padding-left:16px;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">concentration:</h3>'+data.probePrimerSets[i].probes[l].concentration+'</span>';
							
							pop = pop +'<span class ="probdye" style="padding-left:16px;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">dye:</h3>'+data.probePrimerSets[i].probes[l].dye+'</span>';	
							
							pop = pop +'<span class ="probquench" style="padding-left:16px;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">quencher:</h3>'+data.probePrimerSets[i].probes[l].quencher+'</span>';		
						  pop= pop + '</div>';
							pop= pop + '</div>';
						    
						}
						pop= pop + '<h3 style="font-size: 15px;">Forward primers</h3>';
						for(k=0;k<data.probePrimerSets[i].fwdPrimers.length;k++){
							pop= pop + '<div class="fwdprimers">';
							
							pop= pop + '<div class="fwdprimersinfo" style="padding-top:10px;">';
							pop = pop +'<span class ="fwdid" style="width: 285px;display: inline-block;word-wrap: break-word;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">Sequence:</h3>'+data.probePrimerSets[i].fwdPrimers[k].sequence+'</span>';
							pop = pop +'<span class ="fwdconc" style="padding-left:16px;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">concentration:</h3>'+data.probePrimerSets[i].fwdPrimers[k].concentration+'</span>';
						pop= pop + '</div>';
							pop= pop + '</div>';
						   
							
						
						}
						pop= pop + '<h3 style="font-size: 15px;">Reverse primers</h3>';
						for(j=0;j<data.probePrimerSets[i].revPrimers.length;j++){
							pop = pop + '<div class="revprimers" id="count'+j+'">';
							
							if ($('.revprimers').not('#count0')){
								
								$('.revprimers').addClass('.padding-top');
								
							}
							
							
							
							pop = pop + '<div class="revprimersinfo" style="padding-top:10px;">';
							pop = pop +'<span class ="revid" style="width: 285px;display: inline-block;word-wrap: break-word;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">Sequence:</h3>'+data.probePrimerSets[i].revPrimers[j].sequence+'</span>';
							pop = pop +'<span class ="revconc" style="padding-left:16px;"><h3 style="display: inline-block;font-size: 14px;padding-right: 5px;">concentration:</h3>'+data.probePrimerSets[i].revPrimers[j].concentration+'</span>';
						 pop= pop + '</div>';
							pop= pop + '</div>';
						   
							
						
						}
					
					pop = pop + '</div>';
					}
				pop = pop + '</div>';
			pop = pop + '</div>';
			// edit assay htmls
			pop = pop + '<div class="body edit_assay edit_assay_e hideclass"></div>';
			pop = pop + '<div class="body edit_assay hideclass" id="frnwpop" ><input type="submit" value="Update Assay" style="float:left !important;margin-left:0px !important;background:red;color:#fff !important;" onclick="update_assay()" class="lg_out newassucl" id="newassuid" disabled><input type="submit"  value="cancel" class="cancelbutton" id="cancelid1" onclick="cancel_assay()"></div>';
		pop = pop + '</div>';
		
		$('.assaydet').append(pop);
		
		
		
		$('.view_class').removeClass('hideclass');
		$('.edit_assay').addClass('hideclass');
		
		
	}
	
	
	
	
	
	function check_counts(){
		update_count = 0;
		var e_assay_name = document.getElementById("e_assay_name").value;
		var e_gene_symbl = document.getElementById("e_gene_symbl").value;
		var e_assay_nts = document.getElementById("e_assay_nts").value;
		
		if(assy_name_chnge>0){
			update_count++;
		}
					
		if(gene_symb_chnge>0){
			update_count++;
		}
		if(desc_chnge>0){
			update_count++;
		}

		var new_count = 0;
		for(var l=0;l<assay_det_list.probePrimerSets.length;l++){
			if(assay_det_list.probePrimerSets[l].type == "new"){
				new_count ++;
				
			}
		}

		if(new_count > 0){
			update_count++;
		}
					
		//delete full set
		for(var t=0;t<removed_set_no.length;t++){
			update_count++;
		}

		// probe delete, add, update assay function
		for(var g=0;g<removed_assay_id.length;g++){
			update_count++;
		}
					
		// forward delete, add, update assay function
		for(var g1=0;g1<removed_prime_fwd_assay_id.length;g1++){
			update_count++;
		}

		// update probe
		for(var d=0;d<assay_det_list.probePrimerSets.length;d++){
			for(var e=0;e<assay_det_list.probePrimerSets[d].probes.length;e++){
				if(assay_det_list.probePrimerSets[d].probes[e].update_prob == true){
					update_count++;
				}else if(assay_det_list.probePrimerSets[d].probes[e].dup_pob == true){
					update_count++;
				}
			}
		}
					
		// update forward primer
		for(var d=0;d<assay_det_list.probePrimerSets.length;d++){
			for(var e=0;e<assay_det_list.probePrimerSets[d].fwdPrimers.length;e++){
				if(assay_det_list.probePrimerSets[d].fwdPrimers[e].update_prime == true && assay_det_list.probePrimerSets[d].fwdPrimers[e].change_primer != true ){
					update_count++;
				}else if((assay_det_list.probePrimerSets[d].fwdPrimers[e].dup_primers == true) || (assay_det_list.probePrimerSets[d].fwdPrimers[e].update_prime == true && assay_det_list.probePrimerSets[d].fwdPrimers[e].change_primer == true )|| (assay_det_list.probePrimerSets[d].fwdPrimers[e].update_prime == false && assay_det_list.probePrimerSets[d].fwdPrimers[e].change_primer == true )){
					update_count++;
				}
			}
		}

		// reverse delete, add, update assay function
		for(var g1=0;g1<removed_prime_rev_assay_id.length;g1++){
			update_count++;
		}

		// update reverse primer
		for(var d=0;d<assay_det_list.probePrimerSets.length;d++){
			for(var e=0;e<assay_det_list.probePrimerSets[d].revPrimers.length;e++){
				if(assay_det_list.probePrimerSets[d].revPrimers[e].update_prime == true && assay_det_list.probePrimerSets[d].revPrimers[e].change_primer != true ){
					update_count++;
				}else if((assay_det_list.probePrimerSets[d].revPrimers[e].dup_primers == true) || (assay_det_list.probePrimerSets[d].revPrimers[e].update_prime == true && assay_det_list.probePrimerSets[d].revPrimers[e].change_primer == true ) || (assay_det_list.probePrimerSets[d].revPrimers[e].update_prime == false && assay_det_list.probePrimerSets[d].revPrimers[e].change_primer == true )){
					update_count++;
				}
			}
		}
	}
	function update_assay(){
		check_counts();
		
		var update_assy_count = 0;
		$("#e_err_gesl").text("");
		$("#e_gene_symbl").removeClass('err_box');
		$("#e_err_ayne").text("");
		$("#e_assay_name").removeClass('err_box');
		edit_check_valid = 0;
		var e_assay_name = assay_det_list.assayName;
			var e_gene_symbl = assay_det_list.geneSymbol;
			var e_assay_nts = assay_det_list.description;
		if(e_assay_name == ''){
			$("#e_assay_name").addClass('err_box');
			$("#e_err_ayne").text("Please enter assay names");
			edit_check_valid++
		}else{
			if(e_assay_name.length<4 || e_assay_name.length>16){
				$("#e_err_ayne").text("Please enter assay names must be between 4-16 characters");
				$("#e_assay_name").addClass('err_box');
				edit_check_valid++;
			}else{
				if (!/^[0-9a-zA-Z_-]*$/g.test(e_assay_name)) {
					$("#e_err_ayne").text("Assay names contain no spaces or special characters other than _ or -");
					$("#e_assay_name").addClass('err_box');
					edit_check_valid++;
				}
			}
		}
		if(e_gene_symbl == ''){
			$("#e_err_gesl").text("Please enter Gene symbol");
			$("#e_gene_symbl").addClass('err_box');
			edit_check_valid++
		}else{
			if(e_gene_symbl.length>25){
				$("#e_err_gesl").text("Please enter Gene symbol must be between 1-25 characters");
				$("#e_gene_symbl").addClass('err_box');
				edit_check_valid++;
			}else{
				 if (!/^[0-9a-zA-Z_-]*$/g.test(e_gene_symbl)) {
					$("#e_err_gesl").text("Gene symbol contain no spaces or special characters other than _ or -");
						$("#e_gene_symbl").addClass('err_box');
						edit_check_valid++;
				}
			}
		}
		for(var i=0;i<assay_det_list.probePrimerSets.length;i++){
			for(var j=0;j<assay_det_list.probePrimerSets[i].probes.length;j++){
				var prob_id = 'e_tcp4pdivsub2idf'+i+j;
				check_prob_edit_valid(assay_det_list.probePrimerSets[i].probes[j].sequence,prob_id,i,j,0)
			}
			
		}
		for(var n=0;n<assay_det_list.probePrimerSets.length;n++){
		for(var k=0;k<assay_det_list.probePrimerSets[n].prbe_prime.length;k++){
				var prob_prm_id = 'e_inrevpriseqfn'+n+k;
				check_prob_edit_valid(assay_det_list.probePrimerSets[n].prbe_prime[k].sequence,prob_prm_id,n,k,1)
			}
			}
		
		for(var s=0;s<assay_det_list.probePrimerSets.length;s++){
		for(var t=0;t<assay_det_list.probePrimerSets[s].probes.length;t++){
				
				var prob_conc = 'e_tcp4pdivsub2ids'+s+t;
				
				if(assay_det_list.probePrimerSets[s].probes[t].concentration == ""){
					$("#"+prob_conc).addClass('err_box');
					edit_check_valid ++;
				}else{
					
				}
			}
			}
		
		for(var a=0;a<assay_det_list.probePrimerSets.length;a++){
		for(var b=0;b<assay_det_list.probePrimerSets[a].prbe_prime.length;b++){
				
				var prob_prm_conc = 'e_inrevpriconfn'+a+b;
				
				if(assay_det_list.probePrimerSets[a].prbe_prime[b].concentration == ""){
					$("#"+prob_prm_conc).addClass('err_box');
					edit_check_valid ++;
				}else{
					
				}
			}
			}
		
		console.log(edit_check_valid);
		if(edit_check_valid == 0){
			var e_assay_name = assay_det_list.assayName;
			var e_gene_symbl = assay_det_list.geneSymbol;
			var e_assay_nts = assay_det_list.description;
		
			
			
			if(assy_name_chnge>0){
				var getdata = '{"assayName":"'+e_assay_name+'"}';
				$.ajax({
					type: "post",
					headers : { 'Content-Type' : 'application/json' },
					url: 'http://dev.ceino.com:8080/customplating/v1/assay/edit/'+assay_det_list.id,
					data : getdata,
					success: function(data) {
						console.log(data);
						update_assy_count++;
					},
					error: function(data) {
						var error_msg = JSON.parse(data.responseText);
						$("#e_err_ayne").text(error_msg.message);
						/* if(error_msg.message== "Assay name already exist."){
							$("#e_err_ayne").text("Assay name already exists. Please select a new name.");
						} */
					}
				});
			}
			
			if(gene_symb_chnge>0){
				var getdata = '{"geneSymbol":"'+e_gene_symbl+'"}';
				$.ajax({
					type: "post",
					headers : { 'Content-Type' : 'application/json' },
					url: 'http://dev.ceino.com:8080/customplating/v1/assay/edit/'+assay_det_list.id,
					data : getdata,
					success: function(data) {
						console.log(data);
						update_assy_count++;
					},
					error: function(data) {
						var error_msg = JSON.parse(data.responseText)
					}
				});
			}
			if(desc_chnge>0){
				var getdata = '{"description":"'+e_assay_nts+'"}';
				$.ajax({
					type: "post",
					headers : { 'Content-Type' : 'application/json' },
					url: 'http://dev.ceino.com:8080/customplating/v1/assay/edit/'+assay_det_list.id,
					data : getdata,
					success: function(data) {
						console.log(data);
						update_assy_count++;
					},
					error: function(data) {
						var error_msg = JSON.parse(data.responseText)
					}
				});
			}
			
			
			// add a new set of data
			
			var new_count = 0;
			for(var l=0;l<assay_det_list.probePrimerSets.length;l++){
				if(assay_det_list.probePrimerSets[l].type == "new"){
					new_count ++;
				}
			}
			if(new_count > 0){
				console.log(new_count)
				var getdata = '{"numberOfSets": '+assay_det_list.probePrimerSets.length+'}';
						$.ajax({
							type: "post",
							headers : { 'Content-Type' : 'application/json' },
							url: 'http://dev.ceino.com:8080/customplating/v1/assay/edit/'+assay_det_list.id,
							data : getdata,
							success: function(data) {
								console.log(data);
								update_assy_count++;
							},
							error: function(data) {
								var error_msg = JSON.parse(data.responseText)
							}
						});
			}
			
			
			
			console.log(assay_det_list);
			console.log(removed_assay_id);
			//delete full set

for(var t=0;t<removed_set_no.length;t++){
				
				var url = 'http://dev.ceino.com:8080/customplating/v1/assay/'+assay_det_list.id+'/'+removed_set_no[t];
				$.ajax({
					type: "DELETE",
					headers : { 'Content-Type' : 'application/json' },
					url: url,
					success: function(data) {
						console.log(data);
						update_assy_count++;
					},
					error: function(data) {
						}
				});
			}
			// probe delete, add, update assay function
			
			for(var g=0;g<removed_assay_id.length;g++){
				console.log(removed_assay_id[g]);
				var url = 'http://dev.ceino.com:8080/customplating/v1/assay/probe/'+removed_assay_id[g];
				$.ajax({
					type: "DELETE",
					headers : { 'Content-Type' : 'application/json' },
					url: url,
					success: function(data) {
						console.log(data);
						update_assy_count++;
					},
					error: function(data) {
						}
				});
			}
			
			
				// forward delete, add, update assay function
			console.log(removed_prime_fwd_assay_id);
			for(var g1=0;g1<removed_prime_fwd_assay_id.length;g1++){
				console.log(removed_prime_fwd_assay_id[g1]);
				var url = 'http://dev.ceino.com:8080/customplating/v1/assay/forwardprimer/'+removed_prime_fwd_assay_id[g1];
				$.ajax({
					type: "DELETE",
					headers : { 'Content-Type' : 'application/json' },
					url: url,
					success: function(data) {
						console.log(data);
						update_assy_count++;
					},
					error: function(data) {
						}
				});
			}
			// update probe
			for(var d=0;d<assay_det_list.probePrimerSets.length;d++){
				for(var e=0;e<assay_det_list.probePrimerSets[d].probes.length;e++){
					if(assay_det_list.probePrimerSets[d].probes[e].update_prob == true){
						var getdata = '{"concentration": "'+assay_det_list.probePrimerSets[d].probes[e].concentration+'","dye": "'+assay_det_list.probePrimerSets[d].probes[e].dye+'","quencher": "'+assay_det_list.probePrimerSets[d].probes[e].quencher+'","sequence": "'+assay_det_list.probePrimerSets[d].probes[e].sequence+'"}';
						
						
						console.log(getdata)
						$.ajax({
							type: "post",
							headers : { 'Content-Type' : 'application/json' },
							url: 'http://dev.ceino.com:8080/customplating/v1/assay/probe/edit/'+assay_det_list.probePrimerSets[d].probes[e].id,
							data : getdata,
							success: function(data) {
								console.log(data);
								update_assy_count++;
							},
							error: function(data) {
								var error_msg = JSON.parse(data.responseText)
								
							}
						});
						
					}else if(assay_det_list.probePrimerSets[d].probes[e].dup_pob == true){
						
						var getdata = '{"assayID":"'+assay_det_list.probePrimerSets[d].probes[e].assayID+'","concentration": "'+assay_det_list.probePrimerSets[d].probes[e].concentration+'","dye": "'+assay_det_list.probePrimerSets[d].probes[e].dye+'","quencher": "'+assay_det_list.probePrimerSets[d].probes[e].quencher+'","sequence": "'+assay_det_list.probePrimerSets[d].probes[e].sequence+'","setNumber": "'+assay_det_list.probePrimerSets[d].probes[e].setNumber+'"}';
						$.ajax({
							type: "post",
							headers : { 'Content-Type' : 'application/json' },
							url: 'http://dev.ceino.com:8080/customplating/v1/assay/probe/add',
							data : getdata,
							success: function(data) {
								console.log(data);
								update_assy_count++;
							},
							error: function(data) {
								var error_msg = JSON.parse(data.responseText)
							}
						});
					
					}
				}
			}
			
		
			// update forward primer
			for(var d=0;d<assay_det_list.probePrimerSets.length;d++){
				for(var e=0;e<assay_det_list.probePrimerSets[d].fwdPrimers.length;e++){
					if(assay_det_list.probePrimerSets[d].fwdPrimers[e].update_prime == true && assay_det_list.probePrimerSets[d].fwdPrimers[e].change_primer != true ){
						var getdata = '{"concentration": "'+assay_det_list.probePrimerSets[d].fwdPrimers[e].concentration+'","sequence": "'+assay_det_list.probePrimerSets[d].fwdPrimers[e].sequence+'"}';
						$.ajax({
							type: "post",
							headers : { 'Content-Type' : 'application/json' },
							url: 'http://dev.ceino.com:8080/customplating/v1/assay/forwardprimer/edit/'+assay_det_list.probePrimerSets[d].fwdPrimers[e].id,
							data : getdata,
							success: function(data) {
								console.log(data);
								update_assy_count++;
							},
							error: function(data) {
								var error_msg = JSON.parse(data.responseText)
								
							}
						});
					}else if((assay_det_list.probePrimerSets[d].fwdPrimers[e].dup_primers == true) || (assay_det_list.probePrimerSets[d].fwdPrimers[e].update_prime == true && assay_det_list.probePrimerSets[d].fwdPrimers[e].change_primer == true )|| (assay_det_list.probePrimerSets[d].fwdPrimers[e].update_prime == false && assay_det_list.probePrimerSets[d].fwdPrimers[e].change_primer == true )){
						
						var getdata = '{"assayID":"'+assay_det_list.probePrimerSets[d].fwdPrimers[e].assayID+'","concentration": "'+assay_det_list.probePrimerSets[d].fwdPrimers[e].concentration+'","sequence": "'+assay_det_list.probePrimerSets[d].fwdPrimers[e].sequence+'","setNumber": "'+assay_det_list.probePrimerSets[d].fwdPrimers[e].setNumber+'"}';
						$.ajax({
							type: "post",
							headers : { 'Content-Type' : 'application/json' },
							url: 'http://dev.ceino.com:8080/customplating/v1/assay/forwardprimer/add',
							data : getdata,
							success: function(data) {
								console.log(data);
								update_assy_count++;
							},
							error: function(data) {
								var error_msg = JSON.parse(data.responseText)
							}
						});
					
					}
				}
			}
			// reverse delete, add, update assay function
			console.log(removed_prime_rev_assay_id);
			for(var g1=0;g1<removed_prime_rev_assay_id.length;g1++){
				console.log(removed_prime_rev_assay_id[g1]);
				var url = 'http://dev.ceino.com:8080/customplating/v1/assay/reverseprimer/'+removed_prime_rev_assay_id[g1];
				$.ajax({
					type: "DELETE",
					headers : { 'Content-Type' : 'application/json' },
					url: url,
					success: function(data) {
						console.log(data);
						update_assy_count++;
					},
					error: function(data) {
						}
				});
			}
			// update reverse primer
			for(var d=0;d<assay_det_list.probePrimerSets.length;d++){
				for(var e=0;e<assay_det_list.probePrimerSets[d].revPrimers.length;e++){
					if(assay_det_list.probePrimerSets[d].revPrimers[e].update_prime == true && assay_det_list.probePrimerSets[d].revPrimers[e].change_primer != true ){
						
					/* if(assay_det_list.probePrimerSets[d].revPrimers[e].update_prime == true){ */
						var getdata = '{"concentration": "'+assay_det_list.probePrimerSets[d].revPrimers[e].concentration+'","sequence": "'+assay_det_list.probePrimerSets[d].revPrimers[e].sequence+'"}';
						$.ajax({
							type: "post",
							headers : { 'Content-Type' : 'application/json' },
							url: 'http://dev.ceino.com:8080/customplating/v1/assay/reverseprimer/edit/'+assay_det_list.probePrimerSets[d].revPrimers[e].id,
							data : getdata,
							success: function(data) {
								console.log(data);
								update_assy_count++;
							},
							error: function(data) {
								var error_msg = JSON.parse(data.responseText)
								
							}
						});
					/* }else if(assay_det_list.probePrimerSets[d].revPrimers[e].dup_primers == true){ */
						
						}else if((assay_det_list.probePrimerSets[d].revPrimers[e].dup_primers == true) || (assay_det_list.probePrimerSets[d].revPrimers[e].update_prime == true && assay_det_list.probePrimerSets[d].revPrimers[e].change_primer == true ) || (assay_det_list.probePrimerSets[d].revPrimers[e].update_prime == false && assay_det_list.probePrimerSets[d].revPrimers[e].change_primer == true )){
							
						var getdata = '{"assayID":"'+assay_det_list.probePrimerSets[d].revPrimers[e].assayID+'","concentration": "'+assay_det_list.probePrimerSets[d].revPrimers[e].concentration+'","sequence": "'+assay_det_list.probePrimerSets[d].revPrimers[e].sequence+'","setNumber": "'+assay_det_list.probePrimerSets[d].revPrimers[e].setNumber+'"}';
						$.ajax({
							type: "post",
							headers : { 'Content-Type' : 'application/json' },
							url: 'http://dev.ceino.com:8080/customplating/v1/assay/reverseprimer/add',
							data : getdata,
							success: function(data) {
								console.log(data);
								update_assy_count++;
							},
							error: function(data) {
								var error_msg = JSON.parse(data.responseText)
							}
						});
					
					}
				}
			}
			
			
			$("body").append("<div class='successalert success '>Please wait updating</div>");
						   $(".success").center(true);
						   setTimeout(function() {
							
							 $("body").append("<div class='successalert_update success'><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Assay updated successfuly</div>");
							    $(".success").center(true);
							 $(".successalert").remove();
							
							$('.successalert_update').show();
							closenewpopup();
						    if(assay_lib_type == 2){
       assayliblary1();
       
       }
							}, 2000);
			                  
		}
		
		
	
	}

	
	function check_prob_edit_valid(value,id,set_ind,type_ind,type){
	
	
	var input_id = "";
	var error_idss = "";
	
	if(type == 0){
		input_id = id;
		error_idss = "e_prb_err_c"+set_ind+type_ind;
		
	}else if(type == 1){
		input_id = id;
				error_idss = "e_fwd_errn"+set_ind+type_ind;
		
	}else{
				input_id = id;
				error_idss = "e_rev_err"+set_ind+type_ind;
		
	}
	$("."+error_idss).text("");
	//var seq = document.getElementById(input_id).value;
	var seq = value;
	seq = seq.toLowerCase();
	
	e_seq_validation1(seq,value,id,set_ind,type_ind,type);
	
}
	
	
	
	function e_seq_validation1(seq,value,id,set_ind,type_ind,type){
		console.log(seq);
		console.log(type);
		var error_idss = "";
		if(type == 0){
			error_idss = "e_prb_err_c"+set_ind+type_ind;
		}else if(type == 1){
			error_idss = "e_fwd_errn"+set_ind+type_ind;
		}else{
			error_idss = "e_rev_err"+set_ind+type_ind;
		}
		
		var input_id = id;
	if(seq != ''){
		
			var default_string = e_remove_space(seq, 3);
	var splice_string = default_string.substring(0,45);
	splice_string = splice_string.toLowerCase();
	
	
	console.log(splice_string);
	
	if(/^[a, g, c, t, b, d, h, k, m, n, r, s, v, w, y]*$/g.test(splice_string)){
		$("#"+input_id).removeClass('err_box');
		
		
		if(splice_string.length < 11){
			//seq_validation(seq,input_id);
			$("."+error_idss).text("This sequence must be at least 11 bases in length");
			$("#"+input_id).addClass('err_box');
			
			edit_check_valid++;
			console.log(edit_check_valid);
		}else if(splice_string.length >= 11){
			// success for seq
			
		}
	}else if(splice_string.length == 0){
		$("."+error_idss).text("Please Enter sequence");
		$("#"+input_id).addClass('err_box');
		edit_check_valid++;
		console.log(edit_check_valid);
		
	}else{
		$("."+error_idss).text("Please enter only the following characters in your sequence:  A, G, C, T, B, D, H, K, M, N, R, S, V, W, Y");
		$("#"+input_id).addClass('err_box');
		edit_check_valid++;
		console.log(edit_check_valid);
	}
	

	}else{
			$("."+error_idss).text("Please Enter sequence");
		$("#"+input_id).addClass('err_box');
		edit_check_valid++;
		console.log(edit_check_valid);
	}
	
}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	function cancel_assay(){
		$('#asy_dtls').text("Assay Details");
		$('.view_class').removeClass('hideclass');
		$('.edit_assay').addClass('hideclass');
		$('#edt_asy_dtls').removeClass('hideclass');
	}
	function closenewpopup(){
		
		
		
		
	
	 if(assay_lib_type == 2){
		 
		 $('#asy_dtls').text("Assay Details");
		/*$('.assaydet').removeClass('newpopup');*/
		$('.assaydet').css('visibility','hidden');
		$('#ovly_assy').addClass('hideclass');
		$('#assay_libs1 .view_class').addClass('hideclass');
		$('#assay_libs1 .edit_assay').addClass('hideclass');
		 
		 
		 
		 
		 
		 
		 
		 
	 }
	
	else{
		add_assay_type = 0;
		$('#asy_dtls').text("Assay Details");
		/*$('.assaydet').removeClass('newpopup');*/
		$('.assaydet').css('visibility','hidden');
		$('#ovly_assy').addClass('hideclass');
		$('.view_class').addClass('hideclass');
		$('.edit_assay').addClass('hideclass');
		$('.assaydet').html('');
		assayliblary();
		
		
		
	}
	
	
	
	
	}

	
	
	function closenewpopup2(){
		
		
		alert(0);
		
	}
	
	
	
	
	
	function ord_ph(){
 if(document.getElementById("phrm_ord").checked == true){
	 $("#tcp2id1").addClass('hideclass');
	$("#tcp2id2").addClass('hideclass');
	$("#tcp2id3").addClass('hideclass');
	$("#tcp2id4").removeClass('hideclass');
 }else{
  $("#tcp2id1").removeClass('hideclass');
  $("#tcp2id2").removeClass('hideclass');
  $("#tcp2id3").removeClass('hideclass');
  $("#tcp2id4").addClass('hideclass');
 }
}

function well_plates_384_pgx(type){
	 type_of_order = 0;
	 plates_type = '384pgx';
	$("#tcp2pid").addClass("hideclass");
	$("#tcp3pid").removeClass("hideclass");
	$("#quantity_type").addClass("hideclass");
	 var circle = "tcp5tablespan";
	 var table_C = "wdth_ato";
	 
	// create_assay();
	 assay_slt_frmt(type);
	 var subhtml='';
	subhtml = subhtml + '<div class="tlts" style=" float: left;padding: 5px 46px 15px 0px;">Select Plate Type </div>';
	subhtml = subhtml + '<div style=" float: left"><select name="select_plate_type" id="tcp4newpselect" class="tcp4pdivsub2com tcp4pdivsub2text2 tcp6pdivselcls" style="width: auto !important;" onchange="platetype_order()"><option value="384-well PGX">384-well PGX</option></select></div>';
	subhtml = subhtml + '<div style="clear:both"></div>';
	$("#place_ord_plttype").html(subhtml);
	 if(type== 0){
		
	}else{
		restore_cookie();
	}
}
function closepopup1(str,en){

	$("#closepopid1").addClass("hideclass");
	$("#overlayid1").addClass("hideclass");
	$("#closepopid1").addClass("hideclass");
	$("#logpop1").addClass("prevlog");
	$("#pg_header_id").removeClass("pg_header_cl");
	$(".wdth190px ").removeClass("pst_Alg");
	$(".table_flow ").removeClass("table_flow_d");
	$(".table_flow ").removeClass("mgt70");
	pghrid = 1;
	slctd_list_val = 20;
	list_val = 20;
	/*edit_assay1(); */
}







function assayliblary1(){
	
	$('#totasya').text(totsassy);
	/*$(".prevlog").addClass("wdth100p");*/
	if(plates_type == 0){
		var leng_crds = 0;
		if(new_assay_liblary_data.length == 0){
			leng_crds = 0;
		}else{
			var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
				get_rstr_cookie = JSON.parse(get_rstr_cookie);
			if(get_rstr_cookie[0].formats == 384){
							leng_crds = new_assay_liblary_data.length-4;
						}else{
							leng_crds = new_assay_liblary_data.length-1;
						}
			//leng_crds = new_assay_liblary_data.length-1;
		}
		console.log(leng_crds);
				$('#slctassyno').text(leng_crds);
			}else{
				$('#slctassyno').text(new_assay_liblary_data.length);
			}
	
		assay_lib_type = 2;
		assay_library_data = '';
		$("#overlayid1").removeClass("hideclass");
		$("#inner_overlay").removeClass("hideclass");
	
		pghrid = 0;	
		var get_userlist = readCookie('user');
		get_userlist = JSON.parse(get_userlist);
		
			
			var config = '{"Content-Type": "application/json"}';
			var url = 'http://dev.ceino.com:8080/customplating/v1/assay/?userId='+get_userlist[0].id;
			
			$.ajax({
				type: "get",
				headers : { 'Content-Type' : 'application/json' },
				url: url,
				//data : getdata,
				success: function(data) {
				
					assay_library_data = data;
					slctd_list_val = 20;
					create_assay_lib(0,0);
				$('.successalert_update').hide();
				},
				error: function(data) {
					
					
				}
			});	
			
		
								
	};
var ppsetv=2;
function propriset(){
	var proprivar=" ";

						proprivar = proprivar + '<div id="ppset'+ppsetv+'" class="prbset">Probe/Primer Set '+ppsetv+'</div><a href="javascript://void(0);" onclick="closeppsetf('+ppsetv+')" id="closeppset'+ppsetv+'" class="closeatag closeppsc"><img src="./content/dam/LifeTech/global/life-sciences/CellCultureandTransfection/platings/images/close.png"></a>';
						proprivar = proprivar + '<div id="tcp4pdivhid">';
							proprivar = proprivar + '<div class="tcp4pdivsub getproble" id="tcp4pdivsubid'+ppsetv+'">';
								proprivar = proprivar + '<div class="tcp4pdivsub1" id="tcp4pdivsub1id'+ppsetv+'">Probe</div>';
								proprivar = proprivar + '<div class="tcp4pdivsub2">';
									proprivar = proprivar + '<input type="text" id="tcp4pdivsub2idf'+ppsetv+'" name="probe1text" class="tcp4pdivsub2com tcp4pdivsub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="" onblur="check_seq_prob('+ppsetv+',0)">';
									proprivar = proprivar + '<span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
									proprivar = proprivar + '<input type="text" id="tcp4pdivsub2ids'+ppsetv+'"  name="probe1text1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdivsub2text2 textinputcom" placeholder="250">';
									proprivar = proprivar + '<span  id="tcp4pdivsub2ids_s'+ppsetv+'" class="commonnm" >nM</span>';
									proprivar = proprivar + '<select name="FAMVALUE" id="tcp4pdivsub2idt'+ppsetv+'" class="tcp4pdivsub2com tcp4pdivsub2text2"><option value="6FAM">6FAM</option><option value="VIC">VIC</option><option value="TET">TET</option><option value="NED">NED</option><option value="ABY">ABY</option><option value="JUN">JUN</option><option value="other">other</option></select>';
									proprivar = proprivar + '<select  name="MGBVALUE" id="tcp4pdivsub2ido'+ppsetv+'" class="tcp4pdivsub2com tcp4pdivsub2text2"><option value="MGB-NFQ">MGB-NFQ</option><option value="TAMRA">TAMRA</option><option value="QSY">QSY</option></select>';
									proprivar = proprivar + '<div id="prb_err'+ppsetv+'" class="err_msg"></div>';
								proprivar = proprivar + '</div>';
								proprivar = proprivar + '<div style="display:block;clear:both;"></div>';
							proprivar = proprivar + '</div>';
							proprivar = proprivar + '<div id="tcp4pdivsubrep" class="tcp4pdivsubrepcl"></div>';
							proprivar = proprivar + '<a href="javascript://void(0);" onclick="repeat_div('+ppsetv+')" class="areptdiv areptdivact" id="areptdivid">Add Probe</a>';
						proprivar = proprivar + '</div>';
						proprivar = proprivar + '<div class="tcp4pdiv1sub">';
							
							proprivar = proprivar + '<div class="tcp4pdiv1sub2" id="tcp4pdiv1sub2idn'+ppsetv+'">';
								proprivar = proprivar + '<div class="primetextcl" id="primetextn'+ppsetv+'">Primer</div>';
								proprivar = proprivar + '<div id="revrepdivrn'+ppsetv+'" class="getpremier revrepdivr1cl">';
									proprivar = proprivar + '<div class="tcp4pdiv1sub1">';
										proprivar = proprivar + '<select name="primerval" id="primetrn'+ppsetv+'" class="tcp4pdivsub2com tcp4pdivsub2text2 primeselect" onchange="primerselectn('+ppsetv+')"><option value="ReversePrimer">Reverse</option><option value="ForwardPrimer" selected>Forward</option></select>';
									proprivar = proprivar + '</div>';
									proprivar = proprivar + '<div class="tcp4pdiv1sub2in">';
										proprivar = proprivar + '<div class="hideclass" id="rprn'+ppsetv+'">';
											proprivar = proprivar + '<input type="text" id="inrevpriseqn'+ppsetv+'" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="" onblur="check_seq_probn('+ppsetv+',1)">';
											proprivar = proprivar + '<span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
											proprivar = proprivar + '<input type="text" id="inrevpriconn'+ppsetv+'" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="">';
											proprivar = proprivar + '<span  id="inrevpriseq_c_rn'+ppsetv+'" class="commonnm">nM</span>';
											proprivar = proprivar + '<div id="rev_errn'+ppsetv+'" class="err_msg"></div>';
										proprivar = proprivar + '</div>';
										proprivar = proprivar + '<div  id="rpfn'+ppsetv+'">';
											proprivar = proprivar + '<input type="text" id="inrevpriseqfn'+ppsetv+'" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="" onblur="check_seq_probn('+ppsetv+',2)">';
											proprivar = proprivar + '<span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
											proprivar = proprivar + '<input type="text" id="inrevpriconfn'+ppsetv+'" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="">';
											proprivar = proprivar + '<span  id="inrevpriseq_c_fn'+ppsetv+'" class="commonnm">nM</span>';
											proprivar = proprivar + '<div id="fwd_errn'+ppsetv+'" class="err_msg"></div>';
										proprivar = proprivar + '</div>';
									proprivar = proprivar + '</div>';
									proprivar = proprivar + '<div style="display:block;clear:both;"></div>';
								proprivar = proprivar + '</div>';
								proprivar = proprivar + '<div style="display:block;clear:both;"></div>';
							proprivar = proprivar + '</div>';
							proprivar = proprivar + '<div class="tcp4pdiv1sub2" id="tcp4pdiv1sub2id'+ppsetv+'">';
								proprivar = proprivar + '<div class="primetextcl" id="primetext'+ppsetv+'">Primer</div>';
								proprivar = proprivar + '<div id="revrepdivr'+ppsetv+'" class="getpremier revrepdivr1cl">';
									proprivar = proprivar + '<div class="tcp4pdiv1sub1">';
										proprivar = proprivar + '<select name="primerval" id="primetr'+ppsetv+'" class="tcp4pdivsub2com tcp4pdivsub2text2 primeselect" onchange="primerselect('+ppsetv+')"><option value="ReversePrimer">Reverse</option><option value="ForwardPrimer">Forward</option></select>';
									proprivar = proprivar + '</div>';
									proprivar = proprivar + '<div class="tcp4pdiv1sub2in">';
										proprivar = proprivar + '<div id="rpr'+ppsetv+'">';
											proprivar = proprivar + '<input type="text" id="inrevpriseq'+ppsetv+'" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="" onblur="check_seq_prob('+ppsetv+',1)">';
											proprivar = proprivar + '<span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
											proprivar = proprivar + '<input type="text" id="inrevpricon'+ppsetv+'" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="">';
											proprivar = proprivar + '<span id="inrevpriseq_c_r'+ppsetv+'" class="commonnm" >nM</span>';
											proprivar = proprivar + '<div id="rev_err'+ppsetv+'" class="err_msg"></div>';
										proprivar = proprivar + '</div>';
										proprivar = proprivar + '<div class="hideclass" id="rpf'+ppsetv+'">';
											proprivar = proprivar + '<input type="text" id="inrevpriseqf'+ppsetv+'" name="Reversetext" class="tcp4pdivsub2com tcp4pdiv1sub2text1 textinputcom tcp4pdivsub2idf1com" placeholder="e.g., ACGTBDHKMNRSVWY" value="" onblur="check_seq_prob('+ppsetv+',2)">';
											proprivar = proprivar + '<span class="wrapper">?<div class="tooltip"><h3 class="popover-title">Legend</h3><div class="popover-content"><table width="350" cellpadding="0" class="legend-popover"><tbody><tr><td><span class="fnt_nrml">Bases:</span><br>A&nbsp;C&nbsp;G&nbsp;T</td><td><span class="fnt_nrml">Degeneracies:</span><table cellspacing="2" cellpadding="0" class="legend-popover"><tbody><tr><td>B = (GCT)</td><td>R = (AG)</td></tr><tr><td>D = (AGT)</td><td>S = (GC)</td></tr><tr><td>H = (ACT)</td><td>V = (AGC)</td></tr><tr><td>K = (GT)</td><td>W = (AT)</td></tr><tr><td>M = (AC)</td><td>Y = (CT)</td></tr><tr><td>N = (AGCT)</td></tr></tbody></table></td></tr></tbody></table></div></div></span>';
											proprivar = proprivar + '<input type="text" id="inrevpriconf'+ppsetv+'" name="Reversetext1" class="txt_inpt_sub2 tcp4pdivsub2com tcp4pdiv1sub2text2 textinputcom" placeholder="900" value="">';
											proprivar = proprivar + '<span  id="inrevpriseq_c_f'+ppsetv+'" class="commonnm" >nM</span>';
											proprivar = proprivar + '<div id="fwd_err'+ppsetv+'" class="err_msg"></div>';
										proprivar = proprivar + '</div>';
									proprivar = proprivar + '</div>';
									proprivar = proprivar + '<div style="display:block;clear:both;"></div>';
								proprivar = proprivar + '</div>';
								proprivar = proprivar + '<div style="display:block;clear:both;"></div>';
							proprivar = proprivar + '</div>';
							proprivar = proprivar + '<div id="revprirep"></div>';
							proprivar = proprivar + '<a href="javascript://void(0);" onclick="revrepeat_div('+ppsetv+')" style="width:80px" class="arevrepdivcl" id="arevrepdivid">Add Primer</a>';
							proprivar = proprivar + '<div style="display:block;clear:both;"></div>';
						proprivar = proprivar + '</div>';
						
					$("#proprisetid").append($("<div class='probesset'>"+proprivar+"</div>").addClass("proprisetsubcl"+ppsetv+""));
					var ppsetvid = ".proprisetsubcl"+ppsetv;
					$(ppsetvid).attr('id','proprisetsubid'+ppsetv+'');
	ppsetv++;
	
}
function closeppsetf(vppset){
			var ppsnid = ".proprisetsubcl" + vppset;
			$(ppsnid).remove();
			var idpps1 = vppset+1;
			//alert(idpps1);
			for(var jppsd = idpps1;jppsd <= ppsetv;jppsd++){
				var idpps2 = jppsd - 1;
				var did0 = "#ppset" + jppsd;
				var did = "#tcp4pdivsub1id" + jppsd;
				var did1 = "#rephdivid" + jppsd;
				var did2 = "#tcp4pdivsubid" + jppsd;
				var did3 = "#tcp4pdivsub2id" + jppsd;
				var did4 = "#tcp4pdivsub2idf" + jppsd;
				var did5 = "#tcp4pdivsub2ids" + jppsd;
				var did6 = "#tcp4pdivsub2idt" + jppsd;
				var did7 = "#tcp4pdivsub2ido" + jppsd;
				var did8 = "#closeatagid" + jppsd;
				var did9 = "#tcp4pdivsub2ids_s"+jppsd;
				var did10 = "#prb_err" + jppsd;
				var did11 = "#closeppset" + jppsd;
				var did12 = "#proprisetsubid" + jppsd;
				var rdid = "#inrevpriseq"+jppsd;
				var rdid1 = "#inrevpricon"+jppsd;
				var rdid2 = "#closeatagid"+jppsd;
				var rdid3 = "#reprepdivid"+jppsd;
				var rdid4 = "#inrevpriseqf"+jppsd;
				var rdid5 = "#inrevpriconf"+jppsd;
				var rdid6 = "#revrepdivr"+jppsd;
				var rdid8 = "#primetr"+jppsd;
				var rdid10 = "#tcp4pdiv1sub2id"+jppsd;
				var rdid11 = "#rpr"+jppsd;
				var rdid12 = "#rpf"+jppsd;
				var rdid13 = "#primetext"+jppsd;
				var rdid14 = "#inrevpriseq_c_r"+jppsd;
				var rdid15 = "#inrevpriseq_c_f"+jppsd;
				var rdid16 = "#rev_err"+jppsd;
				var rdid17 = "#fwd_err"+jppsd;
				$(did12).attr('class','proprisetsubcl'+idpps2+'');
				$(did12).attr('id','proprisetsubid'+idpps2+'');
				$(did11).attr('onclick','closeppsetf('+idpps2+')');
				$(did11).attr('id','closeppset'+idpps2+'');
				$(did0).html("Probe/Primer Set "+idpps2+"");
				$(did0).attr('id','ppset'+idpps2+'');
				
				$(did0).attr('class','prbset');
				$(did9).attr('id','tcp4pdivsub2ids_s'+idpps2+'');
				$(did).attr('id','tcp4pdivsub1id'+idpps2+'');
				$(did1).attr('id','rephdivid'+idpps2+'');
				$(did2).attr('id','tcp4pdivsubid'+idpps2+'');
				$(did3).attr('id','tcp4pdivsub2id'+idpps2+'');
				$(did4).attr('onblur','check_seq_prob('+idpps2+',0)');
				$(did4).attr('id','tcp4pdivsub2idf'+idpps2+'');
				$(did5).attr('id','tcp4pdivsub2ids'+idpps2+'');
				$(did6).attr('id','tcp4pdivsub2idt'+idpps2+'');
				$(did7).attr('id','tcp4pdivsub2ido'+idpps2+'');
				$(did8).attr('onclick','close_atag('+idpps2+')');
				$(did8).attr('id','closeatagid'+idpps2+'');
				$(did10).attr('id','prb_err'+idpps2+'');
				$(rdid).attr('onblur','check_seq_prob('+idpps2+',1)');
				$(rdid).attr('id','inrevpriseq'+idpps2+'');
				$(rdid1).attr('id','inrevpricon'+idpps2+'');
				$(rdid2).attr('onclick','close_areptag('+idpps2+')');
				$(rdid2).attr('id','closeatagid'+idpps2+'');
				$(rdid3).attr('class','revrepdiv'+idpps2+'');
				$(rdid3).attr('id','reprepdivid'+idpps2+'');
				$(rdid4).attr('onblur','check_seq_prob('+idpps2+',2)');
				$(rdid4).attr('id','inrevpriseqf'+idpps2+'');
				$(rdid5).attr('id','inrevpriconf'+idpps2+'');
				$(rdid14).attr('id','inrevpriseq_c_r'+idpps2+'');
				$(rdid15).attr('id','inrevpriseq_c_f'+idpps2+'');
				$(rdid6).attr('id','revrepdivr'+idpps2+'');
				$(rdid8).attr('onchange','primerselect('+idpps2+')');
				$(rdid8).attr('id','primetr'+idpps2+'');
				$(rdid10).attr('id','tcp4pdiv1sub2id'+idpps2+'');
				$(rdid11).attr('id','rpr'+idpps2+'');
				$(rdid12).attr('id','rpf'+idpps2+'');
				$(rdid13).attr('id','primetext'+idpps2+'');
				$(rdid16).attr('id','rev_err'+idpps2+'');
				$(rdid17).attr('id','fwd_err'+idpps2+'');
			}
ppsetv--;
}
var addcount = 0;
$( "#tcpnapb2" ).click(function() {
  addcount = 1;
});
$( "#tcp4pb3" ).click(function() {
  addcount = 0;
});
function slt_final_html(idorder){
 $("#tcp6ptableid").addClass("hideclass");
 $("#tcp3pid").addClass("hideclass");
 $("#tcpfinalpid").removeClass("hideclass");
 var assy_slt_frmt = '';
 assy_slt_frmt = assy_slt_frmt + '<h2 class="tcpph2">Specialty Cards or Plates <span class="lg_out" onclick="logout()">Logout</span><span class="lg_out" onclick="can_ord()">Home</span></h2>';
 
 if(plates_type == 96){
  assy_slt_frmt = assy_slt_frmt + '<span class="tcpcomphs" >New Configuration - TaqMan® Array Plate (96-well)</span>';
 }else if(plates_type == 384){
  assy_slt_frmt = assy_slt_frmt + '<span class="tcpcomphs">New Configuration - TaqMan® Array Plate (384-well)</span>';
 }else if(plates_type == '384pgx'){
  assy_slt_frmt = assy_slt_frmt + '<span class="tcpcomphs">New Configuration - TaqMan® Array Plate (384-well PGx)</span>';
  $("#tcp4pb2").html("Select from PGx Assay Library");
  $("#386pgsdivplatetype").html("");
  $("#tcp4pb3").addClass("hideclass");
 }else{
  assy_slt_frmt = assy_slt_frmt + '<span class="tcpcomphs"></span>';
 }
 
 assy_slt_frmt = assy_slt_frmt + '<div style="font-size:17px;margin-top:20px;text-align:center;"><img src="'+DNAPREP_PATH+'/images/tick.png" style=""><h1>Quote submitted successfully</h1></div>';
 
 assy_slt_frmt = assy_slt_frmt + '<div style="font-size:17px;margin-top:20px;">	Your request has been submitted successfully, and we will provide you with a quote and ordering instructions within 1-2 business days. When you are ready to order, please make sure to reference your request ID below.</div>';
 assy_slt_frmt = assy_slt_frmt + '<div style="font-size:17px;margin-top:20px;">Request ID: '+idorder+'</div>';
 $("#tcpfinalpid").html(assy_slt_frmt);
 $("#inner_overlay").addClass("hideclass");
  window.scrollTo(0, 0);
}
function remdelass(){
	$("#closepopid2").removeClass("hideclass");
	$("#overlayid").removeClass("hideclass");
}
function remdelasscl(){
	$("#closepopid2").addClass("hideclass");
	$("#overlayid").addClass("hideclass");
	$('#assay_libs').find('input[type=checkbox]:checked').removeAttr('checked');
	$("#tcpnapb3").addClass("hideclass");
	check_assys_list = [];
	assylstid = [];
}
function remdelasscldel(){
	
	var check_assys_list = [];
	
	for(var i=D_start; i<D_end;i++){
		
		var checkid = "tcp4pcheckid"+i;
		
		if ($('#' + checkid).is(":checked") && assay_library_data[i].isAddedToPlate == false) 	{
		
			check_assys_list.push(i);
		} 
		
	}
	
	delete_assay_fn(check_assys_list);
	$("#tcpnapb3").addClass("hideclass");
}



function checkrmvassy(assy,num){
	
	$("#poiku").show();	
	console.log(arryid);
	if($(num).prop('checked') == true){
		
		var id = new_assay_liblary_data[assy].id
		
		
		arryid.push(id);
	}else{
		var idg = new_assay_liblary_data[assy].id
		
		
		$("#poiku1").hide();	
		$("#rmvol").attr('checked', false);
		for(var k = 0; k < arryid.length; k++){
			if(idg == arryid[k]){
				arryid.splice(k,1);
				//arryid.splice(k,1);
			}
		}
		
	}
	console.log(arryid);
	if($('.nuyhjkl:checked').length == 0){
		$("#poiku").hide();	
	}
}

function select_all(num){
	
	
		
	
	if($(num).prop('checked') == true){
		console.log(assay_library_data);
		$("#inner_overlay").removeClass("hideclass");
		add_asy_cnt = 1;
		new_assay_liblary_data = [];
		assay_indx_lists = [];
		 console.log(new_assay_liblary_data.length);
		 console.log(no_of_assays);
		for(var j=0;j<assay_library_data.length;j++){
			//console.log($("#add_arr"+j));
		//	var obj = $("#add_arr"+j);
		if(new_assay_liblary_data.length < no_of_assays ){
			var obj = document.getElementById("add_arr"+j);
			 console.log(obj);
			$("#add_arr"+j).addClass('nt_allw');
			 
			console.log(obj);
			add_asy_arry(obj,j)
		}
			
		}
		assayliblary1();
		
	}else{
		for(var n=0;n<new_assay_liblary_data.length;n++){
			var obj1 = document.getElementById("add_arr"+n);
			$(obj1).removeClass('nt_allw').attr('disabled',false);
			console.log(obj1);
		}
		remasslibnew(-1);
		assayliblary1();
	}
	
	
}
function select_all_export(num,ending,starting){
 $("#inner_overlay_1").removeClass("hideclass");
 
 
 if($(num).prop('checked') == true){
  assylstid = [];
  for(var i=starting; i<=ending;i++){
   
   $("#tcp4pcheckid"+i).attr('checked', true);
  checkford(ending,starting,assay_library_data[i].id,"tcp4pcheckid"+i,"1")
  }
  
 }else{
  for(var i=starting; i<=ending;i++){
   
   $("#tcp4pcheckid"+i).attr('checked', false);
   assylstid = [];
 $("#tcpnapb3").addClass("hideclass");
 $("#exportbtn").addClass("hideclass");
  
  }
  $("#inner_overlay_1").addClass("hideclass");
 }
 
 
}
var arrayname = [];
function remngh(){
	arrayname = [];
	console.log(arryid);
	for(var k = 0; k <= arryid.length; k++){
			var assay_id = arryid[k];
			
			for(var p = 0; p < new_assay_liblary_data.length; p++){
				if(arryid[k] == new_assay_liblary_data[p].id){
					arrayname.push(new_assay_liblary_data[p].assayName);
				}
			}
			
		}
		
		
		var assy_name_pop = "";
		for(var i=0; i<=arrayname.length-1;i++){
			assy_name_pop = assy_name_pop + '<span style="font-weight:600">'+arrayname[i];
			if(i != arrayname.length-1){
				assy_name_pop = assy_name_pop +', ';
			}
			
			assy_name_pop = assy_name_pop + ' </span>';
			$("#remvnassy").html(assy_name_pop);
		}
		
		
	$("#rmve_select_assaydd").removeClass('hideclass');
	$("#remove_sltd_assaypop").attr('onclick','remvassy()');
	$("#overlayid").removeClass('hideclass');
}



function remvassy(){
	$("#rmve_select_assaydd").addClass('hideclass');
	$("#overlayid").removeClass('hideclass');
	if(arryid.length == 0){
		new_assay_liblary_data=[];
		poptdindex=[];
		assay_indx_lists=[];
		$("#popdatagettable").html("");
		/* $("#popdatagettable").html("<div style='font-size:17px;'>Add new assay or Select from liblary3</div>"); */
		$("#counts_assays").html('');
		
		$("#tcp4pb3").removeClass('nt_allw').attr('disabled',false);
		add_asy_cnt=0;
		clse_rmasy_pop();
		restore_cookie();
	}else{
		var index = '';
	var arryid_temp = arryid;
	for(var h = 0; h < asgnd_asy.length; h++){
		for(var t = 0; t < arryid.length; t++){
			if(asgnd_asy[h].assay_id == arryid[t]){
			
				for(var m=0;m<asgnd_asy[h].location.length;m++){
					var left_side = asgnd_asy[h].location[m].substring(0,1);
					var lft_ind = alfa.indexOf(left_side);
					var rgt_side = asgnd_asy[h].location[m].substring(1,asgnd_asy[h].location[m].length);
					
					$('#tcp5tabledid'+lft_ind+'a'+rgt_side+' .tcp5tablespan_96').css("backgroundColor","#ffffff");
					$('#tcp5tabledid'+lft_ind+'a'+rgt_side+' .tcp5tablespan_96 .num_vw').removeClass("hideclass");
					$('#tcp5tabledid'+lft_ind+'a'+rgt_side+' .tcp5tablespan_96 .t_icon').addClass("hideclass");
					$('#tcp5tabledid'+lft_ind+'a'+rgt_side).removeClass("bg_blue");
					$('#tcp5tabledid'+lft_ind+'a'+rgt_side+' .hvr').removeClass("wrpooor");
					$('#tcp5tabledid'+lft_ind+'a'+rgt_side+' .hvr').removeClass("wrpooor1");
					$('#tcp5tabledid'+lft_ind+'a'+rgt_side+' .tooltip').addClass("hideclass");
				}
			}
		}
	}
	
	var temp_asy = [];
	for(var l=0;l<arryid_temp.length;l++){
	for(var n=0;n<asgnd_asy.length;n++){
	
	
			if(asgnd_asy[n].assay_id == arryid_temp[l]){
				asgnd_asy.splice(n,1);
				//temp_asy.push(asgnd_asy[n]);
			}
		}
		}
		
		console.log(asgnd_asy);
		//asgnd_asy = temp_asy
		for(var m=0;m<new_assay_liblary_data.length;m++){
			$("#tcp5divcheck"+m).attr("disabled", true);
		}
		$("#tcp5pb3").addClass('nt_allw').attr('disabled',true);
		delete_assy_config = -1;
		
		
		var get_rstr_cookie = LZString.decompress(localStorage.getItem('new_order'));
		get_rstr_cookie = JSON.parse(get_rstr_cookie);
		console.log(new_assay_liblary_data);
		var temp_ctrl = [];
		for(var k = 0; k <= arryid.length; k++){
			var assay_id = arryid[k];
			if(get_rstr_cookie[0].formats == 12 && get_rstr_cookie[0].plates_type == 0){
				for(var p = 0; p < new_assay_liblary_data.length; p++){
					if(arryid[k] == new_assay_liblary_data[p].id){
						new_assay_liblary_data.splice(p, 1);
						poptdindex.splice(p, 1);
					}
				}
				if(assay_indx_lists.indexOf(assay_id) != -1){
					var indx_val = assay_indx_lists.indexOf(assay_id);
					assay_indx_lists.splice(indx_val,1);
				}
				for(var m = 0; m < new_assay_liblary_data.length; m++){
					if(1 == new_assay_liblary_data[m].assay_type){
						temp_ctrl.push(new_assay_liblary_data[m]);
						new_assay_liblary_data.splice(m, 1);
					}
				}
				if(assay_indx_lists.indexOf(temp_ctrl[0].id) != -1){
					var indx_val = assay_indx_lists.indexOf(temp_ctrl[0].id);
					assay_indx_lists.splice(indx_val,1);
				}
				if(new_assay_liblary_data.length <= 5){
					new_assay_liblary_data.push(temp_ctrl[0]);
					assay_indx_lists.push(temp_ctrl[0].id);
				}else{
					new_assay_liblary_data.insert(5, temp_ctrl[0]);
					assay_indx_lists.insert(5, temp_ctrl[0].id);
				}
				console.log(new_assay_liblary_data);
			}else if((get_rstr_cookie[0].formats == 16 && get_rstr_cookie[0].plates_type == 0)||(get_rstr_cookie[0].formats == 32 && get_rstr_cookie[0].plates_type == 0)||(get_rstr_cookie[0].formats == 64 && get_rstr_cookie[0].plates_type == 0)){
				for(var p = 0; p < new_assay_liblary_data.length; p++){
					if(arryid[k] == new_assay_liblary_data[p].id){
						new_assay_liblary_data.splice(p, 1);
						poptdindex.splice(p, 1);
					}
				}
				if(assay_indx_lists.indexOf(assay_id) != -1){
					var indx_val = assay_indx_lists.indexOf(assay_id);
					assay_indx_lists.splice(indx_val,1);
				}
				for(var m = 0; m < new_assay_liblary_data.length; m++){
					if(1 == new_assay_liblary_data[m].assay_type){
						temp_ctrl.push(new_assay_liblary_data[m]);
						new_assay_liblary_data.splice(m, 1);
					}
				}
				if(assay_indx_lists.indexOf(temp_ctrl[0].id) != -1){
					var indx_val = assay_indx_lists.indexOf(temp_ctrl[0].id);
					assay_indx_lists.splice(indx_val,1);
				}
				if(new_assay_liblary_data.length <= 3){
					new_assay_liblary_data.push(temp_ctrl[0]);
					assay_indx_lists.push(temp_ctrl[0].id);
				}else{
					new_assay_liblary_data.insert(3, temp_ctrl[0]);
					assay_indx_lists.insert(3, temp_ctrl[0].id);
				}
				console.log(new_assay_liblary_data);
			}else if((get_rstr_cookie[0].formats == 48 && get_rstr_cookie[0].plates_type == 0)||(get_rstr_cookie[0].formats == 24 && get_rstr_cookie[0].plates_type == 0)||(get_rstr_cookie[0].formats == "96a" && get_rstr_cookie[0].plates_type == 0)||(get_rstr_cookie[0].formats == "96b" && get_rstr_cookie[0].plates_type == 0)||(get_rstr_cookie[0].formats == 192 && get_rstr_cookie[0].plates_type == 0)){
				for(var p = 0; p < new_assay_liblary_data.length; p++){
					if(arryid[k] == new_assay_liblary_data[p].id){
						new_assay_liblary_data.splice(p, 1);
						poptdindex.splice(p, 1);
					}
				}
				if(assay_indx_lists.indexOf(assay_id) != -1){
					var indx_val = assay_indx_lists.indexOf(assay_id);
					assay_indx_lists.splice(indx_val,1);
				}
				for(var m = 0; m < new_assay_liblary_data.length; m++){
					if(1 == new_assay_liblary_data[m].assay_type){
						temp_ctrl.push(new_assay_liblary_data[m]);
						new_assay_liblary_data.splice(m, 1);
					}
				}
				if(assay_indx_lists.indexOf(temp_ctrl[0].id) != -1){
					var indx_val = assay_indx_lists.indexOf(temp_ctrl[0].id);
					assay_indx_lists.splice(indx_val,1);
				}
				if(new_assay_liblary_data.length <= 10){
					new_assay_liblary_data.push(temp_ctrl[0]);
					assay_indx_lists.push(temp_ctrl[0].id);
				}else{
					new_assay_liblary_data.insert(10, temp_ctrl[0]);
					assay_indx_lists.insert(10, temp_ctrl[0].id);
				}
				console.log(new_assay_liblary_data);
			}else{
				for(var p = 0; p < new_assay_liblary_data.length; p++){
					if(arryid[k] == new_assay_liblary_data[p].id){
						new_assay_liblary_data.splice(p, 1);
						poptdindex.splice(p, 1);
					}
				}
				
				if(assay_indx_lists.indexOf(assay_id) != -1){
					var indx_val = assay_indx_lists.indexOf(assay_id);
					assay_indx_lists.splice(indx_val,1);
				}
			}
			
			
		}
		
		
		
		
		arryid = [];
		add_asy_cnt=0;
		restore_cookie();
	}
	if(new_assay_liblary_data==''){
		$("#popdatagettable").html("");
		/* $("#popdatagettable").html("<div style='font-size:17px;'>Add new assay or Select from liblary4</div>"); */
		$("#counts_assays").html('');
		
			$("#tcp4pb3").removeClass('nt_allw').attr('disabled',false);
		
		clse_rmasy_pop();
	}else{
		
		$("#poiku1").hide();
		$("#poiku").hide();
		var assay_lib_new = "";
		assay_lib_new = assay_lib_new + '<table id="sort" class="table select_assy">';
				assay_lib_new = assay_lib_new + '<tr>';
			assay_lib_new = assay_lib_new + '<th class="tcp4ptbtdth0  headcol1" style="padding-left:0 !important;"></th>';
			assay_lib_new = assay_lib_new + '<th class="  tcp4ptbtdth1"><div style="cursor:pointer;text-align:left;padding-left: 10px;"><input id="rmvol" type="checkbox" name="rmolname" class="tcp4tbtdth1ic" onclick="checkallremve()"/><span class="slt_all_lbl">Select All</span></div></th>';
			assay_lib_new = assay_lib_new + '<th class="secondcol1 tcp4ptbtdth1" style="">Assay ID / Name</th>';
			
			assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Target Name</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Special Notes</th>';
			assay_lib_new = assay_lib_new + '<th class=" secondcol1 tcp4ptbtdth1">Date created</th>';
			
		assay_lib_new = assay_lib_new + '</tr>';
			var stpoplib = new_assay_liblary_data.length-1;
			var enpoplib = 0;
			var srl = 0;
			assay_lib_new = assay_lib_new + '<tbody class="srt_table">';
			for(var i=0; i<=new_assay_liblary_data.length-1;i++){
				if(new_assay_liblary_data[i].assay_type == 0){
					srl ++;
				if(new_assay_liblary_data[i].createdAt != null){
					var myDate = new Date(new_assay_liblary_data[i].createdAt);
				}else{
					var myDate = new Date();
					myDate.setDate(myDate.getDate() - 1);
					
				}
				
				assay_lib_new = assay_lib_new + '<tr>';
					assay_lib_new = assay_lib_new + '<td class="tcp4ptbtdth0 index" id="ind'+i+'" style="padding-left:0 !important;">';
						var serialno = srl;
						assay_lib_new = assay_lib_new + serialno;
						
					assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class="  tcp4ptbtdth1" style="text-align:start;">';
						assay_lib_new = assay_lib_new + '<div style="padding-left: 10px;width:30px;cursor:pointer;"><input type="checkbox" name="rmvassy" class="tcp4tbtdth1ic nuyhjkl" onclick="checkrmvassy('+i+',this)"/></div>';
					assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class="secondcol1 tcp4ptbtdth1" style="padding-left:0 !important;">';
						//assay_lib_new = assay_lib_new + '<input type="checkbox" name="myassay" value="" class="tcp4tbtdth1ic">';
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n asy_name">'+new_assay_liblary_data[i].assayName+'</span>';
					assay_lib_new = assay_lib_new + '</td>';
					
					assay_lib_new = assay_lib_new + '<td class=" secondcol1 tcp4ptbtdth1">';
						//assay_lib_new = assay_lib_new + '';
						if(new_assay_liblary_data[i].geneSymbol != null){
					assay_lib_new = assay_lib_new + new_assay_liblary_data[i].geneSymbol;
				}else{
					//assay_lib_new = assay_lib_new + new_assay_liblary_data[i].geneSymbol;
				}
					assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class="secondcol1 tcp4ptbtdth1">';
					if(new_assay_liblary_data[i].description != null){
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+new_assay_liblary_data[i].description+'</span>';
					}else{
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n"></span>';
					}
				assay_lib_new = assay_lib_new + '</td>';
					assay_lib_new = assay_lib_new + '<td class="secondcol1 tcp4ptbtdth1">';
						assay_lib_new = assay_lib_new + '<span class="tbl_as_n">'+(myDate.getMonth() + 1)+ "/" + myDate.getDate() + "/" + myDate.getFullYear()+'</td>';
					
				assay_lib_new = assay_lib_new + '</tr>';
			}
			}
			assay_lib_new = assay_lib_new + '</tbody>';
			assay_lib_new = assay_lib_new + '</table>';
			$("#popdatagettable").html(assay_lib_new);
			if(plates_type == 0){
				counts_assay_crd();
			}else{
				counts_assay();
			}
			
		sort_assy_table();
			
			if(new_assay_liblary_data.length < no_of_assays){
			$("#tcp4pb3").removeClass('nt_allw').attr('disabled',false);
		}
			clse_rmasy_pop();
	}
}

function checkallremve(){
	arryid=[];
	$("#poiku").hide();
	
	var s = $('.srt_table input[type="checkbox"]').length;
	for(var i=0;i<s;i++){
				var id = new_assay_liblary_data[i].id
				arryid.push(id);
			}
	 $('#popdatagettable').find(':checkbox').each(function(){
        jQuery(this).attr('checked', $('#rmvol').is(':checked'));
		$("#poiku1").show();	
		if($('.nuyhjkl:checked').length == 0){
			$("#poiku1").hide();	
		}
    });
	
	if(document.getElementById("rmvol").checked == false){
		arryid=[];
	}
	console.log(arryid);
}

function rsomall(){
	$("#rmve_select_assay").removeClass('hideclass');
	$("#remove_sltd_assay").attr('onclick','remasslibnew(-1)');
	$("#overlayid").removeClass('hideclass');
}



function helpbtn4(){
	$("#helpic4").removeClass("hideclass");
}
function helpbtn1(){
	$("#helpic1").removeClass("hideclass");
}
function helpbtn2(){
	$("#helpic2").removeClass("hideclass");
}
function helpbtn3(){
	$("#helpic3").removeClass("hideclass");
}
function closehelpup(){
	
	$("#helpic1").addClass("hideclass");
	$("#helpic2").addClass("hideclass");
	$("#helpic3").addClass("hideclass");
	$("#helpic4").addClass("hideclass");
}

	jQuery('#ph_plce').keyup(function () { 
		this.value = this.value.replace(/[^0-9\.]/g,'');
	});

jQuery('#ent_quan').keyup(function () { 
		this.value = this.value.replace(/[^0-9\.]/g,'');
	});


	
	

	
	
	
	
function delete_assay_fn(check_assys_list){
	
	if(check_assys_list.length <= 0){
		assylstid = [];
	 assayliblary();
	 remdelasscl();
	}else{
		for(var j=0;j<check_assys_list.length;j++){
		
	var config = '{"Content-Type": "application/json"}';
   var url = 'http://dev.ceino.com:8080/customplating/v1/assay/'+assay_library_data[check_assys_list[j]].id;
   
   $.ajax({
    type: "DELETE",
    headers : { 'Content-Type' : 'application/json' },
    url: url,
   
    success: function(data) {
		
    
	 if(j == check_assys_list.length){
		 $("#closepopid2").addClass("hideclass");
		 $("#overlayid").addClass("hideclass");
		  $("body").append("<div class='successalert success '><span class='checkmark'><div class='checkmark_circle'></div> <div class='checkmark_stem'></div><div class='checkmark_kick'></div></span>Assay Deleted successfuly</div>");
	   $(".success").center(true);
	   setTimeout(function() {
		$(".successalert").remove();
	   }, 2000);
	    remdelasscl()
	   assylstid = [];
	 assayliblary();
	 }
	
    
    },
    error: function(data) {
   
     
    }
   });	
	}
	}
}

var p = 0;
function layoutclick(i){
	
	
	 $( "#poilki"+i ).slideToggle( "slow", function() {
		
	 }); 
	
}

function zoomtable(){
	
	if(plates_type == 384){
		$(".cendiv").addClass("wdth134");
		$("#assay_table").addClass("wdth1040");
		$("#assay_table").removeClass("wdth839");
		$("#tcp3pid").addClass("wdth1024");
		$("#frtnxt").addClass("mgrght30");
		$(".new234").addClass("num_vw123");
		$(".new234").removeClass("num_vw_nor");
		$(".tcp5tablespan_9623").addClass("tcp5tablespan_384");
		$(".tcp5tablespan_9623").removeClass("tcp5tablespan_384_nor");
		$('.topnum').css("width","42px");
		$('.alfalne').css("padding","14.5px 0px");
		$('.t_ic384').css("top","-2px");
		$('.t_ic384').css("right","0px");
		$('#tcp5pb656').hide();
		$('#tcp5pb6').hide();
		$('#tcp5pb5').show();
		$("#tcp5ptableid").addClass("newdvwdth");
		$(".topwdth").addClass("wdth1056");
		$("#shorttble").addClass("wdth1056");
		$("#shorttble").removeClass("wdth1066");
		$('.topnum2').css("padding","22.5px 0px");
		$('.topnum3').css("padding","22px 0px");
		$('.lafskio').css("padding","6.8px 0px");
	}
}
function zoomtable1(){
	
	if(plates_type == 0){
		$(".cendiv").addClass("wdth134");
		$("#assay_table").addClass("wdth839");
		$("#tcp3pid").addClass("wdth1024");
		$("#frtnxt").addClass("mgrght30");
		$(".new234").addClass("num_vw123");
		$(".new234").removeClass("num_vw_nor");
		$(".tcp5tablespan_9623").addClass("tcp5tablespan_384");
		$(".tcp5tablespan_9623").removeClass("tcp5tablespan_384_nor");
		$('.topnum').css("width","42px");
		$('.topnum2').css("padding","37.5px 0px");
		$('.topnum3').css("padding","37px 0px");
		$('.alfalne').css("padding","14.5px 0px");
		$('.lafskio').css("padding","14.3px 0px");
		$('.t_ic384').css("top","-2px");
		$('.t_ic384').css("right","0px");
		$('#tcp5pb656').hide();
		$('#tcp5pb6').hide();
		$('#tcp5pb565').show();
		$("#tcp5ptableid").addClass("newdvwdth");
		$(".topwdth").addClass("wdth1056");
		$("#shorttble").addClass("wdth1066");
		$('.rghtimg').css("padding","38.5px 0px");
		$('.rghtimg1').css("padding","16px 0px");
		$('.rghtimg2').css("padding","41px 0px");
		$('.rghtimgdv').css('margin-right','27px');
		$('.rghtimgdv24').css('margin-right','15px');
	}
}
function mintable(){
	
		$(".cendiv").removeClass("wdth134");
		$("#assay_table").removeClass("wdth1040");
		$("#tcp3pid").removeClass("wdth1024");
		$("#frtnxt").removeClass("mgrght30");
		$(".new234").removeClass("num_vw123");
		$(".new234").addClass("num_vw_nor");
		$(".tcp5tablespan_9623").removeClass("tcp5tablespan_384");
		$(".tcp5tablespan_9623").addClass("tcp5tablespan_384_nor");
		$('.topnum').css("width","31px");
		$('.alfalne').css("padding","6.5px 0px");
		$('.t_ic384').css("top","-2px");
		$('.t_ic384').css("right","0px");
		$('#tcp5pb656').hide();
		$('#tcp5pb6').show();
		$('#tcp5pb5').hide();
		$("#tcp5ptableid").removeClass("newdvwdth");
		$(".topwdth").removeClass("wdth1056");
		$("#shorttble").removeClass("wdth1056");
		$("#shorttble").removeClass("wdth1066");
		
}
function mintable1(){
	
		$(".cendiv").removeClass("wdth134");
		$("#assay_table").removeClass("wdth839");
		$("#tcp3pid").removeClass("wdth1024");
		$("#frtnxt").removeClass("mgrght30");
		$(".new234").removeClass("num_vw123");
		$(".new234").addClass("num_vw_nor");
		$(".tcp5tablespan_9623").removeClass("tcp5tablespan_384");
		$(".tcp5tablespan_9623").addClass("tcp5tablespan_384_nor");
		$('.topnum').css("width","31px");
		$('.alfalne').css("padding","6.5px 0px");
		$('.t_ic384').css("top","-2px");
		$('.t_ic384').css("right","0px");
		$('#tcp5pb656').show();
		$('#tcp5pb6').hide();
		$('#tcp5pb565').hide();
		$("#tcp5ptableid").removeClass("newdvwdth");
		$(".topwdth").removeClass("wdth1056");
		$("#shorttble").removeClass("wdth1066");
		$("#shorttble").removeClass("wdth1066");
		$('.topnum2').css("padding","22.5px 0px");
		$('.topnum3').css("padding","22px 0px");
		$('.lafskio').css("padding","6.8px 0px");
		$('.rghtimg').css("padding","24.7px 0px");
		$('.rghtimg1').css("padding","2px 0px");
		$('.rghtimg2').css("padding","24px 0px");
		$('.rghtimgdv').css('margin-right','11px');
		$('.rghtimgdv24').css('margin-right','11px');
}
function change_naassy(){
	
	var name =  $('[name=lists_assy]').val();
	if(name == 'Target Name'){
		$(".genesym").show();
		$(".assygen").hide();
	}else{
		$(".assygen").show();
		$(".genesym").hide();
	}
	
}
jQuery.browser = {};
(function () {
    jQuery.browser.msie = false;
    jQuery.browser.version = 0;
    if (navigator.userAgent.match(/MSIE ([0-9]+)\./)) {
        jQuery.browser.msie = true;
        jQuery.browser.version = RegExp.$1;
    }
})();


